#include <stdlib.h>
#include <stdarg.h>
#include <string.h>
#include <ctype.h>
#include "config.h"
#include "tags.h"
#include "errors.h"
#include "externs.h"
#include "arith.h"
#include "macros.h"
#include "entries.h"
#include "gprotos.h"
#include "g_bi2r.h"

extern Sex *literal_vectors[];
extern int number_of_literal_vectors;
Sex bi2r_literal_vector[];
const char *bi2r_literal_string[];
setup_type const  bi2r_g_setup[];
#define LITERAL bi2r_literal_vector




Sex CC_ADivConq(Sex a, Sex q, Sex m)
{
    Sex arg4, arg5, arg6, arg7, arg8;
    Sex *sp = stack;
    stackcheck();
    stack = sp + 17;
    w17 = nil;
    w16 = nil;
    w15 = nil;
    w14 = nil;
    w13 = nil;
    w12 = nil;
    w6 = nil;
    w5 = nil;
    w4 = nil;
    w7 = nil;
    w8 = nil;
    w9 = nil;
    w10 = nil;
    w11 = nil;
    w1 = a;
    w2 = q;
    w3 = m;
    a = CC_bi2rTsample(a, q);
    w4 = a;
    q = w3;
    a = w1;
    a = CC_bi2rTsample(a, q);
    w5 = a;
    q = w3;
    a = w2;
    a = Llessp(a, q);
    if(a != nil) goto    G0005;
    q = w3;
    a = w2;
    a = Lequal(a, q);
    if(a == nil) goto    G0003;
    q = car(cdr(car(w5)));
    a = car(cdr(car(w4)));
    a = Llessp(a, q);
    if(a == nil) goto    G0003;
   G0005:
    a = w4;
    w7 = a;
    a = w5;
    w4 = a;
    a = w7;
    w5 = a;
    a = w2;
    w7 = a;
    a = w3;
    w2 = a;
    a = w7;
    w3 = a;
   G0003:
    a = w4;
    w12 = a;
    a = w5;
    w13 = a;
    a = w4;
    a = CC_tail2(a);
    w7 = a;
    q = car(cdr(a));
    a = w1;
    a = times2(a, q);
    q = a;
    a = car(w7);
    a = plus2(a, q);
    a = Lfloat(a);
    q = a;
    a = mkfxat(2);
    a = times2(a, q);
    q = w1;
    a = quot2(a, q);
    w7 = a;
    q = mkfxat(2);
    a = w2;
    a = quot2(a, q);
    w14 = a;
    a = w2;
    a = Levenp(a);
    if(a == nil) goto    G0012;
    a = w7;
    goto    G0013;
   G0012:
    q = w7;
    a = w1;
    a = times2(a, q);
   G0013:
    a = Lsqrt(a);
    q = w14;
    a = Lxcons(a, q);
    w6 = a;
    q = mkfxat(1000);
    a = cdr(a);
    a = Llessp(a, q);
    if(a == nil) goto    G0017;
    a = car(w6);
    a = Lsub1(a);
    w14 = a;
    q = w1;
    a = cdr(w6);
    a = times2(a, q);
    q = w14;
    a = Lxcons(a, q);
    w6 = a;
   G0017:
    Lterpri();
    a = LITERAL[0];
    Lprinc(a);
    a = w6;
    Lprint(a);
    a = w4;
    a = Lmkquote(a);
    w14 = a;
    a = w5;
    a = Lmkquote(a);
    w15 = a;
    a = w1;
    a = Lmkquote(a);
    w16 = a;
    a = w6;
    a = Lmkquote(a);
    w17 = a;
    a = mkfxat(0);
    a = Lmkquote(a);
    arg5 = a;
    arg4 = w17;
    m = w16;
    q = w15;
    a = w14;
    a = Llist5(a, q, m, arg4, arg5);
#define LL_bi2rTdivconq LITERAL[1]
    q = LL_bi2rTdivconq;
    a = Lxcons(a, q);
#define LL_Hbacktrace LITERAL[2]
    m = value(LL_Hbacktrace);
    q = mkfxat(0);
    a = Lerrorset(a, q, m);
    w7 = a;
    if(!is_cons(a)) goto    G0001;
    a = car(a);
    w7 = a;
    a = car(a);
    w4 = a;
    a = car(a);
    w8 = a;
    a = car(cdr(w4));
    w10 = a;
    a = cdr(cdr(w4));
    w4 = a;
    a = cdr(w7);
    w5 = a;
    a = car(a);
    w9 = a;
    a = car(cdr(w5));
    w11 = a;
    a = cdr(cdr(w5));
    w5 = a;
    q = mkfxat(2);
    a = cdr(w6);
    a = quot2(a, q);
    q = a;
    a = w6;
    cdr(a) = q;
    arg8 = w11;
    arg7 = w9;
    arg6 = w10;
    arg5 = w8;
    arg4 = w6;
    m = w1;
    q = w5;
    a = w4;
    a = CC_bi2rTadjust(a, q, m, arg4, arg5, arg6, arg7, arg8);
    w7 = a;
    a = car(cdr(cdr(a)));
    w5 = a;
    a = car(w7);
    w9 = a;
    a = car(cdr(w7));
    w11 = a;
    Lterpri();
    a = LITERAL[3];
    Lprinc(a);
    a = w5;
    Lprint(a);
    Lterpri();
    a = LITERAL[4];
    Lprinc(a);
    a = w11;
    Lprint(a);
    Lterpri();
    a = LITERAL[5];
    Lprinc(a);
    a = w9;
    Lprint(a);
    Lterpri();
    a = LITERAL[6];
   G0001:
    popv(17);
    return a;
}

Sex CC_AextEuclid(Sex a, Sex q, Sex m)
{
    Sex arg4;
    Sex *sp = stack;
    stackcheck();
    stack = sp + 15;
    w15 = nil;
    w13 = nil;
    w12 = nil;
    w11 = nil;
    w10 = nil;
    w9 = nil;
    w8 = nil;
    w7 = nil;
    w6 = nil;
    w5 = nil;
    w4 = nil;
    w14 = nil;
    w1 = a;
    w2 = q;
    w3 = m;
    a = CC_bi2rTsample(a, q);
    w4 = a;
    q = w3;
    a = w1;
    a = CC_bi2rTsample(a, q);
    w5 = a;
    q = w3;
    a = w2;
    a = Llessp(a, q);
    if(a != nil) goto    G0037;
    q = w3;
    a = w2;
    a = Lequal(a, q);
    if(a == nil) goto    G0035;
    q = car(cdr(car(w5)));
    a = car(cdr(car(w4)));
    a = Llessp(a, q);
    if(a == nil) goto    G0035;
   G0037:
    a = w4;
    w14 = a;
    a = w5;
    w4 = a;
    a = w14;
    w5 = a;
    a = w2;
    w14 = a;
    a = w3;
    w2 = a;
    a = w14;
    w3 = a;
   G0035:
    a = w4;
    a = CC_tail2(a);
    w14 = a;
    q = car(cdr(a));
    a = w1;
    a = times2(a, q);
    q = a;
    a = car(w14);
    a = plus2(a, q);
    a = Lfloat(a);
    w15 = a;
    q = w1;
    a = mkfxat(2);
    a = times2(a, q);
    q = a;
    a = w15;
    a = quot2(a, q);
    w14 = a;
    q = mkfxat(2);
    a = w2;
    a = quot2(a, q);
    w15 = a;
    a = w2;
    a = Levenp(a);
    if(a == nil) goto    G0044;
    a = w14;
    goto    G0045;
   G0044:
    q = w14;
    a = w1;
    a = times2(a, q);
   G0045:
    a = Lsqrt(a);
    q = w15;
    a = Lxcons(a, q);
    w8 = a;
    q = mkfxat(1000);
    a = cdr(a);
    a = Llessp(a, q);
    if(a == nil) goto    G0049;
    a = car(w8);
    a = Lsub1(a);
    w15 = a;
    q = w1;
    a = cdr(w8);
    a = times2(a, q);
    q = w15;
    a = Lxcons(a, q);
    w8 = a;
   G0049:
    Lterpri();
    a = LITERAL[0];
    Lprinc(a);
    a = w8;
    Lprint(a);
    q = mkfxat(2);
    a = w2;
    a = quot2(a, q);
    w9 = a;
    a = mkfxat(1);
    w10 = a;
    a = mkfxat(0);
    w12 = a;
    w11 = a;
    a = mkfxat(1);
    w13 = a;
   G0033:
    m = w1;
    q = w5;
    a = w4;
    a = CC_bi2rTquo(a, q, m);
    w6 = a;
    a = Lminus(a);
    arg4 = w1;
    m = w5;
    q = w4;
    a = CC_bi2rTrem(a, q, m, arg4);
    w7 = a;
    a = w5;
    w4 = a;
    q = w12;
    a = w6;
    a = times2(a, q);
    a = Lminus(a);
    q = a;
    a = w10;
    a = plus2(a, q);
    w14 = a;
    a = w12;
    w10 = a;
    a = w14;
    w12 = a;
    a = w7;
    w5 = a;
    q = w13;
    a = w6;
    a = times2(a, q);
    a = Lminus(a);
    q = a;
    a = w11;
    a = plus2(a, q);
    w14 = a;
    a = w13;
    w11 = a;
    a = w14;
    w13 = a;
    q = w9;
    a = car(car(w5));
    a = Lgreaterp(a, q);
    if(a != nil) goto    G0033;
    q = cdr(w8);
    a = car(cdr(car(w5)));
    a = Lgreaterp(a, q);
    if(a != nil) goto    G0033;
    Lterpri();
    a = LITERAL[3];
    Lprinc(a);
    a = w5;
    Lprint(a);
    Lterpri();
    a = LITERAL[4];
    Lprinc(a);
    a = w13;
    Lprint(a);
    Lterpri();
    a = LITERAL[5];
    Lprinc(a);
    a = w12;
    Lprint(a);
    Lterpri();
    a = LITERAL[6];
    popv(15);
    return a;
}

Sex CC_AextLehmer(Sex a, Sex q, Sex m)
{
    Sex arg4, arg5;
    Sex *sp = stack;
    stackcheck();
    stack = sp + 16;
    w16 = nil;
    w14 = nil;
    w13 = nil;
    w12 = nil;
    w11 = nil;
    w10 = nil;
    w9 = nil;
    w8 = nil;
    w7 = nil;
    w5 = nil;
    w4 = nil;
    w6 = nil;
    w15 = nil;
    w1 = a;
    w2 = q;
    w3 = m;
    a = CC_bi2rTsample(a, q);
    w4 = a;
    q = w3;
    a = w1;
    a = CC_bi2rTsample(a, q);
    w5 = a;
    q = w3;
    a = w2;
    a = Llessp(a, q);
    if(a != nil) goto    G0070;
    q = w3;
    a = w2;
    a = Lequal(a, q);
    if(a == nil) goto    G0068;
    q = car(cdr(car(w5)));
    a = car(cdr(car(w4)));
    a = Llessp(a, q);
    if(a == nil) goto    G0068;
   G0070:
    a = w4;
    w15 = a;
    a = w5;
    w4 = a;
    a = w15;
    w5 = a;
    a = w2;
    w15 = a;
    a = w3;
    w2 = a;
    a = w15;
    w3 = a;
   G0068:
    a = w4;
    a = CC_tail2(a);
    w15 = a;
    q = car(cdr(a));
    a = w1;
    a = times2(a, q);
    q = a;
    a = car(w15);
    a = plus2(a, q);
    a = Lfloat(a);
    w16 = a;
    q = w1;
    a = mkfxat(2);
    a = times2(a, q);
    q = a;
    a = w16;
    a = quot2(a, q);
    w15 = a;
    q = mkfxat(2);
    a = w2;
    a = quot2(a, q);
    w16 = a;
    a = w2;
    a = Levenp(a);
    if(a == nil) goto    G0077;
    a = w15;
    goto    G0078;
   G0077:
    q = w15;
    a = w1;
    a = times2(a, q);
   G0078:
    a = Lsqrt(a);
    q = w16;
    a = Lxcons(a, q);
    w7 = a;
    q = mkfxat(1000);
    a = cdr(a);
    a = Llessp(a, q);
    if(a == nil) goto    G0082;
    a = car(w7);
    a = Lsub1(a);
    w16 = a;
    q = w1;
    a = cdr(w7);
    a = times2(a, q);
    q = w16;
    a = Lxcons(a, q);
    w7 = a;
   G0082:
    Lterpri();
    a = LITERAL[0];
    Lprinc(a);
    a = w7;
    Lprint(a);
    q = mkfxat(2);
    a = w2;
    a = quot2(a, q);
    w8 = a;
    a = mkfxat(1);
    w11 = a;
    a = mkfxat(0);
    w12 = a;
    w13 = a;
    a = mkfxat(1);
    w14 = a;
   G0064:
    m = w1;
    q = w5;
    a = w4;
    a = CC_bi2rTLehmdiv(a, q, m);
    w15 = a;
    a = car(a);
    w9 = a;
    a = cdr(w15);
    w10 = a;
    arg5 = car(cdr(w9));
    arg4 = car(w9);
    m = w1;
    q = w5;
    a = w4;
    a = CC_bi2rTremnext(a, q, m, arg4, arg5);
    w15 = a;
    arg5 = car(cdr(w10));
    arg4 = car(w10);
    m = w1;
    q = w5;
    a = w4;
    a = CC_bi2rTremnext(a, q, m, arg4, arg5);
    w5 = a;
    a = w15;
    w4 = a;
    q = w11;
    a = car(w10);
    a = times2(a, q);
    w16 = a;
    q = w13;
    a = car(cdr(w10));
    a = times2(a, q);
    q = a;
    a = w16;
    a = plus2(a, q);
    w15 = a;
    q = w11;
    a = car(w9);
    a = times2(a, q);
    w16 = a;
    q = w13;
    a = car(cdr(w9));
    a = times2(a, q);
    q = a;
    a = w16;
    a = plus2(a, q);
    w11 = a;
    a = w15;
    w13 = a;
    q = w12;
    a = car(w10);
    a = times2(a, q);
    w16 = a;
    q = w14;
    a = car(cdr(w10));
    a = times2(a, q);
    q = a;
    a = w16;
    a = plus2(a, q);
    w15 = a;
    q = w12;
    a = car(w9);
    a = times2(a, q);
    w16 = a;
    q = w14;
    a = car(cdr(w9));
    a = times2(a, q);
    q = a;
    a = w16;
    a = plus2(a, q);
    w12 = a;
    a = w15;
    w14 = a;
    q = w8;
    a = car(car(w5));
    a = Lgreaterp(a, q);
    if(a != nil) goto    G0064;
   G0094:
    q = cdr(w7);
    a = car(cdr(car(w5)));
    a = Llessp(a, q);
    if(a != nil) goto    G0066;
    m = w1;
    q = w5;
    a = w4;
    a = CC_bi2rTquo(a, q, m);
    w6 = a;
    a = Lminus(a);
    arg4 = w1;
    m = w5;
    q = w4;
    a = CC_bi2rTrem(a, q, m, arg4);
    w15 = a;
    a = w5;
    w4 = a;
    a = w15;
    w5 = a;
    q = w13;
    a = w6;
    a = times2(a, q);
    a = Lminus(a);
    q = a;
    a = w11;
    a = plus2(a, q);
    w15 = a;
    a = w13;
    w11 = a;
    a = w15;
    w13 = a;
    q = w14;
    a = w6;
    a = times2(a, q);
    a = Lminus(a);
    q = a;
    a = w12;
    a = plus2(a, q);
    w15 = a;
    a = w14;
    w12 = a;
    a = w15;
    w14 = a;
    goto    G0094;
   G0066:
    Lterpri();
    a = LITERAL[3];
    Lprinc(a);
    a = w5;
    Lprint(a);
    Lterpri();
    a = LITERAL[4];
    Lprinc(a);
    a = w14;
    Lprint(a);
    Lterpri();
    a = LITERAL[5];
    Lprinc(a);
    a = w13;
    Lprint(a);
    Lterpri();
    a = LITERAL[6];
    popv(16);
    return a;
}

Sex CC_bi2rTdivconq(Sex a, Sex q, Sex m, Sex arg4, Sex arg5)
{
    Sex arg6;
    Sex *sp = stack;
    stackcheck();
    stack = sp + 20;
    w20 = nil;
    w19 = nil;
    w18 = nil;
    w17 = nil;
    w16 = nil;
    w15 = nil;
    w14 = nil;
    w13 = nil;
    w12 = nil;
    w11 = nil;
    w10 = nil;
    w9 = nil;
    w8 = nil;
    w7 = nil;
    w6 = nil;
    w1 = a;
    w2 = q;
    w3 = m;
    w4 = arg4;
    w5 = arg5;
    q = mkfxat(6);
    a = car(car(a));
    a = Llessp(a, q);
    if(a != nil) goto    G0177;
    w6 = nil;
    w7 = nil;
    w8 = nil;
    w9 = nil;
    w10 = nil;
    w11 = nil;
    w12 = nil;
    w13 = nil;
    w14 = nil;
    w15 = nil;
    w16 = nil;
    w17 = nil;
    w18 = nil;
    w19 = nil;
    a = car(car(w1));
    w6 = a;
    a = car(car(w2));
    w7 = a;
    q = a;
    a = mkfxat(2);
    a = times2(a, q);
    w20 = a;
    q = mkfxat(2);
    a = w6;
    a = plus2(a, q);
    q = a;
    a = w20;
    a = Llessp(a, q);
    if(a == nil) goto    G0113;
   G0177:
    arg4 = w4;
    m = w3;
    q = w2;
    a = w1;
    {
        popv(20);
        return  CC_bi2rTdqdiv(a, q, m, arg4);
    }
   G0113:
    a = w1;
    a = CC_topcopy(a);
    w1 = a;
    a = w2;
    a = CC_topcopy(a);
    w2 = a;
    a = car(w4);
    w8 = a;
    q = a;
    a = w1;
    a = CC_ncdr(a, q);
    w12 = a;
    q = w8;
    a = w6;
    a = diff2(a, q);
    q = car(cdr(car(w1)));
    a = Llist2(a, q);
    q = cdr(w12);
    a = cons(a, q);
    w9 = a;
    q = nil;
    a = w12;
    cdr(a) = q;
    q = mkfxat(-1);
    a = w8;
    a = plus2(a, q);
    q = car(w12);
    a = Llist2(a, q);
    q = a;
    a = w1;
    car(a) = q;
    q = w8;
    a = w2;
    a = CC_ncdr(a, q);
    w12 = a;
    q = w8;
    a = w7;
    a = diff2(a, q);
    q = car(cdr(car(w2)));
    a = Llist2(a, q);
    q = cdr(w12);
    a = cons(a, q);
    w10 = a;
    q = nil;
    a = w12;
    cdr(a) = q;
    q = mkfxat(-1);
    a = w8;
    a = plus2(a, q);
    q = car(w12);
    a = Llist2(a, q);
    q = a;
    a = w2;
    car(a) = q;
    a = car(car(w9));
    w8 = a;
    q = cdr(w4);
    a = car(cdr(car(w9)));
    a = times2(a, q);
    w19 = a;
    a = w8;
    a = Levenp(a);
    if(a == nil) goto    G0126;
    a = w19;
    goto    G0178;
   G0126:
    q = w19;
    a = w3;
    a = times2(a, q);
   G0178:
    a = Lsqrt(a);
    w19 = a;
    q = mkfxat(1000);
    a = Llessp(a, q);
    if(a == nil) goto    G0130;
    q = mkfxat(2);
    a = w8;
    a = quot2(a, q);
    q = mkfxat(-1);
    a = plus2(a, q);
    w20 = a;
    q = w3;
    a = w19;
    a = times2(a, q);
    goto    G0179;
   G0130:
    q = w3;
    a = mkfxat(1000);
    a = times2(a, q);
    q = a;
    a = w19;
    a = Llessp(a, q);
    q = mkfxat(2);
    if(a == nil) goto    G0134;
    a = w8;
    a = quot2(a, q);
    q = w19;
    a = cons(a, q);
    goto    G0137;
   G0134:
    a = w8;
    a = quot2(a, q);
    a = Ladd1(a);
    w20 = a;
    q = w3;
    a = w19;
    a = quot2(a, q);
   G0179:
    q = w20;
    a = Lxcons(a, q);
   G0137:
    w11 = a;
    q = w5;
    a = mkfxat(10);
    a = times2(a, q);
    a = Ladd1(a);
    arg5 = a;
    arg4 = w11;
    m = w3;
    q = w10;
    a = w9;
    a = CC_bi2rTdivconq(a, q, m, arg4, arg5);
    w12 = a;
    a = car(a);
    w15 = a;
    a = car(a);
    w13 = a;
    a = car(cdr(w15));
    w14 = a;
    a = cdr(w12);
    w18 = a;
    a = car(a);
    w16 = a;
    a = car(cdr(w18));
    w17 = a;
    arg6 = cdr(cdr(w15));
    arg5 = w14;
    arg4 = w13;
    m = w3;
    q = w2;
    a = w1;
    a = CC_bi2rTdqcomb(a, q, m, arg4, arg5, arg6);
    w19 = a;
    arg6 = cdr(cdr(w18));
    arg5 = w17;
    arg4 = w16;
    m = w3;
    q = w2;
    a = w1;
    a = CC_bi2rTdqcomb(a, q, m, arg4, arg5, arg6);
    w2 = a;
    a = w19;
    w1 = a;
    a = car(cdr(car(a)));
    a = Lminusp(a);
    if(a != nil) goto    G0145;
    a = car(cdr(car(w2)));
    a = Lminusp(a);
    if(a == nil) goto    G0144;
   G0145:
    Lterpri();
    a = LITERAL[7];
    Lprinc(a);
    a = w5;
    Lprint(a);
    q = nil;
    a = LITERAL[8];
    Lerror(a, q);
   G0144:
    a = car(car(w1));
    w6 = a;
    a = car(car(w2));
    w7 = a;
    q = car(w4);
    a = mkfxat(2);
    a = times2(a, q);
    w20 = a;
    a = w6;
    a = Lminus(a);
    q = a;
    a = w20;
    a = plus2(a, q);
    w8 = a;
    q = car(cdr(car(w1)));
    a = cdr(w4);
    a = Lgreaterp(a, q);
    if(a == nil) goto    G0149;
    q = mkfxat(-1);
    a = w8;
    a = plus2(a, q);
    w8 = a;
   G0149:
    q = mkfxat(2);
    a = w8;
    a = Llessp(a, q);
    if(a != nil) goto    G0180;
    q = w8;
    a = w1;
    a = CC_ncdr(a, q);
    w12 = a;
    q = w8;
    a = w6;
    a = diff2(a, q);
    q = car(cdr(car(w1)));
    a = Llist2(a, q);
    q = cdr(w12);
    a = cons(a, q);
    w9 = a;
    q = nil;
    a = w12;
    cdr(a) = q;
    q = mkfxat(-1);
    a = w8;
    a = plus2(a, q);
    q = car(w12);
    a = Llist2(a, q);
    q = a;
    a = w1;
    car(a) = q;
    q = w8;
    a = w2;
    a = CC_ncdr(a, q);
    w12 = a;
    q = w8;
    a = w7;
    a = diff2(a, q);
    q = car(cdr(car(w2)));
    a = Llist2(a, q);
    q = cdr(w12);
    a = cons(a, q);
    w10 = a;
    q = nil;
    a = w12;
    cdr(a) = q;
    q = mkfxat(-1);
    a = w8;
    a = plus2(a, q);
    q = car(w12);
    a = Llist2(a, q);
    q = a;
    a = w2;
    car(a) = q;
    q = w8;
    a = car(w4);
    a = diff2(a, q);
    q = cdr(w4);
    a = cons(a, q);
    w11 = a;
    q = w5;
    a = mkfxat(10);
    a = times2(a, q);
    q = mkfxat(3);
    a = plus2(a, q);
    arg5 = a;
    arg4 = w11;
    m = w3;
    q = w10;
    a = w9;
    a = CC_bi2rTdivconq(a, q, m, arg4, arg5);
    w12 = a;
    a = car(a);
    w15 = a;
    a = cdr(w12);
    w18 = a;
    arg6 = cdr(cdr(w15));
    arg5 = car(cdr(w15));
    arg4 = car(w15);
    m = w3;
    q = w2;
    a = w1;
    a = CC_bi2rTdqcomb(a, q, m, arg4, arg5, arg6);
    w19 = a;
    arg6 = cdr(cdr(w18));
    arg5 = car(cdr(w18));
    arg4 = car(w18);
    m = w3;
    q = w2;
    a = w1;
    a = CC_bi2rTdqcomb(a, q, m, arg4, arg5, arg6);
    w2 = a;
    a = w19;
    w1 = a;
    q = a;
    a = cdr(w15);
    cdr(a) = q;
    q = w2;
    a = cdr(w18);
    cdr(a) = q;
    a = car(cdr(car(w1)));
    a = Lminusp(a);
    if(a != nil) goto    G0165;
    a = car(cdr(car(w2)));
    a = Lminusp(a);
    if(a == nil) goto    G0164;
   G0165:
    Lterpri();
    a = LITERAL[7];
    Lprinc(a);
    a = w5;
    Lprint(a);
    q = nil;
    a = LITERAL[8];
    Lerror(a, q);
   G0180:
    arg4 = w4;
    m = w3;
    q = w2;
    a = w1;
    a = CC_bi2rTdqdiv(a, q, m, arg4);
    w12 = a;
    a = car(a);
    w15 = a;
    a = cdr(w12);
    w18 = a;
    a = cdr(cdr(w15));
    w1 = a;
    a = cdr(cdr(w18));
    w2 = a;
   G0164:
    q = w14;
    a = car(w15);
    a = times2(a, q);
    w20 = a;
    q = w17;
    a = car(cdr(w15));
    a = times2(a, q);
    q = a;
    a = w20;
    a = plus2(a, q);
    w19 = a;
    q = w13;
    a = car(w15);
    a = times2(a, q);
    w20 = a;
    q = w16;
    a = car(cdr(w15));
    a = times2(a, q);
    q = a;
    a = w20;
    a = plus2(a, q);
    q = a;
    a = w15;
    car(a) = q;
    q = w19;
    a = cdr(w15);
    car(a) = q;
    q = w14;
    a = car(w18);
    a = times2(a, q);
    w20 = a;
    q = w17;
    a = car(cdr(w18));
    a = times2(a, q);
    q = a;
    a = w20;
    a = plus2(a, q);
    w19 = a;
    q = w13;
    a = car(w18);
    a = times2(a, q);
    w20 = a;
    q = w16;
    a = car(cdr(w18));
    a = times2(a, q);
    q = a;
    a = w20;
    a = plus2(a, q);
    q = a;
    a = w18;
    car(a) = q;
    q = w19;
    a = cdr(w18);
    car(a) = q;
    q = w18;
    a = w15;
    {
        popv(20);
        return  cons(a, q);
    }
}

Sex CC_bi2rTdqdiv(Sex a, Sex q, Sex m, Sex arg4)
{
    Sex *sp = stack;
    stackcheck();
    stack = sp + 14;
    w14 = nil;
    w13 = nil;
    w12 = nil;
    w11 = nil;
    w10 = nil;
    w9 = nil;
    w7 = nil;
    w6 = nil;
    w5 = nil;
    w1 = nil;
    w8 = nil;
    w2 = q;
    w3 = m;
    w4 = arg4;
    q = m;
    a = cdr(a);
    a = CC_bi2rTilis2int(a, q);
    w1 = a;
    w5 = a;
    q = w3;
    a = cdr(w2);
    a = CC_bi2rTilis2int(a, q);
    w2 = a;
    w6 = a;
    q = car(w4);
    a = w3;
    a = Lexpt(a, q);
    q = a;
    a = cdr(w4);
    a = times2(a, q);
    q = a;
    a = mkfxat(4);
    a = times2(a, q);
    w7 = a;
    a = mkfxat(1);
    w9 = a;
    a = mkfxat(0);
    w10 = a;
    w11 = a;
    a = mkfxat(1);
    w12 = a;
   G0184:
    q = w2;
    a = w1;
    a = Ldivide(a, q);
    w13 = a;
    q = w7;
    a = cdr(a);
    a = Llessp(a, q);
    if(a != nil) goto    G0185;
    a = car(w13);
    w8 = a;
    a = w2;
    w1 = a;
    a = cdr(w13);
    w2 = a;
    q = w10;
    a = w8;
    a = times2(a, q);
    a = Lminus(a);
    q = a;
    a = w9;
    a = plus2(a, q);
    w13 = a;
    a = w10;
    w9 = a;
    a = w13;
    w10 = a;
    q = w12;
    a = w8;
    a = times2(a, q);
    a = Lminus(a);
    q = a;
    a = w11;
    a = plus2(a, q);
    w13 = a;
    a = w12;
    w11 = a;
    a = w13;
    w12 = a;
    goto    G0184;
   G0185:
    q = w5;
    a = w9;
    a = times2(a, q);
    w14 = a;
    q = w6;
    a = w11;
    a = times2(a, q);
    q = a;
    a = w14;
    a = plus2(a, q);
    q = w3;
    a = CC_bi2rTint2birep(a, q);
    w1 = a;
    q = w5;
    a = w10;
    a = times2(a, q);
    w14 = a;
    q = w6;
    a = w12;
    a = times2(a, q);
    q = a;
    a = w14;
    a = plus2(a, q);
    q = w3;
    a = CC_bi2rTint2birep(a, q);
    w2 = a;
    q = w1;
    a = w11;
    a = cons(a, q);
    q = w9;
    a = Lxcons(a, q);
    w14 = a;
    q = w2;
    a = w12;
    a = cons(a, q);
    q = w10;
    a = Lxcons(a, q);
    q = w14;
    {
        popv(14);
        return  Lxcons(a, q);
    }
}

Sex CC_BadTdqdiv2(Sex a, Sex q, Sex m, Sex arg4)
{
    Sex *sp = stack;
    stackcheck();
    stack = sp + 16;
    w16 = nil;
    w14 = nil;
    w13 = nil;
    w12 = nil;
    w11 = nil;
    w10 = nil;
    w9 = nil;
    w8 = nil;
    w7 = nil;
    w6 = nil;
    w5 = nil;
    w4 = nil;
    w1 = nil;
    w15 = nil;
    w2 = q;
    w3 = m;
    q = m;
    a = cdr(a);
    a = CC_bi2rTilis2int(a, q);
    w8 = a;
    w1 = a;
    a = Ladd1(a);
    w5 = a;
    q = w3;
    a = cdr(w2);
    a = CC_bi2rTilis2int(a, q);
    w6 = a;
    w2 = a;
    a = Ladd1(a);
    w9 = a;
    a = w1;
    a = Lfloat(a);
    a = Lsqrt(a);
    w4 = a;
    a = mkfxat(1);
    w11 = a;
    a = mkfxat(0);
    w12 = a;
    w13 = a;
    a = mkfxat(1);
    w14 = a;
   G0208:
    q = w6;
    a = w5;
    a = Ldivide(a, q);
    w7 = a;
    q = w9;
    a = w8;
    a = Ldivide(a, q);
    w10 = a;
    q = car(a);
    a = car(w7);
    a = Lequal(a, q);
    if(a == nil) goto    G0209;
    q = w14;
    a = car(w7);
    a = times2(a, q);
    a = Lminus(a);
    q = a;
    a = w13;
    a = plus2(a, q);
    w15 = a;
    a = Labs(a);
    w16 = a;
    q = cdr(w10);
    a = cdr(w7);
    a = Lmin2(a, q);
    q = a;
    a = w16;
    a = Lgreaterp(a, q);
    if(a != nil) goto    G0209;
    q = cdr(w10);
    a = cdr(w7);
    a = Lmin2(a, q);
    q = w4;
    a = Llessp(a, q);
    if(a != nil) goto    G0209;
    a = w14;
    w13 = a;
    a = w15;
    w14 = a;
    q = w12;
    a = car(w10);
    a = times2(a, q);
    a = Lminus(a);
    q = a;
    a = w11;
    a = plus2(a, q);
    w15 = a;
    a = w12;
    w11 = a;
    a = w15;
    w12 = a;
    a = w6;
    w5 = a;
    a = cdr(w7);
    w6 = a;
    a = w9;
    w8 = a;
    a = cdr(w10);
    w9 = a;
    goto    G0208;
   G0209:
    q = w1;
    a = w11;
    a = times2(a, q);
    w16 = a;
    q = w2;
    a = w13;
    a = times2(a, q);
    q = a;
    a = w16;
    a = plus2(a, q);
    q = w3;
    a = CC_bi2rTint2birep(a, q);
    w15 = a;
    q = w1;
    a = w12;
    a = times2(a, q);
    w16 = a;
    q = w2;
    a = w14;
    a = times2(a, q);
    q = a;
    a = w16;
    a = plus2(a, q);
    q = w3;
    a = CC_bi2rTint2birep(a, q);
    w2 = a;
    a = w15;
    w1 = a;
    q = w13;
    a = Lxcons(a, q);
    q = w11;
    a = Lxcons(a, q);
    w16 = a;
    q = w2;
    a = w14;
    a = cons(a, q);
    q = w12;
    a = Lxcons(a, q);
    q = w16;
    {
        popv(16);
        return  Lxcons(a, q);
    }
}

Sex CC_BadTdqdiv1(Sex a, Sex q, Sex m)
{
    Sex *sp = stack;
    stackcheck();
    stack = sp + 13;
    w13 = nil;
    w12 = nil;
    w11 = nil;
    w10 = nil;
    w8 = nil;
    w7 = nil;
    w5 = nil;
    w4 = nil;
    w1 = nil;
    w6 = nil;
    w9 = nil;
    w2 = q;
    w3 = m;
    q = m;
    a = cdr(a);
    a = CC_bi2rTilis2int(a, q);
    w1 = a;
    q = w3;
    a = cdr(w2);
    a = CC_bi2rTilis2int(a, q);
    w2 = a;
    a = mkfxat(1);
    w7 = a;
    a = mkfxat(0);
    w8 = a;
    w10 = a;
    a = mkfxat(1);
    w11 = a;
   G0239:
    q = w2;
    a = w1;
    a = Ldivide(a, q);
    w12 = a;
    a = car(a);
    w4 = a;
    a = cdr(w12);
    w5 = a;
    q = w11;
    a = w4;
    a = times2(a, q);
    a = Lminus(a);
    q = a;
    a = w10;
    a = plus2(a, q);
    w12 = a;
    q = w11;
    a = diff2(a, q);
    a = Labs(a);
    q = a;
    a = w5;
    a = Llessp(a, q);
    if(a != nil) goto    G0240;
    a = w11;
    w10 = a;
    a = w12;
    w11 = a;
    q = w8;
    a = w4;
    a = times2(a, q);
    a = Lminus(a);
    q = a;
    a = w7;
    a = plus2(a, q);
    w12 = a;
    a = w8;
    w7 = a;
    a = w12;
    w8 = a;
    a = w2;
    w1 = a;
    a = w5;
    w2 = a;
    goto    G0239;
   G0240:
    q = w3;
    a = w1;
    a = CC_bi2rTint2birep(a, q);
    w1 = a;
    q = w3;
    a = w2;
    a = CC_bi2rTint2birep(a, q);
    w2 = a;
    q = w1;
    a = w10;
    a = cons(a, q);
    q = w7;
    a = Lxcons(a, q);
    w13 = a;
    q = w2;
    a = w11;
    a = cons(a, q);
    q = w8;
    a = Lxcons(a, q);
    q = w13;
    {
        popv(13);
        return  Lxcons(a, q);
    }
}

Sex CC_bi2rTadjust(Sex a, Sex q, Sex m, Sex arg4, Sex arg5, Sex arg6, Sex arg7, Sex arg8)
{
    Sex *sp = stack;
    stackcheck();
    stack = sp + 20;
    w20 = nil;
    w10 = nil;
    w11 = nil;
    w12 = nil;
    w13 = nil;
    w14 = nil;
    w15 = nil;
    w16 = nil;
    w17 = nil;
    w18 = nil;
    w19 = nil;
    w1 = a;
    w2 = q;
    w3 = m;
    w4 = arg4;
    w5 = arg5;
    w6 = arg6;
    w7 = arg7;
    w8 = arg8;
    a = car(car(a));
    w9 = a;
    q = mkfxat(-1);
    a = plus2(a, q);
    q = car(w4);
    a = Lgreaterp(a, q);
    if(a != nil) goto    G0266;
    q = car(w4);
    a = w9;
    a = Llessp(a, q);
    if(a == nil) goto    G0265;
    q = nil;
    a = LITERAL[9];
    Lerror(a, q);
   G0265:
    a = car(w4);
    a = Ladd1(a);
    q = a;
    a = w1;
    a = CC_ncdr(a, q);
    q = w3;
    a = CC_bi2rTilis2int(a, q);
    q = cdr(w4);
    a = Llessp(a, q);
    if(a != nil) goto    G0258;
   G0266:
    a = car(car(w2));
    w9 = a;
    q = mkfxat(-1);
    a = plus2(a, q);
    q = car(w4);
    a = Lgreaterp(a, q);
    if(a != nil) goto    G0274;
    a = car(w4);
    a = Ladd1(a);
    q = a;
    a = w2;
    a = CC_ncdr(a, q);
    q = w3;
    a = CC_bi2rTilis2int(a, q);
    q = cdr(w4);
    a = Llessp(a, q);
    if(a != nil) goto    G0319;
   G0274:
    q = mkfxat(2);
    a = cdr(w4);
    a = Lexpt(a, q);
    q = a;
    a = mkfxat(100);
    a = times2(a, q);
    w10 = a;
    a = car(cdr(car(w1)));
    w13 = a;
    q = a;
    a = w10;
    a = Llessp(a, q);
    if(a == nil) goto    G0280;
    q = car(w4);
    a = mkfxat(2);
    a = times2(a, q);
    q = car(car(w1));
    a = diff2(a, q);
    goto    G0288;
   G0280:
    q = w3;
    a = w13;
    a = times2(a, q);
    q = a;
    a = w10;
    a = Llessp(a, q);
    q = car(w4);
    if(a == nil) goto    G0283;
    a = mkfxat(2);
    a = times2(a, q);
    w20 = a;
    a = car(car(w1));
    a = Lminus(a);
    q = mkfxat(-1);
    goto    G0327;
   G0283:
    a = mkfxat(2);
    a = times2(a, q);
    w20 = a;
    a = car(car(w1));
    a = Lminus(a);
    q = mkfxat(-2);
   G0327:
    a = plus2(a, q);
    q = a;
    a = w20;
    a = plus2(a, q);
   G0288:
    w9 = a;
    q = mkfxat(1);
    a = Lleq(a, q);
    if(a == nil) goto    G0293;
    q = w3;
    a = cdr(w1);
    a = CC_bi2rTilis2int(a, q);
    w11 = a;
    q = w3;
    a = cdr(w2);
    goto    G0328;
   G0293:
    a = w9;
    a = Ladd1(a);
    q = a;
    a = w1;
    a = CC_ncdr(a, q);
    q = w3;
    a = CC_bi2rTilis2int(a, q);
    w11 = a;
    a = w9;
    a = Ladd1(a);
    q = a;
    a = w2;
    a = CC_ncdr(a, q);
    q = w3;
   G0328:
    a = CC_bi2rTilis2int(a, q);
    w12 = a;
    q = w9;
    a = car(w4);
    a = diff2(a, q);
    q = a;
    a = w3;
    a = Lexpt(a, q);
    q = a;
    a = cdr(w4);
    a = times2(a, q);
    w10 = a;
    a = mkfxat(1);
    w15 = a;
    a = mkfxat(0);
    w16 = a;
    w17 = a;
    a = mkfxat(1);
    w18 = a;
   G0257:
    q = w12;
    a = w11;
    a = Ldivide(a, q);
    w19 = a;
    a = car(a);
    w13 = a;
    a = cdr(w19);
    w14 = a;
    q = w16;
    a = w13;
    a = times2(a, q);
    a = Lminus(a);
    q = a;
    a = w15;
    a = plus2(a, q);
    w19 = a;
    a = w16;
    w15 = a;
    a = w19;
    w16 = a;
    q = w18;
    a = w13;
    a = times2(a, q);
    a = Lminus(a);
    q = a;
    a = w17;
    a = plus2(a, q);
    w19 = a;
    a = w18;
    w17 = a;
    a = w19;
    w18 = a;
    a = w12;
    w11 = a;
    a = w14;
    w12 = a;
    q = w10;
    a = Lgeq(a, q);
    if(a != nil) goto    G0257;
    arg5 = w17;
    arg4 = w15;
    m = w3;
    q = w2;
    a = w1;
    a = CC_bi2rTremnext(a, q, m, arg4, arg5);
    w19 = a;
    arg5 = w18;
    arg4 = w16;
    m = w3;
    q = w2;
    a = w1;
    a = CC_bi2rTremnext(a, q, m, arg4, arg5);
    w2 = a;
    a = w19;
    w1 = a;
    a = car(cdr(car(a)));
    a = Lminusp(a);
    if(a != nil) goto    G0309;
    a = car(cdr(car(w2)));
    a = Lminusp(a);
    if(a == nil) goto    G0308;
   G0309:
    q = nil;
    a = LITERAL[10];
    Lerror(a, q);
   G0308:
    q = w5;
    a = w16;
    a = times2(a, q);
    w20 = a;
    q = w7;
    a = w18;
    a = times2(a, q);
    q = a;
    a = w20;
    a = plus2(a, q);
    w19 = a;
    q = w6;
    a = w16;
    a = times2(a, q);
    w20 = a;
    q = w8;
    a = w18;
    a = times2(a, q);
    q = a;
    a = w20;
    a = plus2(a, q);
    w8 = a;
    a = w19;
    w7 = a;
    goto    G0325;
   G0258:
    a = w6;
    a = Labs(a);
    q = w3;
    a = CC_bi2rTint2birep(a, q);
    w19 = a;
    a = car(w4);
    a = Ladd1(a);
    q = a;
    a = w19;
    a = CC_ncdr(a, q);
    q = w3;
    a = CC_bi2rTilis2int(a, q);
    w19 = a;
    q = cdr(w4);
    a = Lgeq(a, q);
    if(a == nil) goto    G0318;
    q = nil;
    a = LITERAL[11];
    Lerror(a, q);
   G0318:
    a = w5;
    w7 = a;
    a = w6;
    w8 = a;
    a = w1;
    goto    G0329;
   G0319:
    a = w8;
    a = Labs(a);
    q = w3;
    a = CC_bi2rTint2birep(a, q);
    w19 = a;
    a = car(w4);
    a = Ladd1(a);
    q = a;
    a = w19;
    a = CC_ncdr(a, q);
    q = w3;
    a = CC_bi2rTilis2int(a, q);
    w19 = a;
    q = cdr(w4);
    a = Lgeq(a, q);
    if(a == nil) goto    G0324;
    q = nil;
    a = LITERAL[12];
    Lerror(a, q);
   G0324:
    a = w7;
    w7 = a;
    a = w8;
    w8 = a;
    a = w2;
   G0329:
    w2 = a;
   G0325:
    m = w2;
    q = w8;
    a = w7;
    {
        popv(20);
        return  Llist3(a, q, m);
    }
}

Sex CC_bi2rTint2birep(Sex a, Sex q)
{
    Sex *sp = stack;
    stackcheck();
    stack = sp + 6;
    w6 = nil;
    w5 = nil;
    w4 = nil;
    w3 = nil;
    w1 = a;
    w2 = q;
    a = CHAR_OF(104);
    a = Lncons(a);
    w4 = a;
    w3 = a;
    a = mkfxat(-1);
    w5 = a;
   G0333:
    q = w2;
    a = w1;
    a = Ldivide(a, q);
    w6 = a;
    a = cdr(a);
    a = Lncons(a);
    q = a;
    a = w4;
    cdr(a) = q;
    a = cdr(a);
    w4 = a;
    a = w5;
    a = Ladd1(a);
    w5 = a;
    a = car(w6);
    w1 = a;
    q = w2;
    a = Lgeq(a, q);
    if(a != nil) goto    G0333;
    a = w1;
    a = Lzerop(a);
    if(a != nil) goto    G0339;
    a = w1;
    a = Lncons(a);
    q = a;
    a = w4;
    cdr(a) = q;
    a = cdr(a);
    w4 = a;
    a = w5;
    a = Ladd1(a);
    w5 = a;
   G0339:
    q = car(w4);
    a = w5;
    a = Llist2(a, q);
    q = a;
    a = w3;
    {
        popv(6);
        car(a) = q;
 return a;
    }
}

Sex CC_bi2rTdqcomb(Sex a, Sex q, Sex m, Sex arg4, Sex arg5, Sex arg6)
{
    Sex *sp = stack;
    stackcheck();
    stack = sp + 13;
    w13 = nil;
    w12 = nil;
    w11 = nil;
    w10 = nil;
    w9 = nil;
    w8 = nil;
    w7 = nil;
    w1 = a;
    w2 = q;
    w3 = m;
    w4 = arg4;
    w5 = arg5;
    w6 = arg6;
    a = CHAR_OF(104);
    a = Lncons(a);
    w8 = a;
    w7 = a;
    a = mkfxat(-1);
    w9 = a;
    a = mkfxat(0);
    w10 = a;
    a = cdr(w1);
    w1 = a;
    a = cdr(w2);
    w2 = a;
    a = cdr(w6);
    w6 = a;
   G0347:
    q = car(w1);
    a = w4;
    a = times2(a, q);
    w13 = a;
    q = car(w2);
    a = w5;
    a = times2(a, q);
    q = w10;
    a = plus2(a, q);
    q = a;
    a = w13;
    a = plus2(a, q);
    q = w3;
    a = Ldivide(a, q);
    w12 = a;
    a = car(a);
    w10 = a;
    a = cdr(w12);
    w11 = a;
    a = Lminusp(a);
    if(a == nil) goto    G0357;
    a = w10;
    a = Lsub1(a);
    w10 = a;
    q = w3;
    a = w11;
    a = plus2(a, q);
    w11 = a;
   G0357:
    a = w11;
    a = Lncons(a);
    q = a;
    a = w8;
    cdr(a) = q;
    a = cdr(a);
    w8 = a;
    a = w9;
    a = Ladd1(a);
    w9 = a;
    a = cdr(w1);
    w1 = a;
    a = cdr(w2);
    w2 = a;
    if(a != nil) goto    G0347;
    a = w6;
   G0361:
    if(a == nil) goto    G0349;
    q = w10;
    a = car(a);
    a = plus2(a, q);
    q = w3;
    a = Ldivide(a, q);
    w12 = a;
    a = car(a);
    w10 = a;
    a = cdr(w12);
    w11 = a;
    a = Lminusp(a);
    if(a == nil) goto    G0366;
    a = w10;
    a = Lsub1(a);
    w10 = a;
    q = w3;
    a = w11;
    a = plus2(a, q);
    w11 = a;
   G0366:
    a = w11;
    a = Lncons(a);
    q = a;
    a = w8;
    cdr(a) = q;
    a = cdr(a);
    w8 = a;
    a = w9;
    a = Ladd1(a);
    w9 = a;
    a = cdr(w6);
    w6 = a;
    goto    G0361;
   G0349:
    q = w3;
    a = w10;
    a = Lgreaterp(a, q);
    if(a == nil) goto    G0370;
    q = w3;
    a = w10;
    a = Ldivide(a, q);
    w12 = a;
    a = w9;
    a = Ladd1(a);
    w9 = a;
    a = car(w10);
    w10 = a;
    a = cdr(w12);
    a = Lncons(a);
    q = a;
    a = w8;
    cdr(a) = q;
    a = cdr(a);
    w8 = a;
    goto    G0349;
   G0370:
    a = w10;
    a = Lzerop(a);
    if(a != nil) goto    G0374;
    a = w10;
    a = Lncons(a);
    q = a;
    a = w8;
    cdr(a) = q;
    a = cdr(a);
    a = w9;
    a = Ladd1(a);
    w9 = a;
    goto    G0378;
   G0374:
    a = w7;
    a = CC_tail2(a);
    w8 = a;
    a = cdr(a);
    a = car(a);
    w10 = a;
    a = Lzerop(a);
    if(a == nil) goto    G0378;
    q = nil;
    a = w8;
    cdr(a) = q;
    a = w9;
    a = Lsub1(a);
    w9 = a;
    a = cdr(cdr(w7));
    if(a != nil) goto    G0374;
   G0378:
    q = w10;
    a = w9;
    a = Llist2(a, q);
    q = a;
    a = w7;
    car(a) = q;
    a = w7;
    popv(13);
    return a;
}

Sex CC_bi2rTdel0(Sex a)
{
    Sex q;
    Sex *sp = stack;
    stackcheck();
    stack = sp + 3;
    w3 = nil;
    w2 = a;
    w1 = a;
   G0388:
    a = cdr(w2);
    if(a != nil) goto    G0392;
    a = w1;
    goto    G0387;
   G0392:
    a = car(a);
    a = Lzerop(a);
    if(a != nil) goto    G0403;
    a = cdr(w2);
    w2 = a;
    goto    G0388;
   G0403:
    a = w2;
    w3 = a;
   G0394:
    a = cdr(w2);
    w2 = a;
    if(a == nil) goto    G0402;
    a = car(a);
    a = Lzerop(a);
    if(a != nil) goto    G0394;
    a = w2;
    w3 = a;
    goto    G0388;
   G0402:
    q = nil;
    a = w3;
    cdr(a) = q;
    a = cdr(w1);
    a = Llength(a);
    q = mkfxat(-1);
    a = plus2(a, q);
    w2 = a;
    q = car(w3);
    a = Llist2(a, q);
    q = a;
    a = w1;
    car(a) = q;
   G0387:
    popv(3);
    return a;
}

Sex CC_AEuclid(Sex a, Sex q, Sex m)
{
    Sex arg4;
    Sex *sp = stack;
    stackcheck();
    stack = sp + 9;
    w9 = nil;
    w8 = nil;
    w6 = nil;
    w5 = nil;
    w4 = nil;
    w7 = nil;
    w1 = a;
    w2 = q;
    w3 = m;
    q = m;
    a = w2;
    a = Lmax2(a, q);
    q = mkfxat(2);
    a = quot2(a, q);
    w8 = a;
    a = mkfxat(0);
    w9 = a;
    q = w2;
    a = w1;
    a = CC_bi2rTsample(a, q);
    w4 = a;
    q = w3;
    a = w1;
    a = CC_bi2rTsample(a, q);
    w5 = a;
    q = w3;
    a = w2;
    a = Llessp(a, q);
    if(a != nil) goto    G0412;
    q = w3;
    a = w2;
    a = Lequal(a, q);
    if(a == nil) goto    G0410;
    q = car(cdr(car(w5)));
    a = car(cdr(car(w4)));
    a = Llessp(a, q);
    if(a == nil) goto    G0410;
   G0412:
    a = w4;
    w7 = a;
    a = w5;
    w4 = a;
    a = w7;
    w5 = a;
   G0410:
    m = w1;
    q = w5;
    a = w4;
    a = CC_bi2rTquo(a, q, m);
    w6 = a;
    a = Lminus(a);
    arg4 = w1;
    m = w5;
    q = w4;
    a = CC_bi2rTrem(a, q, m, arg4);
    w7 = a;
    a = w5;
    w4 = a;
    a = w7;
    w5 = a;
    q = w8;
    a = car(car(a));
    a = Lgreaterp(a, q);
    if(a != nil) goto    G0410;
#define LL_END LITERAL[13]
    a = LL_END;
    popv(9);
    return a;
}

Sex CC_ALehmer(Sex a, Sex q, Sex m)
{
    Sex arg4, arg5;
    Sex *sp = stack;
    stackcheck();
    stack = sp + 9;
    w9 = nil;
    w8 = nil;
    w6 = nil;
    w5 = nil;
    w4 = nil;
    w7 = nil;
    w1 = a;
    w2 = q;
    w3 = m;
    q = m;
    a = w2;
    a = Lmax2(a, q);
    q = mkfxat(2);
    a = quot2(a, q);
    w8 = a;
    a = mkfxat(1);
    w9 = a;
    q = w2;
    a = w1;
    a = CC_bi2rTsample(a, q);
    w4 = a;
    q = w3;
    a = w1;
    a = CC_bi2rTsample(a, q);
    w5 = a;
    q = w3;
    a = w2;
    a = Llessp(a, q);
    if(a != nil) goto    G0424;
    q = w3;
    a = w2;
    a = Lequal(a, q);
    if(a == nil) goto    G0422;
    q = car(cdr(car(w5)));
    a = car(cdr(car(w4)));
    a = Llessp(a, q);
    if(a == nil) goto    G0422;
   G0424:
    a = w4;
    w7 = a;
    a = w5;
    w4 = a;
    a = w7;
    w5 = a;
   G0422:
    m = w1;
    q = w5;
    a = w4;
    a = CC_bi2rTLehmdiv(a, q, m);
    w6 = a;
    arg5 = car(cdr(car(a)));
    arg4 = car(car(a));
    m = w1;
    q = w5;
    a = w4;
    a = CC_bi2rTremnext(a, q, m, arg4, arg5);
    w7 = a;
    arg5 = car(cdr(cdr(w6)));
    arg4 = car(cdr(w6));
    m = w1;
    q = w5;
    a = w4;
    a = CC_bi2rTremnext(a, q, m, arg4, arg5);
    w5 = a;
    a = w7;
    w4 = a;
    q = w8;
    a = car(car(w5));
    a = Lgreaterp(a, q);
    if(a != nil) goto    G0422;
    a = LL_END;
    popv(9);
    return a;
}

Sex CC_bi2rTquo(Sex a, Sex q, Sex m)
{
    Sex *sp = stack;
    stackcheck();
    stack = sp + 9;
    w8 = nil;
    w7 = nil;
    w6 = nil;
    w1 = a;
    w2 = q;
    w3 = m;
    a = car(car(a));
    w4 = a;
    w9 = a;
    a = car(car(q));
    w5 = a;
    q = a;
    a = w9;
    a = Lequal(a, q);
    if(a == nil) goto    G0432;
    a = w4;
    a = Ladd1(a);
    w6 = a;
    a = car(cdr(car(w1)));
    w4 = a;
    a = car(cdr(car(w2)));
    goto    G0453;
   G0432:
    q = w5;
    a = mkfxat(2);
    a = times2(a, q);
    w9 = a;
    a = w4;
    a = Lminus(a);
    a = Ladd1(a);
    q = a;
    a = w9;
    a = plus2(a, q);
    w6 = a;
    q = mkfxat(0);
    a = Lgreaterp(a, q);
    if(a == nil) goto    G0435;
    q = w6;
    a = w1;
    a = CC_ncdr(a, q);
    q = w3;
    a = CC_bi2rTilis2int(a, q);
    w4 = a;
    q = w6;
    a = w2;
    a = CC_ncdr(a, q);
    q = w3;
    a = CC_bi2rTilis2int(a, q);
    goto    G0453;
   G0435:
    q = w3;
    a = cdr(w1);
    a = CC_bi2rTilis2int(a, q);
    w4 = a;
    q = w3;
    a = cdr(w2);
    a = CC_bi2rTilis2int(a, q);
    goto    G0453;
   G0442:
    q = w5;
    a = w4;
    a = Ldivide(a, q);
    w8 = a;
    a = car(a);
    w7 = a;
    a = cdr(w8);
    w8 = a;
    q = a;
    a = w7;
    a = Lleq(a, q);
    if(a == nil) goto    G0444;
    q = mkfxat(-1);
    a = w5;
    a = plus2(a, q);
    q = a;
    a = w8;
    a = Llessp(a, q);
    if(a != nil) goto    G0454;
   G0444:
    q = mkfxat(-1);
    a = w6;
    a = plus2(a, q);
    w6 = a;
    q = mkfxat(0);
    a = Lleq(a, q);
    if(a != nil) goto    G0454;
    q = w6;
    a = w1;
    a = CC_ncdr(a, q);
    q = w3;
    a = CC_bi2rTilis2int(a, q);
    w4 = a;
    q = w6;
    a = w2;
    a = CC_ncdr(a, q);
    q = w3;
    a = CC_bi2rTilis2int(a, q);
   G0453:
    w5 = a;
    goto    G0442;
   G0454:
    a = w7;
    popv(9);
    return a;
}

Sex CC_bi2rTrem(Sex a, Sex q, Sex m, Sex arg4)
{
    Sex *sp = stack;
    stackcheck();
    stack = sp + 10;
    w10 = nil;
    w8 = nil;
    w7 = nil;
    w6 = nil;
    w5 = nil;
    w9 = nil;
    w1 = a;
    w2 = q;
    w3 = m;
    w4 = arg4;
    a = CHAR_OF(104);
    a = Lncons(a);
    w6 = a;
    w5 = a;
    a = mkfxat(-1);
    w7 = a;
    a = mkfxat(0);
    w8 = a;
    a = cdr(w2);
    w2 = a;
    a = cdr(w3);
    w3 = a;
   G0458:
    a = w3;
    if(a == nil) goto    G0464;
    a = car(a);
    goto    G0465;
   G0464:
    a = mkfxat(0);
   G0465:
    q = a;
    a = w1;
    a = times2(a, q);
    q = w8;
    a = plus2(a, q);
    q = a;
    a = car(w2);
    a = plus2(a, q);
    q = w4;
    a = Ldivide(a, q);
    w10 = a;
    a = car(a);
    w8 = a;
    a = cdr(w10);
    w10 = a;
    a = Lminusp(a);
    if(a == nil) goto    G0470;
    a = w8;
    a = Lsub1(a);
    w8 = a;
    q = w4;
    a = w10;
    a = plus2(a, q);
    w10 = a;
   G0470:
    a = w10;
    a = Lncons(a);
    q = a;
    a = w6;
    cdr(a) = q;
    a = cdr(a);
    w6 = a;
    a = w7;
    a = Ladd1(a);
    w7 = a;
    a = cdr(w3);
    w3 = a;
    a = cdr(w2);
    w2 = a;
    if(a != nil) goto    G0458;
    a = w8;
    a = Lzerop(a);
    if(a != nil) goto    G0476;
    a = w8;
    a = Lncons(a);
    q = a;
    a = w6;
    cdr(a) = q;
    a = cdr(a);
    a = w7;
    a = Ladd1(a);
    w7 = a;
    goto    G0480;
   G0476:
    a = w5;
    a = CC_tail2(a);
    w6 = a;
    a = cdr(a);
    a = car(a);
    w8 = a;
    a = Lzerop(a);
    if(a == nil) goto    G0480;
    q = nil;
    a = w6;
    cdr(a) = q;
    a = w7;
    a = Lsub1(a);
    w7 = a;
    a = cdr(cdr(w5));
    if(a != nil) goto    G0476;
   G0480:
    q = w8;
    a = w7;
    a = Llist2(a, q);
    q = a;
    a = w5;
    car(a) = q;
    a = w5;
    popv(10);
    return a;
}

Sex CC_AtestEuclid(Sex a, Sex q, Sex m, Sex arg4)
{
    Sex *sp = stack;
    stackcheck();
    stack = sp + 11;
    w9 = nil;
    w8 = nil;
    w7 = nil;
    w6 = nil;
    w5 = nil;
    w10 = nil;
    w1 = a;
    a = mkfxat(0);
    w11 = a;
    w2 = q;
    w3 = m;
    w4 = arg4;
    a = w1;
    a = CC_bi2rTsample(a, q);
    w7 = a;
    q = w3;
    a = w1;
    a = CC_bi2rTsample(a, q);
    w8 = a;
    q = w1;
    a = cdr(w7);
    a = CC_bi2rTilis2int(a, q);
    w5 = a;
    q = w1;
    a = cdr(w8);
    a = CC_bi2rTilis2int(a, q);
    w6 = a;
    q = a;
    a = w5;
    a = Llessp(a, q);
    if(a == nil) goto    G0492;
    a = w7;
    w10 = a;
    a = w8;
    w7 = a;
    a = w10;
    w8 = a;
    a = w5;
    w10 = a;
    a = w6;
    w5 = a;
    a = w10;
    w6 = a;
   G0492:
    Lterpri();
    a = LITERAL[14];
    Lprinc(a);
    a = w5;
    Lprint(a);
    Lterpri();
    a = LITERAL[15];
    Lprinc(a);
    a = w6;
    Lprint(a);
   G0490:
    m = w1;
    q = w8;
    a = w7;
    a = CC_bi2rTquo(a, q, m);
    w9 = a;
    a = Lminus(a);
    arg4 = w1;
    m = w8;
    q = w7;
    a = CC_bi2rTrem(a, q, m, arg4);
    w10 = a;
    Lterpri();
    a = LITERAL[16];
    Lprinc(a);
    a = w9;
    Lprin(a);
    a = LITERAL[17];
    Lprinc(a);
    q = w1;
    a = cdr(w10);
    a = CC_bi2rTilis2int(a, q);
    Lprint(a);
    a = w8;
    w7 = a;
    a = w10;
    w8 = a;
    q = w6;
    a = w5;
    a = quot2(a, q);
    w9 = a;
    q = w6;
    a = w5;
    a = remaind2(a, q);
    w10 = a;
    a = LITERAL[18];
    Lprinc(a);
    a = w9;
    Lprin(a);
    a = LITERAL[19];
    Lprinc(a);
    a = w10;
    Lprint(a);
    a = w11;
    a = Ladd1(a);
    w11 = a;
    q = w4;
    a = Lequal(a, q);
    if(a != nil) goto    G0498;
    a = w6;
    w5 = a;
    a = w10;
    w6 = a;
    goto    G0490;
   G0498:
    a = LL_END;
    popv(11);
    return a;
}

Sex CC_WrongTLehmdiv(Sex a, Sex q, Sex m)
{
    Sex *sp = stack;
    stackcheck();
    stack = sp + 15;
    w15 = nil;
    w13 = nil;
    w12 = nil;
    w10 = nil;
    w9 = nil;
    w8 = nil;
    w7 = nil;
    w4 = nil;
    w5 = nil;
    w6 = nil;
    w1 = a;
    a = car(car(a));
    w11 = a;
    a = car(car(q));
    w14 = a;
    w2 = q;
    w3 = m;
    q = a;
    a = w11;
    a = Lequal(a, q);
    if(a == nil) goto    G0506;
    a = w11;
    goto    G0527;
   G0506:
    q = w14;
    a = mkfxat(2);
    a = times2(a, q);
    w15 = a;
    a = w11;
    a = Lminus(a);
    a = Ladd1(a);
    q = a;
    a = w15;
    a = plus2(a, q);
   G0527:
    w4 = a;
    q = mkfxat(1);
    a = w4;
    a = Lgreaterp(a, q);
    if(a == nil) goto    G0512;
    q = w4;
    a = w1;
    a = CC_ncdr(a, q);
    q = w3;
    a = CC_bi2rTilis2int(a, q);
    w5 = a;
    q = w4;
    a = w2;
    a = CC_ncdr(a, q);
    q = w3;
    goto    G0528;
   G0512:
    q = w3;
    a = cdr(w1);
    a = CC_bi2rTilis2int(a, q);
    w5 = a;
    q = w3;
    a = cdr(w2);
   G0528:
    a = CC_bi2rTilis2int(a, q);
    w6 = a;
    a = mkfxat(1);
    w9 = a;
    a = mkfxat(0);
    w10 = a;
    w12 = a;
    a = mkfxat(1);
    w13 = a;
   G0503:
    q = w6;
    a = w5;
    a = Ldivide(a, q);
    w8 = a;
    a = car(a);
    w7 = a;
    a = cdr(w8);
    w8 = a;
    q = w10;
    a = w7;
    a = times2(a, q);
    a = Lminus(a);
    q = a;
    a = w9;
    a = plus2(a, q);
    w11 = a;
    q = w13;
    a = w7;
    a = times2(a, q);
    a = Lminus(a);
    q = a;
    a = w12;
    a = plus2(a, q);
    w14 = a;
    a = LITERAL[20];
    Lprinc(a);
    a = w7;
    Lprin(a);
    a = LITERAL[21];
    Lprinc(a);
    a = w5;
    Lprin(a);
    a = LITERAL[22];
    Lprinc(a);
    a = w6;
    Lprin(a);
    a = LITERAL[23];
    Lprinc(a);
    a = w10;
    Lprin(a);
    a = LITERAL[24];
    Lprinc(a);
    a = w13;
    Lprint(a);
    q = w11;
    a = w14;
    a = diff2(a, q);
    a = Labs(a);
    q = a;
    a = w8;
    a = Llessp(a, q);
    if(a != nil) goto    G0504;
    a = w10;
    w9 = a;
    a = w11;
    w10 = a;
    a = w13;
    w12 = a;
    a = w14;
    w13 = a;
    a = w6;
    w5 = a;
    a = w8;
    w6 = a;
    goto    G0503;
   G0504:
    q = w12;
    a = w9;
    a = Llist2(a, q);
    w15 = a;
    q = w13;
    a = w10;
    a = Llist2(a, q);
    q = w15;
    {
        popv(15);
        return  Lxcons(a, q);
    }
}

Sex CC_bi2rTLehmdiv(Sex a, Sex q, Sex m)
{
    Sex *sp = stack;
    stackcheck();
    stack = sp + 16;
    w16 = nil;
    w11 = nil;
    w5 = nil;
    w4 = nil;
    w6 = nil;
    w8 = nil;
    w9 = nil;
    w10 = nil;
    w13 = nil;
    w14 = nil;
    w15 = nil;
    w1 = a;
    a = car(car(a));
    w7 = a;
    a = car(car(q));
    w12 = a;
    w2 = q;
    w3 = m;
    q = a;
    a = w7;
    a = Lequal(a, q);
    if(a == nil) goto    G0537;
    a = w7;
    goto    G0571;
   G0537:
    q = w12;
    a = mkfxat(2);
    a = times2(a, q);
    w16 = a;
    a = w7;
    a = Lminus(a);
    a = Ladd1(a);
    q = a;
    a = w16;
    a = plus2(a, q);
    goto    G0571;
   G0538:
    q = mkfxat(1);
    a = w4;
    a = Lgreaterp(a, q);
    if(a == nil) goto    G0543;
    q = w4;
    a = w1;
    a = CC_ncdr(a, q);
    q = w3;
    a = CC_bi2rTilis2int(a, q);
    w10 = a;
    q = w4;
    a = w2;
    a = CC_ncdr(a, q);
    q = w3;
    goto    G0572;
   G0543:
    q = w3;
    a = cdr(w1);
    a = CC_bi2rTilis2int(a, q);
    w10 = a;
    q = w3;
    a = cdr(w2);
   G0572:
    a = CC_bi2rTilis2int(a, q);
    w6 = a;
    a = w10;
    a = Ladd1(a);
    w5 = a;
    q = w6;
    a = Ldivide(a, q);
    w7 = a;
    a = w6;
    a = Ladd1(a);
    w11 = a;
    q = a;
    a = w10;
    a = Ldivide(a, q);
    w12 = a;
    q = car(a);
    a = car(w7);
    a = Lequal(a, q);
    if(a != nil) goto    G0550;
    q = mkfxat(1);
    a = w4;
    a = Lgreaterp(a, q);
    if(a == nil) goto    G0549;
    q = mkfxat(-1);
    a = w4;
    a = plus2(a, q);
   G0571:
    w4 = a;
    goto    G0538;
   G0549:
    q = mkfxat(1);
    a = mkfxat(0);
    a = Llist2(a, q);
    w16 = a;
    q = w6;
    a = w10;
    a = quot2(a, q);
    a = Lminus(a);
    q = a;
    a = mkfxat(1);
    goto    G0573;
   G0550:
    a = w6;
    w5 = a;
    a = cdr(w7);
    w6 = a;
    a = w11;
    w10 = a;
    a = cdr(w12);
    w11 = a;
    a = mkfxat(0);
    w8 = a;
    a = mkfxat(1);
    w9 = a;
    w13 = a;
    a = car(w7);
    a = Lminus(a);
    w14 = a;
   G0534:
    q = w6;
    a = w5;
    a = Ldivide(a, q);
    w7 = a;
    q = w11;
    a = w10;
    a = Ldivide(a, q);
    w12 = a;
    q = car(a);
    a = car(w7);
    a = Lequal(a, q);
    if(a == nil) goto    G0535;
    q = w14;
    a = car(w7);
    a = times2(a, q);
    a = Lminus(a);
    q = a;
    a = w9;
    a = plus2(a, q);
    w15 = a;
    a = Labs(a);
    w16 = a;
    q = cdr(w12);
    a = cdr(w7);
    a = Lmin2(a, q);
    q = a;
    a = w16;
    a = Lgreaterp(a, q);
    if(a != nil) goto    G0535;
    a = w14;
    w9 = a;
    a = w15;
    w14 = a;
    q = w13;
    a = car(w12);
    a = times2(a, q);
    a = Lminus(a);
    q = a;
    a = w8;
    a = plus2(a, q);
    w15 = a;
    a = w13;
    w8 = a;
    a = w15;
    w13 = a;
    a = w6;
    w5 = a;
    a = cdr(w7);
    w6 = a;
    a = w11;
    w10 = a;
    a = cdr(w12);
    w11 = a;
    goto    G0534;
   G0535:
    q = w9;
    a = w8;
    a = Llist2(a, q);
    w16 = a;
    q = w14;
    a = w13;
   G0573:
    a = Llist2(a, q);
    q = w16;
    {
        popv(16);
        return  Lxcons(a, q);
    }
}

Sex CC_AtestLehmer(Sex a, Sex q)
{
    Sex *sp = stack;
    stackcheck();
    stack = sp + 12;
    w12 = nil;
    w11 = nil;
    w10 = nil;
    w9 = nil;
    w8 = nil;
    w7 = nil;
    w6 = nil;
    w5 = nil;
    w4 = nil;
    w3 = nil;
    w1 = a;
    w2 = q;
    a = Ladd1(a);
    w3 = a;
    a = w2;
    w4 = a;
    a = w1;
    w8 = a;
    a = w2;
    a = Ladd1(a);
    w9 = a;
   G0577:
    q = w4;
    a = w3;
    a = Ldivide(a, q);
    w7 = a;
    q = w9;
    a = w8;
    a = Ldivide(a, q);
    w12 = a;
    a = car(w7);
    w5 = a;
    a = cdr(w7);
    w6 = a;
    a = car(w12);
    w10 = a;
    a = cdr(w12);
    w11 = a;
    Lterpri();
    a = LITERAL[25];
    Lprinc(a);
    a = w5;
    Lprin(a);
    a = LITERAL[26];
    Lprinc(a);
    a = w3;
    Lprin(a);
    a = LITERAL[27];
    Lprinc(a);
    a = w4;
    Lprin(a);
    Lterpri();
    a = LITERAL[28];
    Lprinc(a);
    a = w10;
    Lprin(a);
    a = LITERAL[29];
    Lprinc(a);
    a = w8;
    Lprin(a);
    a = LITERAL[30];
    Lprinc(a);
    a = w9;
    Lprint(a);
    a = w6;
    a = Lzerop(a);
    if(a != nil) goto    G0580;
    a = w11;
    a = Lzerop(a);
    if(a != nil) goto    G0580;
    a = w4;
    w3 = a;
    a = w6;
    w4 = a;
    a = w9;
    w8 = a;
    a = w11;
    w9 = a;
    goto    G0577;
   G0580:
    a = LL_END;
    popv(12);
    return a;
}

Sex CC_bi2rTremnext(Sex a, Sex q, Sex m, Sex arg4, Sex arg5)
{
    Sex *sp = stack;
    stackcheck();
    stack = sp + 12;
    w12 = nil;
    w11 = nil;
    w9 = nil;
    w8 = nil;
    w7 = nil;
    w6 = nil;
    w10 = nil;
    w1 = a;
    w2 = q;
    w3 = m;
    w4 = arg4;
    w5 = arg5;
    a = CHAR_OF(104);
    a = Lncons(a);
    w7 = a;
    w6 = a;
    a = mkfxat(-1);
    w8 = a;
    a = mkfxat(0);
    w9 = a;
    a = cdr(w1);
    w1 = a;
    a = cdr(w2);
    w2 = a;
   G0584:
    a = w2;
    if(a == nil) goto    G0590;
    a = car(a);
    goto    G0591;
   G0590:
    a = mkfxat(0);
   G0591:
    w11 = a;
    q = car(w1);
    a = w4;
    a = times2(a, q);
    w12 = a;
    q = w11;
    a = w5;
    a = times2(a, q);
    q = w9;
    a = plus2(a, q);
    q = a;
    a = w12;
    a = plus2(a, q);
    q = w3;
    a = Ldivide(a, q);
    w11 = a;
    a = car(a);
    w9 = a;
    a = cdr(w11);
    w11 = a;
    a = Lminusp(a);
    if(a == nil) goto    G0597;
    a = w9;
    a = Lsub1(a);
    w9 = a;
    q = w3;
    a = w11;
    a = plus2(a, q);
    w11 = a;
   G0597:
    a = w11;
    a = Lncons(a);
    q = a;
    a = w7;
    cdr(a) = q;
    a = cdr(a);
    w7 = a;
    a = w8;
    a = Ladd1(a);
    w8 = a;
    a = cdr(w2);
    w2 = a;
    a = cdr(w1);
    w1 = a;
    if(a != nil) goto    G0584;
    a = w9;
    a = Lzerop(a);
    if(a != nil) goto    G0603;
    a = w9;
    a = Lncons(a);
    q = a;
    a = w7;
    cdr(a) = q;
    a = cdr(a);
    a = w8;
    a = Ladd1(a);
    w8 = a;
    goto    G0607;
   G0603:
    a = w6;
    a = CC_tail2(a);
    w7 = a;
    a = cdr(a);
    a = car(a);
    w9 = a;
    a = Lzerop(a);
    if(a == nil) goto    G0607;
    q = nil;
    a = w7;
    cdr(a) = q;
    a = w8;
    a = Lsub1(a);
    w8 = a;
    a = cdr(cdr(w6));
    if(a != nil) goto    G0603;
   G0607:
    q = w9;
    a = w8;
    a = Llist2(a, q);
    q = a;
    a = w6;
    car(a) = q;
    a = w6;
    popv(12);
    return a;
}

Sex CC_bi2rTilis2int(Sex a, Sex q)
{
    Sex *sp = stack;
    stackcheck();
    stack = sp + 5;
    w5 = nil;
    w4 = nil;
    w3 = nil;
    w2 = nil;
    w1 = a;
    a = cdr(a);
    if(a != nil) goto    G0617;
    a = car(w1);
    goto    G0618;
   G0617:
    w3 = nil;
    w4 = nil;
    w5 = nil;
    a = mkfxat(1);
    w4 = a;
    a = car(w1);
    w3 = a;
    a = cdr(w1);
    w5 = a;
    w2 = q;
   G0620:
    q = w2;
    a = w4;
    a = times2(a, q);
    w4 = a;
    q = a;
    a = car(w5);
    a = times2(a, q);
    q = a;
    a = w3;
    a = plus2(a, q);
    w3 = a;
    a = cdr(w5);
    w5 = a;
    if(a != nil) goto    G0620;
    a = w3;
   G0618:
    popv(5);
    return a;
}

Sex CC_bi2rTint2ilis(Sex a, Sex q)
{
    Sex *sp = stack;
    stackcheck();
    stack = sp + 5;
    w5 = nil;
    w4 = nil;
    w3 = nil;
    w1 = a;
    w2 = q;
    a = CHAR_OF(104);
    a = Lncons(a);
    w4 = a;
    w3 = a;
   G0627:
    q = w2;
    a = w1;
    a = Ldivide(a, q);
    w5 = a;
    a = cdr(a);
    a = Lncons(a);
    q = a;
    a = w4;
    cdr(a) = q;
    a = cdr(a);
    w4 = a;
    a = car(w5);
    w1 = a;
    q = w2;
    a = Lgeq(a, q);
    if(a != nil) goto    G0627;
    a = w1;
    a = Lzerop(a);
    if(a != nil) goto    G0634;
    a = w1;
    a = Lncons(a);
    q = a;
    a = w4;
    cdr(a) = q;
    a = cdr(a);
   G0634:
    a = cdr(w3);
    popv(5);
    return a;
}

Sex CC_Atestrandom(Sex a)
{
    Sex q, m;
    Sex *sp = stack;
    stackcheck();
    stack = sp + 10;
    w10 = nil;
    w9 = nil;
    w8 = nil;
    w7 = nil;
    w6 = nil;
    w4 = nil;
    w2 = nil;
    w3 = nil;
    w5 = nil;
    w1 = a;
    a = mkfxat(100);
    a = Lmkvect(a);
    w4 = a;
    a = mkfxat(0);
    w6 = a;
    w7 = a;
    a = mkfxat(100);
    w8 = a;
    a = mkfxat(1);
    w9 = a;
    m = a;
    q = w8;
    a = w7;
    CC_Wchkfor(a, q, m);
   G0648:
    m = mkfxat(0);
    q = w7;
    a = w4;
    a = Lputv(a, q, m);
    w10 = a;
    q = w9;
    a = w7;
    a = plus2(a, q);
    w7 = a;
    m = w9;
    q = w8;
    a = CC_Wendfor(a, q, m);
    if(a == nil) goto    G0648;
    a = mkfxat(5678234);
    w2 = a;
    w3 = a;
   G0645:
    a = w3;
    a = CC_ArandomB24(a);
    w3 = a;
    a = Lfloat(a);
    q = mkfxat(16777216);
    a = quot2(a, q);
    q = a;
    a = mkfxat(100);
    a = times2(a, q);
    a = Ltruncate(a);
    w5 = a;
    q = w2;
    a = w3;
    a = Lequal(a, q);
    if(a == nil) goto    G0655;
    Lterpri();
    a = LITERAL[31];
    Lprinc(a);
    a = w6;
    Lprint(a);
#define LL_INADEQUATE LITERAL[32]
    a = LL_INADEQUATE;
    goto    G0644;
   G0655:
    q = w5;
    a = w4;
    a = Lgetv(a, q);
    a = Ladd1(a);
    m = a;
    q = w5;
    a = w4;
    Lputv(a, q, m);
    a = w6;
    a = Ladd1(a);
    w6 = a;
    q = w1;
    a = Llessp(a, q);
    if(a != nil) goto    G0645;
    a = w4;
   G0644:
    popv(10);
    return a;
}

Sex CC_bi2rTsample(Sex a, Sex q)
{
    Sex *sp = stack;
    stackcheck();
    stack = sp + 5;
    w5 = nil;
    w4 = nil;
    w3 = nil;
    w1 = a;
    w2 = q;
#define LL_Hrandom LITERAL[33]
    a = value(LL_Hrandom);
    if(a != nil) goto    G0668;
    q = mkfxat(24);
    a = mkfxat(2);
    a = Lexpt(a, q);
    q = a;
    a = w1;
    a = Lequal(a, q);
    if(a == nil) goto    G0670;
    a = mkfxat(5480237);
    goto    G0692;
   G0670:
    q = mkfxat(8);
    a = mkfxat(10);
    a = Lexpt(a, q);
    q = a;
    a = w1;
    a = Lequal(a, q);
    if(a == nil) goto    G0672;
    a = mkfxat(3864973);
   G0692:
    value(LL_Hrandom) = a;
    goto    G0668;
   G0672:
    q = nil;
    a = LITERAL[34];
    CC_errormsg(a, q);
   G0668:
    q = nil;
    a = w2;
    a = Llist2(a, q);
    a = Lncons(a);
    w4 = a;
    w3 = a;
    a = value(LL_Hrandom);
    w5 = a;
    q = mkfxat(24);
    a = mkfxat(2);
    a = Lexpt(a, q);
    q = a;
    a = w1;
    a = Lequal(a, q);
    if(a != nil) goto    G0681;
    q = mkfxat(8);
    a = mkfxat(10);
    a = Lexpt(a, q);
    q = a;
    a = w1;
    a = Lequal(a, q);
    if(a != nil) goto    G0665;
    q = nil;
    a = LITERAL[35];
    CC_errormsg(a, q);
   G0681:
    a = w5;
    a = CC_ArandomB24(a);
    w5 = a;
    a = Lncons(a);
    q = a;
    a = w4;
    cdr(a) = q;
    a = cdr(a);
    w4 = a;
    a = w2;
    a = Lsub1(a);
    w2 = a;
    q = mkfxat(0);
    a = Lgeq(a, q);
    if(a == nil) goto    G0690;
    goto    G0681;
   G0665:
    a = w5;
    a = CC_ArandomD8(a);
    w5 = a;
    a = Lncons(a);
    q = a;
    a = w4;
    cdr(a) = q;
    a = cdr(a);
    w4 = a;
    a = w2;
    a = Lsub1(a);
    w2 = a;
    q = mkfxat(0);
    a = Lgeq(a, q);
    if(a != nil) goto    G0665;
   G0690:
    q = w5;
    a = cdr(car(w3));
    car(a) = q;
    a = w5;
    value(LL_Hrandom) = a;
    a = w3;
    popv(5);
    return a;
}



/* initialization procedure */
int init_bi2r(void)
{
   long i;

   create_symbols(bi2r_g_setup);
   literal_vectors[number_of_literal_vectors++] =
               LITERAL;
   for(i = 0; bi2r_literal_string[i] != NULL; i++)
           LITERAL[i]
               = make_literal(bi2r_literal_string[i]);
   LITERAL[i] = (Sex)NULL;

    {
        Sex a;
        a = LITERAL[36];
        CC_Aenter(a);
        a = LITERAL[37];
        a = Lglobal(a);
        return 1;
    }
}
Sex LITERAL[39];

const  char *bi2r_literal_string[39] =
{
/* 0 */
"\"  BND = \"",
/* 1 */
"bi2r!:divconq",
/* 2 */
"!*backtrace",
/* 3 */
"\"Numer: V = \"",
/* 4 */
"\"Denom: D = \"",
/* 5 */
"\"       C = \"",
/* 6 */
"\"Successfully END\"",
/* 7 */
"\"Negative Element in Step\"",
/* 8 */
"\"error found\"",
/* 9 */
"\"Element too small: error by Step3\"",
/* 10 */
"\"Negative Element in ADJUST\"",
/* 11 */
"\"error at ADJUST-CHKU\"",
/* 12 */
"\"error at ADJUST-CHKV\"",
/* 13 */
"END",
/* 14 */
"\"    U = \"",
/* 15 */
"\"    V = \"",
/* 16 */
"\" q = \"",
/* 17 */
"\"    r = \"",
/* 18 */
"\" Q = \"",
/* 19 */
"\"    R = \"",
/* 20 */
"\"Q = \"",
/* 21 */
"\"   S = \"",
/* 22 */
"\"   T = \"",
/* 23 */
"\"   C2 = \"",
/* 24 */
"\"   D2 = \"",
/* 25 */
"\"Q1 = \"",
/* 26 */
"\"   U1 = \"",
/* 27 */
"\"   V1 = \"",
/* 28 */
"\"Q2 = \"",
/* 29 */
"\"   U2 = \"",
/* 30 */
"\"   V2 = \"",
/* 31 */
"\"random = R0 at KOUNT = \"",
/* 32 */
"INADEQUATE",
/* 33 */
"!*random",
/* 34 */
"\"invalid BASE in RANDOM\"",
/* 35 */
"\"invalid BASE in BI2R:SAMPLE\"",
/* 36 */
"(lisp)",
/* 37 */
"(!*random)",
/* 38 */ NULL
};
setup_type const bi2r_g_setup[] =
{
    {"bi2r:sample", (lisp_proc *)CC_bi2rTsample, 2},
    {" testrandom", (lisp_proc *)CC_Atestrandom, 1},
    {"bi2r:int2ilis", (lisp_proc *)CC_bi2rTint2ilis, 2},
    {"bi2r:ilis2int", (lisp_proc *)CC_bi2rTilis2int, 2},
    {"bi2r:remnext", (lisp_proc *)CC_bi2rTremnext, 5},
    {" testLehmer", (lisp_proc *)CC_AtestLehmer, 2},
    {"bi2r:Lehmdiv", (lisp_proc *)CC_bi2rTLehmdiv, 3},
    {"Wrong:Lehmdiv", (lisp_proc *)CC_WrongTLehmdiv, 3},
    {" testEuclid", (lisp_proc *)CC_AtestEuclid, 4},
    {"bi2r:rem", (lisp_proc *)CC_bi2rTrem, 4},
    {"bi2r:quo", (lisp_proc *)CC_bi2rTquo, 3},
    {" Lehmer", (lisp_proc *)CC_ALehmer, 3},
    {" Euclid", (lisp_proc *)CC_AEuclid, 3},
    {"bi2r:del0", (lisp_proc *)CC_bi2rTdel0, 1},
    {"bi2r:dqcomb", (lisp_proc *)CC_bi2rTdqcomb, 6},
    {"bi2r:int2birep", (lisp_proc *)CC_bi2rTint2birep, 2},
    {"bi2r:adjust", (lisp_proc *)CC_bi2rTadjust, 8},
    {"Bad:dqdiv1", (lisp_proc *)CC_BadTdqdiv1, 3},
    {"Bad:dqdiv2", (lisp_proc *)CC_BadTdqdiv2, 4},
    {"bi2r:dqdiv", (lisp_proc *)CC_bi2rTdqdiv, 4},
    {"bi2r:divconq", (lisp_proc *)CC_bi2rTdivconq, 5},
    {" extLehmer", (lisp_proc *)CC_AextLehmer, 3},
    {" extEuclid", (lisp_proc *)CC_AextEuclid, 3},
    {" DivConq", (lisp_proc *)CC_ADivConq, 3},
    {NULL, NULL, 0 }
};

