#include <stdlib.h>
#include <stdarg.h>
#include <string.h>
#include <ctype.h>
#include "config.h"
#include "tags.h"
#include "errors.h"
#include "externs.h"
#include "arith.h"
#include "macros.h"
#include "entries.h"
#include "gprotos.h"
#include "g_bsdefn.h"

extern Sex *literal_vectors[];
extern int number_of_literal_vectors;
Sex bsdefn_literal_vector[];
const char *bsdefn_literal_string[];
setup_type const  bsdefn_g_setup[];
#define LITERAL bsdefn_literal_vector




Sex CC_defcommand(Sex a, Sex q, Sex m, Sex arg4)
{
    Sex *sp = stack;
    stackcheck();
    stack = sp + 6;
    w5 = nil;
    w6 = nil;
    w1 = a;
    w2 = q;
    w3 = m;
    w4 = arg4;
    if(!is_symbol(a)) goto    G0007;
    a = Lexplode(a);
    w6 = a;
    a = car(a);
    a = Lliter(a);
    if(a != nil) goto    G0009;
    a = w1;
    goto    G0010;
   G0007:
    w6 = a;
    goto    G0004;
   G0009:
    q = w6;
#define LL_RblankS LITERAL[0]
    a = value(LL_RblankS);
    a = cons(a, q);
    a = Lmake_id(a);
   G0010:
    w5 = a;
    a = w2;
    w6 = a;
    if(a != nil) goto    G0017;
    a = w5;
    w2 = a;
    goto    G0018;
   G0017:
    if(!is_symbol(a)) goto    G0004;
   G0018:
    a = w3;
#define LL_command LITERAL[1]
    if(a != LL_command) goto    G0020;
    w3 = nil;
   G0020:
#define LL_BgcmndB LITERAL[2]
    q = LL_BgcmndB;
    a = w5;
    a = Lget(a, q);
    if(a != nil) goto    G0069;
#define LL_Bgid LITERAL[3]
    q = LL_Bgid;
    a = w2;
    a = Lget(a, q);
    if(a == nil) goto    G0023;
    q = w2;
    a = LITERAL[4];
    CC_printmsg(a, q);
   G0023:
    a = w3;
    w6 = a;
    q = LITERAL[5];
    a = Lmemq(a, q);
    if(a == nil) goto    G0004;
    a = w4;
    w6 = a;
    if(a == nil) goto    G0068;
    if(is_symbol(a)) goto    G0033;
    if(!is_integer(a)) goto    G0004;
    q = mkfxat(0);
    a = Lgreaterp(a, q);
    if(a == nil) goto    G0004;
    a = w3;
#define LL_argchk LITERAL[6]
    if(a != LL_argchk) goto    G0004;
    goto    G0042;
   G0033:
    q = LITERAL[7];
    a = Lmemq(a, q);
    if(a == nil) goto    G0038;
    q = LITERAL[8];
    goto    G0067;
   G0038:
    q = LITERAL[9];
    a = w6;
    a = Lmemq(a, q);
    if(a == nil) goto    G0042;
    q = LITERAL[10];
   G0067:
    a = w3;
    a = Lmemq(a, q);
    if(a == nil) goto    G0004;
   G0042:
    q = LITERAL[10];
    a = w3;
    a = Lmemq(a, q);
    if(a == nil) goto    G0047;
    q = LL_Bgid;
    a = w2;
    a = Lget(a, q);
    if(a != nil) goto    G0047;
#define LL_pfunc LITERAL[11]
    q = LL_pfunc;
    a = w2;
    CC_internTid(a, q);
   G0047:
    a = w4;
    if(is_integer(a)) goto    G0056;
    a = w3;
    if(a != nil) goto    G0051;
    a = w4;
#define LL_narg LITERAL[12]
    if(a != LL_narg) goto    G0053;
#define LL_Bnarg LITERAL[13]
    a = LL_Bnarg;
    goto    G0056;
   G0053:
    a = w2;
    a = Lncons(a);
    goto    G0056;
   G0051:
#define LL_uneval LITERAL[14]
    if(a != LL_uneval) goto    G0055;
#define LL_Bunevl LITERAL[15]
    a = LL_Bunevl;
    goto    G0056;
   G0055:
#define LL_Bpfunc LITERAL[16]
    a = LL_Bpfunc;
   G0056:
    w6 = a;
    if(is_cons(a)) goto    G0058;
    q = w5;
    a = w2;
    a = Lneq(a, q);
    if(a == nil) goto    G0058;
    q = w6;
    a = w2;
    a = cons(a, q);
    w6 = a;
   G0058:
    m = w6;
    q = LL_BgcmndB;
    a = w5;
    Lput(a, q, m);
    q = LITERAL[10];
    a = w3;
    a = Lmemq(a, q);
    if(a == nil) goto    G0061;
    a = w4;
    if(a == nil) goto    G0061;
    a = w3;
    if(a != LL_pfunc) goto    G0064;
    a = w4;
    goto    G0065;
   G0064:
    a = w4;
    a = Lncons(a);
   G0065:
    m = a;
#define LL_Bargclass LITERAL[17]
    q = LL_Bargclass;
    a = w2;
    Lput(a, q, m);
   G0061:
    a = LITERAL[18];
    goto    G0001;
   G0069:
    a = LITERAL[19];
    w6 = a;
    q = w1;
    a = w6;
    CC_printmsg(a, q);
    goto    G0005;
   G0068:
    a = w3;
    if(a != LL_argchk) goto    G0042;
   G0004:
    q = w6;
    a = LITERAL[20];
    CC_printmsg(a, q);
   G0005:
    q = nil;
    a = LITERAL[21];
    CC_errormsg(a, q);
    a = nil;
   G0001:
    popv(6);
    return a;
}

Sex CC_genprogram(Sex a, Sex q, Sex m, Sex arg4, Sex arg5)
{
    Sex *sp = stack;
    stackcheck();
    stack = sp + 15;
    w15 = nil;
    w6 = nil;
    w7 = nil;
    w8 = nil;
    w9 = nil;
    w10 = nil;
    w11 = nil;
    w12 = nil;
    w13 = nil;
    w14 = nil;
    w1 = a;
    w2 = q;
    w3 = m;
    w4 = arg4;
    w5 = arg5;
    if(!is_symbol(a)) goto    G0190;
    if(is_symbol(q)) goto    G0089;
    a = q;
    goto    G0190;
   G0089:
    q = LITERAL[22];
    a = m;
    a = Lmemq(a, q);
    if(a != nil) goto    G0091;
    a = w3;
    goto    G0190;
   G0091:
    q = LITERAL[23];
    a = w4;
    a = Lmemq(a, q);
    if(a == nil) goto    G0195;
    q = LL_Bgid;
    a = w1;
    a = Lget(a, q);
    if(a == nil) goto    G0074;
    q = w1;
    a = LITERAL[24];
    CC_printmsg(a, q);
    goto    G0074;
   G0195:
    a = w4;
   G0190:
    w14 = a;
    q = w14;
    a = LITERAL[25];
    CC_errormsg(a, q);
   G0074:
    a = w3;
#define LL_argn LITERAL[26]
    if(a != LL_argn) goto    G0097;
#define LL_expndQargn LITERAL[27]
    a = LL_expndQargn;
    goto    G0100;
   G0097:
#define LL_argxn LITERAL[28]
    if(a != LL_argxn) goto    G0098;
#define LL_expndQargxn LITERAL[29]
    a = LL_expndQargxn;
    goto    G0100;
   G0098:
#define LL_argx2n LITERAL[30]
    if(a != LL_argx2n) goto    G0099;
#define LL_expndQargx2n LITERAL[31]
    a = LL_expndQargx2n;
    goto    G0100;
   G0099:
    a = nil;
   G0100:
    w7 = a;
    a = w2;
    if(a == nil) goto    G0102;
    a = Lexplode(a);
    w14 = a;
    w10 = a;
    goto    G0109;
   G0102:
    a = w1;
    a = Lexplode(a);
    goto    G0191;
   G0103:
    a = car(w10);
    a = Lliter(a);
    if(a != nil) goto    G0105;
    a = cdr(w14);
   G0191:
    w14 = a;
    w10 = a;
    goto    G0103;
   G0105:
    a = car(cdr(w14));
    a = Lliter(a);
    if(a != nil) goto    G0107;
    a = car(cdr(w14));
    a = Ldigitp(a);
    if(a != nil) goto    G0107;
    q = nil;
    a = w14;
    cdr(a) = q;
    goto    G0109;
   G0107:
    a = cdr(w14);
    w14 = a;
    a = cdr(a);
    if(a != nil) goto    G0105;
   G0109:
    a = w3;
#define LL_arg1 LITERAL[32]
    if(a != LL_arg1) goto    G0112;
#define LL_fcallx LITERAL[33]
    a = LL_fcallx;
    goto    G0111;
   G0112:
#define LL_arg2 LITERAL[34]
    if(a != LL_arg2) goto    G0113;
    a = w5;
    if(a != nil) goto    G0120;
#define LL_gexp LITERAL[35]
    q = LL_gexp;
    a = w4;
    a = Lneq(a, q);
    if(a == nil) goto    G0120;
    goto    G0121;
   G0113:
    if(a != LL_argn) goto    G0118;
    a = w5;
    if(a != nil) goto    G0120;
    q = LL_gexp;
    a = w4;
    a = Lneq(a, q);
    if(a == nil) goto    G0120;
   G0121:
#define LL_fcallxy LITERAL[36]
    a = LL_fcallxy;
    goto    G0111;
   G0120:
#define LL_fcallxx LITERAL[37]
    a = LL_fcallxx;
    goto    G0111;
   G0118:
#define LL_argxy1 LITERAL[38]
    if(a != LL_argxy1) goto    G0123;
#define LL_fcallxy1 LITERAL[39]
    a = LL_fcallxy1;
    goto    G0111;
   G0123:
#define LL_argx1 LITERAL[40]
    if(a == LL_argx1) goto    G0125;
    if(a != LL_argxn) goto    G0124;
   G0125:
#define LL_fcallx1 LITERAL[41]
    a = LL_fcallx1;
    goto    G0111;
   G0124:
#define LL_argx2 LITERAL[42]
    if(a == LL_argx2) goto    G0127;
    if(a != LL_argx2n) goto    G0126;
   G0127:
#define LL_fcallx2 LITERAL[43]
    a = LL_fcallx2;
    goto    G0111;
   G0126:
    a = nil;
   G0111:
    a = Lexplode(a);
    w15 = a;
    a = w4;
    a = Lexplode(a);
#define LL_RcolonS LITERAL[44]
    q = value(LL_RcolonS);
    a = Lxcons(a, q);
    q = a;
    a = w15;
    a = Lappend(a, q);
    a = Lmake_id(a);
    w8 = a;
    a = w4;
    if(a != LL_gexp) goto    G0132;
    a = LITERAL[45];
    goto    G0131;
   G0132:
#define LL_rexp LITERAL[46]
    if(a != LL_rexp) goto    G0133;
    a = LITERAL[47];
    goto    G0131;
   G0133:
#define LL_form LITERAL[48]
    if(a != LL_form) goto    G0134;
    a = LITERAL[49];
    goto    G0131;
   G0134:
#define LL_pref LITERAL[50]
    if(a != LL_pref) goto    G0135;
    a = LITERAL[51];
    goto    G0131;
   G0135:
#define LL_cano LITERAL[52]
    if(a != LL_cano) goto    G0136;
    a = LITERAL[53];
    goto    G0131;
   G0136:
    a = nil;
   G0131:
    a = Lcopy(a);
    w14 = a;
    w11 = a;
    w9 = a;
    a = w10;
    a = CC_tail(a);
    w15 = a;
    a = value(LL_RcolonS);
    a = Lncons(a);
    q = a;
    a = w15;
    cdr(a) = q;
    a = cdr(a);
    a = w3;
    if(a == LL_arg2) goto    G0142;
    if(a == LL_argn) goto    G0142;
    if(a == LL_argxy1) goto    G0080;
   G0147:
    q = car(w11);
    a = w10;
    a = Lappend(a, q);
    a = Lmake_id(a);
    w14 = a;
    q = a;
    a = w11;
    car(a) = q;
    a = cdr(w11);
    w11 = a;
    if(a == nil) goto    G0165;
    goto    G0147;
   G0080:
    q = car(w11);
    a = q;
    a = Lappend(a, q);
    q = a;
    a = w10;
    a = Lappend(a, q);
    a = Lmake_id(a);
    w14 = a;
    q = a;
    a = w11;
    car(a) = q;
    a = cdr(w11);
    w11 = a;
    if(a == nil) goto    G0165;
    goto    G0080;
   G0142:
    a = w5;
    if(a != nil) goto    G0080;
    a = w4;
    if(a == LL_gexp) goto    G0080;
    a = w14;
    a = Lcopy(a);
    w13 = a;
   G0081:
    a = w13;
    w12 = a;
    w14 = nil;
   G0082:
    q = car(w12);
    a = car(w11);
    a = Lappend(a, q);
    q = a;
    a = w10;
    a = Lappend(a, q);
    a = Lmake_id(a);
    q = w14;
    a = cons(a, q);
    w14 = a;
    a = cdr(w12);
    w12 = a;
    if(a != nil) goto    G0082;
    a = w14;
    a = Lreverse(a);
    q = a;
    a = w11;
    car(a) = q;
    a = cdr(w11);
    w11 = a;
    if(a != nil) goto    G0081;
    a = w4;
    if(a != LL_cano) goto    G0164;
    a = cdr(w9);
    w11 = a;
    a = cdr(car(a));
    w14 = a;
    q = a;
    a = w11;
    car(a) = q;
    a = cdr(w11);
    w11 = a;
    a = cdr(cdr(car(a)));
    w14 = a;
    q = a;
    a = w11;
    car(a) = q;
    a = cdr(w11);
    w11 = a;
    a = Lcdddar(a);
    goto    G0194;
   G0164:
    if(a != LL_rexp) goto    G0165;
    a = cdr(w9);
    w11 = a;
    a = cdr(car(a));
    w14 = a;
    q = a;
    a = w11;
    car(a) = q;
    a = cdr(w11);
    w11 = a;
    a = cdr(cdr(car(a)));
    w14 = a;
    q = a;
    a = w11;
    car(a) = q;
    a = cdr(w11);
    w11 = a;
    a = cdr(cdr(car(a)));
   G0194:
    w14 = a;
    q = a;
    a = w11;
    car(a) = q;
   G0165:
#define LL_Qnomessage LITERAL[54]
    a = value(LL_Qnomessage);
    if(a != nil) goto    G0167;
    Lterpri();
    q = w1;
    a = LITERAL[55];
    CC_printmsg(a, q);
    a = car(w9);
    if(!is_cons(a)) goto    G0171;
    a = w9;
    goto    G0172;
   G0171:
    a = w9;
    a = Lncons(a);
   G0172:
    w14 = a;
    Lterpri();
   G0169:
    a = car(w14);
    Lprint(a);
    a = cdr(w14);
    w14 = a;
    if(a != nil) goto    G0169;
    Lterpri();
   G0167:
    a = w3;
    if(a != LL_arg1) goto    G0176;
    a = LITERAL[56];
    goto    G0181;
   G0176:
    if(a != LL_arg2) goto    G0177;
    a = LITERAL[57];
    goto    G0181;
   G0177:
    if(a != LL_argx1) goto    G0178;
    a = LITERAL[58];
    goto    G0181;
   G0178:
    if(a == LL_argx2) goto    G0180;
    if(a != LL_argxy1) goto    G0179;
   G0180:
    a = LITERAL[59];
    goto    G0181;
   G0179:
    a = LITERAL[60];
   G0181:
    w6 = a;
    a = car(a);
#define LL_de LITERAL[61]
    if(a != LL_de) goto    G0183;
#define LL_RdefunS LITERAL[62]
    a = value(LL_RdefunS);
    goto    G0184;
   G0183:
#define LL_RmacroS LITERAL[63]
    a = value(LL_RmacroS);
   G0184:
    q = a;
    a = w6;
    car(a) = q;
    a = w7;
    if(a == nil) goto    G0187;
    m = w6;
#define LL_Qefn LITERAL[64]
    q = LL_Qefn;
    a = Lsubst(a, q, m);
    w6 = a;
   G0187:
    m = w6;
#define LL_Qfn LITERAL[65]
    q = LL_Qfn;
    a = w1;
    a = Lsubst(a, q, m);
    m = a;
#define LL_Qcfn LITERAL[66]
    q = LL_Qcfn;
    a = w8;
    a = Lsubst(a, q, m);
    w6 = a;
    m = nil;
    q = mkfxat(5);
    Lerrorset(a, q, m);
    m = w9;
#define LL_Bfuncs LITERAL[67]
    q = LL_Bfuncs;
    a = w1;
    Lput(a, q, m);
    a = LITERAL[68];
    popv(15);
    return a;
}

Sex CC_defparam(Sex a, Sex q, Sex m)
{
    Sex *sp = stack;
    stackcheck();
    stack = sp + 3;
    w1 = a;
    w2 = q;
    w3 = m;
    a = Lglobalp(a);
    if(a != nil) goto    G0200;
    a = w2;
    a = Lglobalp(a);
    if(a == nil) goto    G0199;
   G0200:
    a = w1;
    a = Lglobalp(a);
    if(a != nil) goto    G0202;
    a = w2;
    w1 = a;
   G0202:
    q = w1;
    a = LITERAL[69];
    CC_printmsg(a, q);
    q = nil;
    a = LITERAL[70];
    goto    G0209;
   G0199:
    a = w3;
    if(is_cons(a)) goto    G0205;
    if(a == nil) goto    G0203;
    a = Lgetd(a);
    if(a != nil) goto    G0203;
   G0205:
    q = w3;
    a = LITERAL[71];
   G0209:
    {
        popv(3);
        return  CC_errormsg(a, q);
    }
   G0203:
    q = w2;
    a = w1;
    a = Llist2(a, q);
    Lglobal(a);
    q = w3;
    a = w2;
    a = cons(a, q);
    m = a;
#define LL_Bparam LITERAL[72]
    q = LL_Bparam;
    a = w1;
    Lput(a, q, m);
    q = w1;
    a = LITERAL[73];
    {
        popv(3);
        return  CC_optionmsg(a, q);
    }
}

Sex CC_Asetparam(Sex a)
{
    Sex q;
    Sex *sp = stack;
    stackcheck();
    stack = sp + 5;
    w5 = nil;
    w2 = nil;
    w3 = nil;
    w4 = nil;
    w1 = a;
    if(a != nil) goto    G0220;
    q = LITERAL[74];
    a = mkfxat(2);
    CC_errormsg(a, q);
   G0220:
    a = car(w1);
    w5 = a;
    if(!is_cons(a)) goto    G0218;
    a = car(a);
    if(!is_symbol(a)) goto    G0218;
    q = LITERAL[75];
    a = Lmemq(a, q);
    if(a == nil) goto    G0218;
    a = cdr(w5);
    if(a == nil) goto    G0218;
    a = cdr(a);
    if(a == nil) goto    G0218;
    a = car(cdr(w5));
    w2 = a;
    if(!is_symbol(a)) goto    G0218;
    a = car(cdr(cdr(w5)));
    w4 = a;
    if(!is_cons(a)) goto    G0230;
#define LL_quote LITERAL[76]
    q = LL_quote;
    a = car(a);
    a = Lneq(a, q);
    if(a != nil) goto    G0218;
    a = car(cdr(w4));
    w4 = a;
    if(is_cons(a)) goto    G0218;
   G0230:
    a = w2;
#define LL_linelength LITERAL[77]
    if(a != LL_linelength) goto    G0235;
    a = w4;
    if(!is_integer(a)) goto    G0217;
    q = mkfxat(30);
    a = Llessp(a, q);
    if(a == nil) goto    G0239;
    a = mkfxat(30);
    goto    G0240;
   G0239:
    a = w4;
   G0240:
    Llinelength(a);
    goto    G0214;
   G0235:
#define LL_histlength LITERAL[78]
    if(a != LL_histlength) goto    G0242;
    a = w4;
    if(!is_integer(a)) goto    G0217;
    q = mkfxat(2);
    a = Llessp(a, q);
    if(a == nil) goto    G0246;
    a = mkfxat(2);
    goto    G0247;
   G0246:
    a = w4;
   G0247:
#define LL_Hhistlength LITERAL[79]
    value(LL_Hhistlength) = a;
    goto    G0214;
   G0242:
    q = LL_Bparam;
    a = Lget(a, q);
    w5 = a;
    if(a != nil) goto    G0249;
    q = w2;
    a = LITERAL[80];
    goto    G0256;
   G0217:
    q = w4;
    a = LITERAL[81];
    goto    G0256;
   G0218:
    q = w5;
    a = LITERAL[82];
   G0256:
    CC_printmsg(a, q);
    goto    G0215;
   G0249:
    a = car(a);
    w3 = a;
    a = cdr(w5);
    w5 = a;
    if(a == nil) goto    G0251;
    q = w4;
    a = Lfuncall1(a, q);
    if(a == nil) goto    G0217;
   G0251:
    q = w4;
    a = w3;
    Lset(a, q);
   G0214:
    q = w2;
    a = LITERAL[83];
    CC_optionmsg(a, q);
   G0215:
    a = cdr(w1);
    w1 = a;
    if(a != nil) goto    G0220;
    a = LITERAL[84];
    popv(5);
    return a;
}

Sex CC_Aputtag(Sex a)
{
    Sex q, m;
    Sex *sp = stack;
    stackcheck();
    stack = sp + 4;
    w3 = nil;
    w4 = nil;
    w1 = a;
    a = car(a);
    w2 = a;
    a = cdr(w1);
    w1 = a;
    if(a != nil) goto    G0263;
    q = LITERAL[85];
    a = mkfxat(2);
    CC_errormsg(a, q);
   G0263:
    a = car(w1);
    a = CC_Aexpr2varfunc(a);
    w3 = a;
    if(!is_symbol(a)) goto    G0265;
#define LL_invalid LITERAL[86]
    q = LL_invalid;
    a = Lneq(a, q);
    if(a == nil) goto    G0265;
#define LL_Bgtag LITERAL[87]
    q = LL_Bgtag;
    a = w3;
    a = Lget(a, q);
    w4 = a;
    goto    G0267;
   G0265:
    q = w3;
    a = LITERAL[88];
    CC_errormsg(a, q);
   G0267:
    q = w4;
    a = w2;
    a = Lmemq(a, q);
    if(a != nil) goto    G0270;
    q = w4;
    a = w2;
    a = cons(a, q);
    m = a;
    q = LL_Bgtag;
    a = w3;
    Lput(a, q, m);
   G0270:
    a = cdr(w1);
    w1 = a;
    if(a != nil) goto    G0263;
    a = LITERAL[89];
    popv(4);
    return a;
}

Sex CC_Adeltag(Sex a)
{
    Sex q;
    Sex *sp = stack;
    stackcheck();
    stack = sp + 4;
    w3 = nil;
    w4 = nil;
    w1 = a;
    a = car(a);
    w2 = a;
    a = cdr(w1);
    w1 = a;
    if(a != nil) goto    G0280;
    q = LITERAL[90];
    a = mkfxat(2);
    CC_errormsg(a, q);
   G0280:
    a = car(w1);
    a = CC_Aexpr2varfunc(a);
    w3 = a;
    if(!is_symbol(a)) goto    G0282;
    q = LL_invalid;
    a = Lneq(a, q);
    if(a == nil) goto    G0282;
    q = LL_Bgtag;
    a = w3;
    a = Lget(a, q);
    w4 = a;
    goto    G0284;
   G0282:
    q = w3;
    a = LITERAL[88];
    CC_errormsg(a, q);
   G0284:
    q = w4;
    a = w2;
    a = Lmemq(a, q);
    if(a == nil) goto    G0286;
    q = w4;
    a = w2;
    a = Ldelete(a, q);
    w4 = a;
   G0286:
    a = cdr(w1);
    w1 = a;
    if(a != nil) goto    G0280;
    a = LITERAL[89];
    popv(4);
    return a;
}

Sex CC_Wtagged(Sex a, Sex q)
{
    Sex *sp = stack;
    stackcheck();
    stack = sp + 1;
    w1 = a;
    a = q;
    a = CC_Aexpr2varfunc(a);
    if(a == LL_invalid) goto    G0293;
    if(!is_cons(a)) goto    G0292;
   G0293:
    q = a;
    a = LITERAL[88];
    {
        popv(1);
        return  CC_errormsg(a, q);
    }
   G0292:
    q = LL_Bgtag;
    a = Lget(a, q);
    q = a;
    a = w1;
    a = Lmemq(a, q);
    if(a == nil) goto    G0296;
    a = true;
   G0296:
    popv(1);
    return a;
}

Sex CC_readQdeclstat(Sex a)
{
    Sex q, m, arg4;
    Sex *sp = stack;
    stackcheck();
    stack = sp + 11;
    w11 = nil;
    w10 = nil;
    w5 = nil;
    w3 = nil;
    w2 = nil;
    w4 = nil;
    w6 = nil;
    w7 = nil;
    w8 = nil;
    w9 = nil;
    w1 = a;
#define LL_localdecl LITERAL[91]
    if(a != LL_localdecl) goto    G0314;
#define LL_begin LITERAL[92]
    a = LL_begin;
    a = CC_hostprocM(a);
    if(a != nil) goto    G0311;
    q = LITERAL[93];
    a = LITERAL[94];
    goto    G0370;
   G0311:
    q = LL_begin;
#define LL_Qgstack LITERAL[95]
    a = car(cdr(value(LL_Qgstack)));
    a = Lneq(a, q);
    if(a == nil) goto    G0312;
    q = LITERAL[93];
    a = LITERAL[96];
    goto    G0370;
   G0312:
#define LL_Qlocdcls LITERAL[97]
    a = value(LL_Qlocdcls);
    if(a != nil) goto    G0313;
#define LL_dic LITERAL[98]
    a = LL_dic;
    a = Lncons(a);
    value(LL_Qlocdcls) = a;
    goto    G0314;
   G0313:
    a = car(a);
    if(!is_cons(a)) goto    G0314;
    q = LITERAL[93];
    a = LITERAL[99];
   G0370:
    CC_errormsg(a, q);
   G0314:
#define LL_Hrdstat LITERAL[100]
    a = LL_Hrdstat;
    a = Lncons(a);
    q = value(LL_Qgstack);
    a = cons(a, q);
    value(LL_Qgstack) = a;
#define LL_decl LITERAL[101]
    a = LL_decl;
    value(LL_Hrdstat) = a;
#define LL_head LITERAL[102]
    a = LL_head;
    a = Lncons(a);
    w3 = a;
    w2 = a;
    a = CC_readQstat();
    w10 = a;
    if(is_symbol(a)) goto    G0317;
    q = nil;
    a = LITERAL[103];
    goto    G0371;
   G0317:
    a = value(LL_RcolonS);
    a = CC_nextwordM(a);
    if(a != nil) goto    G0318;
    q = w10;
    a = LITERAL[104];
   G0371:
    CC_errormsg(a, q);
   G0318:
    a = w4;
    if(a == nil) goto    G0320;
    a = Lncons(a);
    q = a;
    a = w3;
    cdr(a) = q;
    a = cdr(a);
    w3 = a;
   G0320:
    q = nil;
    a = w10;
    a = CC_delQprefs(a, q);
    a = Lncons(a);
    w5 = a;
    w4 = a;
   G0301:
    a = CC_readQstat();
    w10 = a;
    a = value(LL_RcolonS);
    a = CC_nextwordM(a);
    if(a == nil) goto    G0325;
    a = w10;
    if(!is_symbol(a)) goto    G0306;
    goto    G0318;
   G0325:
    q = LL_localdecl;
    a = w1;
    a = Lneq(a, q);
    if(a != nil) goto    G0347;
    a = w10;
    if(!is_cons(a)) goto    G0372;
    a = car(a);
    if(!is_cons(a)) goto    G0332;
    a = car(a);
#define LL_Bdcl LITERAL[105]
    if(a != LL_Bdcl) goto    G0308;
    goto    G0347;
   G0332:
#define LL_Bloc LITERAL[106]
    if(a != LL_Bloc) goto    G0336;
    a = car(cdr(w10));
    w10 = a;
    goto    G0308;
   G0336:
    if(a == LL_Bdcl) goto    G0347;
    a = Lgetd(a);
    if(a != nil) goto    G0307;
    a = car(w10);
   G0372:
    w6 = a;
    a = w6;
    if(!is_symbol(a)) goto    G0307;
    q = true;
    a = CC_delQprefs(a, q);
    w9 = a;
    q = w9;
#define LL_RcommaS LITERAL[107]
    a = value(LL_RcommaS);
    a = cons(a, q);
    a = Lmake_id(a);
    w7 = a;
    q = a;
    a = LL_Bdcl;
    a = Llist2(a, q);
    m = w10;
    q = w6;
    a = Lsubst(a, q, m);
    w10 = a;
    q = w8;
    a = w7;
    a = Latsoc(a, q);
    if(a != nil) goto    G0347;
#define LL_id LITERAL[108]
    m = LL_id;
    q = w9;
    a = value(LL_Qlocdcls);
    CC_putQdictnry(a, q, m);
    q = w8;
    a = w7;
    a = cons(a, q);
    w8 = a;
   G0347:
    a = w10;
    a = Lncons(a);
    q = a;
    a = w5;
    cdr(a) = q;
    a = cdr(a);
    w5 = a;
#define LL_comma LITERAL[109]
    a = LL_comma;
    a = CC_nextwordM(a);
    if(a != nil) goto    G0301;
    a = w4;
    a = Lncons(a);
    q = a;
    a = w3;
    cdr(a) = q;
    a = cdr(a);
    w3 = a;
    a = cdr(w2);
    w4 = a;
    value(LL_Hrdstat) = nil;
    a = cdr(value(LL_Qgstack));
    value(LL_Qgstack) = a;
    a = w1;
    if(a == LL_localdecl) goto    G0304;
    a = w4;
    a = CC_mkQunevl(a);
    m = true;
    q = a;
#define LL_Adeclare LITERAL[110]
    a = LL_Adeclare;
    {
        popv(11);
        return  Llist3(a, q, m);
    }
   G0304:
#define LL_progn LITERAL[111]
    a = LL_progn;
    a = Lncons(a);
    w3 = a;
    w2 = a;
    a = w8;
    a = Lreverse(a);
    w8 = a;
    w6 = a;
   G0305:
#define LL_gensym LITERAL[112]
    a = LL_gensym;
    a = Lncons(a);
    m = a;
    q = car(w6);
#define LL_setq LITERAL[113]
    a = LL_setq;
    a = Llist3(a, q, m);
    w10 = a;
#define LL_Blocgid LITERAL[114]
    a = LL_Blocgid;
    a = Lmkquote(a);
    w11 = a;
    a = car(w6);
    a = Lmkquote(a);
    arg4 = a;
    m = w11;
    q = w10;
#define LL_put LITERAL[115]
    a = LL_put;
    a = Llist4(a, q, m, arg4);
    w10 = a;
    a = Lncons(a);
    q = a;
    a = w3;
    cdr(a) = q;
    a = cdr(a);
    w3 = a;
    a = cdr(w6);
    w6 = a;
    if(a != nil) goto    G0305;
    a = w4;
    a = CC_mkQunevl(a);
    m = nil;
    q = a;
    a = LL_Adeclare;
    a = Llist3(a, q, m);
    a = Lncons(a);
    q = a;
    a = w3;
    cdr(a) = q;
    a = cdr(a);
    q = w8;
    a = value(LL_Qlocdcls);
    car(a) = q;
    a = w2;
    goto    G0299;
   G0306:
    q = w10;
    a = LITERAL[116];
    CC_errormsg(a, q);
   G0307:
    q = w10;
    a = LITERAL[117];
    CC_errormsg(a, q);
   G0308:
    q = w10;
    a = LITERAL[118];
    CC_errormsg(a, q);
    a = nil;
   G0299:
    popv(11);
    return a;
}

Sex CC_Adeclare(Sex a, Sex q)
{
    Sex *sp = stack;
    stackcheck();
    stack = sp + 9;
    w8 = nil;
    w7 = nil;
    w4 = nil;
    w3 = nil;
    w5 = nil;
    w6 = nil;
    w9 = nil;
    w1 = a;
    w2 = q;
    if(a != nil) goto    G0394;
    q = LITERAL[119];
    a = mkfxat(3);
    CC_errormsg(a, q);
   G0394:
    a = LL_Hrdstat;
    a = Lncons(a);
    q = value(LL_Qgstack);
    a = cons(a, q);
    value(LL_Qgstack) = a;
    a = LL_decl;
    value(LL_Hrdstat) = a;
   G0376:
    a = car(w1);
    w7 = a;
    a = car(a);
    w3 = a;
    a = cdr(w7);
    w4 = a;
    w8 = nil;
    if(a != nil) goto    G0397;
    a = LITERAL[120];
    goto    G0564;
   G0397:
    a = w2;
    if(a != nil) goto    G0398;
#define LL_BgdeclB LITERAL[121]
    q = LL_BgdeclB;
    a = w3;
    a = Lget(a, q);
    if(a != nil) goto    G0377;
#define LL_BgtypeB LITERAL[122]
    q = LL_BgtypeB;
    a = w3;
    a = Lget(a, q);
    w6 = a;
    if(!is_cons(a)) goto    G0377;
    a = cdr(a);
    if(a == nil) goto    G0409;
    goto    G0554;
   G0398:
#define LL_Bonfflg LITERAL[123]
    q = LL_Bonfflg;
    a = w3;
    a = Lget(a, q);
    w6 = a;
    if(a != nil) goto    G0379;
    q = LL_BgdeclB;
    a = w3;
    a = Lget(a, q);
    w6 = a;
    if(a != nil) goto    G0378;
    q = LL_BgtypeB;
    a = w3;
    a = Lget(a, q);
    w6 = a;
    if(a == nil) goto    G0406;
    if(is_cons(a)) goto    G0408;
    w3 = a;
    goto    G0383;
   G0408:
    a = cdr(a);
    if(a == nil) goto    G0409;
   G0554:
    a = car(w6);
    w3 = a;
    goto    G0388;
   G0409:
    a = car(w6);
    w3 = a;
    goto    G0385;
   G0406:
    a = LITERAL[124];
    goto    G0564;
   G0377:
    q = w3;
    a = LITERAL[125];
    CC_printmsg(a, q);
    a = LITERAL[126];
    goto    G0564;
   G0378:
    q = car(w1);
    a = w6;
    a = Lfuncall1(a, q);
    w7 = a;
#define LL_fail LITERAL[127]
    if(a != LL_fail) goto    G0392;
    w3 = nil;
    goto    G0392;
   G0379:
    a = car(w4);
    w5 = a;
    if(!is_cons(a)) goto    G0414;
    a = car(a);
#define LL_Bgex LITERAL[128]
    if(a != LL_Bgex) goto    G0414;
    a = car(cdr(w5));
    a = CC_callTname(a);
    w5 = a;
   G0414:
    a = w5;
    if(is_symbol(a)) goto    G0417;
    a = LITERAL[129];
    goto    G0558;
   G0417:
    q = LL_Bgid;
    a = Lget(a, q);
    if(a != nil) goto    G0418;
    q = nil;
    a = w5;
    CC_internTid(a, q);
   G0418:
    a = w3;
    w7 = a;
    q = LITERAL[130];
    a = Lmemq(a, q);
    if(a == nil) goto    G0420;
    a = w5;
    a = CC_Wfunc(a);
    if(a != nil) goto    G0423;
    a = w7;
#define LL_eval0 LITERAL[131]
    if(a != LL_eval0) goto    G0448;
    w7 = nil;
    goto    G0448;
   G0423:
    a = w7;
    if(a != LL_uneval) goto    G0428;
#define LL_uncomp LITERAL[132]
    a = LL_uncomp;
    goto    G0559;
   G0428:
#define LL_eval LITERAL[133]
    if(a != LL_eval) goto    G0429;
#define LL_comp LITERAL[134]
    a = LL_comp;
    goto    G0559;
   G0429:
#define LL_steval LITERAL[135]
    if(a != LL_steval) goto    G0430;
#define LL_stcomp LITERAL[136]
    a = LL_stcomp;
    goto    G0559;
   G0430:
    a = nil;
    goto    G0559;
   G0420:
    q = LITERAL[137];
    a = w7;
    a = Lmemq(a, q);
    if(a == nil) goto    G0432;
    a = w5;
    a = CC_Wfunc(a);
    if(a == nil) goto    G0434;
    a = w7;
#define LL_comp0 LITERAL[138]
    if(a != LL_comp0) goto    G0381;
    w7 = nil;
    goto    G0381;
   G0434:
    a = w7;
    if(a != LL_uncomp) goto    G0439;
    a = LL_uneval;
    goto    G0442;
   G0439:
    if(a != LL_comp) goto    G0440;
    a = LL_eval;
    goto    G0442;
   G0440:
    if(a != LL_stcomp) goto    G0441;
    a = LL_steval;
    goto    G0442;
   G0432:
    q = LITERAL[139];
    a = w7;
    a = Lmemq(a, q);
    if(a == nil) goto    G0443;
    a = w5;
    a = CC_Wfunc(a);
    if(a == nil) goto    G0446;
    a = w5;
    a = CC_Wpfunc(a);
    if(a == nil) goto    G0445;
   G0446:
    a = LITERAL[140];
   G0558:
    w8 = a;
    goto    G0456;
   G0443:
    q = w3;
    a = LITERAL[141];
    CC_printmsg(a, q);
    a = LITERAL[142];
    goto    G0564;
   G0441:
    a = nil;
   G0442:
    w7 = a;
   G0448:
    q = LL_Bgid;
    a = w5;
    a = Lget(a, q);
    q = mkfxat(3);
    a = Lgetv(a, q);
    q = w7;
    car(a) = q;
    q = LL_uneval;
    goto    G0561;
   G0445:
    a = LL_comp;
   G0559:
    w7 = a;
   G0381:
    q = LL_Bgid;
    a = w5;
    a = Lget(a, q);
    q = mkfxat(4);
    a = Lgetv(a, q);
    q = w7;
    car(a) = q;
    q = LL_uncomp;
   G0561:
    a = w7;
    a = Lneq(a, q);
    if(a == nil) goto    G0456;
    a = true;
    w9 = a;
   G0456:
    a = w8;
    if(a == nil) goto    G0458;
    q = w5;
    CC_printmsg(a, q);
   G0458:
    w8 = nil;
    a = cdr(w4);
    w4 = a;
    if(a == nil) goto    G0392;
    goto    G0379;
   G0383:
    a = w3;
#define LL_dummy LITERAL[143]
    if(a != LL_dummy) goto    G0462;
    a = LITERAL[144];
    goto    G0564;
   G0462:
    a = car(w4);
    w5 = a;
    if(!is_cons(a)) goto    G0463;
    a = car(a);
    if(a != LL_Bgex) goto    G0463;
    a = car(cdr(w5));
    a = CC_callTname(a);
    w5 = a;
   G0463:
    a = w5;
    if(is_symbol(a)) goto    G0466;
    a = LITERAL[129];
    goto    G0563;
   G0466:
    q = LL_Bgid;
    a = Lget(a, q);
    if(a == nil) goto    G0575;
    a = w3;
#define LL_indxed LITERAL[145]
    if(a != LL_indxed) goto    G0468;
    q = LL_Bgid;
    a = w5;
    a = Lget(a, q);
    q = mkfxat(2);
    a = Lgetv(a, q);
    if(a == nil) goto    G0468;
    q = nil;
    a = LITERAL[146];
    CC_printmsg(a, q);
    a = LITERAL[147];
   G0563:
    w8 = a;
    goto    G0384;
   G0575:
    q = nil;
    a = w5;
    CC_internTid(a, q);
   G0468:
    q = w3;
    a = w5;
    CC_addTidtype(a, q);
    w8 = nil;
    a = w8;
   G0384:
    if(a == nil) goto    G0472;
    q = w5;
    CC_printmsg(a, q);
   G0472:
    w8 = nil;
    a = cdr(w4);
    w4 = a;
    if(a == nil) goto    G0392;
    goto    G0383;
   G0385:
    a = w3;
#define LL_cons LITERAL[148]
    if(a != LL_cons) goto    G0476;
    q = nil;
    a = LITERAL[149];
    CC_printmsg(a, q);
    a = LITERAL[142];
    goto    G0564;
   G0476:
    a = car(w4);
    w5 = a;
    if(!is_cons(a)) goto    G0482;
    a = car(a);
    if(is_cons(a)) goto    G0478;
    q = LL_Bgex;
    a = Lneq(a, q);
    if(a != nil) goto    G0482;
    a = car(cdr(w5));
    a = CC_callTname(a);
    w5 = a;
    goto    G0482;
   G0478:
    a = car(a);
    if(a != LL_Bgex) goto    G0482;
    a = car(cdr(car(w5)));
    a = CC_callTname(a);
    q = a;
    a = w5;
    car(a) = q;
   G0482:
    a = w5;
    if(is_cons(a)) goto    G0485;
    if(is_symbol(a)) goto    G0487;
    a = LITERAL[129];
    goto    G0568;
   G0487:
    q = LL_Bgid;
    a = Lget(a, q);
    if(a == nil) goto    G0566;
    q = LL_Bgid;
    a = w5;
    a = Lget(a, q);
    q = mkfxat(1);
    a = Lgetv(a, q);
    q = a;
    a = w3;
    a = Lmemq(a, q);
    if(a != nil) goto    G0500;
    a = w5;
    a = CC_Wpfunc(a);
    if(a == nil) goto    G0492;
    a = LITERAL[150];
    goto    G0568;
   G0492:
    q = LL_Bgid;
    a = w5;
    a = Lget(a, q);
    q = mkfxat(2);
    a = Lgetv(a, q);
    if(a == nil) goto    G0493;
    q = w5;
    a = LITERAL[151];
    CC_printmsg(a, q);
    a = LITERAL[152];
    goto    G0568;
   G0493:
    a = mkfxat(4);
    w8 = a;
   G0566:
    q = w3;
    a = w5;
    CC_internTid(a, q);
    goto    G0500;
   G0485:
    a = car(a);
    if(is_symbol(a)) goto    G0496;
    a = LITERAL[129];
    w8 = a;
    a = car(w5);
    w5 = a;
    goto    G0500;
   G0496:
    q = LL_Bgid;
    a = Lget(a, q);
    if(a != nil) goto    G0497;
    q = w3;
    a = car(w5);
    CC_internTid(a, q);
    goto    G0482;
   G0497:
    a = car(w5);
    a = CC_Wfunc(a);
    if(a == nil) goto    G0498;
    a = w5;
    CC_dclTfunc(a);
    goto    G0500;
   G0498:
    a = car(w5);
    a = CC_Warray(a);
    if(a == nil) goto    G0499;
#define LL_array LITERAL[153]
    q = LL_array;
    a = w5;
    CC_dclTform(a, q);
    goto    G0500;
   G0499:
    q = w5;
    a = LITERAL[154];
    CC_printmsg(a, q);
    a = LITERAL[155];
   G0568:
    w8 = a;
   G0500:
    a = w8;
    if(a == nil) goto    G0502;
    q = w5;
    CC_printmsg(a, q);
   G0502:
    w8 = nil;
    a = cdr(w4);
    w4 = a;
    if(a == nil) goto    G0392;
    goto    G0385;
   G0388:
    a = w3;
    if(a != LL_pfunc) goto    G0506;
    q = a;
    a = LITERAL[156];
    CC_printmsg(a, q);
    a = LITERAL[157];
   G0564:
    w8 = a;
    goto    G0391;
   G0506:
    a = car(w4);
    w5 = a;
    if(!is_cons(a)) goto    G0513;
    a = car(a);
    if(is_cons(a)) goto    G0509;
    q = LL_Bgex;
    a = Lneq(a, q);
    if(a != nil) goto    G0513;
    a = car(cdr(w5));
    a = CC_callTname(a);
    w5 = a;
    goto    G0513;
   G0509:
    a = car(a);
    if(a != LL_Bgex) goto    G0513;
    a = car(cdr(car(w5)));
    a = CC_callTname(a);
    q = a;
    a = w5;
    car(a) = q;
   G0513:
    a = w5;
    if(is_cons(a)) goto    G0516;
    if(is_symbol(a)) goto    G0518;
    a = LITERAL[129];
    goto    G0574;
   G0518:
    q = LL_Bgid;
    a = Lget(a, q);
    if(a == nil) goto    G0570;
    q = LL_Bgid;
    a = w5;
    a = Lget(a, q);
    q = mkfxat(1);
    a = Lgetv(a, q);
    q = a;
    a = w6;
    a = Lequal(a, q);
    if(a != nil) goto    G0536;
    a = w5;
    a = CC_Wpfunc(a);
    if(a == nil) goto    G0523;
    a = LITERAL[150];
    goto    G0574;
   G0523:
    q = LL_Bgid;
    a = w5;
    a = Lget(a, q);
    q = mkfxat(2);
    a = Lgetv(a, q);
    if(a == nil) goto    G0524;
    q = w5;
    a = LITERAL[151];
    CC_printmsg(a, q);
    a = LITERAL[152];
    goto    G0574;
   G0524:
    a = mkfxat(4);
    w8 = a;
   G0570:
    q = w6;
    a = w5;
    CC_internTid(a, q);
    goto    G0536;
   G0516:
    a = car(a);
    if(is_symbol(a)) goto    G0527;
    a = LITERAL[129];
    goto    G0574;
   G0527:
    q = LL_Bgid;
    a = Lget(a, q);
    if(a != nil) goto    G0528;
    q = w6;
    a = car(w5);
    CC_internTid(a, q);
    goto    G0513;
   G0528:
    q = LITERAL[158];
    a = car(w6);
    a = Lmemq(a, q);
    if(a != nil) goto    G0529;
    a = LITERAL[159];
    goto    G0574;
   G0529:
    q = LL_Bgid;
    a = car(w5);
    a = Lget(a, q);
    q = mkfxat(2);
    a = Lgetv(a, q);
    if(a == nil) goto    G0530;
    q = LL_Bgid;
    a = car(w5);
    a = Lget(a, q);
    q = mkfxat(1);
    a = Lgetv(a, q);
    a = car(a);
    q = a;
    a = car(w6);
    a = Lneq(a, q);
    if(a == nil) goto    G0530;
    q = car(w5);
    a = LITERAL[151];
    CC_printmsg(a, q);
    a = LITERAL[160];
   G0574:
    w8 = a;
    goto    G0536;
   G0530:
    q = w3;
    a = w5;
    CC_dclTform(a, q);
    w8 = nil;
   G0536:
    a = w5;
    if(!is_cons(a)) goto    G0539;
    a = car(a);
   G0539:
    w5 = a;
    a = w8;
    if(a == nil) goto    G0541;
    q = w5;
    CC_printmsg(a, q);
   G0541:
    w8 = nil;
    a = cdr(w4);
    w4 = a;
    if(a == nil) goto    G0392;
    goto    G0388;
    a = w8;
   G0391:
    if(a == nil) goto    G0545;
    q = w3;
    CC_printmsg(a, q);
   G0545:
    w3 = nil;
   G0392:
    a = w2;
    if(a == nil) goto    G0547;
    a = w3;
    if(a == nil) goto    G0547;
    q = a;
    a = LITERAL[161];
    CC_optionmsg(a, q);
   G0547:
    a = cdr(w1);
    w1 = a;
    if(a != nil) goto    G0376;
    a = w9;
    if(a == nil) goto    G0552;
#define LL_CevalenvC LITERAL[162]
    a = value(LL_CevalenvC);
    a = Ladd1(a);
    value(LL_CevalenvC) = a;
   G0552:
    a = cdr(value(LL_Qgstack));
    value(LL_Qgstack) = a;
    value(LL_Hrdstat) = nil;
    a = LITERAL[89];
    popv(9);
    return a;
}

Sex CC_defdeclare(Sex a, Sex q)
{
    Sex m;
    Sex *sp = stack;
    stackcheck();
    stack = sp + 2;
    w1 = a;
    w2 = q;
    q = LL_BgdeclB;
    a = Lget(a, q);
    if(a == nil) goto    G0579;
    q = w1;
    a = LITERAL[163];
    CC_printmsg(a, q);
    q = nil;
    a = LITERAL[164];
    {
        popv(2);
        return  CC_errormsg(a, q);
    }
   G0579:
    m = w2;
    q = LL_BgdeclB;
    a = w1;
    {
        popv(2);
        return  Lput(a, q, m);
    }
}

Sex CC_dclTmod(Sex a)
{
    Sex q, m;
    Sex *sp = stack;
    stackcheck();
    stack = sp + 2;
    w2 = nil;
    w1 = a;
    a = cdr(a);
    if(a == nil) goto    G0584;
    a = car(a);
    w2 = a;
    if(!is_cons(a)) goto    G0588;
    a = CC_galeval(a);
    w2 = a;
   G0588:
    if(is_cons(a)) goto    G0584;
#define LL_Anil LITERAL[165]
    if(a != LL_Anil) goto    G0591;
    a = nil;
#define LL_Hmod LITERAL[166]
    value(LL_Hmod) = a;
    goto    G0599;
   G0591:
    if(!is_integer(a)) goto    G0584;
    q = mkfxat(0);
    a = Lgreaterp(a, q);
    if(a == nil) goto    G0584;
    a = w2;
    value(LL_Hmod) = a;
#define LL_Hfloat LITERAL[167]
    a = value(LL_Hfloat);
    if(a == nil) goto    G0597;
    a = nil;
#define LL_Hfcut LITERAL[168]
    value(LL_Hfcut) = a;
    value(LL_Hfloat) = a;
#define LL_HHflo LITERAL[169]
    value(LL_HHflo) = a;
    q = nil;
    a = LITERAL[170];
    CC_printmsg(a, q);
   G0597:
#define LL_CordenvC LITERAL[171]
    m = value(LL_CordenvC);
#define LL_Bordenv LITERAL[172]
    q = LL_Bordenv;
    a = LL_Hmod;
    Lput(a, q, m);
    a = value(LL_Hmod);
   G0599:
#define LL_HHmod LITERAL[173]
    value(LL_HHmod) = a;
    goto    G0583;
   G0584:
    q = w2;
    a = LITERAL[174];
    CC_printmsg(a, q);
    a = LL_fail;
   G0583:
    popv(2);
    return a;
}

Sex CC_dclTfloat(Sex a)
{
    Sex q, m;
    Sex *sp = stack;
    stackcheck();
    stack = sp + 5;
    w2 = nil;
    w3 = nil;
    w4 = nil;
    w5 = nil;
    w1 = a;
   G0603:
    a = cdr(w1);
    w1 = a;
    if(a == nil) goto    G0605;
    a = car(a);
    w5 = a;
    if(is_cons(a)) goto    G0608;
    q = LL_Anil;
    a = Lneq(a, q);
    if(a == nil) goto    G0635;
    goto    G0604;
   G0608:
    q = LITERAL[175];
    a = car(a);
    a = Lmemq(a, q);
    if(a == nil) goto    G0604;
    a = cdr(w5);
    if(a == nil) goto    G0604;
    a = cdr(a);
    if(a == nil) goto    G0604;
    a = car(cdr(w5));
    w2 = a;
    a = car(cdr(cdr(w5)));
    w5 = a;
    if(!is_cons(a)) goto    G0616;
    a = CC_galeval(a);
    w5 = a;
   G0616:
    q = LITERAL[176];
    a = w2;
    a = Lmemq(a, q);
    if(a == nil) goto    G0618;
    a = w5;
    if(!is_integer(a)) goto    G0620;
    q = mkfxat(0);
    a = Lgreaterp(a, q);
    if(a == nil) goto    G0620;
    a = w5;
    w3 = a;
    goto    G0603;
   G0620:
    a = w5;
    if(a != LL_Anil) goto    G0604;
    w3 = nil;
    goto    G0603;
   G0618:
    q = LITERAL[177];
    a = w2;
    a = Lmemq(a, q);
    if(a == nil) goto    G0624;
    a = w5;
    if(!is_number(a)) goto    G0626;
    q = mkfxat(0);
    a = Lgreaterp(a, q);
    if(a == nil) goto    G0626;
    a = w5;
    a = Lfloat(a);
    w4 = a;
    goto    G0603;
   G0626:
    a = w5;
    if(a != LL_Anil) goto    G0604;
    w4 = nil;
    goto    G0603;
   G0624:
    a = w2;
    w5 = a;
   G0604:
    q = w5;
    a = LITERAL[178];
    CC_printmsg(a, q);
    a = LL_fail;
    goto    G0602;
   G0605:
    a = value(LL_Hfloat);
    if(a != nil) goto    G0632;
    a = Lncons(a);
    value(LL_Hfloat) = a;
   G0632:
    q = w3;
    car(a) = q;
    q = w4;
    a = value(LL_Hfloat);
    cdr(a) = q;
    a = car(value(LL_Hfloat));
    if(a != nil) goto    G0634;
    a = cdr(value(LL_Hfloat));
    if(a != nil) goto    G0634;
   G0635:
    value(LL_Hfcut) = a;
    value(LL_Hfloat) = a;
    goto    G0640;
   G0634:
    a = value(LL_Hmod);
    if(a == nil) goto    G0637;
    a = nil;
    value(LL_Hmod) = a;
    value(LL_HHmod) = a;
    q = nil;
    a = LITERAL[179];
    CC_printmsg(a, q);
   G0637:
    a = cdr(value(LL_Hfloat));
    value(LL_Hfcut) = a;
    m = value(LL_CordenvC);
    q = LL_Bordenv;
    a = LL_Hfloat;
    Lput(a, q, m);
    a = value(LL_Hfloat);
   G0640:
    value(LL_HHflo) = a;
   G0602:
    popv(5);
    return a;
}

Sex CC_dclTprec(Sex a)
{
    Sex q;
    Sex *sp = stack;
    stackcheck();
    stack = sp + 2;
    w2 = nil;
    w1 = a;
    a = cdr(a);
    if(a == nil) goto    G0644;
    a = car(a);
    w2 = a;
    if(!is_cons(a)) goto    G0648;
    a = CC_galeval(a);
    w2 = a;
   G0648:
    if(is_cons(a)) goto    G0644;
    if(a != LL_Anil) goto    G0651;
    w2 = nil;
    goto    G0652;
   G0651:
    if(!is_integer(a)) goto    G0644;
    q = mkfxat(20);
    a = Lgeq(a, q);
    if(a == nil) goto    G0644;
   G0652:
    a = w2;
    if(a != nil) goto    G0656;
    a = mkfxat(16);
   G0656:
    Lprecision(a);
    a = w2;
    if(a != nil) goto    G0659;
    q = mkfxat(15);
    a = LITERAL[180];
    a = Lexpt(a, q);
#define LL_Hmachineps LITERAL[181]
    value(LL_Hmachineps) = a;
    q = mkfxat(13);
    goto    G0667;
   G0659:
    q = mkfxat(100);
    a = Llessp(a, q);
    if(a == nil) goto    G0660;
    q = mkfxat(-2);
    a = w2;
    a = plus2(a, q);
    q = a;
    a = LITERAL[180];
    a = Lexpt(a, q);
    value(LL_Hmachineps) = a;
    q = mkfxat(-4);
    a = w2;
    a = plus2(a, q);
    q = a;
    goto    G0667;
   G0660:
    q = mkfxat(-3);
    a = w2;
    a = plus2(a, q);
    q = a;
    a = LITERAL[180];
    a = Lexpt(a, q);
    value(LL_Hmachineps) = a;
    q = mkfxat(-5);
    a = w2;
    a = plus2(a, q);
    q = a;
   G0667:
    a = LITERAL[180];
    a = Lexpt(a, q);
#define LL_Hmeps100 LITERAL[182]
    value(LL_Hmeps100) = a;
    a = w2;
    goto    G0643;
   G0644:
    q = w2;
    a = LITERAL[183];
    CC_printmsg(a, q);
    a = LL_fail;
   G0643:
    popv(2);
    return a;
}

Sex CC_dclTpowser(Sex a)
{
    Sex q, m;
    Sex *sp = stack;
    stackcheck();
    stack = sp + 5;
    w2 = nil;
    w3 = nil;
    w4 = nil;
    w5 = nil;
    w1 = a;
#define LL_Hpowser LITERAL[184]
    q = value(LL_Hpowser);
    a = CHAR_OF(104);
    a = cons(a, q);
    w2 = a;
   G0671:
    a = cdr(w1);
    w1 = a;
    if(a == nil) goto    G0676;
    a = car(a);
    w5 = a;
    if(is_cons(a)) goto    G0679;
    if(a == LL_Anil) goto    G0682;
#define LL_Aclear LITERAL[185]
    if(a != LL_Aclear) goto    G0672;
   G0682:
    a = nil;
    goto    G0725;
   G0679:
    a = cdr(a);
    if(a == nil) goto    G0672;
    a = cdr(a);
    if(a == nil) goto    G0672;
    a = car(w5);
    w3 = a;
    a = car(cdr(w5));
    w4 = a;
    a = car(cdr(cdr(w5)));
    w5 = a;
    if(!is_cons(a)) goto    G0688;
    a = CC_galeval(a);
    w5 = a;
   G0688:
    if(a == LL_Anil) goto    G0705;
    if(a == nil) goto    G0705;
    if(!is_integer(a)) goto    G0672;
    a = w3;
#define LL_gRM LITERAL[186]
    if(a == LL_gRM) goto    G0726;
#define LL_gR LITERAL[187]
    if(a != LL_gR) goto    G0697;
    q = mkfxat(1);
    a = w5;
    a = Lgreaterp(a, q);
    if(a == nil) goto    G0674;
    q = mkfxat(-1);
    a = w5;
    a = plus2(a, q);
    w5 = a;
    goto    G0705;
   G0697:
#define LL_gM LITERAL[188]
    if(a != LL_gM) goto    G0701;
   G0726:
    q = mkfxat(0);
    a = w5;
    a = Lgreaterp(a, q);
    if(a == nil) goto    G0674;
   G0705:
    a = w4;
    if(is_cons(a)) goto    G0707;
    if(is_symbol(a)) goto    G0709;
    w5 = a;
    goto    G0673;
   G0709:
    q = LL_Bgid;
    a = Lget(a, q);
    if(a != nil) goto    G0710;
#define LL_var LITERAL[189]
    q = LL_var;
    a = w4;
    CC_internTid(a, q);
    goto    G0718;
   G0710:
    a = w4;
    a = CC_Wpoly(a);
    if(a == nil) goto    G0673;
    goto    G0718;
   G0707:
    a = car(a);
    if(a != LL_Bgex) goto    G0713;
    a = car(cdr(w4));
    a = CC_callTname(a);
    goto    G0727;
   G0713:
#define LL_Bindex LITERAL[190]
    q = LL_Bindex;
    a = Lneq(a, q);
    if(a != nil) goto    G0672;
    a = w4;
    a = CC_galeval(a);
    w4 = a;
    a = CC_Wpoly(a);
    if(a == nil) goto    G0715;
    a = cdr(w4);
    a = CC_WsvarTbpol(a);
    if(a == nil) goto    G0715;
    a = car(cdr(w4));
   G0727:
    w4 = a;
   G0718:
    a = w5;
    q = w4;
    if(!is_integer(a)) goto    G0720;
    a = Lxcons(a, q);
#define LL_Worder LITERAL[191]
    m = LL_Worder;
    q = w2;
    CC_seTinsertbycar(a, q, m);
    goto    G0671;
   G0720:
    a = Lxcons(a, q);
    q = w2;
    CC_seTdeletebycar(a, q);
    goto    G0671;
   G0701:
    w5 = a;
   G0672:
    q = w5;
    a = LITERAL[192];
    CC_printmsg(a, q);
    a = LL_fail;
    goto    G0670;
   G0715:
    a = car(cdr(car(w1)));
    w4 = a;
   G0673:
    q = w4;
    a = LITERAL[193];
    CC_printmsg(a, q);
    goto    G0675;
   G0674:
    q = w5;
    a = LITERAL[194];
    CC_printmsg(a, q);
   G0675:
    q = w4;
    a = LITERAL[195];
    CC_printmsg(a, q);
    goto    G0671;
   G0676:
    m = value(LL_CordenvC);
    q = LL_Bordenv;
    a = LL_Hpowser;
    Lput(a, q, m);
    a = cdr(w2);
   G0725:
    value(LL_Hpowser) = a;
   G0670:
    popv(5);
    return a;
}

Sex CC_dclTtfunc(Sex a)
{
    Sex q;
    Sex *sp = stack;
    stackcheck();
    stack = sp + 2;
    w2 = nil;
    w1 = a;
   G0731:
    a = cdr(w1);
    w1 = a;
    if(a != nil) goto    G0735;
#define LL_OK LITERAL[196]
    a = LL_OK;
    goto    G0730;
   G0735:
    a = car(a);
    w2 = a;
    if(!is_symbol(a)) goto    G0733;
    q = LL_Bgid;
    a = Lget(a, q);
    if(a != nil) goto    G0731;
#define LL_tfunc LITERAL[197]
    q = LL_tfunc;
    a = w2;
    CC_internTid(a, q);
    goto    G0731;
   G0733:
    q = w2;
    a = LITERAL[198];
    CC_printmsg(a, q);
    a = LL_fail;
   G0730:
    popv(2);
    return a;
}

Sex CC_dclTfunc(Sex a)
{
    Sex q, m;
    Sex *sp = stack;
    stackcheck();
    stack = sp + 4;
    w4 = nil;
    w3 = a;
    w1 = a;
    a = car(a);
    w2 = a;
    if(!is_symbol(a)) goto    G0744;
   G0749:
    a = cdr(w3);
    w3 = a;
    if(a == nil) goto    G0743;
    a = car(a);
    if(is_cons(a)) goto    G0752;
    if(!is_symbol(a)) goto    G0745;
    goto    G0761;
   G0752:
    q = LL_Bindex;
    a = car(a);
    a = Lneq(a, q);
    if(a != nil) goto    G0745;
    a = cdr(car(w3));
    w4 = a;
    a = car(a);
    if(!is_symbol(a)) goto    G0746;
    a = cdr(w4);
    a = CC_Wntlist(a);
    if(a == nil) goto    G0746;
    q = w4;
    a = w3;
    car(a) = q;
    a = car(w4);
   G0761:
    w4 = a;
    goto    G0749;
   G0743:
    m = cdr(w1);
#define LL_fncvars LITERAL[199]
    q = LL_fncvars;
    a = w2;
    CC_putTcompfn(a, q, m);
    a = w2;
    goto    G0741;
   G0744:
    q = w2;
    a = LITERAL[200];
    goto    G0762;
   G0745:
    q = car(w3);
    a = LITERAL[201];
   G0762:
    CC_printmsg(a, q);
    goto    G0747;
   G0746:
    q = car(cdr(car(w3)));
    a = LITERAL[202];
    CC_printmsg(a, q);
   G0747:
    a = LL_fail;
   G0741:
    popv(4);
    return a;
}

Sex CC_dclTform(Sex a, Sex q)
{
    Sex m;
    Sex *sp = stack;
    stackcheck();
    stack = sp + 8;
    w8 = nil;
    w6 = nil;
    w5 = nil;
    w7 = nil;
    w1 = a;
    a = car(a);
    w3 = a;
    a = cdr(w1);
    w4 = a;
    w2 = q;
    a = Llength(a);
    w8 = a;
    a = mkfxat(1);
    w6 = a;
    a = w2;
#define LL_matx LITERAL[203]
    if(a != LL_matx) goto    G0771;
    a = w8;
    if(a != mkfxat(2)) goto    G0772;
   G0771:
    a = w2;
#define LL_vect LITERAL[204]
    if(a != LL_vect) goto    G0769;
    a = w8;
    if(a == mkfxat(1)) goto    G0769;
   G0772:
    q = w3;
    a = LITERAL[205];
    goto    G0798;
   G0769:
    a = car(w4);
    a = CC_galeval(a);
    w8 = a;
    if(is_integer(a)) goto    G0801;
    q = w3;
    a = LITERAL[206];
   G0798:
    CC_printmsg(a, q);
    a = LL_fail;
    goto    G0765;
   G0801:
    q = a;
    a = w6;
    a = times2(a, q);
    w6 = a;
    q = w5;
    a = w8;
    a = cons(a, q);
    w5 = a;
    a = cdr(w4);
    w4 = a;
    if(a != nil) goto    G0769;
    a = w2;
    if(a != LL_matx) goto    G0779;
    a = w8;
    a = Lminusp(a);
    if(a != nil) goto    G0779;
    a = w8;
    a = Lminus(a);
    q = a;
    a = w5;
    car(a) = q;
   G0779:
    a = w6;
    a = Labs(a);
    w6 = a;
    a = w5;
    a = Lreverse(a);
    q = w6;
    a = Lxcons(a, q);
    w4 = a;
    a = w6;
    a = Lmkvect(a);
    w5 = a;
    a = w2;
    if(a != LL_array) goto    G0784;
    a = LL_Anil;
    goto    G0785;
   G0784:
    a = mkfxat(0);
   G0785:
    w8 = a;
    a = mkfxat(1);
    w7 = a;
   G0767:
    m = w8;
    q = w7;
    a = w5;
    Lputv(a, q, m);
    a = w7;
    a = (Sex)((long)a + 0x10);
    w7 = a;
    q = w6;
    a = Lleq(a, q);
    if(a != nil) goto    G0767;
    a = w2;
    q = w4;
    if(a != LL_array) goto    G0790;
    a = w5;
    a = cons(a, q);
    goto    G0795;
   G0790:
    if(a != LL_matx) goto    G0791;
    a = w5;
    a = cons(a, q);
#define LL_CmatxC LITERAL[207]
    q = value(LL_CmatxC);
    goto    G0800;
   G0791:
    if(a != LL_vect) goto    G0793;
    a = w5;
    a = cons(a, q);
#define LL_CvectC LITERAL[208]
    q = value(LL_CvectC);
    goto    G0800;
   G0793:
    a = w5;
    a = cons(a, q);
#define LL_CtensC LITERAL[209]
    q = value(LL_CtensC);
   G0800:
    a = Lxcons(a, q);
   G0795:
    w8 = a;
    m = nil;
    q = nil;
    a = CC_convTgexpr2sexpr(a, q, m);
    q = a;
    a = w3;
    CC_putTsexpr(a, q);
    a = w3;
   G0765:
    popv(8);
    return a;
}

Sex CC_dclTalgnf(Sex a)
{
    Sex q, m;
    Sex *sp = stack;
    stackcheck();
    stack = sp + 6;
    w3 = nil;
    w4 = nil;
    w5 = nil;
    w6 = nil;
    w1 = a;
    a = car(a);
    w2 = a;
   G0805:
    a = cdr(w1);
    w1 = a;
    if(a != nil) goto    G0812;
    a = LITERAL[89];
    goto    G0804;
   G0812:
    a = car(a);
    w5 = a;
    if(!is_cons(a)) goto    G0806;
#define LL_Bwith LITERAL[210]
    q = LL_Bwith;
    a = car(a);
    a = Lneq(a, q);
    if(a != nil) goto    G0807;
    a = cdr(w5);
    if(a == nil) goto    G0806;
    a = cdr(a);
    if(a == nil) goto    G0806;
    a = car(cdr(w5));
    w3 = a;
    a = car(cdr(cdr(w5)));
    w4 = a;
    w6 = nil;
    a = w3;
    if(is_symbol(a)) goto    G0818;
    w5 = a;
    goto    G0806;
   G0818:
    a = w4;
    if(is_cons(a)) goto    G0819;
    w5 = a;
    goto    G0849;
   G0819:
    q = LL_Bgid;
    a = w3;
    a = Lget(a, q);
    if(a == nil) goto    G0820;
    q = w3;
    a = LITERAL[211];
    goto    G0858;
   G0820:
    a = w3;
    a = Lgetd(a);
    if(a == nil) goto    G0821;
    q = w3;
    a = LITERAL[212];
    goto    G0858;
   G0821:
    q = LL_gM;
    a = car(w4);
    a = Lneq(a, q);
    if(a != nil) goto    G0827;
    a = cdr(w4);
    w4 = a;
    a = cdr(a);
    a = car(a);
    a = Lzerop(a);
    if(a == nil) goto    G0823;
    a = car(w4);
    goto    G0854;
   G0823:
    q = car(cdr(w4));
#define LL_gK LITERAL[213]
    a = LL_gK;
    a = Llist2(a, q);
    m = a;
    q = car(w4);
#define LL_gL LITERAL[214]
    a = LL_gL;
    a = Llist3(a, q, m);
   G0854:
    w4 = a;
   G0827:
    q = w2;
    a = w3;
    CC_internTid(a, q);
    a = w4;
    a = Lmkquote(a);
    q = a;
#define LL_galeval LITERAL[215]
    a = LL_galeval;
    a = Llist2(a, q);
    m = nil;
    q = mkfxat(0);
    a = Lerrorset(a, q, m);
    w5 = a;
    if(!is_cons(a)) goto    G0808;
    a = car(a);
    w4 = a;
    if(!is_cons(a)) goto    G0808;
    a = CC_Walgn(a);
    if(a != nil) goto    G0832;
    a = w4;
    a = CC_Walgf(a);
    if(a == nil) goto    G0808;
   G0832:
    a = car(cdr(w4));
    if(is_cons(a)) goto    G0808;
    a = car(cdr(cdr(w4)));
    a = Lonep(a);
    if(a == nil) goto    G0836;
    a = LITERAL[216];
    goto    G0857;
   G0836:
    a = w4;
    a = CC_Alcoef(a);
    w5 = a;
    a = Lonep(a);
    if(a != nil) goto    G0842;
    a = w5;
    a = CC_Wbnum(a);
    if(a == nil) goto    G0839;
    q = w5;
    a = w4;
    a = CC_Vpol3bnum(a, q);
    goto    G0856;
   G0839:
    a = w5;
    a = CC_Walgn(a);
    if(a != nil) goto    G0860;
    a = LITERAL[217];
    goto    G0857;
   G0860:
    a = w5;
    a = CC_recipTalgn(a);
    q = a;
    a = w4;
    a = CC_Hpol3pol3(a, q);
   G0856:
    w4 = a;
   G0842:
    a = w4;
    a = Llast(a);
    a = car(a);
    a = Lzerop(a);
    if(a == nil) goto    G0859;
    m = cdr(w4);
#define LL_defpoly LITERAL[218]
    q = LL_defpoly;
    a = w3;
    CC_putTcompfn(a, q, m);
    goto    G0805;
   G0806:
    q = w5;
    a = LITERAL[219];
    goto    G0858;
   G0807:
    q = nil;
    a = LITERAL[220];
   G0858:
    CC_printmsg(a, q);
    goto    G0810;
   G0859:
    a = LITERAL[221];
   G0857:
    w6 = a;
   G0808:
    a = w3;
    a = Lncons(a);
    CC_Aerase(a);
    a = w6;
    if(a == nil) goto    G0849;
    q = nil;
    CC_printmsg(a, q);
   G0849:
    q = w3;
    a = LITERAL[222];
    CC_printmsg(a, q);
   G0810:
    q = nil;
    a = LITERAL[223];
    CC_printmsg(a, q);
    a = cdr(w1);
    if(a == nil) goto    G0851;
    q = w2;
    a = LITERAL[224];
    CC_printmsg(a, q);
   G0851:
    a = LL_fail;
   G0804:
    popv(6);
    return a;
}

Sex CC_AE(Sex a)
{
    Sex q;
    Sex *sp = stack;
    stackcheck();
    stack = sp + 1;
    w1 = a;
    if(is_cons(a)) goto    G0864;
    if(a != nil) goto    G0866;
#define LL_ErsltE LITERAL[225]
    a = value(LL_ErsltE);
    goto    G0880;
   G0866:
#define LL_Arem LITERAL[226]
    if(a != LL_Arem) goto    G0867;
#define LL_Hremainder LITERAL[227]
    a = value(LL_Hremainder);
    goto    G0880;
   G0867:
#define LL_Aquo LITERAL[228]
    if(a != LL_Aquo) goto    G0868;
#define LL_Hquotient LITERAL[229]
    a = value(LL_Hquotient);
    goto    G0880;
   G0868:
#define LL_Abyp LITERAL[230]
    if(a == LL_Abyp) goto    G0870;
#define LL_Abyproduct LITERAL[231]
    if(a != LL_Abyproduct) goto    G0869;
   G0870:
#define LL_Hbyproduct LITERAL[232]
    a = value(LL_Hbyproduct);
    goto    G0880;
   G0869:
    q = a;
    a = LITERAL[233];
    goto    G0883;
   G0864:
    a = CC_Wintlist(a);
    if(a != nil) goto    G0872;
    q = nil;
    a = LITERAL[234];
    goto    G0883;
   G0872:
    a = value(LL_ErsltE);
    if(is_cons(a)) goto    G0873;
    q = nil;
    a = LITERAL[235];
    goto    G0883;
   G0873:
    a = CC_Warray(a);
    if(a == nil) goto    G0874;
    q = cdr(value(LL_ErsltE));
    a = w1;
    a = CC_addressH(a, q);
    q = a;
    a = car(value(LL_ErsltE));
    a = Lgetv(a, q);
    {
        popv(1);
        return  CC_convTsexpr2gexpr(a);
    }
   G0874:
    a = car(value(LL_ErsltE));
    if(!is_integer(a)) goto    G0877;
    a = cdr(value(LL_ErsltE));
    a = CC_Warray(a);
    if(a == nil) goto    G0877;
    q = cdr(cdr(value(LL_ErsltE)));
    a = w1;
    a = CC_addressH(a, q);
    q = a;
    a = car(cdr(value(LL_ErsltE)));
    {
        popv(1);
        return  Lgetv(a, q);
    }
   G0877:
    q = nil;
    a = LITERAL[235];
   G0883:
    a = CC_errormsg(a, q);
   G0880:
    popv(1);
    return a;
}

Sex CC_AEC(Sex a)
{
    Sex q;
    Sex *sp = stack;
    stackcheck();
    stack = sp + 3;
    w2 = nil;
    w3 = nil;
    w1 = a;
    if(a != nil) goto    G0892;
    a = mkfxat(0);
    w1 = a;
   G0892:
    a = Lzerop(a);
    if(a == nil) goto    G0894;
#define LL_Qpresent LITERAL[236]
    a = value(LL_Qpresent);
    goto    G0914;
   G0894:
    a = w1;
    if(!is_integer(a)) goto    G0895;
    a = Labs(a);
    w1 = a;
    goto    G0896;
   G0895:
    a = LITERAL[237];
    CC_argerror(a);
   G0896:
    a = cdr(car(value(LL_Qpresent)));
    if(a != nil) goto    G0898;
    a = w1;
    a = Ladd1(a);
    w1 = a;
   G0898:
#define LL_Qhistory LITERAL[238]
    a = value(LL_Qhistory);
    w2 = a;
    a = w1;
    a = Lminus(a);
    q = a;
    a = car(car(car(value(LL_Qpresent))));
    a = plus2(a, q);
    w3 = a;
   G0887:
    q = w3;
    a = car(car(car(w2)));
    a = Llessp(a, q);
    if(a == nil) goto    G0901;
    a = cdr(w2);
    w2 = a;
    goto    G0887;
   G0901:
    a = cdr(car(w2));
    w3 = a;
    if(a != nil) goto    G0909;
    a = w2;
    if(a == value(LL_Qpresent)) goto    G0915;
    a = cdr(a);
    w2 = a;
    goto    G0901;
   G0905:
    a = cdr(car(w2));
    w3 = a;
    if(a != nil) goto    G0909;
    a = w2;
    if(a == value(LL_Qhistory)) goto    G0915;
    q = a;
    a = value(LL_Qhistory);
    a = CC_before(a, q);
   G0914:
    w2 = a;
    goto    G0905;
   G0915:
    w3 = nil;
   G0909:
    a = w3;
#define LL_nothing LITERAL[239]
    if(a != LL_nothing) goto    G0886;
    a = nil;
   G0886:
    popv(3);
    return a;
}

Sex CC_Aorder(Sex a)
{
    Sex q, m;
    Sex *sp = stack;
    stackcheck();
    stack = sp + 8;
    w8 = nil;
    w7 = nil;
    w6 = nil;
    w5 = nil;
    w4 = nil;
    w3 = nil;
    w2 = nil;
    w1 = nil;
    if(a != nil) goto    G0919;
    q = LITERAL[240];
    a = mkfxat(3);
    {
        popv(8);
        return  CC_errormsg(a, q);
    }
   G0919:
    w2 = nil;
    w3 = nil;
    w4 = nil;
    w5 = nil;
    w6 = nil;
    w7 = nil;
    w8 = nil;
    w1 = a;
    a = value(LL_CordenvC);
    w7 = a;
   G0922:
    a = car(w1);
    w2 = a;
    if(is_symbol(a)) goto    G0931;
    q = LITERAL[240];
    a = mkfxat(3);
    CC_errormsg(a, q);
    goto    G0932;
   G0931:
    q = LL_Bgid;
    a = Lget(a, q);
    if(a != nil) goto    G0932;
    q = nil;
    a = w2;
    CC_internTid(a, q);
   G0932:
    q = LL_Bgid;
    a = w2;
    a = Lget(a, q);
    q = mkfxat(1);
    a = Lgetv(a, q);
    w8 = a;
    q = a;
    a = LL_var;
    a = Lmemq(a, q);
    if(a != nil) goto    G0994;
    q = w8;
#define LL_num LITERAL[241]
    a = LL_num;
    a = Lmemq(a, q);
    if(a == nil) goto    G0940;
    a = car(w8);
#define LL_tran LITERAL[242]
    if(a != LL_tran) goto    G0942;
    q = w6;
    a = w2;
    a = cons(a, q);
    w6 = a;
    goto    G0948;
   G0942:
    q = w2;
    a = LITERAL[243];
    CC_printmsg(a, q);
    goto    G0948;
   G0940:
    q = w8;
#define LL_func LITERAL[244]
    a = LL_func;
    a = Lmemq(a, q);
    if(a == nil) goto    G0944;
    a = car(w8);
    if(a != LL_pfunc) goto    G0946;
    q = w3;
    a = w2;
    a = cons(a, q);
    w3 = a;
    goto    G0948;
   G0946:
    q = w4;
    a = w2;
    a = cons(a, q);
    w4 = a;
    goto    G0948;
   G0994:
#define LL_algf LITERAL[245]
    q = LL_algf;
    a = car(w8);
    a = Lneq(a, q);
    if(a == nil) goto    G0942;
   G0944:
    q = w5;
    a = w2;
    a = cons(a, q);
    w5 = a;
   G0948:
    a = cdr(w1);
    w1 = a;
    if(a != nil) goto    G0922;
#define LL_CordenvLC LITERAL[246]
    a = value(LL_CordenvLC);
    a = Ladd1(a);
    value(LL_CordenvLC) = a;
    value(LL_CordenvC) = a;
    a = value(LL_CevalenvC);
    a = Ladd1(a);
    value(LL_CevalenvC) = a;
    w8 = nil;
    a = w3;
    if(a == nil) goto    G0952;
    q = w8;
#define LL_CordLpfn LITERAL[247]
    a = value(LL_CordLpfn);
    a = cons(a, q);
    q = LL_CordLpfn;
    a = Lxcons(a, q);
    w8 = a;
   G0952:
    a = w4;
    if(a == nil) goto    G0955;
    q = w8;
#define LL_CordLfun LITERAL[248]
    a = value(LL_CordLfun);
    a = cons(a, q);
    q = LL_CordLfun;
    a = Lxcons(a, q);
    w8 = a;
   G0955:
    a = w5;
    if(a == nil) goto    G0958;
    q = w8;
#define LL_CordLvar LITERAL[249]
    a = value(LL_CordLvar);
    a = cons(a, q);
    q = LL_CordLvar;
    a = Lxcons(a, q);
    w8 = a;
   G0958:
    a = w6;
    if(a == nil) goto    G0961;
    q = w8;
#define LL_CordLtrn LITERAL[250]
    a = value(LL_CordLtrn);
    a = cons(a, q);
    q = LL_CordLtrn;
    a = Lxcons(a, q);
    w8 = a;
   G0961:
    a = w3;
    if(a == nil) goto    G0924;
    a = car(a);
    w2 = a;
    q = LL_Bgid;
    a = Lget(a, q);
    q = mkfxat(0);
    a = Lgetv(a, q);
    q = w2;
    a = Lxcons(a, q);
    q = w8;
    a = cons(a, q);
    w8 = a;
    a = value(LL_CordLpfn);
    a = Ladd1(a);
    value(LL_CordLpfn) = a;
    q = a;
    a = w2;
    CC_putTgorder(a, q);
    q = value(LL_CordenvC);
    a = w2;
    CC_putTordenv(a, q);
    a = cdr(w3);
    w3 = a;
    goto    G0961;
   G0924:
    a = w4;
    if(a == nil) goto    G0925;
    a = car(a);
    w2 = a;
    q = LL_Bgid;
    a = Lget(a, q);
    q = mkfxat(0);
    a = Lgetv(a, q);
    q = w2;
    a = Lxcons(a, q);
    q = w8;
    a = cons(a, q);
    w8 = a;
    a = value(LL_CordLfun);
    a = Ladd1(a);
    value(LL_CordLfun) = a;
    q = a;
    a = w2;
    CC_putTgorder(a, q);
    q = value(LL_CordenvC);
    a = w2;
    CC_putTordenv(a, q);
    a = cdr(w4);
    w4 = a;
    goto    G0924;
   G0925:
    a = w5;
    if(a == nil) goto    G0926;
    a = car(a);
    w2 = a;
    q = LL_Bgid;
    a = Lget(a, q);
    q = mkfxat(0);
    a = Lgetv(a, q);
    q = w2;
    a = Lxcons(a, q);
    q = w8;
    a = cons(a, q);
    w8 = a;
    a = value(LL_CordLvar);
    a = Ladd1(a);
    value(LL_CordLvar) = a;
    q = a;
    a = w2;
    CC_putTgorder(a, q);
    q = value(LL_CordenvC);
    a = w2;
    CC_putTordenv(a, q);
    a = cdr(w5);
    w5 = a;
    goto    G0925;
   G0926:
    a = w6;
    if(a == nil) goto    G0927;
    a = car(a);
    w2 = a;
    q = LL_Bgid;
    a = Lget(a, q);
    q = mkfxat(0);
    a = Lgetv(a, q);
    q = w2;
    a = Lxcons(a, q);
    q = w8;
    a = cons(a, q);
    w8 = a;
    a = value(LL_CordLtrn);
    a = Ladd1(a);
    value(LL_CordLtrn) = a;
    q = a;
    a = w2;
    CC_putTgorder(a, q);
    q = value(LL_CordenvC);
    a = w2;
    CC_putTordenv(a, q);
    a = cdr(w6);
    w6 = a;
    goto    G0926;
   G0927:
    a = value(LL_Hpowser);
    if(a == nil) goto    G0929;
    w5 = a;
    a = CHAR_OF(104);
    a = Lncons(a);
    value(LL_Hpowser) = a;
   G0928:
#define LL_WorderTvar LITERAL[251]
    m = LL_WorderTvar;
    q = value(LL_Hpowser);
    a = car(w5);
    CC_seTinsertbycar(a, q, m);
    a = cdr(w5);
    w5 = a;
    if(a != nil) goto    G0928;
    a = cdr(value(LL_Hpowser));
    value(LL_Hpowser) = a;
   G0929:
    q = w8;
    a = w7;
    a = cons(a, q);
#define LL_Bordhistory LITERAL[252]
    q = value(LL_Bordhistory);
    a = cons(a, q);
    value(LL_Bordhistory) = a;
    a = LITERAL[253];
    popv(8);
    return a;
}

Sex CC_Aunorder(void)
{
    Sex a, q, m;
    Sex *sp = stack;
    stackcheck();
    stack = sp + 3;
    w3 = nil;
    w2 = nil;
    w1 = nil;
    a = value(LL_Bordhistory);
    if(a == nil) goto    G0999;
    w1 = nil;
    w2 = nil;
    w3 = nil;
    a = car(a);
    w1 = a;
    a = car(a);
    value(LL_CordenvC) = a;
    a = value(LL_CordenvLC);
    a = Ladd1(a);
    value(LL_CordenvLC) = a;
    a = value(LL_CevalenvC);
    a = Ladd1(a);
    value(LL_CevalenvC) = a;
   G1001:
    a = cdr(w1);
    w1 = a;
    a = car(a);
    w3 = a;
    if(!is_cons(a)) goto    G1002;
    q = LL_Bgid;
    a = car(a);
    a = Lget(a, q);
    if(a == nil) goto    G1001;
    q = cdr(w3);
    a = car(w3);
    CC_putTgorder(a, q);
    goto    G1001;
   G1002:
    q = car(cdr(w1));
    a = car(w1);
    Lset(a, q);
    a = cdr(cdr(w1));
    w1 = a;
    if(a != nil) goto    G1002;
    a = value(LL_Hpowser);
    if(a == nil) goto    G1005;
    w2 = a;
    a = CHAR_OF(104);
    a = Lncons(a);
    value(LL_Hpowser) = a;
   G1004:
    m = LL_WorderTvar;
    q = value(LL_Hpowser);
    a = car(w2);
    CC_seTinsertbycar(a, q, m);
    a = cdr(w2);
    w2 = a;
    if(a != nil) goto    G1004;
    a = cdr(value(LL_Hpowser));
    value(LL_Hpowser) = a;
   G1005:
    a = cdr(value(LL_Bordhistory));
    value(LL_Bordhistory) = a;
    a = LITERAL[254];
   G0999:
    popv(3);
    return a;
}

Sex CC_readQpfuncstat(Sex a)
{
    Sex q, m, arg4;
    Sex *sp = stack;
    stackcheck();
    stack = sp + 3;
    w3 = nil;
    w2 = nil;
    w1 = a;
    a = LL_pfunc;
    a = CC_readQprocstat(a);
    w2 = a;
    a = car(cdr(a));
    w3 = a;
    q = LL_Bgid;
    a = Lget(a, q);
    if(a == nil) goto    G1021;
    q = w3;
    a = LITERAL[24];
    goto    G1025;
   G1021:
    a = w3;
    a = Lgetd(a);
    if(a == nil) goto    G1023;
    q = w3;
    a = LITERAL[255];
   G1025:
    CC_errormsg(a, q);
   G1023:
    q = nil;
    a = w3;
    a = CC_delQprefs(a, q);
    arg4 = nil;
    m = LL_pfunc;
    q = w3;
    CC_defcommand(a, q, m, arg4);
    a = w2;
    popv(3);
    return a;
}

Sex CC_Awrite(Sex a)
{
    Sex q;
    Sex *sp = stack;
    stackcheck();
    stack = sp + 2;
    w2 = nil;
    w1 = a;
    if(a != nil) goto    G1031;
    q = LITERAL[256];
    a = mkfxat(3);
    CC_errormsg(a, q);
   G1031:
    Lterpri();
   G1029:
    a = car(w1);
    w2 = a;
    if(is_cons(a)) goto    G1033;
    Lprinc(a);
    goto    G1034;
   G1033:
    q = nil;
    CC_gprintH(a, q);
   G1034:
    a = cdr(w1);
    w1 = a;
    if(a != nil) goto    G1029;
    popv(2);
    return a;
}

Sex CC_Areset(Sex a)
{
    Sex q;
    Sex *sp = stack;
    stackcheck();
    stack = sp + 2;
    w2 = nil;
    w1 = a;
    if(a != nil) goto    G1042;
    q = LITERAL[257];
    a = mkfxat(3);
    CC_errormsg(a, q);
   G1042:
    a = car(w1);
    w2 = a;
    if(is_symbol(a)) goto    G1044;
    q = a;
    a = LITERAL[258];
    goto    G1049;
   G1044:
    q = LL_Bgid;
    a = Lget(a, q);
    if(a != nil) goto    G1045;
    q = w2;
    a = LITERAL[259];
   G1049:
    CC_printmsg(a, q);
    goto    G1046;
   G1045:
    q = nil;
    a = w2;
    CC_putTsexpr(a, q);
    q = nil;
    a = w2;
    CC_putTsavval(a, q);
   G1046:
    a = cdr(w1);
    w1 = a;
    if(a != nil) goto    G1042;
    a = value(LL_CevalenvC);
    a = Ladd1(a);
    value(LL_CevalenvC) = a;
    a = LITERAL[260];
    popv(2);
    return a;
}

Sex CC_Aerase(Sex a)
{
    Sex q, m;
    Sex *sp = stack;
    stackcheck();
    stack = sp + 8;
    w8 = nil;
    w7 = nil;
    w6 = nil;
    w5 = nil;
    w4 = nil;
    w3 = nil;
    w2 = nil;
    w1 = nil;
    if(a != nil) goto    G1053;
    q = LITERAL[261];
    a = mkfxat(3);
    {
        popv(8);
        return  CC_errormsg(a, q);
    }
   G1053:
    w2 = nil;
    w3 = nil;
    w4 = nil;
    w5 = nil;
    w6 = nil;
    w7 = nil;
    w8 = nil;
    w1 = a;
    a = value(LL_Bordhistory);
    w6 = a;
   G1056:
    if(a == nil) goto    G1058;
    a = cdr(car(a));
    w7 = a;
   G1057:
    a = car(w7);
    w8 = a;
    if(is_cons(a)) goto    G1071;
    a = cdr(w6);
    w6 = a;
    goto    G1056;
   G1071:
    q = w1;
    a = car(a);
    a = Lmemq(a, q);
    if(a == nil) goto    G1072;
    q = LL_Bgid;
    a = car(w8);
    a = Lget(a, q);
    if(a == nil) goto    G1072;
    q = cdr(w8);
    a = car(w8);
    CC_putTgorder(a, q);
   G1072:
    a = cdr(w7);
    w7 = a;
    goto    G1057;
   G1058:
    a = CHAR_OF(104);
    a = Lncons(a);
    w6 = a;
    a = CHAR_OF(104);
    a = Lncons(a);
    w7 = a;
   G1059:
    a = car(w1);
    w2 = a;
    if(is_symbol(a)) goto    G1077;
    q = a;
    a = LITERAL[262];
    goto    G1131;
   G1077:
    q = LL_Bgid;
    a = Lget(a, q);
    if(a != nil) goto    G1078;
    q = w2;
    a = LITERAL[263];
   G1131:
    CC_printmsg(a, q);
    goto    G1083;
   G1078:
    q = LL_Bgid;
    a = w2;
    a = Lget(a, q);
    q = mkfxat(1);
    a = Lgetv(a, q);
    a = car(a);
    q = LITERAL[264];
    a = Lmemq(a, q);
#define LL_WorderTid LITERAL[265]
    m = LL_WorderTid;
    if(a == nil) goto    G1079;
    q = w7;
    goto    G1132;
   G1079:
    q = w6;
   G1132:
    a = w2;
    CC_seTinsert(a, q, m);
   G1083:
    a = cdr(w1);
    w1 = a;
    if(a != nil) goto    G1059;
    a = cdr(w6);
    a = Lreverse(a);
    w6 = a;
    a = cdr(w7);
    w7 = a;
    a = w6;
    if(a != nil) goto    G1087;
    a = w7;
    if(a == nil) goto    G1054;
   G1087:
    a = w7;
    if(a == nil) goto    G1062;
    a = car(a);
    w2 = a;
    q = LL_Bgid;
    a = Lget(a, q);
    q = mkfxat(0);
    a = Lgetv(a, q);
    w4 = a;
    q = LL_Bgid;
    a = w2;
    a = Lget(a, q);
    q = mkfxat(1);
    a = Lgetv(a, q);
    a = car(a);
#define LL_algn LITERAL[266]
    if(a != LL_algn) goto    G1093;
#define LL_CordLaln LITERAL[267]
    q = value(LL_CordLaln);
    a = w4;
    a = Leqn(a, q);
    if(a == nil) goto    G1067;
    a = w4;
    a = Lsub1(a);
    value(LL_CordLaln) = a;
    goto    G1100;
   G1093:
#define LL_CordLalf LITERAL[268]
    q = value(LL_CordLalf);
    a = w4;
    a = Leqn(a, q);
    if(a == nil) goto    G1067;
    a = w4;
    a = Lsub1(a);
    value(LL_CordLalf) = a;
   G1100:
    q = LL_Bgid;
    a = w2;
    Lremprop(a, q);
    a = w2;
    Lremob(a);
    a = cdr(w7);
    w7 = a;
    goto    G1087;
   G1062:
    a = w6;
    if(a == nil) goto    G1133;
    a = value(LL_Hpowser);
    if(a == nil) goto    G1066;
    a = w6;
    w7 = a;
    q = value(LL_Hpowser);
    a = CHAR_OF(104);
    a = cons(a, q);
    value(LL_Hpowser) = a;
   G1063:
    a = value(LL_Hpowser);
    w5 = a;
   G1064:
    a = car(car(cdr(w5)));
    w8 = a;
    if(a == car(w7)) goto    G1107;
    if(!is_cons(a)) goto    G1105;
    a = car(w7);
    if(a != car(w8)) goto    G1105;
   G1107:
    q = cdr(cdr(w5));
    a = w5;
    cdr(a) = q;
    goto    G1108;
   G1105:
    a = cdr(w5);
    w5 = a;
   G1108:
    a = cdr(w5);
    if(a != nil) goto    G1064;
    a = cdr(w7);
    w7 = a;
    if(a == nil) goto    G1112;
    a = cdr(value(LL_Hpowser));
    if(a != nil) goto    G1063;
   G1112:
    a = cdr(value(LL_Hpowser));
    value(LL_Hpowser) = a;
   G1066:
    a = w6;
    if(a != nil) goto    G1115;
   G1133:
    a = LITERAL[269];
    goto    G1054;
   G1115:
    a = car(a);
    w2 = a;
    q = LL_Bgid;
    a = Lget(a, q);
    q = mkfxat(0);
    a = Lgetv(a, q);
    w4 = a;
    q = LL_Bgid;
    a = w2;
    a = Lget(a, q);
    q = mkfxat(1);
    a = Lgetv(a, q);
    w8 = a;
    q = a;
    a = LL_var;
    a = Lmemq(a, q);
    if(a != nil) goto    G1121;
    q = w8;
    a = LL_num;
    a = Lmemq(a, q);
    if(a == nil) goto    G1120;
#define LL_CordKtrn LITERAL[270]
    a = LL_CordKtrn;
    goto    G1126;
   G1120:
    q = w8;
    a = LL_func;
    a = Lmemq(a, q);
    if(a == nil) goto    G1121;
    q = w8;
    a = LL_pfunc;
    a = Lmemq(a, q);
    if(a != nil) goto    G1124;
    q = w8;
#define LL_oper LITERAL[271]
    a = LL_oper;
    a = Lmemq(a, q);
    if(a == nil) goto    G1123;
   G1124:
#define LL_CordKpfn LITERAL[272]
    a = LL_CordKpfn;
    goto    G1126;
   G1123:
#define LL_CordKfun LITERAL[273]
    a = LL_CordKfun;
    goto    G1126;
   G1121:
#define LL_CordKvar LITERAL[274]
    a = LL_CordKvar;
   G1126:
    w3 = a;
    a = Leval(a);
    q = a;
    a = w4;
    a = Leqn(a, q);
    if(a == nil) goto    G1128;
    a = w4;
    a = Ladd1(a);
    q = a;
    a = w3;
    Lset(a, q);
   G1128:
    q = LL_Bgid;
    a = w2;
    Lremprop(a, q);
    a = w2;
    Lremob(a);
    a = cdr(w6);
    w6 = a;
    goto    G1066;
   G1067:
    q = w2;
    a = LITERAL[275];
    CC_errormsg(a, q);
    a = nil;
   G1054:
    popv(8);
    return a;
}

Sex CC_readQsetform(Sex a)
{
    Sex q, m;
    Sex *sp = stack;
    stackcheck();
    stack = sp + 7;
    w7 = nil;
    w6 = nil;
    w5 = nil;
    w4 = nil;
    w3 = nil;
    w2 = nil;
    w1 = a;
    a = value(LL_Hrdstat);
    if(a != LL_decl) goto    G1138;
    a = w1;
    goto    G1139;
   G1138:
    w2 = nil;
    w3 = nil;
    w4 = nil;
    w5 = nil;
    w6 = nil;
    a = LL_head;
    a = Lncons(a);
    w3 = a;
    w2 = a;
    a = w1;
    w4 = a;
#define LL_Qbras LITERAL[276]
    q = value(LL_Qbras);
    a = Lmemq(a, q);
    if(a == nil) goto    G1143;
    a = w1;
#define LL_RlbraceS LITERAL[277]
    if(a != value(LL_RlbraceS)) goto    G1146;
#define LL_RrbraceS LITERAL[278]
    a = value(LL_RrbraceS);
    w5 = a;
#define LL_Bset LITERAL[279]
    a = LL_Bset;
    goto    G1159;
   G1146:
#define LL_RrbracketS LITERAL[280]
    a = value(LL_RrbracketS);
    w5 = a;
#define LL_Boset LITERAL[281]
    a = LL_Boset;
    goto    G1159;
   G1143:
    a = CC_readQword();
    a = cdr(a);
    a = car(a);
    w4 = a;
    q = value(LL_Qbras);
    a = Lmemq(a, q);
    if(a != nil) goto    G1148;
    q = w1;
    a = LITERAL[282];
    CC_errormsg(a, q);
    goto    G1152;
   G1148:
    a = w4;
#define LL_RlparenS LITERAL[283]
    if(a != value(LL_RlparenS)) goto    G1154;
#define LL_RrparenS LITERAL[284]
    a = value(LL_RrparenS);
    goto    G1156;
   G1154:
    if(a != value(LL_RlbraceS)) goto    G1155;
    a = value(LL_RrbraceS);
    goto    G1156;
   G1155:
    a = value(LL_RrbracketS);
   G1156:
    w5 = a;
    a = w1;
#define LL_set LITERAL[285]
    if(a != LL_set) goto    G1158;
    a = LL_Bset;
    goto    G1159;
   G1158:
    a = LL_Boset;
   G1159:
    w1 = a;
   G1152:
    a = CC_readQstat();
    w6 = a;
    q = w5;
    a = Lneq(a, q);
    if(a == nil) goto    G1161;
    a = w6;
    a = CC_mkQunevl(a);
    a = Lncons(a);
    q = a;
    a = w3;
    cdr(a) = q;
    a = cdr(a);
    w3 = a;
   G1161:
    a = LL_comma;
    a = CC_nextwordM(a);
    if(a != nil) goto    G1152;
    a = w5;
    a = CC_nextwordM(a);
    if(a == nil) goto    G1168;
    a = value(LL_Hrdstat);
#define LL_ungev LITERAL[286]
    if(a != LL_ungev) goto    G1170;
    q = w1;
    a = w2;
    {
        popv(7);
        car(a) = q;
 return a;
    }
   G1170:
    a = w1;
    a = Lmkquote(a);
    w7 = a;
#define LL_list LITERAL[287]
    q = LL_list;
    a = w2;
    car(a) = q;
    m = a;
    q = w7;
#define LL_gevTset LITERAL[288]
    a = LL_gevTset;
    {
        popv(7);
        return  Llist3(a, q, m);
    }
   G1168:
#define LL_semicol LITERAL[289]
    a = LL_semicol;
    a = CC_nextwordM(a);
    if(a != nil) goto    G1176;
#define LL_semicol2 LITERAL[290]
    a = LL_semicol2;
    a = CC_nextwordM(a);
    if(a == nil) goto    G1175;
   G1176:
    q = w4;
    a = LITERAL[291];
    CC_errormsg(a, q);
   G1175:
    q = w5;
    a = LITERAL[292];
    CC_printmsg(a, q);
    CC_errQnextwd();
    a = nil;
   G1139:
    popv(7);
    return a;
}

Sex CC_readQarryform(Sex a)
{
    Sex q, m, arg4;
    Sex *sp = stack;
    stackcheck();
    stack = sp + 8;
    w8 = nil;
    w7 = nil;
    w6 = nil;
    w5 = nil;
    w4 = nil;
    w3 = nil;
    w2 = nil;
    w1 = a;
    a = value(LL_Hrdstat);
    if(a != LL_decl) goto    G1182;
    a = w1;
    goto    G1183;
   G1182:
    w2 = nil;
    w3 = nil;
    w4 = nil;
    w5 = nil;
    w6 = nil;
    w7 = nil;
    a = LL_list;
    a = Lncons(a);
    w3 = a;
    w2 = a;
    a = CC_readQword();
    a = cdr(a);
    a = car(a);
    w7 = a;
    if(a != value(LL_RlparenS)) goto    G1191;
    a = value(LL_RrparenS);
    goto    G1194;
   G1191:
#define LL_RlbracketS LITERAL[293]
    if(a != value(LL_RlbracketS)) goto    G1192;
    a = value(LL_RrbracketS);
    goto    G1194;
   G1192:
    if(a != value(LL_RlbraceS)) goto    G1193;
    q = a;
    a = LITERAL[294];
    goto    G1242;
   G1193:
    q = w1;
    a = LITERAL[282];
   G1242:
    a = CC_errormsg(a, q);
   G1194:
    w6 = a;
    q = LITERAL[295];
    a = w1;
    a = Lmemq(a, q);
    if(a == nil) goto    G1196;
    a = w1;
    goto    G1200;
   G1196:
    a = w1;
#define LL_vector LITERAL[296]
    if(a == LL_vector) goto    G1199;
#define LL_matrix LITERAL[297]
    if(a != LL_matrix) goto    G1198;
    a = LL_matx;
    goto    G1200;
   G1198:
#define LL_tensor LITERAL[298]
    if(a != LL_tensor) goto    G1199;
#define LL_tens LITERAL[299]
    a = LL_tens;
    goto    G1200;
   G1199:
    a = LL_vect;
   G1200:
    w4 = a;
    a = CC_readQword();
    w7 = a;
#define LL_name LITERAL[300]
    q = LL_name;
    a = car(a);
    a = Lneq(a, q);
    if(a != nil) goto    G1203;
    q = LITERAL[301];
    a = cdr(w7);
    a = Lequal(a, q);
    if(a != nil) goto    G1202;
   G1203:
#define LL_Qwordlis LITERAL[302]
    q = value(LL_Qwordlis);
    a = w7;
    a = cons(a, q);
    value(LL_Qwordlis) = a;
    q = LITERAL[303];
    a = w4;
    a = Lmemq(a, q);
    if(a == nil) goto    G1205;
    a = nil;
    a = Lncons(a);
    goto    G1206;
   G1205:
    q = nil;
    a = Llist2(a, q);
   G1206:
    w5 = a;
    goto    G1236;
   G1202:
    a = CC_readQword();
    a = cdr(a);
    a = car(a);
    q = LITERAL[304];
    a = Lneq(a, q);
    if(a != nil) goto    G1187;
    a = CC_readQword();
    a = cdr(a);
    a = car(a);
    q = value(LL_RlparenS);
    a = Lneq(a, q);
    if(a != nil) goto    G1187;
    q = value(LL_RlparenS);
#define LL_size LITERAL[305]
    a = LL_size;
    a = CC_readQbraform(a, q);
    a = cdr(a);
    w5 = a;
    q = a;
    a = LL_eval;
    a = CC_fmapelm(a, q);
    a = CC_Wintlist(a);
    if(a == nil) goto    G1187;
    a = w4;
    if(a != LL_vect) goto    G1219;
    a = cdr(w5);
    if(a != nil) goto    G1187;
    goto    G1223;
   G1219:
    if(a != LL_matx) goto    G1223;
    a = cdr(w5);
    if(a == nil) goto    G1187;
    a = cdr(a);
    if(a != nil) goto    G1187;
    a = car(w5);
    w7 = a;
    a = Lminusp(a);
    if(a != nil) goto    G1187;
    a = car(cdr(w5));
    w7 = a;
    a = Lminusp(a);
    if(a != nil) goto    G1223;
    a = w7;
    a = Lminus(a);
    q = a;
    a = cdr(w5);
    car(a) = q;
   G1223:
    a = CC_readQword();
    w7 = a;
    a = cdr(a);
    a = car(a);
    if(a == value(LL_RcommaS)) goto    G1236;
    q = value(LL_Qwordlis);
    a = w7;
    a = cons(a, q);
    value(LL_Qwordlis) = a;
   G1236:
    arg4 = w3;
    m = w5;
    q = w6;
    a = w1;
    CC_readQarryform1(a, q, m, arg4);
    a = cdr(w2);
    w3 = a;
   G1186:
    a = car(w3);
    a = CC_mkQunevl(a);
    w7 = a;
    q = a;
    a = w3;
    car(a) = q;
    a = cdr(w3);
    w3 = a;
    if(a != nil) goto    G1186;
    a = w4;
    a = Lmkquote(a);
    w8 = a;
    a = w5;
    a = Lmkquote(a);
    arg4 = w2;
    m = a;
    q = w8;
#define LL_gevTarform LITERAL[306]
    a = LL_gevTarform;
    {
        popv(8);
        return  Llist4(a, q, m, arg4);
    }
   G1187:
    q = w1;
    a = LITERAL[307];
    CC_errormsg(a, q);
    a = nil;
   G1183:
    popv(8);
    return a;
}

Sex CC_readQarryform1(Sex a, Sex q, Sex m, Sex arg4)
{
    Sex *sp = stack;
    stackcheck();
    stack = sp + 8;
    w5 = nil;
    w6 = nil;
    w8 = nil;
    w1 = a;
    a = mkfxat(0);
    w7 = a;
    w2 = q;
    w3 = m;
    w4 = arg4;
    a = cdr(m);
    if(a != nil) goto    G1262;
   G1252:
    a = CC_readQstat();
    w8 = a;
    q = w2;
    a = Lneq(a, q);
    if(a == nil) goto    G1254;
    a = w8;
    a = Lncons(a);
    q = a;
    a = w4;
    cdr(a) = q;
    a = cdr(a);
    w4 = a;
    goto    G1258;
   G1254:
    q = w1;
    a = LITERAL[308];
    CC_errormsg(a, q);
   G1258:
    a = w7;
    a = Ladd1(a);
    w7 = a;
    a = LL_comma;
    a = CC_nextwordM(a);
    if(a != nil) goto    G1252;
    a = w2;
    a = CC_nextwordM(a);
    if(a != nil) goto    G1277;
    CC_errQnextwd();
   G1262:
    a = CC_readQword();
    a = cdr(a);
    a = car(a);
    w5 = a;
    if(a != value(LL_RlparenS)) goto    G1266;
    a = value(LL_RrparenS);
    goto    G1269;
   G1266:
    if(a != value(LL_RlbracketS)) goto    G1267;
    a = value(LL_RrbracketS);
    goto    G1269;
   G1267:
    if(a != value(LL_RlbraceS)) goto    G1268;
    q = w8;
    a = LITERAL[294];
    goto    G1288;
   G1268:
    q = w1;
    a = LITERAL[309];
   G1288:
    a = CC_errormsg(a, q);
   G1269:
    w6 = a;
   G1249:
    a = w4;
    a = CC_tail(a);
    w4 = a;
    arg4 = a;
    m = cdr(w3);
    q = w6;
    a = w1;
    CC_readQarryform1(a, q, m, arg4);
    a = w7;
    a = Ladd1(a);
    w7 = a;
    a = CC_readQword();
    a = cdr(a);
    a = car(a);
    w8 = a;
    if(a == value(LL_RcommaS)) goto    G1262;
    if(a == w2) goto    G1277;
    if(a == w5) goto    G1249;
    q = w1;
    a = LITERAL[310];
    CC_errormsg(a, q);
   G1277:
    a = w7;
    a = Lzerop(a);
    if(a == nil) goto    G1279;
    q = w1;
    a = LITERAL[311];
    CC_errormsg(a, q);
    goto    G1280;
   G1279:
    a = car(w3);
    if(a != nil) goto    G1280;
    q = w7;
    a = w3;
    car(a) = q;
   G1280:
    q = LITERAL[312];
    a = w1;
    a = Lmemq(a, q);
    if(a == nil) goto    G1282;
    a = w7;
    a = Lminus(a);
    q = a;
    a = w3;
    car(a) = q;
   G1282:
    a = car(w3);
    a = Labs(a);
    q = a;
    a = w7;
    a = Leqn(a, q);
    if(a == nil) goto    G1285;
    a = w4;
    goto    G1246;
   G1285:
    q = w1;
    a = LITERAL[313];
    CC_errormsg(a, q);
    a = nil;
   G1246:
    popv(8);
    return a;
}

Sex CC_readQruleboxs(Sex a)
{
    Sex q;
    Sex *sp = stack;
    stackcheck();
    stack = sp + 1;
    w1 = a;
    q = value(LL_Hrdstat);
    a = LL_Hrdstat;
    a = cons(a, q);
    q = value(LL_Qgstack);
    a = cons(a, q);
    value(LL_Qgstack) = a;
    a = LL_ungev;
    value(LL_Hrdstat) = a;
    a = w1;
    a = CC_readQopennsts(a);
#define LL_Htemporal LITERAL[314]
    value(LL_Htemporal) = a;
    a = cdr(car(value(LL_Qgstack)));
    value(LL_Hrdstat) = a;
    a = cdr(value(LL_Qgstack));
    value(LL_Qgstack) = a;
    a = value(LL_Htemporal);
    popv(1);
    return a;
}

Sex CC_Arule(Sex a)
{
    Sex q, m;
    Sex *sp = stack;
    stackcheck();
    stack = sp + 6;
    w6 = nil;
    w5 = nil;
    w4 = nil;
    w3 = nil;
    w2 = nil;
    w1 = nil;
    if(a != nil) goto    G1295;
    q = LITERAL[315];
    a = mkfxat(2);
    {
        popv(6);
        return  CC_errormsg(a, q);
    }
   G1295:
    w2 = nil;
    w3 = nil;
    w4 = nil;
    w1 = a;
   G1298:
    a = car(w1);
    w2 = a;
    a = CC_gevTrule1(a);
    w3 = a;
#define LL_err LITERAL[316]
    if(a != LL_err) goto    G1301;
    q = w2;
    a = LITERAL[317];
    CC_printmsg(a, q);
    goto    G1299;
   G1301:
#define LL_Bopnrules LITERAL[318]
    a = value(LL_Bopnrules);
    if(a != nil) goto    G1304;
    a = LL_func;
    a = Lncons(a);
    w5 = a;
#define LL_mono LITERAL[319]
    a = LL_mono;
    a = Lncons(a);
    w6 = a;
#define LL_mult LITERAL[320]
    a = LL_mult;
    a = Lncons(a);
    m = a;
    q = w6;
    a = w5;
    a = Llist3(a, q, m);
    value(LL_Bopnrules) = a;
   G1304:
    q = a;
    a = car(w3);
    a = Latsoc(a, q);
    q = a;
    a = cdr(w3);
    CC_ruleTinsert(a, q);
    a = true;
    w4 = a;
   G1299:
    a = cdr(w1);
    w1 = a;
    if(a != nil) goto    G1298;
    a = w4;
    if(a != nil) goto    G1311;
    a = LITERAL[321];
    goto    G1296;
   G1311:
    a = value(LL_CevalenvC);
    a = Ladd1(a);
    value(LL_CevalenvC) = a;
#define LL_CsimpenvC LITERAL[322]
    a = value(LL_CsimpenvC);
    a = Ladd1(a);
    value(LL_CsimpenvC) = a;
    a = LITERAL[323];
   G1296:
    popv(6);
    return a;
}

Sex CC_Arulebox(Sex a)
{
    Sex q, m;
    Sex *sp = stack;
    stackcheck();
    stack = sp + 9;
    w9 = nil;
    w8 = nil;
    w7 = nil;
    w6 = nil;
    w5 = nil;
    w4 = nil;
    w3 = nil;
    w2 = nil;
    w1 = nil;
    if(a != nil) goto    G1315;
    q = LITERAL[324];
    a = mkfxat(2);
    {
        popv(9);
        return  CC_errormsg(a, q);
    }
   G1315:
    w2 = nil;
    w3 = nil;
    w4 = nil;
    w5 = nil;
    w6 = nil;
    w7 = nil;
    w1 = a;
   G1318:
    a = car(w1);
    w5 = a;
    if(!is_cons(a)) goto    G1326;
    a = Llength(a);
    q = mkfxat(3);
    a = Lequal(a, q);
    if(a == nil) goto    G1326;
    q = LITERAL[325];
    a = car(w5);
    a = Lmemq(a, q);
    if(a == nil) goto    G1326;
    a = car(cdr(w5));
    w2 = a;
    if(!is_symbol(a)) goto    G1326;
    a = car(cdr(cdr(w5)));
    w5 = a;
    if(!is_cons(a)) goto    G1326;
    a = car(a);
    if(a == LL_Bset) goto    G1322;
   G1326:
    q = LITERAL[324];
    a = LITERAL[326];
    CC_errormsg(a, q);
    goto    G1327;
   G1322:
    a = cdr(w5);
    w3 = a;
   G1327:
    a = LL_func;
    a = Lncons(a);
    w8 = a;
    a = LL_mono;
    a = Lncons(a);
    w9 = a;
    a = LL_mult;
    a = Lncons(a);
    m = a;
    q = w9;
    a = w8;
    a = Llist3(a, q, m);
    w4 = a;
   G1319:
    a = car(w3);
    a = CC_gevTrule1(a);
    w5 = a;
    if(a != LL_err) goto    G1332;
    q = car(w3);
    a = LITERAL[317];
    CC_printmsg(a, q);
    goto    G1320;
   G1332:
    q = w4;
    a = car(a);
    a = Latsoc(a, q);
    q = a;
    a = cdr(w5);
    CC_ruleTinsert(a, q);
    a = true;
    w6 = a;
   G1320:
    a = cdr(w3);
    w3 = a;
    if(a != nil) goto    G1319;
    a = w6;
    if(a == nil) goto    G1318;
    q = LL_Bgid;
    a = w2;
    a = Lget(a, q);
    if(a != nil) goto    G1339;
    q = nil;
    a = w2;
    CC_internTid(a, q);
   G1339:
    m = w4;
#define LL_rulebox LITERAL[327]
    q = LL_rulebox;
    a = w2;
    CC_putTsimprs(a, q, m);
    a = true;
    w7 = a;
    a = cdr(w1);
    w1 = a;
    if(a == nil) goto    G1341;
    w6 = nil;
    goto    G1318;
   G1341:
    a = w7;
    if(a == nil) goto    G1343;
    a = LITERAL[328];
    goto    G1316;
   G1343:
    a = LITERAL[329];
   G1316:
    popv(9);
    return a;
}

Sex CC_Aunrule(Sex a)
{
    Sex q;
    Sex *sp = stack;
    stackcheck();
    stack = sp + 5;
    w5 = nil;
    w4 = nil;
    w3 = nil;
    w2 = nil;
    w1 = nil;
    if(a != nil) goto    G1349;
    q = LITERAL[330];
    a = mkfxat(2);
    {
        popv(5);
        return  CC_errormsg(a, q);
    }
   G1349:
    w1 = a;
    a = value(LL_Bopnrules);
    if(a != nil) goto    G1350;
    q = nil;
    a = LITERAL[331];
    CC_printmsg(a, q);
    a = nil;
    goto    G1351;
   G1350:
    w2 = nil;
    w3 = nil;
    w4 = nil;
    w5 = nil;
   G1353:
    a = car(w1);
    w2 = a;
    a = value(LL_Bopnrules);
    w3 = a;
    a = car(a);
    w4 = a;
   G1354:
    a = cdr(w4);
    if(a == nil) goto    G1357;
    q = car(car(a));
    a = w2;
    a = Lequal(a, q);
    if(a == nil) goto    G1359;
    q = w2;
    a = LITERAL[332];
    CC_printmsg(a, q);
    q = cdr(cdr(w4));
    a = w4;
    cdr(a) = q;
    a = true;
    w5 = a;
    goto    G1355;
   G1359:
    a = cdr(w4);
    goto    G1371;
   G1357:
    a = cdr(w3);
    w3 = a;
    if(a == nil) goto    G1361;
    a = car(a);
   G1371:
    w4 = a;
    goto    G1354;
   G1361:
    q = w2;
    a = LITERAL[333];
    CC_printmsg(a, q);
   G1355:
    a = cdr(w1);
    w1 = a;
    if(a != nil) goto    G1353;
    a = value(LL_Bopnrules);
    w3 = a;
    a = cdr(car(a));
    if(a != nil) goto    G1365;
    a = cdr(car(cdr(w3)));
    if(a != nil) goto    G1365;
    a = w3;
    a = Lcdaddr(a);
    if(a != nil) goto    G1365;
    value(LL_Bopnrules) = nil;
   G1365:
    a = w5;
    if(a == nil) goto    G1368;
    a = LITERAL[334];
    goto    G1351;
   G1368:
    a = LITERAL[335];
   G1351:
    popv(5);
    return a;
}

Sex CC_Aunrulebox(Sex a)
{
    Sex q, m;
    Sex *sp = stack;
    stackcheck();
    stack = sp + 3;
    w3 = nil;
    w2 = nil;
    w1 = nil;
    if(a != nil) goto    G1375;
    q = LITERAL[336];
    a = mkfxat(2);
    {
        popv(3);
        return  CC_errormsg(a, q);
    }
   G1375:
    w2 = nil;
    w3 = nil;
    w1 = a;
   G1378:
    a = car(w1);
    w2 = a;
    q = LL_Bgid;
    a = Lget(a, q);
    if(a != nil) goto    G1381;
    q = w2;
    a = LITERAL[337];
    goto    G1391;
   G1381:
    q = LL_rulebox;
    a = w2;
    a = CC_getTsimprs(a, q);
    q = w2;
    if(a != nil) goto    G1383;
    a = LITERAL[338];
   G1391:
    CC_printmsg(a, q);
    goto    G1384;
   G1383:
    a = LITERAL[339];
    CC_printmsg(a, q);
    m = nil;
    q = LL_rulebox;
    a = w2;
    CC_putTsimprs(a, q, m);
    a = true;
    w3 = a;
   G1384:
    a = cdr(w1);
    w1 = a;
    if(a != nil) goto    G1378;
    a = w3;
    if(a == nil) goto    G1388;
    a = LITERAL[340];
    goto    G1376;
   G1388:
    a = LITERAL[341];
   G1376:
    popv(3);
    return a;
}

Sex CC_gevTrule1(Sex a)
{
    Sex q;
    Sex *sp = stack;
    stackcheck();
    stack = sp + 8;
    w2 = nil;
    w3 = nil;
    w4 = nil;
    w5 = nil;
    w6 = nil;
    w7 = nil;
    w8 = nil;
    w1 = a;
   G1395:
    if(!is_cons(a)) goto    G1399;
    a = Llength(a);
    q = mkfxat(3);
    a = Lequal(a, q);
    if(a != nil) goto    G1398;
   G1399:
    q = LITERAL[315];
    a = LITERAL[342];
    goto    G1417;
   G1398:
    a = car(w1);
    if(a != LL_Bwith) goto    G1401;
    a = car(cdr(cdr(w1)));
    w5 = a;
    a = car(cdr(w1));
    w1 = a;
    goto    G1395;
   G1401:
#define LL_gKS LITERAL[343]
    q = LL_gKS;
    a = Lneq(a, q);
    if(a == nil) goto    G1402;
    q = LITERAL[315];
    a = LITERAL[344];
   G1417:
    CC_errormsg(a, q);
   G1402:
    a = car(cdr(w1));
    w2 = a;
    a = Lcopy(a);
    w3 = a;
    a = car(cdr(cdr(w1)));
    w4 = a;
    q = value(LL_Hrdstat);
    a = LL_Hrdstat;
    a = cons(a, q);
    q = value(LL_Qgstack);
    a = cons(a, q);
    value(LL_Qgstack) = a;
#define LL_rule LITERAL[345]
    a = LL_rule;
    value(LL_Hrdstat) = a;
    a = w3;
    a = CC_galeval(a);
    w3 = a;
    a = w4;
    a = CC_galeval(a);
    w4 = a;
    a = cdr(car(value(LL_Qgstack)));
    value(LL_Hrdstat) = a;
    a = cdr(value(LL_Qgstack));
    value(LL_Qgstack) = a;
    a = w3;
    if(!is_cons(a)) goto    G1406;
    a = CC_Wsinglevar(a);
    if(a == nil) goto    G1405;
   G1406:
    a = LITERAL[346];
    goto    G1418;
   G1405:
    a = w3;
    a = CC_ptntypeT(a);
    w6 = a;
#define LL_other LITERAL[347]
    if(a == LL_other) goto    G1419;
    if(a != LL_mult) goto    G1409;
#define LL_CpolyC LITERAL[348]
    q = value(LL_CpolyC);
#define LL_ZxtraZ LITERAL[349]
    a = LL_ZxtraZ;
    a = CC_convTvar2cano(a, q);
    q = w3;
    CC_multH(a, q);
    q = value(LL_CpolyC);
    a = LL_ZxtraZ;
    a = CC_convTvar2cano(a, q);
    q = w4;
    CC_multH(a, q);
   G1409:
    q = w5;
    a = w3;
    a = CC_mkTdmypreds(a, q);
    w8 = a;
    q = w4;
    a = value(LL_CordenvC);
    a = cons(a, q);
    w4 = a;
    q = w7;
    a = w3;
    a = cons(a, q);
    q = w8;
    a = cons(a, q);
    q = w4;
    a = cons(a, q);
    q = w2;
    a = Lxcons(a, q);
    q = w6;
    {
        popv(8);
        return  Lxcons(a, q);
    }
   G1419:
    a = LITERAL[350];
   G1418:
    w8 = a;
    q = w2;
    a = w8;
    CC_printmsg(a, q);
    a = LL_err;
    popv(8);
    return a;
}

Sex CC_ruleTinsert(Sex a, Sex q)
{
    Sex *sp = stack;
    stackcheck();
    stack = sp + 2;
    w2 = nil;
   G1428:
    w1 = a;
    a = cdr(q);
    if(a != nil) goto    G1423;
    w2 = q;
    a = w1;
    a = Lncons(a);
    q = a;
    a = w2;
    cdr(a) = q;
    {
        popv(2);
        return cdr(a);
    }
   G1423:
    w2 = q;
    q = car(car(a));
    a = car(w1);
    a = Lequal(a, q);
    if(a == nil) goto    G1426;
    q = w1;
    a = cdr(w2);
    {
        popv(2);
        car(a) = q;
 return a;
    }
   G1426:
    q = cdr(w2);
    a = w1;
    goto    G1428;  /* recursive call to rule:insert */
}



/* initialization procedure */
int init_bsdefn(void)
{
   long i;

   create_symbols(bsdefn_g_setup);
   literal_vectors[number_of_literal_vectors++] =
               LITERAL;
   for(i = 0; bsdefn_literal_string[i] != NULL; i++)
           LITERAL[i]
               = make_literal(bsdefn_literal_string[i]);
   LITERAL[i] = (Sex)NULL;

    {
        Sex a, q, m, arg4, arg5;
        Sex *sp = stack;
        stackcheck();
        stack = sp + 1;
        w1 = nil;
        a = LITERAL[351];
        CC_Aenter(a);
        arg4 = nil;
        m = nil;
#define LL_mkcomplex LITERAL[352]
        q = LL_mkcomplex;
#define LL_CC LITERAL[353]
        a = LL_CC;
        CC_defcommand(a, q, m, arg4);
        arg4 = nil;
        m = nil;
#define LL_mkefloat LITERAL[354]
        q = LL_mkefloat;
#define LL_CE LITERAL[355]
        a = LL_CE;
        CC_defcommand(a, q, m, arg4);
        arg4 = nil;
        m = nil;
#define LL_mkbefloat LITERAL[356]
        q = LL_mkbefloat;
#define LL_CBE LITERAL[357]
        a = LL_CBE;
        CC_defcommand(a, q, m, arg4);
        arg4 = nil;
        m = nil;
#define LL_mkecomplex LITERAL[358]
        q = LL_mkecomplex;
#define LL_CEC LITERAL[359]
        a = LL_CEC;
        CC_defcommand(a, q, m, arg4);
        arg4 = nil;
        m = nil;
#define LL_mkinterval LITERAL[360]
        q = LL_mkinterval;
#define LL_CI LITERAL[361]
        a = LL_CI;
        CC_defcommand(a, q, m, arg4);
        arg4 = nil;
        m = nil;
#define LL_complexKconjugate LITERAL[362]
        q = LL_complexKconjugate;
#define LL_Ccc LITERAL[363]
        a = LL_Ccc;
        CC_defcommand(a, q, m, arg4);
        arg4 = nil;
        m = nil;
#define LL_Cec LITERAL[364]
        q = LL_Cec;
        a = LL_Cec;
        CC_defcommand(a, q, m, arg4);
        arg4 = nil;
        m = nil;
#define LL_Crpart LITERAL[365]
        q = LL_Crpart;
        a = LL_Crpart;
        CC_defcommand(a, q, m, arg4);
        arg4 = nil;
        m = nil;
#define LL_Cipart LITERAL[366]
        q = LL_Cipart;
        a = LL_Cipart;
        CC_defcommand(a, q, m, arg4);
        arg4 = nil;
        m = nil;
#define LL_Cvpart LITERAL[367]
        q = LL_Cvpart;
        a = LL_Cvpart;
        CC_defcommand(a, q, m, arg4);
        arg4 = nil;
        m = nil;
#define LL_Cepart LITERAL[368]
        q = LL_Cepart;
        a = LL_Cepart;
        CC_defcommand(a, q, m, arg4);
        arg4 = nil;
        m = nil;
#define LL_Crvpart LITERAL[369]
        q = LL_Crvpart;
        a = LL_Crvpart;
        CC_defcommand(a, q, m, arg4);
        arg4 = nil;
        m = nil;
#define LL_Civpart LITERAL[370]
        q = LL_Civpart;
        a = LL_Civpart;
        CC_defcommand(a, q, m, arg4);
        arg4 = nil;
        m = nil;
#define LL_Ccepart LITERAL[371]
        q = LL_Ccepart;
        a = LL_Ccepart;
        CC_defcommand(a, q, m, arg4);
#define LL_Btop LITERAL[372]
        q = LL_Btop;
        a = LITERAL[373];
        Lflag(a, q);
#define LL_Bexec LITERAL[374]
        q = LL_Bexec;
        a = LITERAL[373];
        Lflag(a, q);
        arg5 = true;
        arg4 = LITERAL[375];
        m = LITERAL[376];
#define LL_gal LITERAL[377]
        q = LL_gal;
        a = LL_eval;
        CC_defflag(a, q, m, arg4, arg5);
        arg5 = true;
        arg4 = LITERAL[378];
        m = LITERAL[379];
        q = LL_gal;
        a = LL_uneval;
        CC_defflag(a, q, m, arg4, arg5);
        arg5 = true;
        arg4 = LITERAL[378];
        m = LITERAL[380];
        q = LL_gal;
        a = LL_steval;
        CC_defflag(a, q, m, arg4, arg5);
        m = LL_eval0;
        q = LL_Bonfflg;
        a = LL_eval0;
        Lput(a, q, m);
        arg5 = true;
        arg4 = LITERAL[381];
        m = LITERAL[382];
        q = LL_gal;
        a = LL_comp;
        CC_defflag(a, q, m, arg4, arg5);
        arg5 = true;
        arg4 = LITERAL[383];
        m = LITERAL[384];
        q = LL_gal;
        a = LL_uncomp;
        CC_defflag(a, q, m, arg4, arg5);
        arg5 = true;
        arg4 = LITERAL[383];
        m = LITERAL[385];
        q = LL_gal;
        a = LL_stcomp;
        CC_defflag(a, q, m, arg4, arg5);
        m = LL_comp0;
        q = LL_Bonfflg;
        a = LL_comp0;
        Lput(a, q, m);
        arg5 = true;
        arg4 = LITERAL[386];
        m = LITERAL[387];
        q = LL_gal;
#define LL_simp LITERAL[388]
        a = LL_simp;
        CC_defflag(a, q, m, arg4, arg5);
        arg5 = true;
        arg4 = LITERAL[389];
        m = LITERAL[390];
        q = LL_gal;
#define LL_unsimp LITERAL[391]
        a = LL_unsimp;
        CC_defflag(a, q, m, arg4, arg5);
        arg5 = true;
        arg4 = LITERAL[389];
        m = LITERAL[392];
        q = LL_gal;
#define LL_stsimp LITERAL[393]
        a = LL_stsimp;
        CC_defflag(a, q, m, arg4, arg5);
        arg5 = nil;
        arg4 = LITERAL[394];
        m = LITERAL[395];
        q = LL_gal;
#define LL_nat LITERAL[396]
        a = LL_nat;
        CC_defflag(a, q, m, arg4, arg5);
        arg5 = nil;
        arg4 = LITERAL[397];
        m = LITERAL[398];
        q = LL_gal;
#define LL_flat LITERAL[399]
        a = LL_flat;
        CC_defflag(a, q, m, arg4, arg5);
        arg5 = nil;
        arg4 = LITERAL[397];
        m = LITERAL[400];
        q = LL_gal;
        a = LL_list;
        CC_defflag(a, q, m, arg4, arg5);
        arg5 = nil;
        arg4 = LITERAL[397];
        m = LITERAL[401];
        q = LL_gal;
#define LL_pret LITERAL[402]
        a = LL_pret;
        CC_defflag(a, q, m, arg4, arg5);
        arg5 = nil;
        arg4 = LITERAL[397];
        m = LITERAL[403];
        q = LL_gal;
#define LL_fort LITERAL[404]
        a = LL_fort;
        CC_defflag(a, q, m, arg4, arg5);
        arg5 = nil;
        arg4 = LITERAL[405];
        m = LITERAL[406];
        q = LL_gal;
#define LL_untrace LITERAL[407]
        a = LL_untrace;
        CC_defflag(a, q, m, arg4, arg5);
        arg5 = nil;
        arg4 = LITERAL[408];
        m = LITERAL[409];
        q = LL_gal;
#define LL_trace LITERAL[410]
        a = LL_trace;
        CC_defflag(a, q, m, arg4, arg5);
        arg5 = nil;
        arg4 = LITERAL[408];
        m = LITERAL[411];
        q = LL_gal;
#define LL_sttrace LITERAL[412]
        a = LL_sttrace;
        CC_defflag(a, q, m, arg4, arg5);
        arg5 = nil;
        arg4 = LITERAL[413];
        m = LITERAL[414];
        q = LL_gal;
#define LL_col LITERAL[415]
        a = LL_col;
        CC_defflag(a, q, m, arg4, arg5);
        arg5 = nil;
        arg4 = LITERAL[416];
        m = LITERAL[417];
        q = LL_gal;
#define LL_uncol LITERAL[418]
        a = LL_uncol;
        CC_defflag(a, q, m, arg4, arg5);
        arg5 = nil;
        arg4 = LITERAL[416];
        m = LITERAL[419];
        q = LL_gal;
#define LL_stcol LITERAL[420]
        a = LL_stcol;
        CC_defflag(a, q, m, arg4, arg5);
        arg5 = nil;
        arg4 = LITERAL[421];
        m = LITERAL[422];
        q = LL_gal;
#define LL_exp LITERAL[423]
        a = LL_exp;
        CC_defflag(a, q, m, arg4, arg5);
        arg5 = nil;
        arg4 = LITERAL[424];
        m = LITERAL[425];
        q = LL_gal;
#define LL_unexp LITERAL[426]
        a = LL_unexp;
        CC_defflag(a, q, m, arg4, arg5);
        arg5 = nil;
        arg4 = LITERAL[424];
        m = LITERAL[427];
        q = LL_gal;
#define LL_stexp LITERAL[428]
        a = LL_stexp;
        CC_defflag(a, q, m, arg4, arg5);
        arg5 = nil;
        arg4 = LITERAL[429];
        m = LITERAL[430];
        q = LL_gal;
#define LL_div LITERAL[431]
        a = LL_div;
        CC_defflag(a, q, m, arg4, arg5);
        arg5 = nil;
        arg4 = LITERAL[432];
        m = LITERAL[433];
        q = LL_gal;
#define LL_undiv LITERAL[434]
        a = LL_undiv;
        CC_defflag(a, q, m, arg4, arg5);
        arg5 = nil;
        arg4 = LITERAL[432];
        m = LITERAL[435];
        q = LL_gal;
#define LL_stdiv LITERAL[436]
        a = LL_stdiv;
        CC_defflag(a, q, m, arg4, arg5);
        arg5 = true;
        arg4 = LITERAL[437];
        m = LITERAL[438];
        q = LL_gal;
#define LL_numcomp LITERAL[439]
        a = LL_numcomp;
        CC_defflag(a, q, m, arg4, arg5);
        arg5 = true;
        arg4 = LITERAL[437];
        m = LITERAL[438];
        q = LL_gal;
#define LL_numeval LITERAL[440]
        a = LL_numeval;
        CC_defflag(a, q, m, arg4, arg5);
        arg5 = true;
        arg4 = LITERAL[441];
        m = LITERAL[442];
        q = LL_gal;
#define LL_funcomp LITERAL[443]
        a = LL_funcomp;
        CC_defflag(a, q, m, arg4, arg5);
        arg5 = true;
        arg4 = LITERAL[441];
        m = LITERAL[442];
        q = LL_gal;
#define LL_funeval LITERAL[444]
        a = LL_funeval;
        CC_defflag(a, q, m, arg4, arg5);
        arg5 = nil;
        arg4 = LITERAL[445];
        m = LITERAL[446];
        q = LL_gal;
#define LL_intexp LITERAL[447]
        a = LL_intexp;
        CC_defflag(a, q, m, arg4, arg5);
        arg5 = nil;
        arg4 = LITERAL[445];
        m = LITERAL[446];
        q = LL_gal;
#define LL_numexp LITERAL[448]
        a = LL_numexp;
        CC_defflag(a, q, m, arg4, arg5);
        arg5 = nil;
        arg4 = LITERAL[449];
        m = LITERAL[450];
        q = LL_gal;
#define LL_fracpow LITERAL[451]
        a = LL_fracpow;
        CC_defflag(a, q, m, arg4, arg5);
        arg5 = nil;
        arg4 = LITERAL[452];
        m = LITERAL[453];
        q = LL_gal;
#define LL_exctdiv LITERAL[454]
        a = LL_exctdiv;
        CC_defflag(a, q, m, arg4, arg5);
        arg5 = nil;
        arg4 = LITERAL[452];
        m = LITERAL[453];
        q = LL_gal;
#define LL_xctdiv LITERAL[455]
        a = LL_xctdiv;
        CC_defflag(a, q, m, arg4, arg5);
        arg5 = nil;
        arg4 = LITERAL[456];
        m = LITERAL[457];
        q = LL_gal;
#define LL_sindex LITERAL[458]
        a = LL_sindex;
        CC_defflag(a, q, m, arg4, arg5);
#define LL_Wint LITERAL[459]
        m = LL_Wint;
#define LL_Hmaxrewrite LITERAL[460]
        q = LL_Hmaxrewrite;
#define LL_maxrewrite LITERAL[461]
        a = LL_maxrewrite;
        CC_defparam(a, q, m);
#define LL_Asetparam LITERAL[462]
        arg4 = LL_Asetparam;
#define LL_readQopenlsts LITERAL[463]
        m = LL_readQopenlsts;
#define LL_setparam LITERAL[464]
        q = LL_setparam;
#define LL_both LITERAL[465]
        a = LL_both;
        CC_defkeyword(a, q, m, arg4);
        arg4 = LL_narg;
        m = LL_command;
#define LL_Aputtag LITERAL[466]
        q = LL_Aputtag;
#define LL_puttag LITERAL[467]
        a = LL_puttag;
        CC_defcommand(a, q, m, arg4);
        arg4 = LL_narg;
        m = LL_command;
#define LL_Adeltag LITERAL[468]
        q = LL_Adeltag;
#define LL_deltag LITERAL[469]
        a = LL_deltag;
        CC_defcommand(a, q, m, arg4);
        arg4 = nil;
        m = LL_command;
#define LL_Wtagged LITERAL[470]
        q = LL_Wtagged;
        a = LL_Wtagged;
        CC_defcommand(a, q, m, arg4);
        arg4 = nil;
        m = LL_command;
        q = LL_Wtagged;
#define LL_Wgaltag LITERAL[471]
        a = LL_Wgaltag;
        CC_defcommand(a, q, m, arg4);
        arg4 = LL_Adeclare;
#define LL_readQdeclstat LITERAL[472]
        m = LL_readQdeclstat;
#define LL_declare LITERAL[473]
        q = LL_declare;
        a = LL_gal;
        CC_defkeyword(a, q, m, arg4);
        arg4 = nil;
        m = LL_readQdeclstat;
        q = LL_decl;
        a = LL_gal;
        CC_defkeyword(a, q, m, arg4);
        arg4 = nil;
        m = LL_readQdeclstat;
        q = LL_localdecl;
        a = LL_gal;
        CC_defkeyword(a, q, m, arg4);
#define LL_dclTmod LITERAL[474]
        q = LL_dclTmod;
#define LL_mod LITERAL[475]
        a = LL_mod;
        CC_defdeclare(a, q);
        q = LL_dclTmod;
#define LL_modulo LITERAL[476]
        a = LL_modulo;
        CC_defdeclare(a, q);
#define LL_dclTfloat LITERAL[477]
        q = LL_dclTfloat;
#define LL_flo LITERAL[478]
        a = LL_flo;
        CC_defdeclare(a, q);
        q = LL_dclTfloat;
#define LL_float LITERAL[479]
        a = LL_float;
        CC_defdeclare(a, q);
#define LL_dclTprec LITERAL[480]
        q = LL_dclTprec;
#define LL_prec LITERAL[481]
        a = LL_prec;
        CC_defdeclare(a, q);
        q = LL_dclTprec;
#define LL_precision LITERAL[482]
        a = LL_precision;
        CC_defdeclare(a, q);
#define LL_dclTpowser LITERAL[483]
        q = LL_dclTpowser;
#define LL_pow LITERAL[484]
        a = LL_pow;
        CC_defdeclare(a, q);
        q = LL_dclTpowser;
#define LL_powser LITERAL[485]
        a = LL_powser;
        CC_defdeclare(a, q);
#define LL_dclTfunc LITERAL[486]
        q = LL_dclTfunc;
        a = LL_func;
        CC_defdeclare(a, q);
        q = LL_dclTfunc;
#define LL_function LITERAL[487]
        a = LL_function;
        CC_defdeclare(a, q);
#define LL_dclTtfunc LITERAL[488]
        q = LL_dclTtfunc;
        a = LL_tfunc;
        CC_defdeclare(a, q);
        q = LL_dclTtfunc;
#define LL_tfunction LITERAL[489]
        a = LL_tfunction;
        CC_defdeclare(a, q);
#define LL_dclTalgnf LITERAL[490]
        q = LL_dclTalgnf;
        a = LL_algn;
        CC_defdeclare(a, q);
        q = LL_dclTalgnf;
#define LL_algnum LITERAL[491]
        a = LL_algnum;
        CC_defdeclare(a, q);
        q = LL_dclTalgnf;
        a = LL_algf;
        CC_defdeclare(a, q);
        q = LL_dclTalgnf;
#define LL_algfunc LITERAL[492]
        a = LL_algfunc;
        CC_defdeclare(a, q);
#define LL_readQidorfn LITERAL[493]
        q = LL_readQidorfn;
        a = nil;
        a = cons(a, q);
        q = a;
        a = CHAR_OF(35);
        a = Llist2(a, q);
        q = a;
        a = CHAR_OF(37);
        a = Llist2(a, q);
        m = a;
#define LL_Blkword LITERAL[494]
        q = LL_Blkword;
        a = CHAR_OF(37);
        Lput(a, q, m);
        q = LL_readQidorfn;
        a = nil;
        a = cons(a, q);
        w1 = a;
        q = LL_readQidorfn;
        a = nil;
        a = cons(a, q);
        q = a;
        a = CHAR_OF(35);
        a = Llist2(a, q);
        m = a;
        q = w1;
        a = CHAR_OF(37);
        a = Llist3(a, q, m);
        m = a;
#define LL_Bgkword LITERAL[495]
        q = LL_Bgkword;
        a = CHAR_OF(37);
        Lput(a, q, m);
#define LL_lisp LITERAL[496]
        m = LL_lisp;
#define LL_BgevalB LITERAL[497]
        q = LL_BgevalB;
#define LL_AEC LITERAL[498]
        a = LL_AEC;
        Lput(a, q, m);
        m = LL_lisp;
        q = LL_BgevalB;
#define LL_AE LITERAL[499]
        a = LL_AE;
        Lput(a, q, m);
#define LL_Aorder LITERAL[500]
        arg4 = LL_Aorder;
#define LL_readQopengids LITERAL[501]
        m = LL_readQopengids;
#define LL_order LITERAL[502]
        q = LL_order;
        a = LL_gal;
        CC_defkeyword(a, q, m, arg4);
#define LL_Aunorder LITERAL[503]
        arg4 = LL_Aunorder;
        m = LL_readQopengids;
#define LL_unorder LITERAL[504]
        q = LL_unorder;
        a = LL_gal;
        CC_defkeyword(a, q, m, arg4);
        arg4 = value(LL_RdefunS);
#define LL_readQpfuncstat LITERAL[505]
        m = LL_readQpfuncstat;
#define LL_pfunction LITERAL[506]
        q = LL_pfunction;
        a = LL_gal;
        CC_defkeyword(a, q, m, arg4);
        arg4 = nil;
        m = LL_readQpfuncstat;
        q = LL_pfunc;
        a = LL_gal;
        CC_defkeyword(a, q, m, arg4);
        q = LL_Btop;
        a = LITERAL[507];
        Lflag(a, q);
#define LL_Awrite LITERAL[508]
        arg4 = LL_Awrite;
#define LL_readQopengsts LITERAL[509]
        m = LL_readQopengsts;
#define LL_write LITERAL[510]
        q = LL_write;
        a = LL_gal;
        CC_defkeyword(a, q, m, arg4);
#define LL_Areset LITERAL[511]
        arg4 = LL_Areset;
        m = LL_readQopengids;
#define LL_reset LITERAL[512]
        q = LL_reset;
        a = LL_gal;
        CC_defkeyword(a, q, m, arg4);
#define LL_Aerase LITERAL[513]
        arg4 = LL_Aerase;
        m = LL_readQopengids;
#define LL_erase LITERAL[514]
        q = LL_erase;
        a = LL_gal;
        CC_defkeyword(a, q, m, arg4);
        arg4 = LL_gevTset;
#define LL_readQsetform LITERAL[515]
        m = LL_readQsetform;
        q = LL_set;
        a = LL_gal;
        CC_defkeyword(a, q, m, arg4);
        arg4 = LL_gevTset;
        m = LL_readQsetform;
#define LL_oset LITERAL[516]
        q = LL_oset;
        a = LL_gal;
        CC_defkeyword(a, q, m, arg4);
        arg4 = nil;
        m = LL_readQsetform;
#define LL_ordset LITERAL[517]
        q = LL_ordset;
        a = LL_gal;
        CC_defkeyword(a, q, m, arg4);
        arg4 = LL_gevTarform;
#define LL_readQarryform LITERAL[518]
        m = LL_readQarryform;
        q = LL_array;
        a = LL_gal;
        CC_defkeyword(a, q, m, arg4);
        arg4 = nil;
        m = LL_readQarryform;
        q = LL_vect;
        a = LL_gal;
        CC_defkeyword(a, q, m, arg4);
        arg4 = LL_gevTarform;
        m = LL_readQarryform;
        q = LL_vector;
        a = LL_gal;
        CC_defkeyword(a, q, m, arg4);
        arg4 = nil;
        m = LL_readQarryform;
        q = LL_matx;
        a = LL_gal;
        CC_defkeyword(a, q, m, arg4);
        arg4 = LL_gevTarform;
        m = LL_readQarryform;
        q = LL_matrix;
        a = LL_gal;
        CC_defkeyword(a, q, m, arg4);
        arg4 = nil;
        m = LL_readQarryform;
        q = LL_tens;
        a = LL_gal;
        CC_defkeyword(a, q, m, arg4);
        arg4 = LL_gevTarform;
        m = LL_readQarryform;
        q = LL_tensor;
        a = LL_gal;
        CC_defkeyword(a, q, m, arg4);
        arg4 = LL_gevTarform;
        m = LL_readQarryform;
#define LL_rowvect LITERAL[519]
        q = LL_rowvect;
        a = LL_gal;
        CC_defkeyword(a, q, m, arg4);
        arg4 = LL_gevTarform;
        m = LL_readQarryform;
#define LL_rowvector LITERAL[520]
        q = LL_rowvector;
        a = LL_gal;
        CC_defkeyword(a, q, m, arg4);
        arg4 = LL_gevTarform;
        m = LL_readQarryform;
#define LL_colvect LITERAL[521]
        q = LL_colvect;
        a = LL_gal;
        CC_defkeyword(a, q, m, arg4);
        arg4 = LL_gevTarform;
        m = LL_readQarryform;
#define LL_colvector LITERAL[522]
        q = LL_colvector;
        a = LL_gal;
        CC_defkeyword(a, q, m, arg4);
#define LL_Arule LITERAL[523]
        arg4 = LL_Arule;
#define LL_readQopennsts LITERAL[524]
        m = LL_readQopennsts;
        q = LL_rule;
        a = LL_gal;
        CC_defkeyword(a, q, m, arg4);
#define LL_Arulebox LITERAL[525]
        arg4 = LL_Arulebox;
#define LL_readQruleboxs LITERAL[526]
        m = LL_readQruleboxs;
        q = LL_rulebox;
        a = LL_gal;
        CC_defkeyword(a, q, m, arg4);
#define LL_Aunrule LITERAL[527]
        arg4 = LL_Aunrule;
        m = LL_readQopennsts;
#define LL_unrule LITERAL[528]
        q = LL_unrule;
        a = LL_gal;
        CC_defkeyword(a, q, m, arg4);
#define LL_Aunrulebox LITERAL[529]
        arg4 = LL_Aunrulebox;
        m = LL_readQopengids;
#define LL_unrulebox LITERAL[530]
        q = LL_unrulebox;
        a = LL_gal;
        popv(1);
        a = CC_defkeyword(a, q, m, arg4);
        return 1;
    }
}
Sex LITERAL[532];

const  char *bsdefn_literal_string[532] =
{
/* 0 */
"!<blank!>",
/* 1 */
"command",
/* 2 */
"!!gcmnd!!",
/* 3 */
"!!gid",
/* 4 */
"\"DOUBLY DEFINED IN DEFCOMMAND\"",
/* 5 */
"(nil pfunc dvpfunc uneval argchk)",
/* 6 */
"argchk",
/* 7 */
"(arg1 arg2 argn)",
/* 8 */
"(pfunc nil)",
/* 9 */
"(argx1 argx2 argxn argx2n argxy1)",
/* 10 */
"(pfunc dvpfunc)",
/* 11 */
"pfunc",
/* 12 */
"narg",
/* 13 */
"!!narg",
/* 14 */
"uneval",
/* 15 */
"!!unevl",
/* 16 */
"!!pfunc",
/* 17 */
"!!argclass",
/* 18 */
"\"COMMAND DEFINED\"",
/* 19 */
"\"COMMAND ALREADY EXISTS\"",
/* 20 */
"\"INVALID ARGUMENT FOR DEFCOMMAND\"",
/* 21 */
"\"COMMAND-DEFINITION FAILED\"",
/* 22 */
"(arg1 arg2 argn argxy1 argx1 argx2 argxn argx2n)",
/* 23 */
"(gexp rexp form pref cano)",
/* 24 */
"\"ALREADY DEFINED AS GAL-ID\"",
/* 25 */
"\"INVALID ARGUMENT FOR GENPROGRAM\"",
/* 26 */
"argn",
/* 27 */
"expnd!.argn",
/* 28 */
"argxn",
/* 29 */
"expnd!.argxn",
/* 30 */
"argx2n",
/* 31 */
"expnd!.argx2n",
/* 32 */
"arg1",
/* 33 */
"fcallx",
/* 34 */
"arg2",
/* 35 */
"gexp",
/* 36 */
"fcallxy",
/* 37 */
"fcallxx",
/* 38 */
"argxy1",
/* 39 */
"fcallxy1",
/* 40 */
"argx1",
/* 41 */
"fcallx1",
/* 42 */
"argx2",
/* 43 */
"fcallx2",
/* 44 */
"!<colon!>",
/* 45 */
"((r a t) (r e l) (s e t) (l o g))",
/* 46 */
"rexp",
/* 47 */
"((b n u m) (c a n o) (p r e f) (f o r m))",
/* 48 */
"form",
/* 49 */
"((v e c t) (m a t x) (t e n s))",
/* 50 */
"pref",
/* 51 */
"((n c !*) (c !*) (c !+))",
/* 52 */
"cano",
/* 53 */
"((a l g n) (p o l y) (a l g f) (r a t f))",
/* 54 */
"!.nomessage",
/* 55 */
"\"ROUTINES NECESSARY FOR PROCEDURE\"",
/* 56 */
"(de !.fn (x) (!.cfn '!.fn x))",
/* 57 */
"(de !.fn (x y) (!.cfn '!.fn x y))",
/* 58 */
"(de !.fn (x u) (!.cfn '!.fn x u))",
/* 59 */
"(de !.fn (x u v) (!.cfn '!.fn x u v))",
/* 60 */
"(dm !.fn (u) (!.efn '!.cfn (mkquote '!.fn) (cdr u)))",
/* 61 */
"de",
/* 62 */
"!<defun!>",
/* 63 */
"!<macro!>",
/* 64 */
"!.efn",
/* 65 */
"!.fn",
/* 66 */
"!.cfn",
/* 67 */
"!!funcs",
/* 68 */
"\"PROGRAM GENERATED\"",
/* 69 */
"\"ALREADY DEFINED AS GLOBAL\"",
/* 70 */
"\"PARAMETER-DEFINITION FAILED\"",
/* 71 */
"\"PARAM-CONDITION IS NOT ATOM\"",
/* 72 */
"!!param",
/* 73 */
"\"PARAMETER DEFINED\"",
/* 74 */
"\"SETPARAM\"",
/* 75 */
"(equal g!=)",
/* 76 */
"quote",
/* 77 */
"linelength",
/* 78 */
"histlength",
/* 79 */
"!*histlength",
/* 80 */
"\"NOT DEFINED AS PARAMETER\"",
/* 81 */
"\"INPROPER PARAMETER-VALUE\"",
/* 82 */
"\"SYNTAX ERROR IN SETPARAM\"",
/* 83 */
"\"SETPARAM DONE FOR\"",
/* 84 */
"\"SETPARAM DONE\"",
/* 85 */
"\"PUTTAG\"",
/* 86 */
"invalid",
/* 87 */
"!!gtag",
/* 88 */
"\"INVALID AS GAL-IDENTIFIER\"",
/* 89 */
"\"DONE\"",
/* 90 */
"\"DELTAG\"",
/* 91 */
"localdecl",
/* 92 */
"begin",
/* 93 */
"\"LOCALDECL\"",
/* 94 */
"\"MUST BE IN BEGIN-STATEMENT\"",
/* 95 */
"!.gstack",
/* 96 */
"\"MUST BE IN TOP-LEVEL OF BEGIN\"",
/* 97 */
"!.locdcls",
/* 98 */
"dic",
/* 99 */
"\"BEGIN-STATEMENT CONTAINS MANY\"",
/* 100 */
"!*rdstat",
/* 101 */
"decl",
/* 102 */
"head",
/* 103 */
"\"MISSING DECLARATION-WORD XXXX:\"",
/* 104 */
"\"MISSING ':' AFTER DECL-WORD\"",
/* 105 */
"!!dcl",
/* 106 */
"!!loc",
/* 107 */
"!<comma!>",
/* 108 */
"id",
/* 109 */
"comma",
/* 110 */
"! declare",
/* 111 */
"progn",
/* 112 */
"gensym",
/* 113 */
"setq",
/* 114 */
"!!locgid",
/* 115 */
"put",
/* 116 */
"\"INVALID AS DECLARATION WORD\"",
/* 117 */
"\"INVALID AS DECLARATION ITEM\"",
/* 118 */
"\"CANNOT BE LOCALLY DECLARED\"",
/* 119 */
"\"DECLARE\"",
/* 120 */
"\"NO DECLARATION ITEM FOR\"",
/* 121 */
"!!gdecl!!",
/* 122 */
"!!gtype!!",
/* 123 */
"!!onfflg",
/* 124 */
"\"UNDEFINED DECL-WORD, SKIPPED\"",
/* 125 */
"\"LOCALDECL IS FORBIDDEN FOR\"",
/* 126 */
"\"DECLARATION IS SKIPPED FOR\"",
/* 127 */
"fail",
/* 128 */
"!!gex",
/* 129 */
"\"ITEM IS NOT NAME, SKIPPED\"",
/* 130 */
"(uneval eval steval eval0)",
/* 131 */
"eval0",
/* 132 */
"uncomp",
/* 133 */
"eval",
/* 134 */
"comp",
/* 135 */
"steval",
/* 136 */
"stcomp",
/* 137 */
"(uncomp comp stcomp comp0)",
/* 138 */
"comp0",
/* 139 */
"(funcomp numcomp)",
/* 140 */
"\"NOT <FUNC>, SKIPPED\"",
/* 141 */
"\"INEFFECTIVE FLAG DECLARATION\"",
/* 142 */
"\"     DECLARATION SKIPPED\"",
/* 143 */
"dummy",
/* 144 */
"\"NOT ALLOWED TO DECLARE, SKIPPED\"",
/* 145 */
"indxed",
/* 146 */
"\"NOT ALLOWED TO INDEX VALUED-ID\"",
/* 147 */
"\"     INDEXING SKIPPED FOR\"",
/* 148 */
"cons",
/* 149 */
"\"YOU CANNOT DECLARE CONSTRUCTOR\"",
/* 150 */
"\"RETYPING OF <PFUNC>, REJECTED\"",
/* 151 */
"\"BEFORE RETYPING, ERASE\"",
/* 152 */
"\"RETYPING OF VALUED-ID, REJECTED\"",
/* 153 */
"array",
/* 154 */
"\"NEITHER <FUNC> NOR <ARRAY>\"",
/* 155 */
"\"SYNTAX ERROR IN DECLARATION, SKIPPED\"",
/* 156 */
"\"USE PFUNC-STATEMENT TO DEFINE\"",
/* 157 */
"\"DECLARATION SKIPPED\"",
/* 158 */
"(vect matx tens)",
/* 159 */
"\"RETYPING OF VAR/SYMBOL TO ARRAY/FORM, REJECTED\"",
/* 160 */
"\"RETYPING OF VALUED ARRAY/FORM, REJECTED\"",
/* 161 */
"\"DECLARATION DONE\"",
/* 162 */
"!#evalenv!#",
/* 163 */
"\"ALREADY DEFINED AS DECLARE-WORD\"",
/* 164 */
"\"DECLARE-WORD DEFINITION FAILED\"",
/* 165 */
"! nil",
/* 166 */
"!*mod",
/* 167 */
"!*float",
/* 168 */
"!*fcut",
/* 169 */
"!*!*flo",
/* 170 */
"\"FLOAT-ARITHMETIC IS WITHDRAWN\"",
/* 171 */
"!#ordenv!#",
/* 172 */
"!!ordenv",
/* 173 */
"!*!*mod",
/* 174 */
"\"INVALID AS MOD-DECLARATION\"",
/* 175 */
"(g!= g!:!=)",
/* 176 */
"(! prec ! precision)",
/* 177 */
"(! fcut ! floatcut)",
/* 178 */
"\"INVALID AS FLOAT-DECLARATION\"",
/* 179 */
"\"MOD-ARITHMETIC IS WITHDRAWN\"",
/* 180 */
"0.1000000000000000",
/* 181 */
"!*machineps",
/* 182 */
"!*meps100",
/* 183 */
"\"INVALID HIGH-PRECISION DECLARATION\"",
/* 184 */
"!*powser",
/* 185 */
"! clear",
/* 186 */
"g!<!=",
/* 187 */
"g!<",
/* 188 */
"g!=",
/* 189 */
"var",
/* 190 */
"!!index",
/* 191 */
"!?order",
/* 192 */
"\"ERROR IN POWSER-DECLARATION\"",
/* 193 */
"\"INVALID AS POWSER-VAR\"",
/* 194 */
"\"TOO SMALL POWSER TRUNCATION\"",
/* 195 */
"\"DECLARATION SKIPPED FOR\"",
/* 196 */
"OK",
/* 197 */
"tfunc",
/* 198 */
"\"ONLY IDs CAN BE DECLARED BY TFUNC\"",
/* 199 */
"fncvars",
/* 200 */
"\"INVALID TO DECLARE AS FUNCTION\"",
/* 201 */
"\"INVALID AS FUNCTION VARIABLE\"",
/* 202 */
"\"INDEX TO FUNC-VAR IS NOT <INT>\"",
/* 203 */
"matx",
/* 204 */
"vect",
/* 205 */
"\"INVALID SIZE-DIMENSION, SKIPPED\"",
/* 206 */
"\"INVALID SIZE DECLARATION, SKIPPED\"",
/* 207 */
"!#matx!#",
/* 208 */
"!#vect!#",
/* 209 */
"!#tens!#",
/* 210 */
"!!with",
/* 211 */
"\"ALREADY USED AS GAL-ID\"",
/* 212 */
"\"ALREADY USED AS GAL-FUNC\"",
/* 213 */
"g!-",
/* 214 */
"g!+",
/* 215 */
"galeval",
/* 216 */
"\"DEG(DEF-POLYNOMIAL) MUST BE > 1\"",
/* 217 */
"\"LC(DEF-POLYNOMIAL) IS NOT NUMBER\"",
/* 218 */
"defpoly",
/* 219 */
"\"INVALID ITEM FOR ALGN/ALGF DECL.\"",
/* 220 */
"\"MISSING 'WITH IN ALGN/ALGF DECL.\"",
/* 221 */
"\"DEF-POLYNOMIAL IS NOT IRREDUCIBLE\"",
/* 222 */
"\"BAD DEF-POLYNOMIAL FOR ALGN/F\"",
/* 223 */
"\"ALGN/ALGF DECLARATION FAILED\"",
/* 224 */
"\"OTHER ITEMS SKIPPED FOR\"",
/* 225 */
"!%rslt!%",
/* 226 */
"! rem",
/* 227 */
"!*remainder",
/* 228 */
"! quo",
/* 229 */
"!*quotient",
/* 230 */
"! byp",
/* 231 */
"! byproduct",
/* 232 */
"!*byproduct",
/* 233 */
"\"INVALID ARGUMENT FOR '%'\"",
/* 234 */
"\"INDEX TO '%' IS NOT INTEGER\"",
/* 235 */
"\"'%(I,J)' IS FOR <ARRAY/FORM> ONLY\"",
/* 236 */
"!.present",
/* 237 */
"\"%#\"",
/* 238 */
"!.history",
/* 239 */
"nothing",
/* 240 */
"\"ORDER\"",
/* 241 */
"num",
/* 242 */
"tran",
/* 243 */
"\"REORDERING NOT ALLOWED, SKIPPED\"",
/* 244 */
"func",
/* 245 */
"algf",
/* 246 */
"!#ordenv!+!#",
/* 247 */
"!#ord!+pfn",
/* 248 */
"!#ord!+fun",
/* 249 */
"!#ord!+var",
/* 250 */
"!#ord!+trn",
/* 251 */
"!?order!:var",
/* 252 */
"!!ordhistory",
/* 253 */
"\"ORDER DEFINED\"",
/* 254 */
"\"UNORDER EXECUTED\"",
/* 255 */
"\"ALREADY DEFINED AS PROCEDURE\"",
/* 256 */
"\"WRITE\"",
/* 257 */
"\"RESET\"",
/* 258 */
"\"INVALID ARG FOR RESET, SKIPPED\"",
/* 259 */
"\"NOT GAL-ID, SKIPPED\"",
/* 260 */
"\"RESET DONE\"",
/* 261 */
"\"ERASE\"",
/* 262 */
"\"INVALID ARGUMENT FOR ERASE, SKIPPED\"",
/* 263 */
"\"NOT GAL-SYMBOL, SKIPPED\"",
/* 264 */
"(algn algf)",
/* 265 */
"!?order!:id",
/* 266 */
"algn",
/* 267 */
"!#ord!+aln",
/* 268 */
"!#ord!+alf",
/* 269 */
"\"ERASED\"",
/* 270 */
"!#ord!-trn",
/* 271 */
"oper",
/* 272 */
"!#ord!-pfn",
/* 273 */
"!#ord!-fun",
/* 274 */
"!#ord!-var",
/* 275 */
"\"INVALID TO ERASE OLD <ALGN/ALGF>\"",
/* 276 */
"!.bras",
/* 277 */
"!<lbrace!>",
/* 278 */
"!<rbrace!>",
/* 279 */
"!!set",
/* 280 */
"!<rbracket!>",
/* 281 */
"!!oset",
/* 282 */
"\"INVALID USE OF KEYWORD\"",
/* 283 */
"!<lparen!>",
/* 284 */
"!<rparen!>",
/* 285 */
"set",
/* 286 */
"ungev",
/* 287 */
"list",
/* 288 */
"gev!:set",
/* 289 */
"semicol",
/* 290 */
"semicol2",
/* 291 */
"\"TOO MANY LEFT-BRACKET\"",
/* 292 */
"\"MAY BE, TOO FEW KET\"",
/* 293 */
"!<lbracket!>",
/* 294 */
"\"INVALID USE OF BRACKET\"",
/* 295 */
"(array vect matx tens)",
/* 296 */
"vector",
/* 297 */
"matrix",
/* 298 */
"tensor",
/* 299 */
"tens",
/* 300 */
"name",
/* 301 */
"(s i z e)",
/* 302 */
"!.wordlis",
/* 303 */
"(array vect)",
/* 304 */
"(!=)",
/* 305 */
"size",
/* 306 */
"gev!:arform",
/* 307 */
"\"INVALID SIZE-DECLARATION IN\"",
/* 308 */
"\"MISSING ELEMENT IN FORM\"",
/* 309 */
"\"FORM-DEPTH MISMATCH IN\"",
/* 310 */
"\"POORLY-STRUCTURED FORM FOR\"",
/* 311 */
"\"NULL ROW/COLUMN IN\"",
/* 312 */
"(rowvect rowvector)",
/* 313 */
"\"FORM-SIZE MISMATCH IN\"",
/* 314 */
"!*temporal",
/* 315 */
"\"RULE\"",
/* 316 */
"err",
/* 317 */
"\"INVALID RULE, SKIPPED\"",
/* 318 */
"!!opnrules",
/* 319 */
"mono",
/* 320 */
"mult",
/* 321 */
"\"RULE-DEFINITION FAILED\"",
/* 322 */
"!#simpenv!#",
/* 323 */
"\"RULE DEFINED\"",
/* 324 */
"\"RULEBOX\"",
/* 325 */
"(g!= g!=!=)",
/* 326 */
"\"MUST BE 'ID = RULESET' FORM\"",
/* 327 */
"rulebox",
/* 328 */
"\"RULEBOX DEFINED\"",
/* 329 */
"\"RULEBOX-DEFINITION FAILED\"",
/* 330 */
"\"UNRULE\"",
/* 331 */
"\"NO OPEN-RULES\"",
/* 332 */
"\"UNRULE EXECUTED\"",
/* 333 */
"\"NOT EXISTS IN OPEN-RULES\"",
/* 334 */
"\"UNRULE DONE\"",
/* 335 */
"\"UNRULE FAILED\"",
/* 336 */
"\"UNRULEBOX\"",
/* 337 */
"\"UNDEFINED SYMBOL\"",
/* 338 */
"\"RULEBOX NONEXISTS FOR\"",
/* 339 */
"\"RULEBOX ERASED\"",
/* 340 */
"\"UNRULEBOX DONE\"",
/* 341 */
"\"UNRULEBOX FAILED\"",
/* 342 */
"\"REWRITE RULE IS NOT CORRECT FORM\"",
/* 343 */
"g!-!>",
/* 344 */
"\"RULE IS NOT 'LEFT -> RIGHT' FORM\"",
/* 345 */
"rule",
/* 346 */
"\"'SYMBOL -> RIGHT' RULE IS REJECTED\"",
/* 347 */
"other",
/* 348 */
"!#poly!#",
/* 349 */
"!@xtra!@",
/* 350 */
"\"RULE ON NON <RAT-EXPR> IS REJECTED\"",
/* 351 */
"(lisp)",
/* 352 */
"mkcomplex",
/* 353 */
"!#C",
/* 354 */
"mkefloat",
/* 355 */
"!#E",
/* 356 */
"mkbefloat",
/* 357 */
"!#BE",
/* 358 */
"mkecomplex",
/* 359 */
"!#EC",
/* 360 */
"mkinterval",
/* 361 */
"!#I",
/* 362 */
"complex!-conjugate",
/* 363 */
"!#cc",
/* 364 */
"!#ec",
/* 365 */
"!#rpart",
/* 366 */
"!#ipart",
/* 367 */
"!#vpart",
/* 368 */
"!#epart",
/* 369 */
"!#rvpart",
/* 370 */
"!#ivpart",
/* 371 */
"!#cepart",
/* 372 */
"!!top",
/* 373 */
"(genprogram)",
/* 374 */
"!!exec",
/* 375 */
"(off (!*evalmode uneval))",
/* 376 */
"(on (!*evalmode eval))",
/* 377 */
"gal",
/* 378 */
"(off (!*evalmode eval))",
/* 379 */
"(on (!*evalmode uneval))",
/* 380 */
"(on (!*evalmode steval))",
/* 381 */
"(off (!*compmode uncomp))",
/* 382 */
"(on (!*compmode comp))",
/* 383 */
"(off (!*compmode comp))",
/* 384 */
"(on (!*compmode uncomp))",
/* 385 */
"(on (!*compmode stcomp))",
/* 386 */
"(off (!*simpmode unsimp))",
/* 387 */
"(on (!*simpmode simp))",
/* 388 */
"simp",
/* 389 */
"(off (!*simpmode simp))",
/* 390 */
"(on (!*simpmode unsimp))",
/* 391 */
"unsimp",
/* 392 */
"(on (!*simpmode stsimp))",
/* 393 */
"stsimp",
/* 394 */
"(off (!*prinmode flat))",
/* 395 */
"(on (!*prinmode nat))",
/* 396 */
"nat",
/* 397 */
"(off (!*prinmode nat))",
/* 398 */
"(on (!*prinmode flat))",
/* 399 */
"flat",
/* 400 */
"(on (!*prinmode list))",
/* 401 */
"(on (!*prinmode pret))",
/* 402 */
"pret",
/* 403 */
"(on (!*prinmode fort))",
/* 404 */
"fort",
/* 405 */
"(off (!*tracmode trac))",
/* 406 */
"(on (!*tracmode untrac))",
/* 407 */
"untrace",
/* 408 */
"(off (!*tracmode untrac))",
/* 409 */
"(on (!*tracmode trac))",
/* 410 */
"trace",
/* 411 */
"(on (!*tracmode sttrac))",
/* 412 */
"sttrace",
/* 413 */
"(off (!*colmode uncol))",
/* 414 */
"(on (!*colmode col))",
/* 415 */
"col",
/* 416 */
"(off (!*colmode col))",
/* 417 */
"(on (!*colmode uncol))",
/* 418 */
"uncol",
/* 419 */
"(on (!*colmode stcol))",
/* 420 */
"stcol",
/* 421 */
"(off (!*expmode unexp))",
/* 422 */
"(on (!*expmode exp))",
/* 423 */
"exp",
/* 424 */
"(off (!*expmode exp))",
/* 425 */
"(on (!*expmode unexp))",
/* 426 */
"unexp",
/* 427 */
"(on (!*expmode stexp))",
/* 428 */
"stexp",
/* 429 */
"(off (!*divmode undiv))",
/* 430 */
"(on (!*divmode div))",
/* 431 */
"div",
/* 432 */
"(off (!*divmode div))",
/* 433 */
"(on (!*divmode undiv))",
/* 434 */
"undiv",
/* 435 */
"(on (!*divmode stdiv))",
/* 436 */
"stdiv",
/* 437 */
"(off (!*numcomp nil))",
/* 438 */
"(on (!*numcomp t))",
/* 439 */
"numcomp",
/* 440 */
"numeval",
/* 441 */
"(off (!*funcomp nil))",
/* 442 */
"(on (!*funcomp t))",
/* 443 */
"funcomp",
/* 444 */
"funeval",
/* 445 */
"(off (!*intexp nil))",
/* 446 */
"(on (!*intexp t))",
/* 447 */
"intexp",
/* 448 */
"numexp",
/* 449 */
"(off (!*fracpow nil))",
/* 450 */
"(on (!*fracpow t))",
/* 451 */
"fracpow",
/* 452 */
"(off (!*exctdiv nil))",
/* 453 */
"(on (!*exctdiv t))",
/* 454 */
"exctdiv",
/* 455 */
"xctdiv",
/* 456 */
"(off (!*sindex nil))",
/* 457 */
"(on (!*sindex t))",
/* 458 */
"sindex",
/* 459 */
"!?int",
/* 460 */
"!*maxrewrite",
/* 461 */
"maxrewrite",
/* 462 */
"! setparam",
/* 463 */
"read!.openlsts",
/* 464 */
"setparam",
/* 465 */
"both",
/* 466 */
"! puttag",
/* 467 */
"puttag",
/* 468 */
"! deltag",
/* 469 */
"deltag",
/* 470 */
"!?tagged",
/* 471 */
"!?galtag",
/* 472 */
"read!.declstat",
/* 473 */
"declare",
/* 474 */
"dcl!:mod",
/* 475 */
"mod",
/* 476 */
"modulo",
/* 477 */
"dcl!:float",
/* 478 */
"flo",
/* 479 */
"float",
/* 480 */
"dcl!:prec",
/* 481 */
"prec",
/* 482 */
"precision",
/* 483 */
"dcl!:powser",
/* 484 */
"pow",
/* 485 */
"powser",
/* 486 */
"dcl!:func",
/* 487 */
"function",
/* 488 */
"dcl!:tfunc",
/* 489 */
"tfunction",
/* 490 */
"dcl!:algnf",
/* 491 */
"algnum",
/* 492 */
"algfunc",
/* 493 */
"read!.idorfn",
/* 494 */
"!!lkword",
/* 495 */
"!!gkword",
/* 496 */
"lisp",
/* 497 */
"!!geval!!",
/* 498 */
"! !%!#",
/* 499 */
"! !%",
/* 500 */
"! order",
/* 501 */
"read!.opengids",
/* 502 */
"order",
/* 503 */
"! unorder",
/* 504 */
"unorder",
/* 505 */
"read!.pfuncstat",
/* 506 */
"pfunction",
/* 507 */
"(pfunc pfunction)",
/* 508 */
"! write",
/* 509 */
"read!.opengsts",
/* 510 */
"write",
/* 511 */
"! reset",
/* 512 */
"reset",
/* 513 */
"! erase",
/* 514 */
"erase",
/* 515 */
"read!.setform",
/* 516 */
"oset",
/* 517 */
"ordset",
/* 518 */
"read!.arryform",
/* 519 */
"rowvect",
/* 520 */
"rowvector",
/* 521 */
"colvect",
/* 522 */
"colvector",
/* 523 */
"! rule",
/* 524 */
"read!.opennsts",
/* 525 */
"! rulebox",
/* 526 */
"read!.ruleboxs",
/* 527 */
"! unrule",
/* 528 */
"unrule",
/* 529 */
"! unrulebox",
/* 530 */
"unrulebox",
/* 531 */ NULL
};
setup_type const bsdefn_g_setup[] =
{
    {"rule:insert", (lisp_proc *)CC_ruleTinsert, 2},
    {"gev:rule1", (lisp_proc *)CC_gevTrule1, 1},
    {" unrulebox", (lisp_proc *)CC_Aunrulebox, 1},
    {" unrule", (lisp_proc *)CC_Aunrule, 1},
    {" rulebox", (lisp_proc *)CC_Arulebox, 1},
    {" rule", (lisp_proc *)CC_Arule, 1},
    {"read.ruleboxs", (lisp_proc *)CC_readQruleboxs, 1},
    {"read.arryform1", (lisp_proc *)CC_readQarryform1, 4},
    {"read.arryform", (lisp_proc *)CC_readQarryform, 1},
    {"read.setform", (lisp_proc *)CC_readQsetform, 1},
    {" erase", (lisp_proc *)CC_Aerase, 1},
    {" reset", (lisp_proc *)CC_Areset, 1},
    {" write", (lisp_proc *)CC_Awrite, 1},
    {"read.pfuncstat", (lisp_proc *)CC_readQpfuncstat, 1},
    {" unorder", (lisp_proc *)CC_Aunorder, 0},
    {" order", (lisp_proc *)CC_Aorder, 1},
    {" %#", (lisp_proc *)CC_AEC, 1},
    {" %", (lisp_proc *)CC_AE, 1},
    {"dcl:algnf", (lisp_proc *)CC_dclTalgnf, 1},
    {"dcl:form", (lisp_proc *)CC_dclTform, 2},
    {"dcl:func", (lisp_proc *)CC_dclTfunc, 1},
    {"dcl:tfunc", (lisp_proc *)CC_dclTtfunc, 1},
    {"dcl:powser", (lisp_proc *)CC_dclTpowser, 1},
    {"dcl:prec", (lisp_proc *)CC_dclTprec, 1},
    {"dcl:float", (lisp_proc *)CC_dclTfloat, 1},
    {"dcl:mod", (lisp_proc *)CC_dclTmod, 1},
    {"defdeclare", (lisp_proc *)CC_defdeclare, 2},
    {" declare", (lisp_proc *)CC_Adeclare, 2},
    {"read.declstat", (lisp_proc *)CC_readQdeclstat, 1},
    {"?tagged", (lisp_proc *)CC_Wtagged, 2},
    {" deltag", (lisp_proc *)CC_Adeltag, 1},
    {" puttag", (lisp_proc *)CC_Aputtag, 1},
    {" setparam", (lisp_proc *)CC_Asetparam, 1},
    {"defparam", (lisp_proc *)CC_defparam, 3},
    {"genprogram", (lisp_proc *)CC_genprogram, 5},
    {"defcommand", (lisp_proc *)CC_defcommand, 4},
    {NULL, NULL, 0 }
};

