#include <stdlib.h>
#include <stdarg.h>
#include <string.h>
#include <ctype.h>
#include "config.h"
#include "tags.h"
#include "errors.h"
#include "externs.h"
#include "arith.h"
#include "macros.h"
#include "entries.h"
#include "gprotos.h"
#include "g_gpretty.h"

extern Sex *literal_vectors[];
extern int number_of_literal_vectors;
Sex gpretty_literal_vector[];
const char *gpretty_literal_string[];
setup_type const  gpretty_g_setup[];
#define LITERAL gpretty_literal_vector




Sex CC_prettyprint(Sex a)
{
    Sex q;
    Sex *sp = stack;
    stackcheck();
    stack = sp + 1;
    w1 = a;
    a = Lposn();
    q = a;
    a = w1;
    CC_superprinm(a, q);
    Lterpri();
    a = nil;
    popv(1);
    return a;
}

Sex CC_superprintm(Sex a, Sex q)
{
    Sex *sp = stack;
    stackcheck();
    stack = sp + 2;
    w2 = nil;
    {
        Sex *_w = bstack, *_v;
        bstackcheck();
#define LL_Hlmar LITERAL[0]
        pushbv(0, LL_Hlmar, q);
        bstack = _w + 2;
    }
    w1 = a;
    CC_superprinm(a, q);
    Lterpri();
    a = w1;
    {
        Sex *_w = bstack;
        popbv(0);
        bstack = _w - 2;
    }
    popv(2);
    return a;
}

Sex CC_superprinm(Sex a, Sex q)
{
    Sex *sp = stack;
    stackcheck();
    stack = sp + 4;
    w4 = nil;
    w3 = nil;
    w2 = nil;
    {
        Sex *_w = bstack, *_v;
        bstackcheck();
        pushbv(0, LL_Hlmar, q);
        bstack = _w + 2;
    }
    {
        Sex *_w = bstack, *_v;
        bstackcheck();
#define LL_Hrparcount LITERAL[1]
        pushbv(0, LL_Hrparcount, nil);
#define LL_Hindblanks LITERAL[2]
        pushbv(2, LL_Hindblanks, nil);
#define LL_Hindentlevel LITERAL[3]
        pushbv(4, LL_Hindentlevel, nil);
#define LL_Hpendingrpars LITERAL[4]
        pushbv(6, LL_Hpendingrpars, nil);
#define LL_Hrmar LITERAL[5]
        pushbv(8, LL_Hrmar, nil);
#define LL_Hinitialblanks LITERAL[6]
        pushbv(10, LL_Hinitialblanks, nil);
#define LL_Hbn LITERAL[7]
        pushbv(12, LL_Hbn, nil);
#define LL_Hbuffero LITERAL[8]
        pushbv(14, LL_Hbuffero, nil);
#define LL_Hbufferi LITERAL[9]
        pushbv(16, LL_Hbufferi, nil);
#define LL_Hstack LITERAL[10]
        pushbv(18, LL_Hstack, nil);
        bstack = _w + 20;
    }
    w1 = a;
    a = nil;
    a = Lncons(a);
    value(LL_Hbuffero) = a;
    value(LL_Hbufferi) = a;
    a = mkfxat(0);
    value(LL_Hinitialblanks) = a;
    value(LL_Hrparcount) = a;
    value(LL_Hindblanks) = a;
    a = nil;
    a = Llinelength(a);
    q = mkfxat(-3);
    a = plus2(a, q);
    value(LL_Hrmar) = a;
    q = mkfxat(25);
    a = Llessp(a, q);
    if(a == nil) goto    G0009;
    q = mkfxat(3);
    a = value(LL_Hrmar);
    a = plus2(a, q);
    q = LITERAL[11];
    a = Llist2(a, q);
    q = a;
    a = mkfxat(0);
    Lerror(a, q);
   G0009:
    a = mkfxat(0);
    value(LL_Hbn) = a;
    value(LL_Hindentlevel) = a;
    q = mkfxat(20);
    a = value(LL_Hlmar);
    a = plus2(a, q);
    q = value(LL_Hrmar);
    a = Lgeq(a, q);
    if(a == nil) goto    G0013;
    q = mkfxat(-21);
    a = value(LL_Hrmar);
    a = plus2(a, q);
    value(LL_Hlmar) = a;
   G0013:
    a = Lposn();
    w3 = a;
    q = value(LL_Hlmar);
    a = Lgreaterp(a, q);
    if(a == nil) goto    G0016;
    Lterpri();
    a = mkfxat(0);
    w3 = a;
   G0016:
    q = value(LL_Hlmar);
    a = w3;
    a = Llessp(a, q);
    if(a == nil) goto    G0018;
    a = w3;
    a = Lminus(a);
    q = a;
    a = value(LL_Hlmar);
    a = plus2(a, q);
    value(LL_Hinitialblanks) = a;
   G0018:
    q = mkfxat(3);
    a = value(LL_Hlmar);
    a = plus2(a, q);
    q = a;
    a = w1;
    CC_prindent(a, q);
#define LL_none LITERAL[12]
    a = LL_none;
    CC_overflow(a);
    a = w1;
    {
        Sex *_w = bstack;
        popbv(0);
        popbv(-2);
        popbv(-4);
        popbv(-6);
        popbv(-8);
        popbv(-10);
        popbv(-12);
        popbv(-14);
        popbv(-16);
        popbv(-18);
        bstack = _w - 20;
    }
    {
        Sex *_w = bstack;
        popbv(0);
        bstack = _w - 2;
    }
    popv(4);
    return a;
}

Sex CC_top(void)
{
    Sex a;
    a = car(value(LL_Hstack));
    return a;
}

Sex CC_depth(Sex a)
{
    a = car(a);
    return a;
}

Sex CC_indenting(Sex a)
{
    a = car(cdr(a));
    return a;
}

Sex CC_blankcount(Sex a)
{
    a = car(cdr(cdr(a)));
    return a;
}

Sex CC_blanklist(Sex a)
{
    a = cdr(cdr(cdr(a)));
    return a;
}

Sex CC_setindenting(Sex a, Sex q)
{
    a = cdr(a);
    {
        car(a) = q;
 return a;
    }
}

Sex CC_setblankcount(Sex a, Sex q)
{
    a = cdr(cdr(a));
    {
        car(a) = q;
 return a;
    }
}

Sex CC_setblanklist(Sex a, Sex q)
{
    a = cdr(cdr(a));
    {
        cdr(a) = q;
 return a;
    }
}

Sex CC_newframe(Sex a)
{
    Sex q, m;
    m = mkfxat(0);
    q = nil;
    {
        return  Llist3(a, q, m);
    }
}

Sex CC_blankp(Sex a)
{
    a = car(a);
    {
        return  Lnumberp(a);
    }
}

Sex CC_prindent(Sex a, Sex q)
{
    Sex m;
    Sex *sp = stack;
    stackcheck();
    stack = sp + 5;
    w5 = nil;
    w4 = nil;
    w3 = nil;
   G0122:
    w1 = a;
    w2 = q;
    if(is_cons(a)) goto    G0044;
    if(!is_vector(a)) goto    G0046;
    {
        popv(5);
        return  CC_prvector(a, q);
    }
   G0046:
    w3 = nil;
    w4 = nil;
#define LL_Hsymmetric LITERAL[13]
    a = value(LL_Hsymmetric);
    if(a == nil) goto    G0050;
    a = w1;
    if(!is_string(a)) goto    G0052;
    a = CC_explodes(a);
    goto    G0054;
   G0052:
    a = Lexplode(a);
    goto    G0054;
   G0050:
    a = w1;
    a = Lexplodec(a);
   G0054:
    w4 = a;
    goto    G0056;
   G0055:
    w5 = a;
    a = car(a);
    CC_putch(a);
    a = cdr(w5);
   G0056:
    if(a != nil) goto    G0055;
    goto    G0060;
   G0044:
    a = CC_quotep(a);
    if(a == nil) goto    G0058;
    a = CHAR_OF(39);
    CC_putch(a);
    a = w2;
    a = Ladd1(a);
    q = a;
    a = car(cdr(w1));
    goto    G0122;  /* recursive call to prindent */
   G0058:
    w3 = nil;
    q = w2;
    a = mkfxat(4);
    a = times2(a, q);
    w4 = a;
    q = value(LL_Hrmar);
    a = mkfxat(3);
    a = times2(a, q);
    q = a;
    a = w4;
    a = Lgreaterp(a, q);
    if(a == nil) goto    G0065;
#define LL_all LITERAL[14]
    a = LL_all;
    CC_overflow(a);
    q = mkfxat(8);
    a = w2;
    a = quot2(a, q);
    w2 = a;
    q = a;
    a = value(LL_Hinitialblanks);
    a = Lgreaterp(a, q);
    if(a == nil) goto    G0065;
    a = value(LL_Hinitialblanks);
    a = Lminus(a);
    q = w2;
    a = plus2(a, q);
    q = a;
    a = value(LL_Hlmar);
    a = plus2(a, q);
    value(LL_Hlmar) = a;
    a = w2;
    value(LL_Hinitialblanks) = a;
   G0065:
    m = mkfxat(0);
    q = nil;
    a = w2;
    a = Llist3(a, q, m);
    q = value(LL_Hstack);
    a = cons(a, q);
    value(LL_Hstack) = a;
    q = car(a);
#define LL_lpar LITERAL[15]
    a = LL_lpar;
    a = cons(a, q);
    CC_putch(a);
    a = car(w1);
    w3 = a;
    a = w2;
    a = Ladd1(a);
    q = a;
    a = w3;
    CC_prindent(a, q);
    a = w3;
    if(!is_symbol(a)) goto    G0076;
    a = cdr(w1);
    if(!is_cons(a)) goto    G0076;
#define LL_ppformat LITERAL[16]
    q = LL_ppformat;
    a = w3;
    a = Lget(a, q);
    w3 = a;
    goto    G0078;
   G0076:
    w3 = nil;
   G0078:
    q = mkfxat(2);
    a = w3;
    a = Lequal(a, q);
    if(a == nil) goto    G0080;
    a = cdr(cdr(w1));
    if(is_cons(a)) goto    G0080;
    w3 = nil;
   G0080:
    a = w3;
#define LL_prog LITERAL[17]
    if(a != LL_prog) goto    G0083;
    a = CHAR_OF(32);
    CC_putch(a);
    a = cdr(w1);
    w1 = a;
    a = car(a);
    w4 = a;
    q = mkfxat(3);
    a = w2;
    a = plus2(a, q);
    q = a;
    a = w4;
    CC_prindent(a, q);
   G0083:
    a = cdr(w1);
    w1 = a;
   G0062:
    a = w1;
    if(!is_cons(a)) goto    G0063;
    CC_finishpending();
    a = w3;
    if(a != LL_prog) goto    G0090;
    CC_putblank();
    a = value(LL_Hbufferi);
    CC_overflow(a);
    a = car(w1);
    if(is_cons(a)) goto    G0111;
    q = mkfxat(-6);
    a = value(LL_Hlmar);
    a = plus2(a, q);
    q = mkfxat(0);
    a = Lmax2(a, q);
    value(LL_Hinitialblanks) = a;
    value(LL_Hlmar) = a;
    q = mkfxat(-3);
    a = w2;
    a = plus2(a, q);
    q = a;
    a = car(w1);
    CC_prindent(a, q);
    a = cdr(w1);
    w1 = a;
    if(!is_cons(a)) goto    G0096;
    a = car(a);
    if(!is_cons(a)) goto    G0062;
   G0096:
    q = value(LL_Hbn);
    a = value(LL_Hlmar);
    a = plus2(a, q);
    q = w2;
    a = Lgreaterp(a, q);
    if(a == nil) goto    G0099;
    CC_putblank();
    goto    G0101;
   G0090:
    if(!is_number(a)) goto    G0108;
    q = mkfxat(-1);
    a = plus2(a, q);
    w3 = a;
    a = Lzerop(a);
    if(a == nil) goto    G0110;
    w3 = nil;
   G0110:
    a = CHAR_OF(32);
    CC_putch(a);
    goto    G0111;
   G0108:
    CC_putblank();
   G0111:
    q = mkfxat(3);
    a = w2;
    a = plus2(a, q);
    q = a;
    a = car(w1);
    CC_prindent(a, q);
    a = cdr(w1);
    w1 = a;
    goto    G0062;
   G0099:
    a = w2;
    a = Lminus(a);
    a = Ladd1(a);
    q = a;
    a = value(LL_Hbn);
    a = plus2(a, q);
    q = a;
    a = value(LL_Hlmar);
    a = plus2(a, q);
    Lxtab(a);
   G0101:
    a = w1;
    if(is_cons(a)) goto    G0111;
   G0063:
    a = w1;
    if(a == nil) goto    G0114;
    CC_finishpending();
    CC_putblank();
    a = CHAR_OF(46);
    CC_putch(a);
    a = CHAR_OF(32);
    CC_putch(a);
    q = mkfxat(5);
    a = w2;
    a = plus2(a, q);
    q = a;
    a = w1;
    CC_prindent(a, q);
   G0114:
    q = mkfxat(-3);
    a = w2;
    a = plus2(a, q);
#define LL_rpar LITERAL[18]
    q = LL_rpar;
    a = Lxcons(a, q);
    CC_putch(a);
    a = car(cdr(car(value(LL_Hstack))));
#define LL_indent LITERAL[19]
    if(a != LL_indent) goto    G0119;
    a = cdr(cdr(cdr(car(value(LL_Hstack)))));
    if(a == nil) goto    G0119;
    a = car(a);
    CC_overflow(a);
    goto    G0121;
   G0119:
    a = car(value(LL_Hstack));
    CC_endlist(a);
   G0121:
    a = cdr(value(LL_Hstack));
    value(LL_Hstack) = a;
    a = nil;
   G0060:
    popv(5);
    return a;
}

Sex CC_explodes(Sex a)
{
    {
        return  Lexplode(a);
    }
}

Sex CC_prvector(Sex a, Sex q)
{
    Sex m;
    Sex *sp = stack;
    stackcheck();
    stack = sp + 8;
    w8 = nil;
    w7 = nil;
    w6 = nil;
    w5 = nil;
    w4 = nil;
    w3 = nil;
    w1 = a;
    w2 = q;
    a = Lupbv(a);
    w3 = a;
    m = mkfxat(0);
    q = nil;
    a = w2;
    a = Llist3(a, q, m);
    q = value(LL_Hstack);
    a = cons(a, q);
    value(LL_Hstack) = a;
    q = car(a);
#define LL_lsquare LITERAL[20]
    a = LL_lsquare;
    a = cons(a, q);
    CC_putch(a);
    q = mkfxat(0);
    a = w1;
    a = Lgetv(a, q);
    w4 = a;
    q = mkfxat(3);
    a = w2;
    a = plus2(a, q);
    q = a;
    a = w4;
    CC_prindent(a, q);
    a = mkfxat(1);
    w4 = a;
    a = w3;
    w5 = a;
    a = mkfxat(1);
    w6 = a;
    m = a;
    q = w5;
    a = w4;
    CC_Wchkfor(a, q, m);
   G0137:
    a = CHAR_OF(44);
    CC_putch(a);
    CC_putblank();
    q = w4;
    a = w1;
    a = Lgetv(a, q);
    w8 = a;
    q = mkfxat(3);
    a = w2;
    a = plus2(a, q);
    q = a;
    a = w8;
    a = CC_prindent(a, q);
    w7 = a;
    q = w6;
    a = w4;
    a = plus2(a, q);
    w4 = a;
    m = w6;
    q = w5;
    a = CC_Wendfor(a, q, m);
    if(a == nil) goto    G0137;
    q = mkfxat(-3);
    a = w2;
    a = plus2(a, q);
#define LL_rsquare LITERAL[21]
    q = LL_rsquare;
    a = Lxcons(a, q);
    CC_putch(a);
    a = car(value(LL_Hstack));
    CC_endlist(a);
    a = cdr(value(LL_Hstack));
    value(LL_Hstack) = a;
    a = nil;
    popv(8);
    return a;
}

Sex CC_putblank(void)
{
    Sex a, q;
    a = car(value(LL_Hstack));
    CC_putch(a);
    a = car(cdr(cdr(car(value(LL_Hstack)))));
    a = Ladd1(a);
    q = a;
    a = cdr(cdr(car(value(LL_Hstack))));
    car(a) = q;
    q = cdr(cdr(cdr(car(value(LL_Hstack)))));
    a = value(LL_Hbufferi);
    a = cons(a, q);
    q = a;
    a = cdr(cdr(car(value(LL_Hstack))));
    cdr(a) = q;
    a = value(LL_Hindblanks);
    a = Ladd1(a);
    value(LL_Hindblanks) = a;
    a = nil;
    return a;
}

Sex CC_endlist(Sex a)
{
    Sex q;
    q = value(LL_Hpendingrpars);
    a = cons(a, q);
    value(LL_Hpendingrpars) = a;
    return a;
}

Sex CC_finishpending(void)
{
    Sex a, q;
    Sex *sp = stack;
    stackcheck();
    stack = sp + 5;
    w5 = nil;
    w4 = nil;
    w1 = nil;
    w2 = nil;
    w3 = nil;
   G0155:
    a = value(LL_Hpendingrpars);
    if(a == nil) goto    G0154;
    a = car(a);
    w1 = a;
    a = car(cdr(a));
    if(a == LL_indent) goto    G0159;
    w4 = nil;
    w5 = nil;
    a = cdr(cdr(cdr(w1)));
    w5 = a;
   G0161:
    if(a == nil) goto    G0159;
    a = car(a);
    w4 = a;
    q = CHAR_OF(32);
    car(a) = q;
    q = mkfxat(-1);
    a = value(LL_Hindblanks);
    a = plus2(a, q);
    value(LL_Hindblanks) = a;
    a = cdr(w5);
    w5 = a;
    goto    G0161;
   G0159:
    q = true;
    a = cdr(cdr(w1));
    cdr(a) = q;
    a = cdr(value(LL_Hpendingrpars));
    value(LL_Hpendingrpars) = a;
    goto    G0155;
   G0154:
    popv(5);
    return a;
}

Sex CC_quotep(Sex a)
{
    Sex q;
    Sex *sp = stack;
    stackcheck();
    stack = sp + 1;
    w1 = a;
#define LL_Hquotes LITERAL[22]
    a = value(LL_Hquotes);
    if(a == nil) goto    G0166;
    a = w1;
    a = Latom(a);
    a = Lnull(a);
    if(a == nil) goto    G0166;
#define LL_quote LITERAL[23]
    q = LL_quote;
    a = car(w1);
    a = Leq(a, q);
    if(a == nil) goto    G0166;
    a = cdr(w1);
    a = Latom(a);
    a = Lnull(a);
    if(a == nil) goto    G0166;
    a = cdr(cdr(w1));
    a = Lnull(a);
   G0166:
    popv(1);
    return a;
}

Sex CC_putch(Sex a)
{
    Sex q;
    Sex *sp = stack;
    stackcheck();
    stack = sp + 2;
    w2 = nil;
    w1 = a;
    if(is_cons(a)) goto    G0176;
    a = mkfxat(0);
    goto    G0190;
   G0176:
    a = car(a);
    if(is_number(a)) goto    G0191;
    if(a != LL_rpar) goto    G0178;
    a = value(LL_Hrparcount);
    a = Ladd1(a);
    value(LL_Hrparcount) = a;
    q = mkfxat(4);
    a = Lgreaterp(a, q);
    if(a == nil) goto    G0181;
    a = CHAR_OF(32);
    CC_putch(a);
    a = mkfxat(2);
    goto    G0190;
   G0178:
    a = mkfxat(0);
   G0190:
    value(LL_Hrparcount) = a;
   G0181:
    w2 = nil;
   G0183:
    q = value(LL_Hbn);
    a = value(LL_Hlmar);
    a = plus2(a, q);
    q = value(LL_Hrmar);
    a = Lgeq(a, q);
    if(a == nil) goto    G0182;
#define LL_more LITERAL[24]
    a = LL_more;
    a = CC_overflow(a);
    w2 = a;
    goto    G0183;
   G0191:
    a = mkfxat(0);
    value(LL_Hrparcount) = a;
   G0182:
    a = w1;
    a = Lncons(a);
    q = a;
    a = value(LL_Hbufferi);
    cdr(a) = q;
    a = cdr(a);
    value(LL_Hbufferi) = a;
    a = value(LL_Hbn);
    a = Ladd1(a);
    value(LL_Hbn) = a;
    a = nil;
    popv(2);
    return a;
}

Sex CC_overflow(Sex a)
{
    Sex q;
    Sex *sp = stack;
    stackcheck();
    stack = sp + 3;
    w2 = nil;
    w3 = nil;
    w1 = a;
    a = value(LL_Hindblanks);
    a = Lzerop(a);
    if(a == nil) goto    G0198;
    q = mkfxat(3);
    a = value(LL_Hinitialblanks);
    a = Lgreaterp(a, q);
    if(a == nil) goto    G0198;
    a = w1;
    if(a != LL_more) goto    G0198;
    q = mkfxat(-3);
    a = value(LL_Hinitialblanks);
    a = plus2(a, q);
    value(LL_Hinitialblanks) = a;
    q = mkfxat(-3);
    a = value(LL_Hlmar);
    a = plus2(a, q);
    value(LL_Hlmar) = a;
#define LL_movedKleft LITERAL[25]
    a = LL_movedKleft;
    goto    G0194;
   G0198:
    a = value(LL_Hbn);
    a = Lzerop(a);
    if(a == nil) goto    G0201;
    a = w1;
    if(a == LL_more) goto    G0203;
#define LL_empty LITERAL[26]
    a = LL_empty;
    goto    G0194;
   G0203:
    a = car(value(LL_Hbuffero));
    if(is_cons(a)) goto    G0205;
    a = LITERAL[27];
    Lprinc(a);
   G0205:
    Lterpri();
    a = mkfxat(0);
    value(LL_Hlmar) = a;
#define LL_continued LITERAL[28]
    a = LL_continued;
    goto    G0194;
   G0201:
    a = value(LL_Hinitialblanks);
    Lxtab(a);
    a = mkfxat(0);
    value(LL_Hinitialblanks) = a;
    a = cdr(value(LL_Hbuffero));
    value(LL_Hbuffero) = a;
    q = mkfxat(-1);
    a = value(LL_Hbn);
    a = plus2(a, q);
    value(LL_Hbn) = a;
    a = value(LL_Hlmar);
    a = Ladd1(a);
    value(LL_Hlmar) = a;
    a = car(value(LL_Hbuffero));
    w2 = a;
    if(!is_cons(a)) goto    G0255;
    a = car(a);
    if(!is_number(a)) goto    G0209;
    a = w3;
    if(!is_cons(a)) goto    G0232;
    a = CHAR_OF(32);
    Lprinc(a);
    q = mkfxat(-1);
    a = value(LL_Hindblanks);
    a = plus2(a, q);
    value(LL_Hindblanks) = a;
    a = w2;
    if(a != car(w3)) goto    G0198;
    q = mkfxat(-1);
    a = cdr(w3);
    a = plus2(a, q);
    q = a;
    a = w3;
    cdr(a) = q;
    a = cdr(w3);
    a = Lzerop(a);
    if(a == nil) goto    G0198;
    a = true;
    w3 = a;
    goto    G0198;
   G0209:
    if(a == LL_lpar) goto    G0219;
    if(a != LL_lsquare) goto    G0218;
   G0219:
#define LL_ppchar LITERAL[29]
    q = LL_ppchar;
    a = Lget(a, q);
    Lprinc(a);
    a = w1;
    if(a == LL_none) goto    G0198;
    a = cdr(w2);
    w2 = a;
    a = cdr(cdr(cdr(a)));
    if(a != nil) goto    G0198;
    q = value(LL_Hindentlevel);
    a = car(w2);
    a = Lgreaterp(a, q);
    if(a == nil) goto    G0198;
    a = car(w2);
    value(LL_Hindentlevel) = a;
    q = LL_indent;
    a = cdr(w2);
    car(a) = q;
    goto    G0198;
   G0218:
    if(a == LL_rpar) goto    G0228;
    if(a != LL_rsquare) goto    G0227;
   G0228:
    q = value(LL_Hindentlevel);
    a = cdr(w2);
    a = Llessp(a, q);
    if(a == nil) goto    G0230;
    a = cdr(w2);
    value(LL_Hindentlevel) = a;
   G0230:
    q = LL_ppchar;
    a = car(w2);
    a = Lget(a, q);
    goto    G0255;
   G0227:
    q = LITERAL[30];
    a = w2;
    a = Llist2(a, q);
    q = a;
    a = mkfxat(0);
    Lerror(a, q);
   G0232:
    a = car(cdr(cdr(cdr(w2))));
    if(a != value(LL_Hbuffero)) goto    G0235;
    q = nil;
    a = cdr(cdr(w2));
    cdr(a) = q;
   G0235:
    q = mkfxat(-1);
    a = value(LL_Hindblanks);
    a = plus2(a, q);
    value(LL_Hindblanks) = a;
    q = value(LL_Hindentlevel);
    a = car(w2);
    a = Lgreaterp(a, q);
    if(a == nil) goto    G0237;
    a = w1;
    if(a != LL_none) goto    G0239;
    a = CHAR_OF(32);
    goto    G0255;
   G0239:
    a = w3;
    if(a == nil) goto    G0241;
    w3 = nil;
    goto    G0237;
   G0241:
    a = car(w2);
    value(LL_Hindentlevel) = a;
    q = LL_indent;
    a = cdr(w2);
    car(a) = q;
   G0237:
    q = mkfxat(-1);
#define LL_thinH LITERAL[31]
    a = value(LL_thinH);
    a = plus2(a, q);
    q = a;
    a = car(cdr(cdr(w2)));
    a = Lgreaterp(a, q);
    if(a == nil) goto    G0244;
    q = mkfxat(-2);
    a = car(cdr(cdr(w2)));
    a = plus2(a, q);
    q = w2;
    a = Lxcons(a, q);
    w3 = a;
#define LL_thin LITERAL[32]
    q = LL_thin;
    a = cdr(w2);
    car(a) = q;
    q = mkfxat(1);
    a = cdr(cdr(w2));
    car(a) = q;
    q = mkfxat(-1);
    a = car(w2);
    a = plus2(a, q);
    value(LL_Hindentlevel) = a;
    a = CHAR_OF(32);
   G0255:
    Lprinc(a);
    goto    G0198;
   G0244:
    q = mkfxat(-1);
    a = car(cdr(cdr(w2)));
    a = plus2(a, q);
    q = a;
    a = cdr(cdr(w2));
    car(a) = q;
    Lterpri();
    a = car(w2);
    value(LL_Hinitialblanks) = a;
    value(LL_Hlmar) = a;
    a = value(LL_Hbuffero);
    if(a != w1) goto    G0249;
#define LL_toKflg LITERAL[33]
    a = LL_toKflg;
    goto    G0194;
   G0249:
    a = w3;
    if(a != nil) goto    G0198;
    a = w1;
    if(a != LL_more) goto    G0198;
    a = LL_more;
   G0194:
    popv(3);
    return a;
}

Sex CC_rprint(Sex a)
{
    Sex q;
    Sex *sp = stack;
    stackcheck();
    stack = sp + 4;
    w4 = nil;
    w3 = nil;
    w2 = nil;
    {
        Sex *_w = bstack, *_v;
        bstackcheck();
        pushbv(0, LL_Hrmar, nil);
#define LL_Hcurmark LITERAL[34]
        pushbv(2, LL_Hcurmark, nil);
#define LL_Hbuffp LITERAL[35]
        pushbv(4, LL_Hbuffp, nil);
#define LL_Hn LITERAL[36]
        pushbv(6, LL_Hn, nil);
        bstack = _w + 8;
    }
    w1 = a;
    a = mkfxat(0);
    value(LL_Hn) = a;
    value(LL_Hcurmark) = a;
    q = mkfxat(0);
    a = Llist2(a, q);
    a = Lncons(a);
    value(LL_Hbuffp) = a;
    w3 = a;
    a = nil;
    a = Llinelength(a);
    value(LL_Hrmar) = a;
#define LL_RpretopS LITERAL[37]
    q = value(LL_RpretopS);
#define LL_HsemicolH LITERAL[38]
    a = LL_HsemicolH;
    a = Lget(a, q);
    w2 = a;
    a = mkfxat(0);
    value(LL_Hn) = a;
    q = car(cdr(car(w2)));
    a = car(car(w2));
    a = Llist2(a, q);
    q = a;
    a = w1;
    CC_mprino1(a, q);
    a = LITERAL[39];
    CC_prin2ox(a);
    a = value(LL_Hcurmark);
    CC_omarko(a);
    a = w3;
    CC_prinos(a);
    a = nil;
    {
        Sex *_w = bstack;
        popbv(0);
        popbv(-2);
        popbv(-4);
        popbv(-6);
        bstack = _w - 8;
    }
    popv(4);
    return a;
}

Sex CC_mprino(Sex a)
{
    Sex q;
    Sex *sp = stack;
    stackcheck();
    stack = sp + 1;
    w1 = a;
    q = mkfxat(0);
    a = mkfxat(0);
    a = Llist2(a, q);
    q = a;
    a = w1;
    {
        popv(1);
        return  CC_mprino1(a, q);
    }
}

Sex CC_mprino1(Sex a, Sex q)
{
    Sex m;
    Sex *sp = stack;
    stackcheck();
    stack = sp + 5;
    w5 = nil;
    w4 = nil;
    w3 = nil;
   G0325:
    w1 = a;
    w2 = q;
#define LL_combuffH LITERAL[40]
    q = value(LL_combuffH);
    a = Latsoc(a, q);
    w3 = a;
    if(a == nil) goto    G0269;
    a = cdr(a);
    goto    G0271;
   G0270:
    w4 = a;
    a = car(a);
    w5 = a;
    CC_comprox(a);
    a = cdr(w4);
   G0271:
    if(a != nil) goto    G0270;
    q = value(LL_combuffH);
    a = w3;
    a = Ldelete(a, q);
    value(LL_combuffH) = a;
   G0269:
    a = w1;
    if(!is_number(a)) goto    G0274;
    a = Lminusp(a);
    if(a == nil) goto    G0274;
    q = value(LL_RpretopS);
#define LL_difference LITERAL[41]
    a = LL_difference;
    a = Lget(a, q);
    w3 = a;
    if(a == nil) goto    G0274;
    w4 = nil;
    a = car(a);
    w3 = a;
    q = car(cdr(w2));
    a = car(a);
    a = Lgreaterp(a, q);
    a = Lnull(a);
    if(a != nil) goto    G0277;
    q = car(w2);
    a = car(cdr(w3));
    a = Lgreaterp(a, q);
    a = Lnull(a);
   G0277:
    w4 = a;
    if(a == nil) goto    G0281;
    a = LITERAL[42];
    CC_prin2ox(a);
   G0281:
    a = w1;
    CC_prinox(a);
    a = w4;
    if(a == nil) goto    G0320;
    a = LITERAL[43];
    CC_prinox(a);
    goto    G0320;
   G0274:
    a = w1;
    if(is_cons(a)) goto    G0285;
    {
        popv(5);
        return  CC_prinox(a);
    }
   G0285:
    a = car(a);
    if(!is_cons(a)) goto    G0287;
    a = w1;
    a = CC_strangeop(a);
    w3 = a;
    if(a == nil) goto    G0287;
    q = w2;
    goto    G0325;  /* recursive call to mprino1 */
   G0287:
    a = car(w1);
    if(!is_cons(a)) goto    G0290;
    a = value(LL_Hcurmark);
    a = Ladd1(a);
    value(LL_Hcurmark) = a;
    a = LITERAL[42];
    CC_prin2ox(a);
    a = car(w1);
    CC_mprino(a);
    a = LITERAL[43];
    CC_prin2ox(a);
    q = mkfxat(3);
    a = value(LL_Hcurmark);
    a = Llist2(a, q);
    CC_omark(a);
    q = mkfxat(-1);
    a = value(LL_Hcurmark);
    a = plus2(a, q);
    value(LL_Hcurmark) = a;
    goto    G0317;
   G0290:
#define LL_RpretoprinfS LITERAL[44]
    q = value(LL_RpretoprinfS);
    a = Lget(a, q);
    w3 = a;
    if(a == nil) goto    G0292;
    w4 = nil;
    q = mkfxat(0);
    a = car(w2);
    a = Lgreaterp(a, q);
    if(a == nil) goto    G0294;
    q = LITERAL[45];
    a = car(w1);
    a = Lmemq(a, q);
    a = Lnull(a);
   G0294:
    w4 = a;
    if(a == nil) goto    G0297;
    a = LITERAL[42];
    CC_prin2ox(a);
   G0297:
    q = cdr(w1);
    a = w3;
    Lapply1(a, q);
    a = w4;
    if(a == nil) goto    G0320;
    a = LITERAL[43];
    CC_prin2ox(a);
    goto    G0320;
   G0292:
    q = value(LL_RpretopS);
    a = car(w1);
    a = Lget(a, q);
    w3 = a;
    if(a == nil) goto    G0301;
    a = car(a);
    if(a != nil) goto    G0324;
    a = car(cdr(w3));
    if(a != nil) goto    G0304;
    q = mkfxat(1);
    a = mkfxat(100);
    a = Llist2(a, q);
    goto    G0324;
   G0304:
    q = a;
    a = mkfxat(100);
    a = Llist2(a, q);
   G0324:
    m = w2;
    q = a;
    a = w1;
    {
        popv(5);
        return  CC_inprinox(a, q, m);
    }
   G0301:
#define LL_modefn LITERAL[46]
    q = LL_modefn;
    a = car(w1);
    a = Lflagp(a, q);
    if(a == nil) goto    G0309;
    a = car(car(cdr(w1)));
#define LL_procedure LITERAL[47]
    if(a != LL_procedure) goto    G0309;
    a = w1;
    a = Lcadadr(a);
    q = car(w1);
    a = cons(a, q);
    w4 = a;
    a = w1;
    a = Lcddadr(a);
    a = cdr(a);
    q = w4;
    a = Lxcons(a, q);
    {
        popv(5);
        return  CC_proceox(a);
    }
   G0309:
    a = car(w1);
    CC_prinox(a);
   G0317:
    a = cdr(w1);
    w1 = a;
    if(a != nil) goto    G0319;
    a = LITERAL[48];
    CC_prin2ox(a);
    goto    G0320;
   G0319:
    q = w2;
    CC_mprargs(a, q);
   G0320:
    a = nil;
    popv(5);
    return a;
}

Sex CC_strangeop(Sex a)
{
    Sex q, m;
    Sex *sp = stack;
    stackcheck();
    stack = sp + 1;
    w1 = a;
    a = car(car(a));
#define LL_lambda LITERAL[49]
    if(a != LL_lambda) goto    G0328;
    a = car(cdr(car(w1)));
    a = Llength(a);
    a = Lonep(a);
    if(a == nil) goto    G0328;
    m = car(cdr(cdr(car(w1))));
    q = car(car(cdr(car(w1))));
    a = car(cdr(w1));
    {
        popv(1);
        return  Lsubst(a, q, m);
    }
   G0328:
    a = nil;
    popv(1);
    return a;
}

Sex CC_mprargs(Sex a, Sex q)
{
    Sex m;
    Sex *sp = stack;
    stackcheck();
    stack = sp + 2;
    w1 = nil;
    w2 = q;
#define LL_HcommaH LITERAL[50]
    q = LL_HcommaH;
    a = Lxcons(a, q);
    w1 = a;
    q = mkfxat(0);
    a = mkfxat(0);
    a = Llist2(a, q);
    m = w2;
    q = a;
    a = w1;
    {
        popv(2);
        return  CC_inprinox(a, q, m);
    }
}

Sex CC_inprinox(Sex a, Sex q, Sex m)
{
    Sex *sp = stack;
    stackcheck();
    stack = sp + 4;
    w4 = nil;
    w1 = a;
    w2 = q;
    w3 = m;
    q = car(cdr(m));
    a = car(w2);
    a = Lgreaterp(a, q);
    a = Lnull(a);
    if(a != nil) goto    G0338;
    q = car(w3);
    a = car(cdr(w2));
    a = Lgreaterp(a, q);
    a = Lnull(a);
   G0338:
    w4 = a;
    if(a == nil) goto    G0342;
    a = LITERAL[42];
    CC_prin2ox(a);
   G0342:
    a = LITERAL[51];
    CC_omark(a);
    m = cdr(w1);
    q = w2;
    a = car(w1);
    CC_inprino(a, q, m);
    a = w4;
    if(a == nil) goto    G0344;
    a = LITERAL[43];
    CC_prin2ox(a);
   G0344:
    a = LITERAL[52];
    CC_omark(a);
    a = nil;
    popv(4);
    return a;
}

Sex CC_inprino(Sex a, Sex q, Sex m)
{
    Sex *sp = stack;
    stackcheck();
    stack = sp + 7;
    w7 = nil;
    w6 = nil;
    w5 = nil;
    w4 = nil;
    w1 = a;
    w2 = q;
    w3 = m;
    q = mkfxat(2);
    a = value(LL_Hcurmark);
    a = plus2(a, q);
    value(LL_Hcurmark) = a;
    q = value(LL_RpretopS);
    a = w1;
    a = Lget(a, q);
    w5 = a;
    if(a == nil) goto    G0351;
    a = car(a);
    if(a == nil) goto    G0351;
    q = mkfxat(0);
    a = car(w2);
    a = Llist2(a, q);
    q = a;
    a = car(w3);
    CC_mprino1(a, q);
    a = cdr(w3);
    w3 = a;
    a = true;
    w4 = a;
   G0351:
    w6 = nil;
    a = w3;
   G0355:
    if(a == nil) goto    G0354;
    a = w1;
    if(a != LL_HcommaH) goto    G0359;
    a = LITERAL[53];
    CC_prin2ox(a);
    a = value(LL_Hcurmark);
    CC_omarko(a);
    goto    G0362;
   G0359:
#define LL_setq LITERAL[54]
    if(a != LL_setq) goto    G0360;
    a = LITERAL[55];
    CC_prin2ox(a);
    q = mkfxat(1);
    a = value(LL_Hcurmark);
    a = Llist2(a, q);
    CC_omark(a);
    goto    G0362;
   G0360:
    a = car(w3);
    if(!is_cons(a)) goto    G0363;
#define LL_alt LITERAL[56]
    q = LL_alt;
    a = car(a);
    a = Lget(a, q);
    if(a == w1) goto    G0362;
   G0363:
    q = mkfxat(1);
    a = value(LL_Hcurmark);
    a = Llist2(a, q);
    CC_omark(a);
    q = w4;
    a = w1;
    CC_oprino(a, q);
    a = true;
    w4 = a;
   G0362:
    a = cdr(w3);
    if(a != nil) goto    G0366;
    a = mkfxat(0);
    goto    G0367;
   G0366:
    a = car(w2);
   G0367:
    w7 = a;
    a = w4;
    if(a != nil) goto    G0370;
    a = mkfxat(0);
    goto    G0371;
   G0370:
    a = car(cdr(w2));
   G0371:
    q = a;
    a = w7;
    a = Llist2(a, q);
    q = a;
    a = car(w3);
    CC_mprino1(a, q);
    a = cdr(w3);
    w3 = a;
    w6 = a;
    goto    G0355;
   G0354:
    q = mkfxat(-2);
    a = value(LL_Hcurmark);
    a = plus2(a, q);
    value(LL_Hcurmark) = a;
    a = nil;
    popv(7);
    return a;
}

Sex CC_oprino(Sex a, Sex q)
{
    Sex *sp = stack;
    stackcheck();
    stack = sp + 4;
    w3 = nil;
    w4 = nil;
    w1 = a;
    w2 = q;
#define LL_prtch LITERAL[57]
    q = LL_prtch;
    a = Lget(a, q);
    w3 = a;
    if(a != nil) goto    G0378;
    a = w2;
    if(a == nil) goto    G0380;
    a = LITERAL[58];
    CC_prin2ox(a);
   G0380:
    a = w1;
    CC_prinox(a);
    goto    G0386;
   G0378:
#define LL_spaced LITERAL[59]
    q = LL_spaced;
    a = w1;
    a = Lflagp(a, q);
    w4 = a;
    if(a == nil) goto    G0383;
    a = LITERAL[58];
    CC_prin2ox(a);
   G0383:
    a = w3;
    CC_prin2ox(a);
    a = w4;
    if(a == nil) goto    G0381;
   G0386:
    a = LITERAL[58];
    CC_prin2ox(a);
   G0381:
    a = nil;
    popv(4);
    return a;
}

Sex CC_prin2ox(Sex a)
{
    Sex q;
    Sex *sp = stack;
    stackcheck();
    stack = sp + 2;
    w2 = nil;
    w1 = a;
    a = Lexplodec(a);
    q = a;
    a = value(LL_Hbuffp);
    cdr(a) = q;
    w2 = nil;
   G0393:
    a = cdr(value(LL_Hbuffp));
    if(a == nil) goto    G0396;
    value(LL_Hbuffp) = a;
    w2 = a;
    goto    G0393;
   G0396:
    a = w2;
    popv(2);
    return a;
}

Sex CC_prinox(Sex a)
{
    Sex q;
    Sex *sp = stack;
    stackcheck();
    stack = sp + 3;
    w3 = nil;
    w2 = nil;
    w1 = a;
#define LL_oldnam LITERAL[60]
    q = LL_oldnam;
    a = Lget(a, q);
    w2 = a;
    if(a == nil) goto    G0403;
    w1 = a;
   G0403:
    a = w1;
    a = Lexplode(a);
    q = a;
    a = value(LL_Hbuffp);
    cdr(a) = q;
    w3 = nil;
   G0406:
    a = cdr(value(LL_Hbuffp));
    if(a == nil) goto    G0405;
    value(LL_Hbuffp) = a;
    w3 = a;
    goto    G0406;
   G0405:
    a = nil;
    popv(3);
    return a;
}

Sex CC_omark(Sex a)
{
    Sex q;
    a = Lncons(a);
    q = a;
    a = value(LL_Hbuffp);
    cdr(a) = q;
    a = cdr(value(LL_Hbuffp));
    value(LL_Hbuffp) = a;
    return a;
}

Sex CC_omarko(Sex a)
{
    Sex q;
    q = mkfxat(0);
    a = Llist2(a, q);
    {
        return  CC_omark(a);
    }
}

Sex CC_comprox(Sex a)
{
    Sex q;
    Sex *sp = stack;
    stackcheck();
    stack = sp + 4;
    w4 = nil;
    w3 = nil;
    w2 = nil;
    w1 = a;
    q = LITERAL[61];
    a = car(value(LL_Hbuffp));
    a = Lequal(a, q);
    if(a == nil) goto    G0421;
    a = w1;
    goto    G0423;
   G0422:
    w3 = a;
    a = car(a);
    w4 = a;
    CC_prin2ox(a);
    a = cdr(w3);
   G0423:
    if(a != nil) goto    G0422;
    a = LITERAL[61];
    {
        popv(4);
        return  CC_omark(a);
    }
   G0421:
    a = car(value(LL_Hbuffp));
    w2 = a;
    a = value(LL_Hcurmark);
    a = Ladd1(a);
    q = mkfxat(3);
    a = Llist2(a, q);
    q = a;
    a = value(LL_Hbuffp);
    car(a) = q;
    a = w1;
    goto    G0429;
   G0428:
    w3 = a;
    a = car(a);
    CC_prin2ox(a);
    a = cdr(w3);
   G0429:
    if(a != nil) goto    G0428;
    a = w2;
    CC_omark(a);
    a = nil;
    popv(4);
    return a;
}

Sex CC_condox(Sex a)
{
    Sex q;
    Sex *sp = stack;
    stackcheck();
    stack = sp + 3;
    w3 = nil;
    w2 = nil;
    w1 = a;
    a = LITERAL[51];
    CC_omark(a);
    q = mkfxat(2);
    a = value(LL_Hcurmark);
    a = plus2(a, q);
    value(LL_Hcurmark) = a;
    w3 = nil;
   G0437:
    a = w1;
    if(a == nil) goto    G0436;
    a = LITERAL[62];
    CC_prin2ox(a);
    a = car(car(w1));
    CC_mprino(a);
    q = mkfxat(1);
    a = value(LL_Hcurmark);
    a = Llist2(a, q);
    CC_omark(a);
    a = LITERAL[63];
    CC_prin2ox(a);
    a = cdr(w1);
    if(a == nil) goto    G0442;
    a = car(car(cdr(car(w1))));
#define LL_cond LITERAL[64]
    if(a != LL_cond) goto    G0442;
    a = car(cdr(car(w1)));
    a = Lreverse(a);
    a = car(a);
    a = car(a);
    if(a == true) goto    G0442;
    a = true;
    w2 = a;
    a = LITERAL[42];
    CC_prin2ox(a);
   G0442:
    a = car(cdr(car(w1)));
    CC_mprino(a);
    a = w2;
    if(a == nil) goto    G0447;
    a = LITERAL[43];
    CC_prin2ox(a);
   G0447:
    a = cdr(w1);
    w1 = a;
    if(a == nil) goto    G0449;
    q = mkfxat(-1);
    a = value(LL_Hcurmark);
    a = plus2(a, q);
    CC_omarko(a);
    a = LITERAL[65];
    CC_prin2ox(a);
   G0449:
    a = w1;
    if(a == nil) goto    G0452;
    a = cdr(a);
    if(a != nil) goto    G0452;
    a = car(car(w1));
    if(a != true) goto    G0452;
    a = car(cdr(car(w1)));
    CC_mprino(a);
    a = nil;
    w1 = a;
    goto    G0451;
   G0452:
    a = nil;
   G0451:
    w3 = a;
    goto    G0437;
   G0436:
    q = mkfxat(-2);
    a = value(LL_Hcurmark);
    a = plus2(a, q);
    value(LL_Hcurmark) = a;
    a = LITERAL[52];
    CC_omark(a);
    a = nil;
    popv(3);
    return a;
}

Sex CC_blockox(Sex a)
{
    Sex q;
    Sex *sp = stack;
    stackcheck();
    stack = sp + 2;
    w2 = nil;
    w1 = a;
    a = LITERAL[51];
    CC_omark(a);
    q = mkfxat(2);
    a = value(LL_Hcurmark);
    a = plus2(a, q);
    value(LL_Hcurmark) = a;
    a = LITERAL[66];
    CC_prin2ox(a);
    a = car(w1);
    if(a == nil) goto    G0460;
    CC_varprx(a);
   G0460:
    a = cdr(w1);
    a = CC_labchk(a);
    w1 = a;
    a = car(car(a));
#define LL_Hlabel LITERAL[67]
    if(a != LL_Hlabel) goto    G0462;
    a = mkfxat(1);
    goto    G0463;
   G0462:
    a = mkfxat(3);
   G0463:
    q = a;
    a = value(LL_Hcurmark);
    a = Llist2(a, q);
    CC_omark(a);
    w2 = nil;
   G0467:
    a = w1;
    if(a == nil) goto    G0466;
    a = car(a);
    CC_mprino(a);
    a = car(car(w1));
    if(a == LL_Hlabel) goto    G0471;
    a = cdr(w1);
    if(a == nil) goto    G0471;
    a = LITERAL[68];
    CC_prin2ox(a);
   G0471:
    a = cdr(w1);
    w1 = a;
    if(a == nil) goto    G0474;
    a = car(car(a));
    if(a != LL_Hlabel) goto    G0476;
    a = mkfxat(1);
    goto    G0477;
   G0476:
    a = mkfxat(3);
   G0477:
    q = a;
    a = value(LL_Hcurmark);
    a = Llist2(a, q);
    a = CC_omark(a);
   G0474:
    w2 = a;
    goto    G0467;
   G0466:
    q = mkfxat(-1);
    a = value(LL_Hcurmark);
    a = plus2(a, q);
    q = mkfxat(-1);
    a = Llist2(a, q);
    CC_omark(a);
    a = LITERAL[69];
    CC_prin2ox(a);
    q = mkfxat(-2);
    a = value(LL_Hcurmark);
    a = plus2(a, q);
    value(LL_Hcurmark) = a;
    a = LITERAL[52];
    CC_omark(a);
    a = nil;
    popv(2);
    return a;
}

Sex CC_retox(Sex a)
{
    Sex q;
    Sex *sp = stack;
    stackcheck();
    stack = sp + 1;
    w1 = a;
    a = LITERAL[51];
    CC_omark(a);
    q = mkfxat(2);
    a = value(LL_Hcurmark);
    a = plus2(a, q);
    value(LL_Hcurmark) = a;
    a = LITERAL[70];
    CC_prin2ox(a);
    a = LITERAL[51];
    CC_omark(a);
    a = car(w1);
    CC_mprino(a);
    q = mkfxat(-2);
    a = value(LL_Hcurmark);
    a = plus2(a, q);
    value(LL_Hcurmark) = a;
    a = LITERAL[52];
    CC_omark(a);
    a = LITERAL[52];
    CC_omark(a);
    a = nil;
    popv(1);
    return a;
}

Sex CC_varprx(Sex a)
{
    Sex *sp = stack;
    stackcheck();
    stack = sp + 3;
    w2 = nil;
    w3 = nil;
    w1 = a;
   G0491:
    if(a == nil) goto    G0490;
    a = cdr(car(a));
    if(a != w2) goto    G0495;
    a = LITERAL[53];
    CC_prin2ox(a);
    a = value(LL_Hcurmark);
    a = Ladd1(a);
    CC_omarko(a);
    goto    G0501;
   G0495:
    a = w2;
    if(a == nil) goto    G0499;
    a = LITERAL[68];
    CC_prin2ox(a);
    a = LITERAL[52];
    CC_omark(a);
   G0499:
    a = cdr(car(w1));
    w2 = a;
    CC_prinox(a);
    a = LITERAL[58];
    CC_prin2ox(a);
    a = LITERAL[51];
    CC_omark(a);
   G0501:
    a = car(car(w1));
    CC_prinox(a);
    a = cdr(w1);
    w1 = a;
    w3 = a;
    goto    G0491;
   G0490:
    a = LITERAL[68];
    CC_prin2ox(a);
    a = LITERAL[52];
    CC_omark(a);
    a = nil;
    popv(3);
    return a;
}

Sex CC_progox(Sex a)
{
    Sex q;
    Sex *sp = stack;
    stackcheck();
    stack = sp + 3;
    w3 = nil;
    w1 = a;
    w2 = nil;
    a = car(a);
    a = Lreverse(a);
    goto    G0506;
   G0505:
    w3 = a;
    a = car(a);
#define LL_local LITERAL[71]
    q = LL_local;
    a = cons(a, q);
    q = w2;
    a = cons(a, q);
    w2 = a;
    a = cdr(w3);
   G0506:
    if(a != nil) goto    G0505;
    a = w2;
    a = Lnreverse(a);
    q = cdr(w1);
    a = cons(a, q);
    {
        popv(3);
        return  CC_blockox(a);
    }
}

Sex CC_labchk(Sex a)
{
    Sex q;
    Sex *sp = stack;
    stackcheck();
    stack = sp + 3;
    w3 = nil;
    w2 = nil;
    w1 = a;
    goto    G0516;
   G0515:
    w3 = a;
    a = car(a);
    if(is_cons(a)) goto    G0519;
    q = a;
    a = LL_Hlabel;
    a = Llist2(a, q);
   G0519:
    q = w2;
    a = cons(a, q);
    w2 = a;
    a = cdr(w3);
   G0516:
    if(a != nil) goto    G0515;
    a = w2;
    {
        popv(3);
        return  Lnreverse(a);
    }
}

Sex CC_gox(Sex a)
{
    Sex *sp = stack;
    stackcheck();
    stack = sp + 1;
    w1 = a;
    a = LITERAL[72];
    CC_prin2ox(a);
    a = car(w1);
    {
        popv(1);
        return  CC_prinox(a);
    }
}

Sex CC_labox(Sex a)
{
    a = car(a);
    CC_prinox(a);
    a = LITERAL[73];
    {
        return  CC_prin2ox(a);
    }
}

Sex CC_quotox(Sex a)
{
    Sex *sp = stack;
    stackcheck();
    stack = sp + 1;
    w1 = a;
    if(!is_string(a)) goto    G0531;
    {
        popv(1);
        return  CC_prinox(a);
    }
   G0531:
    a = LITERAL[74];
    CC_prin2ox(a);
    a = car(w1);
    {
        popv(1);
        return  CC_prinsox(a);
    }
}

Sex CC_prinsox(Sex a)
{
    Sex q;
    Sex *sp = stack;
    stackcheck();
    stack = sp + 2;
    w2 = nil;
    w1 = a;
    if(is_cons(a)) goto    G0538;
    {
        popv(2);
        return  CC_prinox(a);
    }
   G0538:
    a = LITERAL[42];
    CC_prin2ox(a);
    a = LITERAL[51];
    CC_omark(a);
    a = value(LL_Hcurmark);
    a = Ladd1(a);
    value(LL_Hcurmark) = a;
    w2 = nil;
   G0541:
    a = w1;
    if(a == nil) goto    G0550;
    a = car(a);
    CC_prinsox(a);
    a = cdr(w1);
    w1 = a;
    if(a == nil) goto    G0545;
    q = mkfxat(-1);
    a = value(LL_Hcurmark);
    a = Llist2(a, q);
    CC_omark(a);
    a = w1;
    if(is_cons(a)) goto    G0548;
    a = LITERAL[75];
    CC_prin2ox(a);
    a = w1;
    CC_prinsox(a);
    a = nil;
    w1 = a;
    goto    G0545;
   G0548:
    a = LITERAL[58];
    a = CC_prin2ox(a);
   G0545:
    w2 = a;
    goto    G0541;
   G0550:
    a = w2;
    q = mkfxat(-1);
    a = value(LL_Hcurmark);
    a = plus2(a, q);
    value(LL_Hcurmark) = a;
    a = LITERAL[52];
    CC_omark(a);
    a = LITERAL[43];
    {
        popv(2);
        return  CC_prin2ox(a);
    }
}

Sex CC_prognox(Sex a)
{
    Sex q;
    Sex *sp = stack;
    stackcheck();
    stack = sp + 2;
    w2 = nil;
    w1 = a;
    a = value(LL_Hcurmark);
    a = Ladd1(a);
    value(LL_Hcurmark) = a;
    a = LITERAL[76];
    CC_prin2ox(a);
    a = LITERAL[51];
    CC_omark(a);
    w2 = nil;
   G0557:
    a = w1;
    if(a == nil) goto    G0556;
    a = car(a);
    CC_mprino(a);
    a = cdr(w1);
    w1 = a;
    if(a == nil) goto    G0561;
    a = LITERAL[68];
    CC_prin2ox(a);
    a = value(LL_Hcurmark);
    a = CC_omarko(a);
   G0561:
    w2 = a;
    goto    G0557;
   G0556:
    a = LITERAL[52];
    CC_omark(a);
    a = LITERAL[77];
    CC_prin2ox(a);
    q = mkfxat(-1);
    a = value(LL_Hcurmark);
    a = plus2(a, q);
    value(LL_Hcurmark) = a;
    a = nil;
    popv(2);
    return a;
}

Sex CC_listox(Sex a)
{
    Sex q;
    Sex *sp = stack;
    stackcheck();
    stack = sp + 2;
    w2 = nil;
    w1 = a;
    a = value(LL_Hcurmark);
    a = Ladd1(a);
    value(LL_Hcurmark) = a;
    a = LITERAL[78];
    CC_prin2ox(a);
    a = LITERAL[51];
    CC_omark(a);
    w2 = nil;
   G0568:
    a = w1;
    if(a == nil) goto    G0567;
    a = car(a);
    CC_mprino(a);
    a = cdr(w1);
    w1 = a;
    if(a == nil) goto    G0572;
    a = LITERAL[79];
    CC_prin2ox(a);
    a = value(LL_Hcurmark);
    a = CC_omarko(a);
   G0572:
    w2 = a;
    goto    G0568;
   G0567:
    a = LITERAL[52];
    CC_omark(a);
    a = LITERAL[43];
    CC_prin2ox(a);
    q = mkfxat(-1);
    a = value(LL_Hcurmark);
    a = plus2(a, q);
    value(LL_Hcurmark) = a;
    a = nil;
    popv(2);
    return a;
}

Sex CC_repeatox(Sex a)
{
    Sex q;
    Sex *sp = stack;
    stackcheck();
    stack = sp + 1;
    w1 = a;
    a = value(LL_Hcurmark);
    a = Ladd1(a);
    value(LL_Hcurmark) = a;
    a = LITERAL[51];
    CC_omark(a);
    a = LITERAL[80];
    CC_prin2ox(a);
    a = car(w1);
    CC_mprino(a);
    a = LITERAL[81];
    CC_prin2ox(a);
    q = mkfxat(3);
    a = value(LL_Hcurmark);
    a = Llist2(a, q);
    CC_omark(a);
    a = car(cdr(w1));
    CC_mprino(a);
    a = LITERAL[52];
    CC_omark(a);
    q = mkfxat(-1);
    a = value(LL_Hcurmark);
    a = plus2(a, q);
    value(LL_Hcurmark) = a;
    a = nil;
    popv(1);
    return a;
}

Sex CC_whileox(Sex a)
{
    Sex q;
    Sex *sp = stack;
    stackcheck();
    stack = sp + 1;
    w1 = a;
    a = value(LL_Hcurmark);
    a = Ladd1(a);
    value(LL_Hcurmark) = a;
    a = LITERAL[51];
    CC_omark(a);
    a = LITERAL[82];
    CC_prin2ox(a);
    a = car(w1);
    CC_mprino(a);
    a = LITERAL[83];
    CC_prin2ox(a);
    q = mkfxat(3);
    a = value(LL_Hcurmark);
    a = Llist2(a, q);
    CC_omark(a);
    a = car(cdr(w1));
    CC_mprino(a);
    a = LITERAL[52];
    CC_omark(a);
    q = mkfxat(-1);
    a = value(LL_Hcurmark);
    a = plus2(a, q);
    value(LL_Hcurmark) = a;
    a = nil;
    popv(1);
    return a;
}

Sex CC_procox(Sex a)
{
    Sex q, m;
    Sex *sp = stack;
    stackcheck();
    stack = sp + 1;
    w1 = a;
    a = LITERAL[51];
    CC_omark(a);
    a = value(LL_Hcurmark);
    a = Ladd1(a);
    value(LL_Hcurmark) = a;
    a = cdr(w1);
    a = Lcadddr(a);
    if(a == nil) goto    G0585;
    a = cdr(w1);
    a = Lcadddr(a);
    CC_mprino(a);
    a = LITERAL[58];
    CC_prin2ox(a);
   G0585:
    a = LITERAL[84];
    CC_prin2ox(a);
    m = car(cdr(cdr(w1)));
    q = car(cdr(w1));
    a = car(w1);
    CC_procox1(a, q, m);
    a = nil;
    popv(1);
    return a;
}

Sex CC_procox1(Sex a, Sex q, Sex m)
{
    Sex *sp = stack;
    stackcheck();
    stack = sp + 3;
    w1 = a;
    w2 = q;
    w3 = m;
    CC_prinox(a);
    a = w2;
    if(a == nil) goto    G0591;
    q = mkfxat(0);
    a = mkfxat(0);
    a = Llist2(a, q);
    q = a;
    a = w2;
    CC_mprargs(a, q);
   G0591:
    a = LITERAL[68];
    CC_prin2ox(a);
    q = mkfxat(3);
    a = value(LL_Hcurmark);
    a = Llist2(a, q);
    CC_omark(a);
    a = w3;
    CC_mprino(a);
    q = mkfxat(-1);
    a = value(LL_Hcurmark);
    a = plus2(a, q);
    value(LL_Hcurmark) = a;
    a = LITERAL[52];
    CC_omark(a);
    a = nil;
    popv(3);
    return a;
}

Sex CC_proceox(Sex a)
{
    Sex q, m;
    Sex *sp = stack;
    stackcheck();
    stack = sp + 2;
    w2 = nil;
    w1 = a;
    a = LITERAL[51];
    CC_omark(a);
    a = value(LL_Hcurmark);
    a = Ladd1(a);
    value(LL_Hcurmark) = a;
    a = car(cdr(cdr(w1)));
#define LL_expr LITERAL[85]
    if(a == LL_expr) goto    G0598;
    CC_mprino(a);
    a = LITERAL[58];
    goto    G0603;
   G0598:
    a = LITERAL[86];
   G0603:
    CC_prin2ox(a);
    a = w1;
    a = Lcadddr(a);
    w2 = a;
    a = w1;
    a = Lcddddr(a);
    a = car(a);
    m = a;
    q = w2;
    a = car(w1);
    CC_proceox1(a, q, m);
    a = nil;
    popv(2);
    return a;
}

Sex CC_mapovercar(Sex a)
{
    Sex q;
    Sex *sp = stack;
    stackcheck();
    stack = sp + 3;
    w2 = nil;
    w3 = nil;
    w1 = a;
   G0610:
    if(a == nil) goto    G0609;
    q = w2;
    a = car(car(a));
    a = cons(a, q);
    w2 = a;
    a = cdr(w1);
    w1 = a;
    w3 = a;
    goto    G0610;
   G0609:
    a = w2;
    {
        popv(3);
        return  Lnreverse(a);
    }
}

Sex CC_proceox1(Sex a, Sex q, Sex m)
{
    Sex *sp = stack;
    stackcheck();
    stack = sp + 4;
    w4 = nil;
    w1 = a;
    w2 = q;
    w3 = m;
    CC_prinox(a);
    a = w2;
    if(a == nil) goto    G0618;
    a = car(a);
    if(!is_cons(a)) goto    G0620;
    a = w2;
    a = CC_mapovercar(a);
    w2 = a;
   G0620:
    q = mkfxat(0);
    a = mkfxat(0);
    a = Llist2(a, q);
    q = a;
    a = w2;
    CC_mprargs(a, q);
    goto    G0622;
   G0618:
    a = LITERAL[48];
    CC_prin2ox(a);
   G0622:
    a = LITERAL[87];
    CC_prin2ox(a);
    q = mkfxat(3);
    a = value(LL_Hcurmark);
    a = Llist2(a, q);
    CC_omark(a);
    a = w3;
    CC_mprino(a);
    q = mkfxat(-1);
    a = value(LL_Hcurmark);
    a = plus2(a, q);
    value(LL_Hcurmark) = a;
    a = LITERAL[52];
    CC_omark(a);
    a = nil;
    popv(4);
    return a;
}

Sex CC_proceox0(Sex a, Sex q, Sex m, Sex arg4)
{
    Sex arg5;
    Sex *sp = stack;
    stackcheck();
    stack = sp + 5;
    w3 = nil;
    w1 = a;
    w2 = q;
    w4 = arg4;
    w5 = nil;
    a = m;
    goto    G0628;
   G0627:
    w3 = a;
    a = car(a);
#define LL_symbolic LITERAL[88]
    q = LL_symbolic;
    a = cons(a, q);
    q = w5;
    a = cons(a, q);
    w5 = a;
    a = cdr(w3);
   G0628:
    if(a != nil) goto    G0627;
    a = w5;
    a = Lnreverse(a);
    arg5 = w4;
    arg4 = a;
    m = w2;
    q = LL_symbolic;
    a = w1;
    a = Llist5(a, q, m, arg4, arg5);
    {
        popv(5);
        return  CC_proceox(a);
    }
}

Sex CC_deox(Sex a)
{
    Sex q, m, arg4;
    arg4 = car(cdr(cdr(a)));
    m = car(cdr(a));
    q = LL_expr;
    a = car(a);
    {
        return  CC_proceox0(a, q, m, arg4);
    }
}

Sex CC_dsox(Sex a)
{
    Sex q, m, arg4;
    arg4 = car(cdr(cdr(a)));
    m = car(cdr(a));
#define LL_smacro LITERAL[89]
    q = LL_smacro;
    a = car(a);
    {
        return  CC_proceox0(a, q, m, arg4);
    }
}

Sex CC_dmox(Sex a)
{
    Sex q, m, arg4;
    arg4 = car(cdr(cdr(a)));
    m = car(cdr(a));
#define LL_macro LITERAL[90]
    q = LL_macro;
    a = car(a);
    {
        return  CC_proceox0(a, q, m, arg4);
    }
}

Sex CC_stringox(Sex a)
{
    Sex *sp = stack;
    stackcheck();
    stack = sp + 1;
    w1 = a;
    a = CHAR_OF(34);
    CC_prin2ox(a);
    a = car(w1);
    CC_prin2ox(a);
    a = CHAR_OF(34);
    {
        popv(1);
        return  CC_prin2ox(a);
    }
}

Sex CC_lambdox(Sex a)
{
    Sex q, m;
    Sex *sp = stack;
    stackcheck();
    stack = sp + 1;
    w1 = a;
    a = LITERAL[51];
    CC_omark(a);
    a = value(LL_Hcurmark);
    a = Ladd1(a);
    value(LL_Hcurmark) = a;
    m = car(cdr(w1));
    q = car(w1);
    a = LL_lambda;
    CC_procox1(a, q, m);
    a = nil;
    popv(1);
    return a;
}

Sex CC_eachox(Sex a)
{
    Sex *sp = stack;
    stackcheck();
    stack = sp + 2;
    w2 = nil;
    w1 = a;
    a = LITERAL[91];
    CC_prin2ox(a);
    w2 = nil;
   G0649:
    a = cdr(w1);
    if(a == nil) goto    G0652;
    a = car(w1);
    CC_mprino(a);
    a = LITERAL[58];
    CC_prin2ox(a);
    a = cdr(w1);
    w1 = a;
    w2 = a;
    goto    G0649;
   G0652:
    a = w2;
    a = car(w1);
    {
        popv(2);
        return  CC_mprino(a);
    }
}

Sex CC_forox(Sex a)
{
    Sex q;
    Sex *sp = stack;
    stackcheck();
    stack = sp + 1;
    w1 = a;
    a = value(LL_Hcurmark);
    a = Ladd1(a);
    value(LL_Hcurmark) = a;
    a = LITERAL[51];
    CC_omark(a);
    a = LITERAL[92];
    CC_prin2ox(a);
    a = car(w1);
    CC_mprino(a);
    a = LITERAL[55];
    CC_prin2ox(a);
    a = car(car(cdr(w1)));
    CC_mprino(a);
    q = mkfxat(1);
    a = car(cdr(car(cdr(w1))));
    a = Lneq(a, q);
    if(a == nil) goto    G0657;
    a = LITERAL[93];
    CC_prin2ox(a);
    a = car(cdr(car(cdr(w1))));
    CC_mprino(a);
    a = LITERAL[81];
    goto    G0661;
   G0657:
    a = LITERAL[94];
   G0661:
    CC_prin2ox(a);
    a = car(cdr(cdr(car(cdr(w1)))));
    CC_mprino(a);
    a = LITERAL[58];
    CC_prin2ox(a);
    a = car(cdr(cdr(w1)));
    CC_mprino(a);
    a = LITERAL[58];
    CC_prin2ox(a);
    q = mkfxat(3);
    a = value(LL_Hcurmark);
    a = Llist2(a, q);
    CC_omark(a);
    a = w1;
    a = Lcadddr(a);
    CC_mprino(a);
    a = LITERAL[52];
    CC_omark(a);
    q = mkfxat(-1);
    a = value(LL_Hcurmark);
    a = plus2(a, q);
    value(LL_Hcurmark) = a;
    a = nil;
    popv(1);
    return a;
}

Sex CC_forallox(Sex a)
{
    Sex q, m;
    Sex *sp = stack;
    stackcheck();
    stack = sp + 1;
    w1 = a;
    a = value(LL_Hcurmark);
    a = Ladd1(a);
    value(LL_Hcurmark) = a;
    a = LITERAL[51];
    CC_omark(a);
    a = LITERAL[95];
    CC_prin2ox(a);
    q = mkfxat(0);
    a = mkfxat(0);
    a = Llist2(a, q);
    m = car(w1);
    q = a;
    a = LL_HcommaH;
    CC_inprino(a, q, m);
    a = car(cdr(w1));
    if(a == nil) goto    G0667;
    q = mkfxat(3);
    a = value(LL_Hcurmark);
    a = Llist2(a, q);
    CC_omark(a);
    a = LITERAL[96];
    CC_prin2ox(a);
    a = car(cdr(w1));
    CC_mprino(a);
   G0667:
    a = LITERAL[58];
    CC_prin2ox(a);
    q = mkfxat(3);
    a = value(LL_Hcurmark);
    a = Llist2(a, q);
    CC_omark(a);
    a = car(cdr(cdr(w1)));
    CC_mprino(a);
    a = LITERAL[52];
    CC_omark(a);
    q = mkfxat(-1);
    a = value(LL_Hcurmark);
    a = plus2(a, q);
    value(LL_Hcurmark) = a;
    a = nil;
    popv(1);
    return a;
}

Sex CC_minuspox(Sex a)
{
    Sex q;
    Sex *sp = stack;
    stackcheck();
    stack = sp + 1;
    w1 = a;
    a = car(car(a));
    if(a != LL_difference) goto    G0673;
    q = cdr(car(w1));
#define LL_lessp LITERAL[97]
    a = LL_lessp;
    goto    G0678;
   G0673:
    q = car(w1);
    a = LL_lessp;
    a = cons(a, q);
    q = LITERAL[98];
   G0678:
    a = cons(a, q);
    {
        popv(1);
        return  CC_mprino(a);
    }
}

Sex CC_prinos(Sex a)
{
    Sex q;
    Sex *sp = stack;
    stackcheck();
    stack = sp + 2;
    w2 = nil;
    {
        Sex *_w = bstack, *_v;
        bstackcheck();
#define LL_Horig LITERAL[99]
        pushbv(0, LL_Horig, nil);
#define LL_Hlower LITERAL[100]
        pushbv(2, LL_Hlower, nil);
#define LL_Hcurpos LITERAL[101]
        pushbv(4, LL_Hcurpos, nil);
        bstack = _w + 6;
    }
    w1 = a;
    a = Lposn();
    a = Lncons(a);
    value(LL_Horig) = a;
    a = car(a);
    value(LL_Hcurpos) = a;
    q = mkfxat(0);
    a = w1;
    CC_prinoy(a, q);
    Lterpri();
    a = nil;
    {
        Sex *_w = bstack;
        popbv(0);
        popbv(-2);
        popbv(-4);
        bstack = _w - 6;
    }
    popv(2);
    return a;
}

Sex CC_prinoy(Sex a, Sex q)
{
    Sex *sp = stack;
    stackcheck();
    stack = sp + 3;
    w3 = nil;
   G0704:
    w1 = a;
    w2 = q;
    a = CC_spaceleft(a, q);
    w3 = a;
    a = car(a);
    if(a != nil) goto    G0703;
    a = cdr(w3);
    if(a != nil) goto    G0691;
    q = mkfxat(10);
    a = car(value(LL_Horig));
    a = Llessp(a, q);
    if(a == nil) goto    G0693;
   G0703:
    q = w2;
    a = w1;
    {
        popv(3);
        return  CC_prinom(a, q);
    }
   G0693:
    q = cdr(value(LL_Horig));
    a = mkfxat(9);
    a = cons(a, q);
    value(LL_Horig) = a;
    Lterpri();
    q = car(cdr(car(w1)));
    a = mkfxat(9);
    a = plus2(a, q);
    value(LL_Hcurpos) = a;
    CC_spaces20x(a);
    q = w2;
    a = w1;
    goto    G0704;  /* recursive call to prinoy */
   G0691:
    a = w2;
    a = Ladd1(a);
    q = a;
    a = w1;
    a = CC_prinoy(a, q);
    w1 = a;
    a = cdr(a);
    if(a == nil) goto    G0701;
    q = w2;
    a = car(car(w1));
    a = Lleq(a, q);
    if(a != nil) goto    G0701;
    Lterpri();
    q = car(cdr(car(w1)));
    a = car(value(LL_Horig));
    a = plus2(a, q);
    value(LL_Hcurpos) = a;
    CC_spaces20x(a);
    goto    G0691;
   G0701:
    a = w1;
    popv(3);
    return a;
}

Sex CC_spaceleft(Sex a, Sex q)
{
    Sex *sp = stack;
    stackcheck();
    stack = sp + 6;
    w6 = nil;
    w3 = nil;
    w4 = nil;
    w5 = nil;
    w1 = a;
    w2 = q;
    a = value(LL_Hcurpos);
    a = Lminus(a);
    q = a;
    a = value(LL_Hrmar);
    a = plus2(a, q);
    w3 = a;
    a = cdr(w1);
    w1 = a;
    w6 = nil;
   G0711:
    if(a == nil) goto    G0710;
    a = w4;
    if(a != nil) goto    G0710;
    q = mkfxat(0);
    a = w3;
    a = Lgeq(a, q);
    if(a == nil) goto    G0710;
    a = car(w1);
    if(is_cons(a)) goto    G0716;
    q = mkfxat(-1);
    a = w3;
    a = plus2(a, q);
    w3 = a;
    goto    G0719;
   G0716:
    a = car(a);
    if(a == CHAR_OF(109)) goto    G0719;
    q = a;
    a = w2;
    a = Lgeq(a, q);
    if(a == nil) goto    G0718;
    a = true;
    w4 = a;
    q = w1;
    a = nil;
    a = cons(a, q);
    w1 = a;
    goto    G0719;
   G0718:
    a = true;
    w5 = a;
   G0719:
    a = cdr(w1);
    w1 = a;
    w6 = a;
    goto    G0711;
   G0710:
    q = mkfxat(0);
    a = w3;
    a = Lgeq(a, q);
    q = w5;
    {
        popv(6);
        return  cons(a, q);
    }
}

Sex CC_prinom(Sex a, Sex q)
{
    Sex m;
    Sex *sp = stack;
    stackcheck();
    stack = sp + 7;
    w7 = nil;
    w3 = nil;
    w4 = nil;
    w1 = a;
    a = value(LL_Hcurpos);
    w5 = a;
    a = cdr(w1);
    w1 = a;
    w6 = nil;
    w2 = q;
   G0728:
    if(a == nil) goto    G0727;
    a = w3;
    if(a != nil) goto    G0727;
    a = car(w1);
    if(is_cons(a)) goto    G0733;
    a = Lprinc(a);
    w4 = a;
    a = w5;
    a = Ladd1(a);
    w5 = a;
    goto    G0745;
   G0733:
    a = car(a);
    if(a != CHAR_OF(109)) goto    G0734;
    a = car(cdr(car(w1)));
    if(a != CHAR_OF(117)) goto    G0736;
    q = value(LL_Horig);
    a = w5;
    a = cons(a, q);
    goto    G0755;
   G0736:
    if(a != CHAR_OF(108)) goto    G0737;
    q = mkfxat(0);
    a = cdr(w1);
    a = CC_chars2(a, q);
    w7 = a;
    a = Lposn();
    q = a;
    a = value(LL_Hrmar);
    a = diff2(a, q);
    q = a;
    a = w7;
    a = Lgreaterp(a, q);
    if(a == nil) goto    G0745;
    Lterpri();
    q = mkfxat(5);
    a = value(LL_Hcurmark);
    a = plus2(a, q);
    CC_spaces20x(a);
    goto    G0745;
   G0737:
    a = cdr(value(LL_Horig));
   G0755:
    value(LL_Horig) = a;
    goto    G0745;
   G0734:
    q = a;
    a = w2;
    a = Lgeq(a, q);
    if(a == nil) goto    G0745;
    a = w4;
    if(a != CHAR_OF(44)) goto    G0747;
    a = w5;
    a = Lminus(a);
    q = mkfxat(-6);
    a = plus2(a, q);
    q = a;
    a = value(LL_Hrmar);
    a = plus2(a, q);
    w7 = a;
    m = w2;
    q = w4;
    a = w1;
    a = CC_charspace(a, q, m);
    q = a;
    a = w7;
    a = Lgreaterp(a, q);
    if(a != nil) goto    G0745;
   G0747:
    a = true;
    w3 = a;
    q = w1;
    a = nil;
    a = cons(a, q);
    w1 = a;
   G0745:
    a = cdr(w1);
    w1 = a;
    w6 = a;
    goto    G0728;
   G0727:
    a = w5;
    value(LL_Hcurpos) = a;
    a = w2;
    a = Lzerop(a);
    if(a == nil) goto    G0753;
    a = cdr(w1);
    if(a == nil) goto    G0753;
    Lterpri();
    a = mkfxat(0);
    a = Lncons(a);
    value(LL_Horig) = a;
    a = mkfxat(0);
    value(LL_Hcurpos) = a;
    q = w2;
    a = w1;
    CC_prinoy(a, q);
   G0753:
    a = w1;
    popv(7);
    return a;
}

Sex CC_chars2(Sex a, Sex q)
{
    Sex *sp = stack;
    stackcheck();
    stack = sp + 1;
    w1 = a;
    a = car(car(a));
    if(a != CHAR_OF(109)) goto    G0759;
    a = q;
    goto    G0760;
   G0759:
    a = q;
    a = Ladd1(a);
    q = a;
    a = cdr(w1);
    a = CC_chars2(a, q);
   G0760:
    popv(1);
    return a;
}

Sex CC_charspace(Sex a, Sex q, Sex m)
{
    Sex *sp = stack;
    stackcheck();
    stack = sp + 5;
    w1 = a;
    a = mkfxat(0);
    w4 = a;
    w5 = nil;
    w2 = q;
    w3 = m;
    a = w1;
   G0768:
    if(a == nil) goto    G0767;
    q = w2;
    a = car(a);
    a = Lequal(a, q);
    if(a != nil) goto    G0776;
    a = car(w1);
    if(is_cons(a)) goto    G0773;
    a = w4;
    a = Ladd1(a);
    w4 = a;
    goto    G0775;
   G0773:
    q = LITERAL[51];
    a = Lequal(a, q);
    if(a == nil) goto    G0774;
    a = mkfxat(1000);
    w4 = a;
    goto    G0776;
   G0774:
    a = car(car(w1));
    if(!is_number(a)) goto    G0775;
    q = w3;
    a = Llessp(a, q);
    if(a == nil) goto    G0775;
   G0776:
    a = nil;
    a = Lncons(a);
    w1 = a;
   G0775:
    a = cdr(w1);
    w1 = a;
    w5 = a;
    goto    G0768;
   G0767:
    a = w4;
    popv(5);
    return a;
}

Sex CC_spaces20x(Sex a)
{
    Sex q;
    Sex *sp = stack;
    stackcheck();
    stack = sp + 2;
    w2 = nil;
    w1 = a;
   G0784:
    q = mkfxat(0);
    a = w1;
    a = Lgreaterp(a, q);
    if(a == nil) goto    G0787;
    a = CHAR_OF(32);
    Lprinc(a);
    q = mkfxat(-1);
    a = w1;
    a = plus2(a, q);
    w1 = a;
    w2 = a;
    goto    G0784;
   G0787:
    a = w2;
    popv(2);
    return a;
}



/* initialization procedure */
int init_gpretty(void)
{
   long i;

   create_symbols(gpretty_g_setup);
   literal_vectors[number_of_literal_vectors++] =
               LITERAL;
   for(i = 0; gpretty_literal_string[i] != NULL; i++)
           LITERAL[i]
               = make_literal(gpretty_literal_string[i]);
   LITERAL[i] = (Sex)NULL;

    {
        Sex a, q, m;
        a = LITERAL[102];
        CC_Aenter(a);
        a = LITERAL[103];
        Lfluid(a);
        a = LITERAL[104];
        Lglobal(a);
        a = true;
        value(LL_Hsymmetric) = a;
        value(LL_Hquotes) = a;
        a = mkfxat(5);
        value(LL_thinH) = a;
        m = LITERAL[105];
        q = LL_smacro;
#define LL_top LITERAL[106]
        a = LL_top;
        Lput(a, q, m);
        m = LITERAL[107];
        q = LL_smacro;
#define LL_depth LITERAL[108]
        a = LL_depth;
        Lput(a, q, m);
        m = LITERAL[109];
        q = LL_smacro;
#define LL_indenting LITERAL[110]
        a = LL_indenting;
        Lput(a, q, m);
        m = LITERAL[111];
        q = LL_smacro;
#define LL_blankcount LITERAL[112]
        a = LL_blankcount;
        Lput(a, q, m);
        m = LITERAL[113];
        q = LL_smacro;
#define LL_blanklist LITERAL[114]
        a = LL_blanklist;
        Lput(a, q, m);
        m = LITERAL[115];
        q = LL_smacro;
#define LL_setindenting LITERAL[116]
        a = LL_setindenting;
        Lput(a, q, m);
        m = LITERAL[117];
        q = LL_smacro;
#define LL_setblankcount LITERAL[118]
        a = LL_setblankcount;
        Lput(a, q, m);
        m = LITERAL[119];
        q = LL_smacro;
#define LL_setblanklist LITERAL[120]
        a = LL_setblanklist;
        Lput(a, q, m);
        m = LITERAL[121];
        q = LL_smacro;
#define LL_newframe LITERAL[122]
        a = LL_newframe;
        Lput(a, q, m);
        m = LITERAL[123];
        q = LL_smacro;
#define LL_blankp LITERAL[124]
        a = LL_blankp;
        Lput(a, q, m);
        m = LL_prog;
        q = LL_ppformat;
        a = LL_prog;
        Lput(a, q, m);
        m = mkfxat(1);
        q = LL_ppformat;
        a = LL_lambda;
        Lput(a, q, m);
        m = mkfxat(1);
        q = LL_ppformat;
#define LL_lambdaq LITERAL[125]
        a = LL_lambdaq;
        Lput(a, q, m);
        m = mkfxat(1);
        q = LL_ppformat;
        a = LL_setq;
        Lput(a, q, m);
        m = mkfxat(1);
        q = LL_ppformat;
#define LL_set LITERAL[126]
        a = LL_set;
        Lput(a, q, m);
        m = mkfxat(1);
        q = LL_ppformat;
#define LL_while LITERAL[127]
        a = LL_while;
        Lput(a, q, m);
        m = mkfxat(1);
        q = LL_ppformat;
        a = true;
        Lput(a, q, m);
        m = mkfxat(2);
        q = LL_ppformat;
#define LL_de LITERAL[128]
        a = LL_de;
        Lput(a, q, m);
        m = mkfxat(2);
        q = LL_ppformat;
#define LL_df LITERAL[129]
        a = LL_df;
        Lput(a, q, m);
        m = mkfxat(2);
        q = LL_ppformat;
#define LL_dm LITERAL[130]
        a = LL_dm;
        Lput(a, q, m);
        m = CHAR_OF(40);
        q = LL_ppchar;
        a = LL_lpar;
        Lput(a, q, m);
        m = CHAR_OF(91);
        q = LL_ppchar;
        a = LL_lsquare;
        Lput(a, q, m);
        m = CHAR_OF(41);
        q = LL_ppchar;
        a = LL_rpar;
        Lput(a, q, m);
        m = CHAR_OF(93);
        q = LL_ppchar;
        a = LL_rsquare;
        Lput(a, q, m);
        a = LITERAL[131];
        Lfluid(a);
#define LL_op LITERAL[132]
        a = LL_op;
        value(LL_RpretopS) = a;
#define LL_oprinf LITERAL[133]
        a = LL_oprinf;
        value(LL_RpretoprinfS) = a;
        q = LL_prtch;
        a = LITERAL[134];
        Ldeflist(a, q);
        q = LL_spaced;
        a = LITERAL[135];
        Lflag(a, q);
        q = LL_spaced;
        a = LITERAL[136];
        Lflag(a, q);
#define LL_condox LITERAL[137]
        m = LL_condox;
        q = value(LL_RpretoprinfS);
        a = LL_cond;
        Lput(a, q, m);
#define LL_retox LITERAL[138]
        m = LL_retox;
        q = value(LL_RpretoprinfS);
#define LL_return LITERAL[139]
        a = LL_return;
        Lput(a, q, m);
#define LL_progox LITERAL[140]
        m = LL_progox;
        q = value(LL_RpretoprinfS);
        a = LL_prog;
        Lput(a, q, m);
#define LL_gox LITERAL[141]
        m = LL_gox;
        q = value(LL_RpretoprinfS);
#define LL_go LITERAL[142]
        a = LL_go;
        Lput(a, q, m);
        m = LL_gox;
        q = value(LL_RpretoprinfS);
#define LL_goto LITERAL[143]
        a = LL_goto;
        Lput(a, q, m);
#define LL_labox LITERAL[144]
        m = LL_labox;
        q = value(LL_RpretoprinfS);
        a = LL_Hlabel;
        Lput(a, q, m);
#define LL_quotox LITERAL[145]
        m = LL_quotox;
        q = value(LL_RpretoprinfS);
        a = LL_quote;
        Lput(a, q, m);
#define LL_prognox LITERAL[146]
        m = LL_prognox;
        q = value(LL_RpretoprinfS);
#define LL_prog2 LITERAL[147]
        a = LL_prog2;
        Lput(a, q, m);
        m = LL_prognox;
        q = value(LL_RpretoprinfS);
#define LL_progn LITERAL[148]
        a = LL_progn;
        Lput(a, q, m);
#define LL_listox LITERAL[149]
        m = LL_listox;
        q = value(LL_RpretoprinfS);
#define LL_list LITERAL[150]
        a = LL_list;
        Lput(a, q, m);
#define LL_repeatox LITERAL[151]
        m = LL_repeatox;
        q = value(LL_RpretoprinfS);
#define LL_repeat LITERAL[152]
        a = LL_repeat;
        Lput(a, q, m);
#define LL_whileox LITERAL[153]
        m = LL_whileox;
        q = value(LL_RpretoprinfS);
#define LL_Awhile LITERAL[154]
        a = LL_Awhile;
        Lput(a, q, m);
#define LL_procox LITERAL[155]
        m = LL_procox;
        q = value(LL_RpretoprinfS);
#define LL_proc LITERAL[156]
        a = LL_proc;
        Lput(a, q, m);
#define LL_proceox LITERAL[157]
        m = LL_proceox;
        q = value(LL_RpretoprinfS);
        a = LL_procedure;
        Lput(a, q, m);
#define LL_deox LITERAL[158]
        m = LL_deox;
        q = value(LL_RpretoprinfS);
        a = LL_de;
        Lput(a, q, m);
#define LL_dsox LITERAL[159]
        m = LL_dsox;
        q = value(LL_RpretoprinfS);
#define LL_ds LITERAL[160]
        a = LL_ds;
        Lput(a, q, m);
#define LL_dmox LITERAL[161]
        m = LL_dmox;
        q = value(LL_RpretoprinfS);
        a = LL_dm;
        Lput(a, q, m);
#define LL_stringox LITERAL[162]
        m = LL_stringox;
        q = value(LL_RpretoprinfS);
#define LL_string LITERAL[163]
        a = LL_string;
        Lput(a, q, m);
#define LL_lambdox LITERAL[164]
        m = LL_lambdox;
        q = value(LL_RpretoprinfS);
        a = LL_lambda;
        Lput(a, q, m);
#define LL_eachox LITERAL[165]
        m = LL_eachox;
        q = value(LL_RpretoprinfS);
#define LL_foreach LITERAL[166]
        a = LL_foreach;
        Lput(a, q, m);
#define LL_forox LITERAL[167]
        m = LL_forox;
        q = value(LL_RpretoprinfS);
#define LL_for LITERAL[168]
        a = LL_for;
        Lput(a, q, m);
#define LL_forallox LITERAL[169]
        m = LL_forallox;
        q = value(LL_RpretoprinfS);
#define LL_forall LITERAL[170]
        a = LL_forall;
        Lput(a, q, m);
        m = LITERAL[171];
        q = LL_op;
        a = LL_setq;
        Lput(a, q, m);
        m = LITERAL[172];
        q = LL_op;
#define LL_or LITERAL[173]
        a = LL_or;
        Lput(a, q, m);
        m = LITERAL[172];
        q = LL_op;
#define LL_and LITERAL[174]
        a = LL_and;
        Lput(a, q, m);
        m = LITERAL[175];
        q = LL_op;
#define LL_equal LITERAL[176]
        a = LL_equal;
        Lput(a, q, m);
        m = LITERAL[177];
        q = LL_op;
#define LL_geq LITERAL[178]
        a = LL_geq;
        Lput(a, q, m);
        m = LITERAL[179];
        q = LL_op;
#define LL_greaterp LITERAL[180]
        a = LL_greaterp;
        Lput(a, q, m);
        m = LITERAL[181];
        q = LL_op;
#define LL_leq LITERAL[182]
        a = LL_leq;
        Lput(a, q, m);
        m = LITERAL[183];
        q = LL_op;
        a = LL_lessp;
        Lput(a, q, m);
        m = LITERAL[184];
        q = LL_op;
#define LL_plus LITERAL[185]
        a = LL_plus;
        Lput(a, q, m);
        m = LITERAL[186];
        q = LL_op;
        a = LL_difference;
        Lput(a, q, m);
        m = LITERAL[187];
        q = LL_op;
#define LL_minus LITERAL[188]
        a = LL_minus;
        Lput(a, q, m);
        m = LITERAL[189];
        q = LL_op;
#define LL_times LITERAL[190]
        a = LL_times;
        Lput(a, q, m);
        m = LITERAL[191];
        q = LL_op;
#define LL_quotient LITERAL[192]
        a = LL_quotient;
        Lput(a, q, m);
        m = LITERAL[193];
        q = LL_op;
#define LL_expt LITERAL[194]
        a = LL_expt;
        Lput(a, q, m);
        m = LITERAL[195];
        q = LL_op;
#define LL_cons LITERAL[196]
        a = LL_cons;
        Lput(a, q, m);
        m = LITERAL[197];
        q = LL_op;
        a = LL_HsemicolH;
        Lput(a, q, m);
        m = LITERAL[198];
        q = LL_op;
        a = LL_HcommaH;
        Lput(a, q, m);
#define LL_minuspox LITERAL[199]
        m = LL_minuspox;
        q = value(LL_RpretoprinfS);
#define LL_minusp LITERAL[200]
        a = LL_minusp;
        Lput(a, q, m);
        m = LITERAL[201];
        q = value(LL_RpretoprinfS);
#define LL_plus2 LITERAL[202]
        a = LL_plus2;
        a = Lput(a, q, m);
        return 1;
    }
}
Sex LITERAL[204];

const  char *gpretty_literal_string[204] =
{
/* 0 */
"!*lmar",
/* 1 */
"!*rparcount",
/* 2 */
"!*indblanks",
/* 3 */
"!*indentlevel",
/* 4 */
"!*pendingrpars",
/* 5 */
"!*rmar",
/* 6 */
"!*initialblanks",
/* 7 */
"!*bn",
/* 8 */
"!*buffero",
/* 9 */
"!*bufferi",
/* 10 */
"!*stack",
/* 11 */
"\"Linelength too short for superprinting\"",
/* 12 */
"none",
/* 13 */
"!*symmetric",
/* 14 */
"all",
/* 15 */
"lpar",
/* 16 */
"ppformat",
/* 17 */
"prog",
/* 18 */
"rpar",
/* 19 */
"indent",
/* 20 */
"lsquare",
/* 21 */
"rsquare",
/* 22 */
"!*quotes",
/* 23 */
"quote",
/* 24 */
"more",
/* 25 */
"moved!-left",
/* 26 */
"empty",
/* 27 */
"\"%+\"",
/* 28 */
"continued",
/* 29 */
"ppchar",
/* 30 */
"\"UNKNOWN TAG IN OVERFLOW\"",
/* 31 */
"thin!*",
/* 32 */
"thin",
/* 33 */
"to!-flg",
/* 34 */
"!*curmark",
/* 35 */
"!*buffp",
/* 36 */
"!*n",
/* 37 */
"!<pretop!>",
/* 38 */
"!*semicol!*",
/* 39 */
"\";;\"",
/* 40 */
"combuff!*",
/* 41 */
"difference",
/* 42 */
"\"(\"",
/* 43 */
"\")\"",
/* 44 */
"!<pretoprinf!>",
/* 45 */
"(procedure prog quote string)",
/* 46 */
"modefn",
/* 47 */
"procedure",
/* 48 */
"\"()\"",
/* 49 */
"lambda",
/* 50 */
"!*comma!*",
/* 51 */
"(m u)",
/* 52 */
"(m d)",
/* 53 */
"\",\"",
/* 54 */
"setq",
/* 55 */
"\" := \"",
/* 56 */
"alt",
/* 57 */
"prtch",
/* 58 */
"\" \"",
/* 59 */
"spaced",
/* 60 */
"oldnam",
/* 61 */
"(0 0)",
/* 62 */
"\"if \"",
/* 63 */
"\" then \"",
/* 64 */
"cond",
/* 65 */
"\" else \"",
/* 66 */
"\"begin \"",
/* 67 */
"!*label",
/* 68 */
"\"; \"",
/* 69 */
"\" end\"",
/* 70 */
"\"return \"",
/* 71 */
"local",
/* 72 */
"\"goto \"",
/* 73 */
"\": \"",
/* 74 */
"\"'\"",
/* 75 */
"\" . \"",
/* 76 */
"\"<<\"",
/* 77 */
"\">>\"",
/* 78 */
"\"list(\"",
/* 79 */
"\", \"",
/* 80 */
"\"repeat \"",
/* 81 */
"\" until \"",
/* 82 */
"\"while \"",
/* 83 */
"\" do \"",
/* 84 */
"\"procedure \"",
/* 85 */
"expr",
/* 86 */
"\"proc \"",
/* 87 */
"\"== \"",
/* 88 */
"symbolic",
/* 89 */
"smacro",
/* 90 */
"macro",
/* 91 */
"\"for each \"",
/* 92 */
"\"for \"",
/* 93 */
"\" step \"",
/* 94 */
"\":\"",
/* 95 */
"\"for all \"",
/* 96 */
"\" such that \"",
/* 97 */
"lessp",
/* 98 */
"(0)",
/* 99 */
"!*orig",
/* 100 */
"!*lower",
/* 101 */
"!*curpos",
/* 102 */
"(lisp)",
/* 103 */
"(!*bn !*bufferi !*buffero !*indblanks !*indentlevel !*initialblanks !*lmar !*pendingrpars !*rmar !*rparcount !*stack)",
/* 104 */
"(!*quotes !*symmetric thin!*)",
/* 105 */
"(nil (car !*stack))",
/* 106 */
"top",
/* 107 */
"((!,frm) (car !,frm))",
/* 108 */
"depth",
/* 109 */
"((!,frm) (cadr !,frm))",
/* 110 */
"indenting",
/* 111 */
"((!,frm) (caddr !,frm))",
/* 112 */
"blankcount",
/* 113 */
"((!,frm) (cdddr !,frm))",
/* 114 */
"blanklist",
/* 115 */
"((!,frm !,val) (rplaca (cdr !,frm) !,val))",
/* 116 */
"setindenting",
/* 117 */
"((!,frm !,val) (rplaca (cddr !,frm) !,val))",
/* 118 */
"setblankcount",
/* 119 */
"((!,frm !,val) (rplacd (cddr !,frm) !,val))",
/* 120 */
"setblanklist",
/* 121 */
"((!,n) (list !,n nil 0))",
/* 122 */
"newframe",
/* 123 */
"((!,char) (numberp (car !,char)))",
/* 124 */
"blankp",
/* 125 */
"lambdaq",
/* 126 */
"set",
/* 127 */
"while",
/* 128 */
"de",
/* 129 */
"df",
/* 130 */
"dm",
/* 131 */
"(!*lower !*n !*buffp combuff!* !*curmark !*curpos !*orig !<pretop!> !<pretoprinf!> !*rmar)",
/* 132 */
"op",
/* 133 */
"oprinf",
/* 134 */
"((!*semicol!* !;) (plus !+) (difference !-) (minus !-) (times !*) (expt !^) (quotient !/) (equal !=) (!*comma!* !,) (!*lpar!* !() (!*rpar!* !)) (!*colon!* !:) (setq !:!=) (cons !.) (lessp !<) (leq !<!=) (!*lsqbkt!* !<!<) (greaterp !>) (geq !>!=) (!*rsqbkt!* !>!>) (!*lcbkt!* !{) (!*rcbkt!* !}))",
/* 135 */
"(cons)",
/* 136 */
"(add mult over to)",
/* 137 */
"condox",
/* 138 */
"retox",
/* 139 */
"return",
/* 140 */
"progox",
/* 141 */
"gox",
/* 142 */
"go",
/* 143 */
"goto",
/* 144 */
"labox",
/* 145 */
"quotox",
/* 146 */
"prognox",
/* 147 */
"prog2",
/* 148 */
"progn",
/* 149 */
"listox",
/* 150 */
"list",
/* 151 */
"repeatox",
/* 152 */
"repeat",
/* 153 */
"whileox",
/* 154 */
"! while",
/* 155 */
"procox",
/* 156 */
"proc",
/* 157 */
"proceox",
/* 158 */
"deox",
/* 159 */
"dsox",
/* 160 */
"ds",
/* 161 */
"dmox",
/* 162 */
"stringox",
/* 163 */
"string",
/* 164 */
"lambdox",
/* 165 */
"eachox",
/* 166 */
"foreach",
/* 167 */
"forox",
/* 168 */
"for",
/* 169 */
"forallox",
/* 170 */
"forall",
/* 171 */
"((3 3))",
/* 172 */
"((11 11))",
/* 173 */
"or",
/* 174 */
"and",
/* 175 */
"((13 13))",
/* 176 */
"equal",
/* 177 */
"((14 14))",
/* 178 */
"geq",
/* 179 */
"((15 15))",
/* 180 */
"greaterp",
/* 181 */
"((16 16))",
/* 182 */
"leq",
/* 183 */
"((17 17))",
/* 184 */
"((26 26))",
/* 185 */
"plus",
/* 186 */
"((27 27))",
/* 187 */
"(nil 27)",
/* 188 */
"minus",
/* 189 */
"((28 28))",
/* 190 */
"times",
/* 191 */
"((29 29))",
/* 192 */
"quotient",
/* 193 */
"((30 30))",
/* 194 */
"expt",
/* 195 */
"((31 31))",
/* 196 */
"cons",
/* 197 */
"((-1 0))",
/* 198 */
"((5 6))",
/* 199 */
"minuspox",
/* 200 */
"minusp",
/* 201 */
"(lambda (u) (mprino (cons 'plus u)))",
/* 202 */
"plus2",
/* 203 */ NULL
};
setup_type const gpretty_g_setup[] =
{
    {"spaces20x", (lisp_proc *)CC_spaces20x, 1},
    {"charspace", (lisp_proc *)CC_charspace, 3},
    {"chars2", (lisp_proc *)CC_chars2, 2},
    {"prinom", (lisp_proc *)CC_prinom, 2},
    {"spaceleft", (lisp_proc *)CC_spaceleft, 2},
    {"prinoy", (lisp_proc *)CC_prinoy, 2},
    {"prinos", (lisp_proc *)CC_prinos, 1},
    {"minuspox", (lisp_proc *)CC_minuspox, 1},
    {"forallox", (lisp_proc *)CC_forallox, 1},
    {"forox", (lisp_proc *)CC_forox, 1},
    {"eachox", (lisp_proc *)CC_eachox, 1},
    {"lambdox", (lisp_proc *)CC_lambdox, 1},
    {"stringox", (lisp_proc *)CC_stringox, 1},
    {"dmox", (lisp_proc *)CC_dmox, 1},
    {"dsox", (lisp_proc *)CC_dsox, 1},
    {"deox", (lisp_proc *)CC_deox, 1},
    {"proceox0", (lisp_proc *)CC_proceox0, 4},
    {"proceox1", (lisp_proc *)CC_proceox1, 3},
    {"mapovercar", (lisp_proc *)CC_mapovercar, 1},
    {"proceox", (lisp_proc *)CC_proceox, 1},
    {"procox1", (lisp_proc *)CC_procox1, 3},
    {"procox", (lisp_proc *)CC_procox, 1},
    {"whileox", (lisp_proc *)CC_whileox, 1},
    {"repeatox", (lisp_proc *)CC_repeatox, 1},
    {"listox", (lisp_proc *)CC_listox, 1},
    {"prognox", (lisp_proc *)CC_prognox, 1},
    {"prinsox", (lisp_proc *)CC_prinsox, 1},
    {"quotox", (lisp_proc *)CC_quotox, 1},
    {"labox", (lisp_proc *)CC_labox, 1},
    {"gox", (lisp_proc *)CC_gox, 1},
    {"labchk", (lisp_proc *)CC_labchk, 1},
    {"progox", (lisp_proc *)CC_progox, 1},
    {"varprx", (lisp_proc *)CC_varprx, 1},
    {"retox", (lisp_proc *)CC_retox, 1},
    {"blockox", (lisp_proc *)CC_blockox, 1},
    {"condox", (lisp_proc *)CC_condox, 1},
    {"comprox", (lisp_proc *)CC_comprox, 1},
    {"omarko", (lisp_proc *)CC_omarko, 1},
    {"omark", (lisp_proc *)CC_omark, 1},
    {"prinox", (lisp_proc *)CC_prinox, 1},
    {"prin2ox", (lisp_proc *)CC_prin2ox, 1},
    {"oprino", (lisp_proc *)CC_oprino, 2},
    {"inprino", (lisp_proc *)CC_inprino, 3},
    {"inprinox", (lisp_proc *)CC_inprinox, 3},
    {"mprargs", (lisp_proc *)CC_mprargs, 2},
    {"strangeop", (lisp_proc *)CC_strangeop, 1},
    {"mprino1", (lisp_proc *)CC_mprino1, 2},
    {"mprino", (lisp_proc *)CC_mprino, 1},
    {"rprint", (lisp_proc *)CC_rprint, 1},
    {"overflow", (lisp_proc *)CC_overflow, 1},
    {"putch", (lisp_proc *)CC_putch, 1},
    {"quotep", (lisp_proc *)CC_quotep, 1},
    {"finishpending", (lisp_proc *)CC_finishpending, 0},
    {"endlist", (lisp_proc *)CC_endlist, 1},
    {"putblank", (lisp_proc *)CC_putblank, 0},
    {"prvector", (lisp_proc *)CC_prvector, 2},
    {"explodes", (lisp_proc *)CC_explodes, 1},
    {"prindent", (lisp_proc *)CC_prindent, 2},
    {"blankp", (lisp_proc *)CC_blankp, -4},
    {"newframe", (lisp_proc *)CC_newframe, -4},
    {"setblanklist", (lisp_proc *)CC_setblanklist, -5},
    {"setblankcount", (lisp_proc *)CC_setblankcount, -5},
    {"setindenting", (lisp_proc *)CC_setindenting, -5},
    {"blanklist", (lisp_proc *)CC_blanklist, -4},
    {"blankcount", (lisp_proc *)CC_blankcount, -4},
    {"indenting", (lisp_proc *)CC_indenting, -4},
    {"depth", (lisp_proc *)CC_depth, -4},
    {"top", (lisp_proc *)CC_top, -3},
    {"superprinm", (lisp_proc *)CC_superprinm, 2},
    {"superprintm", (lisp_proc *)CC_superprintm, 2},
    {"prettyprint", (lisp_proc *)CC_prettyprint, 1},
    {NULL, NULL, 0 }
};

