/*
 * compare.h      (C) Copyright 1998-2001, 2007 by Fujio Kako, Nara Women's University.
 *   Header for compare routine
 *      $Header: /Users/kako/asuka/src/RCS/compare.h,v 2.1 2012/10/21 13:32:48 kako Exp $
 */



extern bool     bool_er(Sex a, Sex b);
extern bool     numeq_f_d(double f, Sex b);

/*
 * less than predicate
 */
extern bool     lessp2ji(Sex a, Sex b);
extern bool     lessp2ij(Sex a, Sex b);
extern bool     lessp2jj(Sex a, Sex b);

extern bool     lessp2xr(Sex a, Sex b);
extern bool     lessp2rx(Sex a, Sex b);
extern bool     lessp2xc(Sex a, Sex b);
extern bool     lessp2cx(Sex a, Sex b);
extern bool     lessp2xv(Sex a, Sex b);
extern bool     lessp2vx(Sex a, Sex b);
extern bool     lessp2xe(Sex a, Sex b);
extern bool     lessp2ex(Sex a, Sex b);
extern bool     lessp2zx(Sex a, Sex b);
extern bool     lessp2xz(Sex a, Sex b);
extern bool     lessp2Vx(Sex a, Sex b);
extern bool     lessp2xV(Sex a, Sex b);
extern bool     lessp2Zx(Sex a, Sex b);
extern bool     lessp2xZ(Sex a, Sex b);

extern bool     lessp2il(Sex a, Sex b);
extern bool     lessp2ib(Sex a, Sex b);
#define lessp2im bool_er
#define lessp2ir lessp2xr
extern bool     lessp2if(Sex a, Sex b);
extern bool     lessp2ie(Sex a, Sex b);
#define lessp2ic lessp2xc
extern bool     lessp2iv(Sex a, Sex b);
extern bool     lessp2id(Sex a, Sex b);
#define lessp2iz bool_er
extern bool     lessp2iE(Sex a, Sex b);
#define lessp2iZ lessp2xZ
extern bool     lessp2iV(Sex a, Sex b);

extern bool     lessp2li(Sex a, Sex b);
extern bool     lessp2bi(Sex a, Sex b);
#define lessp2mi bool_er
#define lessp2ri lessp2rx
extern bool     lessp2fi(Sex a, Sex b);
extern bool     lessp2ei(Sex a, Sex b);
#define lessp2ci lessp2cx
extern bool     lessp2vi(Sex a, Sex b);
extern bool     lessp2di(Sex a, Sex b);
#define lessp2zi lessp2zx
extern bool     lessp2Ei(Sex a, Sex b);
#define lessp2Zi lessp2Zx
#define lessp2Vi lessp2Vx

#define lessp2ll lessp2bb
#define lessp2lb lessp2bb
#define lessp2lm lessp2bm
#define lessp2lr lessp2br
#define lessp2lf lessp2bf
#define lessp2le lessp2be
#define lessp2lc lessp2bc
#define lessp2lv lessp2bv
#define lessp2ld lessp2bd
#define lessp2lz lessp2bz
#define lessp2lE lessp2bE
#define lessp2lZ lessp2bZ
#define lessp2lV lessp2bV

#define lessp2bl lessp2bb
extern bool     lessp2bb(Sex a, Sex b);
#define lessp2bm bool_er
#define lessp2br lessp2xr
extern bool     lessp2bf(Sex a, Sex b);
#define lessp2be lessp2xe
#define lessp2bc lessp2xc
#define lessp2bv lessp2xv
extern bool     lessp2bd(Sex a, Sex b);
#define lessp2bz lessp2xz
extern bool     lessp2bE(Sex a, Sex b);
#define lessp2bZ lessp2xZ
#define lessp2bV lessp2xV

#define lessp2ml bool_er
#define lessp2mb bool_er
#define lessp2mm bool_er
#define lessp2mr bool_er
#define lessp2mf bool_er
#define lessp2me bool_er
#define lessp2mc bool_er
#define lessp2mv bool_er
#define lessp2md bool_er
#define lessp2mz bool_er
#define lessp2mE bool_er
#define lessp2mZ bool_er
#define lessp2mV bool_er

#define lessp2rl lessp2rx
#define lessp2rb lessp2rx
#define lessp2rm bool_er
extern bool     lessp2rr(Sex a, Sex b);
extern bool     lessp2rf(Sex a, Sex b);
#define lessp2re lessp2xe
#define lessp2rc lessp2xc
#define lessp2rv lessp2xv
extern bool     lessp2rd(Sex a, Sex b);
#define lessp2rz lessp2xz
extern bool     lessp2rE(Sex a, Sex b);
#define lessp2rZ lessp2xZ
#define lessp2rV lessp2xV

#define lessp2fl lessp2fb
extern bool     lessp2fb(Sex a, Sex b);
#define lessp2fm bool_er
extern bool     lessp2fr(Sex a, Sex b);
extern bool     lessp2ff(Sex a, Sex b);
extern bool     lessp2fe(Sex a, Sex b);
#define lessp2fc lessp2xc
extern bool     lessp2fv(Sex a, Sex b);
extern bool     lessp2fd(Sex a, Sex b);
extern bool     lessp2fz(Sex a, Sex b);
extern bool     lessp2fE(Sex a, Sex b);
#define lessp2fZ lessp2xZ
extern bool     lessp2fV(Sex a, Sex b);

#define lessp2el lessp2eb
extern bool     lessp2eb(Sex a, Sex b);
#define lessp2em bool_er
extern bool     lessp2er(Sex a, Sex b);
extern bool     lessp2ef(Sex a, Sex b);
extern bool     lessp2ee(Sex a, Sex b);
extern bool     lessp2ec(Sex a, Sex b);
extern bool     lessp2ev(Sex a, Sex b);
extern bool     lessp2ed(Sex a, Sex b);
extern bool     lessp2ez(Sex a, Sex b);
extern bool     lessp2eE(Sex a, Sex b);
#define lessp2eZ lessp2xZ
extern bool     lessp2eV(Sex a, Sex b);

#define lessp2cl lessp2cx
#define lessp2cb lessp2cx
#define lessp2cm bool_er
#define lessp2cr lessp2cx
#define lessp2cf lessp2cx
#define lessp2ce lessp2cx
extern bool     lessp2cc(Sex a, Sex b);
#define lessp2cv lessp2cx
#define lessp2cd lessp2cx
extern bool     lessp2cz(Sex a, Sex b);
#define lessp2cE lessp2cx
extern bool     lessp2cZ(Sex a, Sex b);
#define lessp2cV lessp2cx

#define lessp2vl lessp2vb
extern bool     lessp2vb(Sex a, Sex b);
#define lessp2vm bool_er
extern bool     lessp2vr(Sex a, Sex b);
extern bool     lessp2vf(Sex a, Sex b);
extern bool     lessp2ve(Sex a, Sex b);
extern bool     lessp2vc(Sex a, Sex b);
extern bool     lessp2vv(Sex a, Sex b);
extern bool     lessp2vd(Sex a, Sex b);
extern bool     lessp2vz(Sex a, Sex b);
extern bool     lessp2vE(Sex a, Sex b);
#define lessp2vZ lessp2xZ
extern bool     lessp2vV(Sex a, Sex b);

#define lessp2dl lessp2db
extern bool     lessp2db(Sex a, Sex b);
#define lessp2dm bool_er
extern bool     lessp2dr(Sex a, Sex b);
extern bool     lessp2df(Sex a, Sex b);
extern bool     lessp2de(Sex a, Sex b);
extern bool     lessp2dc(Sex a, Sex b);
extern bool     lessp2dv(Sex a, Sex b);
extern bool     lessp2dd(Sex a, Sex b);
extern bool     lessp2dz(Sex a, Sex b);
extern bool     lessp2dE(Sex a, Sex b);
#define lessp2dZ lessp2xZ
extern bool     lessp2dV(Sex a, Sex b);

#define lessp2zl lessp2zb
#define lessp2zb lessp2zx
#define lessp2zm bool_er
#define lessp2zr lessp2zx
#define lessp2zf lessp2zx
extern bool     lessp2ze(Sex a, Sex b);
extern bool     lessp2zc(Sex a, Sex b);
extern bool     lessp2zv(Sex a, Sex b);
#define lessp2zd lessp2zx
extern bool     lessp2zz(Sex a, Sex b);
extern bool     lessp2zE(Sex a, Sex b);
extern bool     lessp2zZ(Sex a, Sex b);
extern bool     lessp2zV(Sex a, Sex b);

#define lessp2El lessp2Eb
extern bool     lessp2Eb(Sex a, Sex b);
#define lessp2Em bool_er
extern bool     lessp2Er(Sex a, Sex b);
extern bool     lessp2Ef(Sex a, Sex b);
extern bool     lessp2Ee(Sex a, Sex b);
#define lessp2Ec lessp2xc
extern bool     lessp2Ev(Sex a, Sex b);
extern bool     lessp2Ed(Sex a, Sex b);
#define lessp2Ez lessp2xz
extern bool     lessp2EE(Sex a, Sex b);
#define lessp2EZ lessp2xZ
extern bool     lessp2EV(Sex a, Sex b);

#define lessp2Zl lessp2Zx
#define lessp2Zb lessp2Zx
#define lessp2Zm bool_er
#define lessp2Zr lessp2Zx
#define lessp2Zf lessp2Zx
#define lessp2Ze lessp2Zx
extern bool     lessp2Zc(Sex a, Sex b);
#define lessp2Zv lessp2Zx
#define lessp2Zd lessp2Zx
extern bool     lessp2Zz(Sex a, Sex b);
#define lessp2ZE lessp2Zx
extern bool     lessp2ZZ(Sex a, Sex b);
#define lessp2ZV lessp2Zx

#define lessp2Vl lessp2Vb
#define lessp2Vb lessp2Vx
#define lessp2Vm bool_er
#define lessp2Vr lessp2Vx
#define lessp2Vf lessp2Vx
extern bool     lessp2Ve(Sex a, Sex b);
#define lessp2Vc lessp2xc
extern bool     lessp2Vv(Sex a, Sex b);
#define lessp2Vd lessp2Vx
#define lessp2Vz lessp2xz
extern bool     lessp2VE(Sex a, Sex b);
#define lessp2VZ lessp2xZ
extern bool     lessp2VV(Sex a, Sex b);

#define lessp2iM bool_er
#define lessp2lM bool_er
#define lessp2bM bool_er
#define lessp2mM bool_er
#define lessp2rM bool_er
#define lessp2fM bool_er
#define lessp2eM bool_er
#define lessp2cM bool_er
#define lessp2vM bool_er
#define lessp2dM bool_er
#define lessp2zM bool_er
#define lessp2EM bool_er
#define lessp2ZM bool_er
#define lessp2VM bool_er
#define lessp2MM bool_er

#define lessp2Mi bool_er
#define lessp2Ml bool_er
#define lessp2Mb bool_er
#define lessp2Mm bool_er
#define lessp2Mr bool_er
#define lessp2Mf bool_er
#define lessp2Me bool_er
#define lessp2Mc bool_er
#define lessp2Mv bool_er
#define lessp2Md bool_er
#define lessp2Mz bool_er
#define lessp2ME bool_er
#define lessp2MZ bool_er
#define lessp2MV bool_er
#define lessp2MM bool_er

/*
 *
 */
extern bool     numeq2ji(Sex a, Sex b);
extern bool     numeq2ij(Sex a, Sex b);
extern bool     numeq2jj(Sex a, Sex b);


extern bool     numeq2vx(Sex a, Sex b);
extern bool     numeq2xv(Sex a, Sex b);
extern bool     numeq2cx(Sex a, Sex b);
extern bool     numeq2xc(Sex a, Sex b);

extern bool     numeq2il(Sex a, Sex b);
#define numeq2ib bool_no
extern bool     numeq2im(Sex a, Sex b);
#define numeq2ir bool_no
extern bool     numeq2if(Sex a, Sex b);
extern bool     numeq2ie(Sex a, Sex b);
#define numeq2ic numeq2xc
extern bool     numeq2iv(Sex a, Sex b);
extern bool     numeq2id(Sex a, Sex b);
extern bool     numeq2iz(Sex a, Sex b);
extern bool     numeq2iE(Sex a, Sex b);
extern bool     numeq2iZ(Sex a, Sex b);
extern bool     numeq2iV(Sex a, Sex b);

#define numeq2ll numeq2bb
#define numeq2lb numeq2bb
#define numeq2lm numeq2bm
#define numeq2lr numeq2br
#define numeq2lf numeq2bf
#define numeq2le numeq2be
#define numeq2lc numeq2bc
#define numeq2lv numeq2bv
#define numeq2ld numeq2bd
#define numeq2lz numeq2bz
#define numeq2lE numeq2bE
#define numeq2lZ numeq2bZ
#define numeq2lV numeq2bV
#define numeq2lM numeq2bM

extern bool     numeq2bb(Sex a, Sex b);
extern bool     numeq2bm(Sex a, Sex b);
#define numeq2br bool_no
extern bool     numeq2bf(Sex a, Sex b);
extern bool     numeq2be(Sex a, Sex b);
#define numeq2bc numeq2xc
#define numeq2bv numeq2xv
extern bool     numeq2bd(Sex a, Sex b);
extern bool     numeq2bz(Sex a, Sex b);
extern bool     numeq2bE(Sex a, Sex b);
extern bool     numeq2bZ(Sex a, Sex b);
extern bool     numeq2bV(Sex a, Sex b);

extern bool     numeq2mm(Sex a, Sex b);
extern bool     numeq2mr(Sex a, Sex b);
#define numeq2mf bool_er
#define numeq2me bool_er
extern bool     numeq2mc(Sex a, Sex b);
#define numeq2mv bool_er
#define numeq2md bool_er
#define numeq2mz bool_er
#define numeq2mE bool_er
#define numeq2mZ bool_er
#define numeq2mV bool_er
#define numeq2mM bool_er

extern bool     numeq2rr(Sex a, Sex b);
extern bool     numeq2rf(Sex a, Sex b);
extern bool     numeq2re(Sex a, Sex b);
#define numeq2rc numeq2xc
#define numeq2rv numeq2xv
extern bool     numeq2rd(Sex a, Sex b);
extern bool     numeq2rz(Sex a, Sex b);
extern bool     numeq2rE(Sex a, Sex b);
extern bool     numeq2rZ(Sex a, Sex b);
extern bool     numeq2rV(Sex a, Sex b);

extern bool     numeq2ff(Sex a, Sex b);
extern bool     numeq2fe(Sex a, Sex b);
#define numeq2fc numeq2xc
extern bool     numeq2fv(Sex a, Sex b);
extern bool     numeq2fd(Sex a, Sex b);
extern bool     numeq2fz(Sex a, Sex b);
extern bool     numeq2fE(Sex a, Sex b);
extern bool     numeq2fZ(Sex a, Sex b);
extern bool     numeq2fV(Sex a, Sex b);

extern bool     numeq2ee(Sex a, Sex b);
#define numeq2ec numeq2xc
extern bool     numeq2ev(Sex a, Sex b);
extern bool     numeq2ed(Sex a, Sex b);
extern bool     numeq2ez(Sex a, Sex b);
extern bool     numeq2eE(Sex a, Sex b);
extern bool     numeq2eZ(Sex a, Sex b);
extern bool     numeq2eV(Sex a, Sex b);

extern bool     numeq2cc(Sex a, Sex b);
#define numeq2cv numeq2cx
#define numeq2cd numeq2cx
extern bool     numeq2cz(Sex a, Sex b);
#define numeq2cE numeq2cx
extern bool     numeq2cZ(Sex a, Sex b);
#define numeq2cV numeq2cx

extern bool     numeq2vv(Sex a, Sex b);
#define numeq2vd numeq2vx
extern bool     numeq2vz(Sex a, Sex b);
extern bool     numeq2vE(Sex a, Sex b);
extern bool     numeq2vZ(Sex a, Sex b);
extern bool     numeq2vV(Sex a, Sex b);

extern bool     numeq2dd(Sex a, Sex b);
extern bool     numeq2dz(Sex a, Sex b);
extern bool     numeq2dE(Sex a, Sex b);
extern bool     numeq2dZ(Sex a, Sex b);
extern bool     numeq2dV(Sex a, Sex b);

extern bool     numeq2zz(Sex a, Sex b);
extern bool     numeq2zE(Sex a, Sex b);
extern bool     numeq2zZ(Sex a, Sex b);
extern bool     numeq2zV(Sex a, Sex b);

extern bool     numeq2EE(Sex a, Sex b);
extern bool     numeq2EZ(Sex a, Sex b);
extern bool     numeq2EV(Sex a, Sex b);

extern bool     numeq2ZZ(Sex a, Sex b);
extern bool     numeq2ZV(Sex a, Sex b);

extern bool     numeq2VV(Sex a, Sex b);

extern bool     numeq2iM(Sex a, Sex b);
extern bool     numeq2lM(Sex a, Sex b);
extern bool     numeq2bM(Sex a, Sex b);
extern bool     numeq2mM(Sex a, Sex b);
extern bool     numeq2rM(Sex a, Sex b);
#define numeq2fM bool_er
#define numeq2eM bool_er
extern bool     numeq2cM(Sex a, Sex b);
#define numeq2vM bool_er
#define numeq2dM bool_er
#define numeq2zM bool_er
#define numeq2EM bool_er
#define numeq2ZM bool_er
#define numeq2VM bool_er

extern bool     numeq2MM(Sex a, Sex b);

extern bool     numeq2rr(Sex a, Sex b);
/*
 *
 */

extern bool     appeq2xv(Sex a, Sex b);
extern bool     appeq2vx(Sex a, Sex b);
extern bool     appeq2xc(Sex a, Sex b);
extern bool     appeq2cx(Sex a, Sex b);

#define appeq2il numeq2ib
#define appeq2ib bool_no
#define appeq2im numeq2im
#define appeq2ir bool_no
#define appeq2if numeq2if
extern bool     appeq2ie(Sex a, Sex b);
#define appeq2ic appeq2xc
extern bool     appeq2iv(Sex a, Sex b);
#define appeq2id numeq2id
extern bool     appeq2iz(Sex a, Sex b);
extern bool     appeq2iE(Sex a, Sex b);
extern bool     appeq2iZ(Sex a, Sex b);
extern bool     appeq2iV(Sex a, Sex b);

#define appeq2ll appeq2bb
#define appeq2lb appeq2bb
#define appeq2lm appeq2bm
#define appeq2lr appeq2br
#define appeq2lf appeq2bf
#define appeq2le appeq2be
#define appeq2lc appeq2bc
#define appeq2lv appeq2bv
#define appeq2ld appeq2bd
#define appeq2lz appeq2bz
#define appeq2lE appeq2bE
#define appeq2lZ appeq2bZ
#define appeq2lV appeq2bV

#define appeq2bb numeq2bb
#define appeq2bm numeq2bm
#define appeq2br numeq2br
#define appeq2bf numeq2bf
extern bool     appeq2be(Sex a, Sex b);
#define appeq2bc appeq2xc
#define appeq2bv appeq2xv
#define appeq2bd numeq2bd
extern bool     appeq2bz(Sex a, Sex b);
extern bool     appeq2bE(Sex a, Sex b);
extern bool     appeq2bZ(Sex a, Sex b);
extern bool     appeq2bV(Sex a, Sex b);

#define appeq2mm numeq2mm
#define appeq2mr numeq2mr
#define appeq2mf bool_er
#define appeq2me bool_er
#define appeq2mc bool_er
#define appeq2mv bool_er
#define appeq2md bool_er
#define appeq2mz bool_er
#define appeq2mE bool_er
#define appeq2mZ bool_er
#define appeq2mV bool_er

#define appeq2rr numeq2rr
#define appeq2rf numeq2rf
extern bool     appeq2re(Sex a, Sex b);
#define appeq2rc appeq2xc
#define appeq2rv appeq2xv
#define appeq2rd numeq2rd
extern bool     appeq2rz(Sex a, Sex b);
extern bool     appeq2rE(Sex a, Sex b);
extern bool     appeq2rZ(Sex a, Sex b);
extern bool     appeq2rV(Sex a, Sex b);

#define appeq2ff numeq2ff
extern bool     appeq2fe(Sex a, Sex b);
#define appeq2fc appeq2xc
extern bool     appeq2fv(Sex a, Sex b);
#define appeq2fd numeq2fd
extern bool     appeq2fz(Sex a, Sex b);
extern bool     appeq2fE(Sex a, Sex b);
extern bool     appeq2fZ(Sex a, Sex b);
extern bool     appeq2fV(Sex a, Sex b);

extern bool     appeq2ee(Sex a, Sex b);
#define appeq2ec appeq2xc
extern bool     appeq2ev(Sex a, Sex b);
extern bool     appeq2ed(Sex a, Sex b);
extern bool     appeq2ez(Sex a, Sex b);
extern bool     appeq2eE(Sex a, Sex b);
extern bool     appeq2eZ(Sex a, Sex b);
extern bool     appeq2eV(Sex a, Sex b);

extern bool     appeq2cc(Sex a, Sex b);
#define appeq2cv appeq2cx
#define appeq2cd appeq2cx
extern bool     appeq2cz(Sex a, Sex b);
#define appeq2cE appeq2cx
extern bool     appeq2cZ(Sex a, Sex b);
#define appeq2cV appeq2cx

extern bool     appeq2vv(Sex a, Sex b);
#define appeq2vd appeq2vx
extern bool     appeq2vz(Sex a, Sex b);
extern bool     appeq2vE(Sex a, Sex b);
extern bool     appeq2vZ(Sex a, Sex b);
extern bool     appeq2vV(Sex a, Sex b);

#define appeq2dd numeq2dd
extern bool     appeq2dz(Sex a, Sex b);
extern bool     appeq2dE(Sex a, Sex b);
extern bool     appeq2dZ(Sex a, Sex b);
extern bool     appeq2dV(Sex a, Sex b);

extern bool     appeq2zz(Sex a, Sex b);
extern bool     appeq2zE(Sex a, Sex b);
extern bool     appeq2zZ(Sex a, Sex b);
extern bool     appeq2zV(Sex a, Sex b);

extern bool     appeq2EE(Sex a, Sex b);
extern bool     appeq2EZ(Sex a, Sex b);
extern bool     appeq2EV(Sex a, Sex b);

extern bool     appeq2ZZ(Sex a, Sex b);
extern bool     appeq2ZV(Sex a, Sex b);

extern bool     appeq2VV(Sex a, Sex b);

#define appeq2iM numeq2iM
#define appeq2Mm numeq2Mm
#define appeq2Mr numeq2Mr
#define appeq2Mf bool_er
#define appeq2Me bool_er
#define appeq2Mc bool_er
#define appeq2Mv bool_er
#define appeq2Md bool_er
#define appeq2Mz bool_er
#define appeq2ME bool_er
#define appeq2MZ bool_er
#define appeq2MV bool_er
#define appeq2MM numeq2MM

/*
 *
 */

#define lessp2dc lessp2xc
#define lessp2dz lessp2xz
#define lessp2ec lessp2xc
#define lessp2ez lessp2xz
#define lessp2fz lessp2xz
#define lessp2vc lessp2xc
#define lessp2vz lessp2xz
#define lessp2zE lessp2zx
#define lessp2zV lessp2zx
#define lessp2ze lessp2zx
#define lessp2zv lessp2zx



#define lessp2dV lessp2xV
#define lessp2de lessp2xe
#define lessp2dv lessp2xv
#define lessp2eb lessp2ex
#define lessp2ed lessp2ex
#define lessp2er lessp2ex
#define lessp2fV lessp2xV
#define lessp2iV lessp2xV
#define lessp2vb lessp2vx
#define lessp2vd lessp2vx
#define lessp2vr lessp2vx
#define lessp2zE lessp2zx



extern Sex      lessp2ql(Sex a, Sex b);
extern Sex      lessp2qb(Sex a, Sex b);
extern Sex      lessp2qm(Sex a, Sex b);
extern Sex      lessp2qr(Sex a, Sex b);
extern Sex      lessp2qf(Sex a, Sex b);
extern Sex      lessp2qe(Sex a, Sex b);
extern Sex      lessp2qv(Sex a, Sex b);
extern Sex      lessp2qd(Sex a, Sex b);
extern Sex      lessp2qE(Sex a, Sex b);
extern Sex      lessp2qV(Sex a, Sex b);
extern Sex      lessp2qM(Sex a, Sex b);
extern Sex      lessp2iq(Sex a, Sex b);
extern Sex      lessp2qi(Sex a, Sex b);
extern Sex      lessp2qc(Sex a, Sex b);
extern Sex      lessp2qz(Sex a, Sex b);
extern Sex      lessp2qZ(Sex a, Sex b);
extern Sex      numeq2iq(Sex a, Sex b);
extern Sex      numeq2lq(Sex a, Sex b);
extern Sex      numeq2bq(Sex a, Sex b);
extern Sex      numeq2mq(Sex a, Sex b);
extern Sex      numeq2fq(Sex a, Sex b);
extern Sex      numeq2eq(Sex a, Sex b);
extern Sex      numeq2Mq(Sex a, Sex b);
extern Sex      numeq2qM(Sex a, Sex b);
extern Sex      numeq2qq(Sex a, Sex b);
extern Sex      appeq2iq(Sex a, Sex b);
extern Sex      appeq2qq(Sex a, Sex b);

/*
 */

extern Sex      lessp2iY(Sex a, Sex b);
extern Sex      lessp2Yi(Sex a, Sex b);

#define lessp2Ym bool_er
#define lessp2Yf bool_er
#define lessp2Ye bool_er
#define lessp2Yv bool_er
#define lessp2Yd bool_er
#define lessp2YE bool_er
#define lessp2YV bool_er
#define lessp2Yc bool_er
#define lessp2Yz bool_er
#define lessp2YZ bool_er

#define lessp2lY bool_er
extern Sex      lessp2bY(Sex a, Sex b);
#define lessp2mY bool_er
extern Sex      lessp2rY(Sex a, Sex b);
#define lessp2fY bool_er
#define lessp2eY bool_er
#define lessp2cY bool_er
#define lessp2vY bool_er
#define lessp2dY bool_er
#define lessp2zY bool_er
#define lessp2EY bool_er
#define lessp2ZY bool_er
#define lessp2VY bool_er
#define lessp2MY bool_er
#define lessp2qY bool_er
#define lessp2Yl bool_er
extern Sex      lessp2Yb(Sex a, Sex b);
extern Sex      lessp2Yr(Sex a, Sex b);
#define lessp2YM bool_er
#define lessp2Yq bool_er
extern Sex      lessp2YY(Sex a, Sex b);
/*
 */
extern Sex      numeq2iY(Sex a, Sex b);
extern Sex      numeq2Yi(Sex a, Sex b);

#define numeq2lY bool_er
extern Sex      numeq2bY(Sex a, Sex b);
#define numeq2mY bool_er
extern Sex      numeq2rY(Sex a, Sex b);
#define numeq2fY bool_er
#define numeq2eY bool_er
#define numeq2cY bool_er
#define numeq2vY bool_er
#define numeq2dY bool_er
#define numeq2zY bool_er
#define numeq2EY bool_er
#define numeq2ZY bool_er
#define numeq2VY bool_er
#define numeq2MY bool_er
#define numeq2qY bool_er
#define numeq2Yl bool_er
extern Sex      numeq2Yb(Sex a, Sex b);
extern Sex      numeq2Yr(Sex a, Sex b);
#define numeq2YM bool_er
#define numeq2Yq bool_er
extern Sex      numeq2YY(Sex a, Sex b);
/*
 */
#define appeq2iY numeq2iY
#define appeq2Yi numeq2Yi

#define appeq2lY bool_er
#define appeq2bY numeq2bY
#define appeq2mY bool_er
#define appeq2rY numeq2rY
#define appeq2fY bool_er
#define appeq2eY bool_er
#define appeq2cY bool_er
#define appeq2vY bool_er
#define appeq2dY bool_er
#define appeq2zY bool_er
#define appeq2EY bool_er
#define appeq2ZY bool_er
#define appeq2VY bool_er
#define appeq2MY bool_er
#define appeq2qY bool_er
#define appeq2Yl bool_er
#define appeq2Yb numeq2Yb
#define appeq2Yr numeq2Yr
#define appeq2YM bool_er
#define appeq2Yq bool_er
#define appeq2YY numeq2YY
