/*
 * complex.h      (C); Copyright 1998-2001, 2007 by Fujio Kako, Nara Women's University.
 *      $Header: /Users/kako/asuka/src/RCS/complex.h,v 2.1 2012/10/21 13:32:48 kako Exp $
 */


/***************************************************************/
/***************************************************************/
/***************************************************************/

Sex             Lcomplex_conjugate(Sex u);
Sex             Lcomplex_real(Sex a);
Sex             Lcomplex_imag(Sex a);
Sex             Lcomplex(Sex a);
Sex             Lmkcomplex(Sex r, Sex i);

/***************************************************************/
/***************************************************************/
/***************************************************************/

Sex             plus2xc(Sex a, Sex b);
Sex             plus2cx(Sex a, Sex b);
Sex             plus2mc(Sex a, Sex b);
Sex             plus2cc(Sex a, Sex b);
Sex             plus2Mc(Sex a, Sex b);
Sex             plus2cM(Sex a, Sex b);

/***************************************************************/
/***************************************************************/
/***************************************************************/

Sex             diff2xc(Sex a, Sex b);
Sex             diff2cx(Sex a, Sex b);
Sex             diff2mc(Sex a, Sex b);
Sex             diff2cm(Sex a, Sex b);
Sex             diff2cc(Sex a, Sex b);
Sex             diff2Mc(Sex a, Sex b);
Sex             diff2cM(Sex a, Sex b);

/***************************************************************/
/***************************************************************/
/***************************************************************/

Sex             times2cx(Sex a, Sex b);
Sex             times2xc(Sex a, Sex b);
Sex             times2mc(Sex a, Sex b);
Sex             times2cc(Sex a, Sex b);

/***************************************************************/
/***************************************************************/
/***************************************************************/

Sex             quot2xc(Sex a, Sex b);
Sex             quot2cx(Sex a, Sex b);
Sex             quot2cc(Sex a, Sex b);

/***************************************************************/
/***************************************************************/
/***************************************************************/

Sex             rem2cc(Sex a, Sex b);
Sex             rem2xc(Sex a, Sex b);
Sex             rem2cx(Sex a, Sex b);

#if 0
Sex             rem2cc(Sex a, Sex b);
Sex             rem2cx(Sex a, Sex b);
Sex             rem2xc(Sex a, Sex b);
#endif

/***************************************************************/
/***************************************************************/
/***************************************************************/

bool            lessp2cx(Sex a, Sex b);
bool            lessp2xc(Sex a, Sex b);
bool            lessp2cc(Sex a, Sex b);

/***************************************************************/
/***************************************************************/
/***************************************************************/

bool            numeq2xc(Sex a, Sex b);
bool            numeq2cx(Sex a, Sex b);
bool            numeq2cc(Sex a, Sex b);

/***************************************************************/
/***************************************************************/
/***************************************************************/

bool            appeq2xc(Sex a, Sex b);
bool            appeq2cx(Sex a, Sex b);
bool            appeq2cc(Sex a, Sex b);

/***************************************************************/
/***************************************************************/
/***************************************************************/
