/*
 * efloat.h      (C); Copyright 2011 by Fujio Kako, Nara Women's University.
 * effective float routine
 *      $Header: /Users/kako/asuka/src/RCS/efloat.h,v 2.1 2012/10/21 13:32:48 kako Exp $
 */


/***************************************************************/
/***************************************************************/
/***************************************************************/


Sex             Lefloat_value(Sex a);

Sex             Lefloat_error(Sex a);


Sex             Lmkefloat(Sex a, Sex b);

Sex             efloatitc(Sex a);

Sex             efloatitE(Sex a);

Sex             efloatitZ(Sex a);
Sex             efloatitV(Sex a);


Sex             efloatit(Sex a);

Sex             Lefloat(Sex a);

Sex             Lmkefloat1(Sex a);
Sex             make_efloat(double v, double e);

/***************************************************************/
/***************************************************************/
/***************************************************************/


Sex             plus2ie(Sex a, Sex b);

Sex             plus2ei(Sex b, Sex a);

Sex             plus2de(Sex a, Sex b);


Sex             plus2xe(Sex a, Sex b);

Sex             plus2ex(Sex b, Sex a);

Sex             plus2fe(Sex a, Sex b);

Sex             plus2ef(Sex b, Sex a);

Sex             plus2ee(Sex a, Sex b);

Sex             plus2ve(Sex a, Sex b);

Sex             plus2ev(Sex a, Sex b);


/***************************************************************/
/***************************************************************/
/***************************************************************/



Sex             diff2ie(Sex a, Sex b);


Sex             diff2ei(Sex a, Sex b);
Sex             diff2xe(Sex a, Sex b);


Sex             diff2ex(Sex a, Sex b);

Sex             diff2fe(Sex a, Sex b);


Sex             diff2ef(Sex a, Sex b);

Sex             diff2ee(Sex a, Sex b);

Sex             diff2ev(Sex a, Sex b);


Sex             diff2ve(Sex a, Sex b);

/***************************************************************/
/***************************************************************/
/***************************************************************/

Sex             times2ie(Sex a, Sex b);


Sex             times2ei(Sex b, Sex a);



Sex             times2fe(Sex a, Sex b);

Sex             times2ef(Sex b, Sex a);

Sex             times2xe(Sex a, Sex b);

Sex             times2ex(Sex b, Sex a);


Sex             times2ee(Sex a, Sex b);

Sex             times2ve(Sex a, Sex b);

Sex             times2ev(Sex a, Sex b);


/***************************************************************/
/***************************************************************/
/***************************************************************/



Sex             quot2ie(Sex a, Sex b);


Sex             quot2ei(Sex a, Sex b);
Sex             quot2xe(Sex a, Sex b);

Sex             quot2ex(Sex a, Sex b);

Sex             quot2fe(Sex a, Sex b);
Sex             quot2ef(Sex a, Sex b);

Sex             quot2ee(Sex a, Sex b);


Sex             quot2ev(Sex a, Sex b);


Sex             quot2ve(Sex a, Sex b);

/***************************************************************/
/***************************************************************/
/***************************************************************/



bool            numeq2ie(Sex a, Sex b);

bool            numeq2be(Sex a, Sex b);
bool            numeq2re(Sex a, Sex b);
Sex             numeq2fe(Sex a, Sex b);

bool            numeq2ed(Sex a, Sex b);

bool            numeq2ee(Sex a, Sex b);

bool            numeq2ev(Sex a, Sex b);


/***************************************************************/
/***************************************************************/
/***************************************************************/



bool            lessp2ie(Sex a, Sex b);
bool            lessp2ei(Sex a, Sex b);


bool            lessp2ex(Sex a, Sex b);

bool            lessp2xe(Sex a, Sex b);

bool            lessp2ef(Sex a, Sex b);

bool            lessp2fe(Sex a, Sex b);


bool            lessp2ee(Sex a, Sex b);

bool            lessp2ev(Sex a, Sex b);

bool            lessp2ve(Sex a, Sex b);


/***************************************************************/
/***************************************************************/
/***************************************************************/


bool            appeq2ie(Sex a, Sex b);

bool            appeq2be(Sex a, Sex b);

bool            appeq2re(Sex a, Sex b);

Sex             appeq2fe(Sex a, Sex b);

bool            appeq2ed(Sex a, Sex b);

bool            appeq2ee(Sex a, Sex b);
bool            appeq2ev(Sex a, Sex b);


/***************************************************************/
/***************************************************************/
/***************************************************************/
