/*
 * fap.h      (C) Copyright 2012 by Fujio Kako, Nara Women's Univer
 s
 *    $Header: /Users/kako/asuka/src/RCS/fap.h,v 2.5 2014/10/27 02:28:08 kako Exp $
 *
 *    $Log: fap.h,v $
 *    Revision 2.5  2014/10/27 02:28:08  kako
 *    *** empty log message ***
 *
 *    Revision 2.4  2014/10/14 04:29:30  kako
 *    *** empty log message ***
 *
 *    Revision 2.3  2014/10/09 09:39:51  kako
 *    *** empty log message ***
 *
 *    Revision 2.2  2014/10/08 00:16:33  kako
 *    *** empty log message ***
 *
 *    Revision 2.1  2012/10/21 13:32:48  kako
 *    *** empty log message ***
 *
 *    Revision 1.4  2011/10/31 11:44:42  kako
 *    *** empty log message ***
 *
 *    Revision 1.3  2011/10/13 11:51:10  kako
 *    *** empty log message ***
 *
 *    Revision 1.1  2011/09/21 06:43:58  kako
 *    Initial revision
 *
 */

/*******************************************************************
 *******************************************************************/

typedef struct bcode_package {
    char           *pkg_name;
    unsigned char  *data;
#ifdef USE_ZLIB
    int             src_size;
    int             dst_size;
#else
    int             size;
#endif
} bcode_package;

bcode_package  *search_bcode_package(Sex);

/*******************************************************************
 *******************************************************************/
Sex             Lanpbporg(void);

Sex             Lanpbpend(void);
Sex             Lbpsleft(void);
Sex             Lbpsmove(Sex a);
Sex             Llogx(Sex a);

/*******************************************************************
 *	uncall		make fastcall to slowlink
 *******************************************************************/

Sex             Lrelink(Sex a, Sex b);
Sex             Lfastlink(void);

/*******************************************************************
 *******************************************************************/
#if defined(REDUCE) && defined(INCLUDE_BYTECODE_PACKAGE)
bcode_package  *search_bcode_package(Sex name);
#endif
Sex             Lfslropen(Sex file);
Sex             Lfslropen_string(Sex file);
Sex             Lfslrclose(void);
Sex             Lfslwopen(Sex file);
Sex             Lfslwclose(void);
/*******************************************************************
 *	fap/fisl input and output routines
 *	buft(tg,st);
 *	buf1(n);
 *	buf2(n);
 *	buf4(n);
 *	chrt()		read tg and st
 *	chr1()		1 byte
 *	chr2();
 *	chr4();
 *	chrbg(st)	read atom
 *******************************************************************/
Sex             Lbuft(Sex tg, Sex st);
Sex             Lbuf1(Sex a);
Sex             Lbuf2(Sex a);
Sex             Lbuf4(Sex a);
Sex             Lbuf4a(Sex a);
void            buft(long tg, long st);
void            buf1(long n);
void            buf2(long n);
void            buf4(long n);

/*
 * put out id or big number 
 */

Sex             Lbufid(Sex a);

/*******************************************************************/
/*******************************************************************/
Sex             Lchrt(void);
Sex             Lchr1(void);
Sex             Lchr2(void);
Sex             Lchr4(void);

/*******************************************************************/
Sex             chrt(void);

/*******************************************************************
 *	chrbg(mode)		subr
 *		read atom
 *	mode = 0	id
 *		1	fix num
 *		2	logical num.
 *		3	float num.
 *		4	positive big. num.
 *		5	negative big. num.
 *		6	string
 *******************************************************************/
Sex             chrid(long mode);
Sex             Lchrbg(Sex a);
Sex             chrgal(long mode);
Sex             chr1(void);
long            chr2(void);
int             chr4(void);
long            fsl_getc(void);
void            fsl_putc(long c);
Sex             Lallocait(Sex size);
Sex             Lresetait(void);
Sex             Lchrai(void);
Sex             Lputai(Sex a);
Sex             Lplant(Sex u, Sex a);
Sex             Lplanta(Sex u);

/*******************************************************************/
