/*
 * float.h      (C); Copyright 2011 by Fujio Kako, Nara Women's University.
 *      $Header: /Users/kako/asuka/src/RCS/float.h,v 2.1 2012/10/21 13:32:48 kako Exp $
 */


/***************************************************************/
/***************************************************************/
/***************************************************************/

Sex             make_float(double a);
Sex             Lfrexp(Sex a);
double          floatitl(Sex v);
double          floatitb(Sex v);
double          floatitr(Sex a);
double          floatitd(Sex v);
double          floatitE(Sex a);
double          floatitV(Sex a);
Sex             floatitz(Sex a);
Sex             floatitZ(Sex a);
Sex             floatitc(Sex a);
double          floatit(Sex a);
Sex             Lfloat(Sex a);

/***************************************************************/
/***************************************************************/
/***************************************************************/

Sex             plus2if(Sex a, Sex b);
Sex             plus2fi(Sex b, Sex a);
Sex             plus2ff(Sex a, Sex b);

/***************************************************************/
/***************************************************************/
/***************************************************************/

Sex             diff2if(Sex a, Sex b);
Sex             diff2fi(Sex a, Sex b);
Sex             diff2ff(Sex a, Sex b);

/***************************************************************/
/***************************************************************/
/***************************************************************/

Sex             times2fi(Sex b, Sex a);
Sex             times2if(Sex a, Sex b);
Sex             times2rf(Sex a, Sex b);
Sex             times2ff(Sex a, Sex b);

/***************************************************************/
/***************************************************************/
/***************************************************************/

Sex             quot2if(Sex a, Sex b);
Sex             quot2fi(Sex a, Sex b);
Sex             quot2ff(Sex a, Sex b);

/***************************************************************/
/***************************************************************/
/***************************************************************/

bool            lessp2if(Sex a, Sex b);
bool            lessp2bf(Sex a, Sex b);
bool            lessp2rf(Sex a, Sex b);
bool            lessp2fi(Sex a, Sex b);
bool            lessp2fb(Sex a, Sex b);
bool            lessp2fr(Sex a, Sex b);
bool            lessp2ff(Sex a, Sex b);

/***************************************************************/
/***************************************************************/
/***************************************************************/

bool            numeq2if(Sex a, Sex b);
bool            numeq2bf(Sex a, Sex b);
bool            numeq2rf(Sex a, Sex b);
bool            numeq2ff(Sex a, Sex b);

/***************************************************************/
/***************************************************************/
/***************************************************************/

Sex             Lroundd(Sex a);
Sex             Lceilingd(Sex a);
Sex             Lfloord(Sex a);
long            is_decimal_part(Sex a);
Sex             Lroundf(double v);
#ifdef _LP64
Sex             Lfloorf_sub(long s, unsigned long a1, long exp);
#else
Sex             Lfloorf_sub(long s, unsigned long a0, unsigned long a1,
			    long exp);
#endif
Sex             Lceilingf(double v);
Sex             fixitf(double v);
Sex             Lfloorf(double v);

#if 0
Sex             Lceilingf(double x);
Sex             Lfloorf(double x);
Sex             fixitf(double v);
#endif

Sex             Lceiling(Sex a);
Sex             Lround(Sex a);
Sex             Lfloor(Sex a);
Sex             Ltruncate(Sex a);

/***************************************************************/
/***************************************************************/
/***************************************************************/

Sex             Lsafe_fp_plus(Sex a, Sex b);
Sex             Lsafe_fp_quot(Sex a, Sex b);
Sex             Lsafe_fp_times(Sex a, Sex b);

/***************************************************************/
/***************************************************************/
/***************************************************************/
