
/*
 * gprotos.h      (C) Copyright 1998-2001, 2007 by Fujio Kako, Nara Women's University.
 * header for gal prototypes
 *  $Header: /Users/kako/asuka/gal/../src/RCS/gprotos.h,v 2.3 2014/03/10 03:21:49 kako Exp $
 */

#include "g_parser.h"
#include "g_bsatom.h"
#include "g_bsdefn.h"
#include "g_bseval.h"
#include "g_bsmapf.h"
#include "g_bspoly.h"
#include "g_bspref.h"
#include "g_bsques.h"
#include "g_bssimp.h"
#include "g_bswrit.h"
#include "g_comcomp.h"
#include "g_comconv.h"
#include "g_comform.h"
#include "g_compart.h"
#include "g_comproc.h"
#include "g_comrset.h"
#include "g_libalg.h"
#include "g_libapp.h"
#include "g_linalg.h"
#include "g_pkggb.h"
#include "g_gpretty.h"
#include "g_complr.h"
#include "g_cfap.h"
#include "g_bfap.h"

#include "g_add.h"
#include "g_bi2r.h"
#include "g_pkgfac.h"
#include "g_pkgtest.h"
#include "g_pkgnc.h"
#include "g_pkgnew.h"
#include "g_pkgleq.h"

#include "g_missing.h"

#include "protos.h"



extern int      init_parser(void);
extern int      init_bsatom(void);
extern int      init_bsdefn(void);
extern int      init_bseval(void);
extern int      init_bsmapf(void);
extern int      init_bspoly(void);
extern int      init_bspref(void);
extern int      init_bsques(void);
extern int      init_bssimp(void);
extern int      init_bswrit(void);
extern int      init_comcomp(void);
extern int      init_comconv(void);
extern int      init_comform(void);
extern int      init_compart(void);
extern int      init_comproc(void);
extern int      init_comrset(void);
extern int      init_libalg(void);
extern int      init_libapp(void);
extern int      init_linalg(void);
extern int      init_bi2r(void);
extern int      init_pkggb(void);
extern int      init_add(void);
extern int      init_complr(void);
extern int      init_cfap(void);
extern int      init_gpretty(void);
extern int      init_bfap(void);
extern int      init_pkgtest(void);
extern int      init_missing(void);
extern int      init_pkgfac(void);
extern int      init_comrset(void);

extern int      init_pkgnc(void);
extern int      init_pkgnew(void);
extern int      init_pkgleq(void);
