/*
 * init.h       (C) Copyright 2011 by Fujio Kako, Nara Women's Univeristy
 *      $Header: /Users/kako/asuka/src/RCS/init.h,v 2.9 2016/09/06 05:50:02 kako Exp $
 */

extern void     lisp_main(void);

#ifdef REDUCE
extern void     init_reduce(void);
#endif

#ifdef ASUKA
extern int      init_complr(void);
#ifndef Android
extern int      init_sfap(void);
extern int      init_pretty(void);
extern int      init_z(void);
#endif
#endif

#ifdef GAL
extern void     init_gal(void);


extern int      init_parser(void);
extern int      init_bsatom(void);
extern int      init_bsdefn(void);
extern int      init_bseval(void);
extern int      init_bsmapf(void);
extern int      init_bspoly(void);
extern int      init_bspref(void);
extern int      init_bsques(void);
extern int      init_bssimp(void);
extern int      init_bswrit(void);
extern int      init_comcomp(void);
extern int      init_comconv(void);
extern int      init_comform(void);
extern int      init_compart(void);
extern int      init_comproc(void);
extern int      init_comrset(void);
extern int      init_libalg(void);
extern int      init_libapp(void);
extern int      init_linalg(void);
extern int      init_bi2r(void);
extern int      init_pkggb(void);
extern int      init_add(void);
extern int      init_complr(void);
extern int      init_cfap(void);
extern int      init_gpretty(void);
extern int      init_bfap(void);
extern int      init_pkgtest(void);
extern int      init_missing(void);
extern int      init_pkgfac(void);
extern int      init_pkgleq(void);
extern int      init_comrset(void);

extern int      init_pkgnc(void);
extern int      init_pkgnew(void);

#endif
