/*
 * macros.h             (C) Copyright 1998-2000, 2007 by Fujio Kako, Nara Women's University.
 * Macros for compiler support
 * $Header: /Users/kako/asuka/src/RCS/macros.h,v 2.2 2013/04/04 23:48:49 kako Exp $
 */


/*
 * #define cadr(p)      car(cdr(p))     
 */
#define caar(p)	car(car(p))
#define cddr(p)	cdr(cdr(p))
#define cdar(p)	cdr(car(p))

#define caadr(p)	car(car(cdr(p)))
#define caaar(p)	car(car(car(p)))
/*
 * #define caddr(p) car(cdr(cdr(p)))
 */
#define cadar(p)	car(cdr(car(p)))
#define cdadr(p)	cdr(car(cdr(p)))
#define cdaar(p)	cdr(car(car(p)))
#define cdddr(p)	cdr(cdr(cdr(p)))
#define cddar(p)	cdr(cdr(car(p)))

#define caaadr(p)	car(car(car(cdr(p))))
#define caaaar(p)	car(car(car(car(p))))
#define caaddr(p)	car(car(cdr(cdr(p))))
#define caadar(p)	car(car(cdr(car(p))))
#define cadadr(p)	car(cdr(car(cdr(p))))
#define cadaar(p)	car(cdr(car(car(p))))
#define cadddr(p)	car(cdr(cdr(cdr(p))))
#define caddar(p)	car(cdr(cdr(car(p))))

#define cdaadr(p)	cdr(car(car(cdr(p))))
#define cdaaar(p)	cdr(car(car(car(p))))
#define cdaddr(p)	cdr(car(cdr(cdr(p))))
#define cdadar(p)	cdr(car(cdr(car(p))))
#define cddadr(p)	cdr(cdr(car(cdr(p))))
#define cddaar(p)	cdr(cdr(car(car(p))))
#define cddddr(p)	cdr(cdr(cdr(cdr(p))))
#define cdddar(p)	cdr(cdr(cdr(car(p))))

#define symbolp(p)	is_symhdr(p)
#define consp(p)	is_cons(p)



#if 0
#define v0 stack[0]
#define v1 stack[-1]
#define v2 stack[-2]
#define v3 stack[-3]
#define v4 stack[-4]
#define v5 stack[-5]
#define v6 stack[-6]
#define v7 stack[-7]
#define v8 stack[-8]
#define v9 stack[-9]
#define v10 stack[-10]
#define v11 stack[-11]
#define v12 stack[-12]
#define v13 stack[-13]
#define v14 stack[-14]
#define v15 stack[-15]
#define v16 stack[-16]
#define v17 stack[-17]
#define v18 stack[-18]
#define v19 stack[-19]
#define v20 stack[-20]
#define v21 stack[-21]
#define v22 stack[-22]
#define v23 stack[-23]
#define v24 stack[-24]
#define v25 stack[-25]
#define v26 stack[-26]
#define v27 stack[-27]
#define v28 stack[-28]
#define v29 stack[-29]
#define v30 stack[-30]
#define v31 stack[-31]
#define v32 stack[-32]
#define v33 stack[-33]
#define v34 stack[-34]
#define v35 stack[-35]
#define v36 stack[-36]
#define v37 stack[-37]
#define v38 stack[-38]
#define v39 stack[-39]
#define v40 stack[-40]
#define v41 stack[-41]
#endif

#define w0 sp[0]
#define w1 sp[1]
#define w2 sp[2]
#define w3 sp[3]
#define w4 sp[4]
#define w5 sp[5]
#define w6 sp[6]
#define w7 sp[7]
#define w8 sp[8]
#define w9 sp[9]
#define w10 sp[10]
#define w11 sp[11]
#define w12 sp[12]
#define w13 sp[13]
#define w14 sp[14]
#define w15 sp[15]
#define w16 sp[16]
#define w17 sp[17]
#define w18 sp[18]
#define w19 sp[19]
#define w20 sp[20]
#define w21 sp[21]
#define w22 sp[22]
#define w23 sp[23]
#define w24 sp[24]
#define w25 sp[25]
#define w26 sp[26]
#define w27 sp[27]
#define w28 sp[28]
#define w29 sp[29]
#define w30 sp[30]
#define w31 sp[31]
#define w32 sp[32]
#define w33 sp[33]
#define w34 sp[34]
#define w35 sp[35]
#define w36 sp[36]
#define w37 sp[37]
#define w38 sp[38]
#define w39 sp[39]
#define w40 sp[40]
#define w41 sp[41]
#define w42 sp[42]
#define w43 sp[43]
#define w44 sp[44]
#define w45 sp[45]
#define w46 sp[46]
#define w47 sp[47]
#define w48 sp[48]
#define w49 sp[49]
#define w50 sp[50]
#define w51 sp[51]
#define w52 sp[52]
#define w53 sp[53]
#define w54 sp[54]
#define w55 sp[55]
#define w56 sp[56]
#define w57 sp[57]
#define w58 sp[58]
#define w59 sp[59]
#define w60 sp[60]
#define w61 sp[61]
#define w62 sp[62]
#define w63 sp[63]
#define w64 sp[64]
#define w65 sp[65]
#define w66 sp[66]
#define w67 sp[67]
#define w68 sp[68]
#define w69 sp[69]
#define w70 sp[70]
#define w71 sp[71]
#define w72 sp[72]
#define w73 sp[73]
#define w74 sp[74]
#define w75 sp[75]
#define w76 sp[76]
#define w77 sp[77]
#define w78 sp[78]
#define w79 sp[79]
#define w80 sp[80]
#define w81 sp[81]
#define w82 sp[82]
#define w83 sp[83]
#define w84 sp[84]
#define w85 sp[85]
#define w86 sp[86]
#define w87 sp[87]
#define w88 sp[88]
#define w89 sp[89]
#define w90 sp[90]
#define w91 sp[91]
#define w92 sp[92]
#define w93 sp[93]
#define w94 sp[94]
#define w95 sp[95]
#define w96 sp[96]
#define w97 sp[97]
#define w98 sp[98]
#define w99 sp[99]


extern Sex      apply0(Sex);
extern Sex      apply1(Sex, Sex);
extern Sex      apply2(Sex, Sex, Sex);
extern Sex      apply3(Sex, Sex, Sex, Sex);
extern Sex      apply4(Sex, Sex, Sex, Sex, Sex);
extern Sex      apply5(Sex, Sex, Sex, Sex, Sex, Sex);
extern Sex      apply6(Sex, Sex, Sex, Sex, Sex, Sex, Sex);
extern Sex      apply7(Sex, Sex, Sex, Sex, Sex, Sex, Sex, Sex);
extern Sex      apply8(Sex, Sex, Sex, Sex, Sex, Sex, Sex, Sex, Sex);
extern Sex      apply9(Sex, Sex, Sex, Sex, Sex, Sex, Sex, Sex, Sex, Sex);
extern Sex      applyn(Sex, long, Sex, ...);

#define apply10(fn, p, a1, a2, a3, a4, a5, a6, a7, a8, a9, a10)	\
	applyn(p, 10, a1, a2, a3, a4, a5, a6, a7, a8, a9, a10)
#define apply11(fn, p, a1, a2, a3, a4, a5, a6, a7, a8, a9, a10, a11)	\
	applyn(p, 11, a1, a2, a3, a4, a5, a6, a7, a8, a9, a10, a11)
#define apply12(fn, p, a1, a2, a3, a4, a5, a6, a7, a8, a9, a10, a11, a12)\
	applyn(p, 12, a1, a2, a3, a4, a5, a6, a7, a8, a9, a10, a11, a12)
#define apply13(fn, p, a1, a2, a3, a4, a5, a6, a7, a8, a9, a10, a11, a12, a13)\
	applyn(p, 13, a1, a2, a3, a4, a5, a6, a7, a8, a9, a10, a11, a12, a13)
#define apply14(fn, p,a1,a2,a3,a4,a5,a6,a7,a8,a9,a10,a11,a12,a13,a14)\
	applyn(p, 14, a1, a2, a3, a4, a5, a6, a7, a8, a9, a10, a11, a12, a13, a14)
#define apply15(fn, p,a1,a2,a3,a4,a5,a6,a7,a8,a9,a10,a11,a12,a13,a14,a15)\
	applyn(p, 15, a1, a2, a3, a4, a5, a6, a7, a8, a9, a10, a11, a12, a13, a14, a15)
