/*
 * protos.h      (C) Copyright 2011 by Fujio Kako, Nara Women's University.
 * 
 *      $Header: /Users/kako/asuka/reduce/../src/RCS/protos.h,v 2.5 2014/10/09 09:39:51 kako Exp $
 */


extern Sex      Lanpbpend(void);
extern Sex      Lanpbporg(void);
extern Sex      Lbfloatp(Sex a);
extern Sex      Lbuf1(Sex a);
extern Sex      Lbuf2(Sex a);
extern Sex      Lbuf4(Sex a);
extern Sex      Lbuf4a(Sex a);
extern Sex      Lbufid(Sex a);
extern Sex      Lbuft(Sex tg, Sex st);
extern Sex      Lbytecodep(Sex a);
extern Sex      Lchr1(void);
extern Sex      Lchr2(void);
extern Sex      Lchr4(void);
extern Sex      Lchrbg(Sex a);
extern Sex      Lchrt(void);
extern Sex      Lcomplexp(Sex a);
extern Sex      Lcopy(Sex u);
extern Sex      Lcos(Sex a);
extern Sex      Lcosh(Sex a);
extern Sex      Ldeflist(Sex u, Sex ind);
extern Sex      Lden(Sex n);
extern Sex      Ldenominator(Sex a);
extern Sex      Lecomplexp(Sex a);
extern Sex      Lefloatp(Sex a);
extern Sex      Lexp(Sex a);
extern Sex      Lexpand(Sex l, Sex fn);
extern Sex      Lexplode(Sex a);
extern Sex      Lexplode2lc(Sex a);
extern Sex      Lexplode2n(Sex a);
extern Sex      Lexplodec(Sex a);
extern Sex      Lexplodecn(Sex a);
extern Sex      Lexplodelc(Sex a);
extern Sex      Lexploden(Sex a);
extern Sex      Lexplodeuc(Sex a);
extern Sex      Lexplodew(Sex a);
extern Sex      Lexpt(Sex a, Sex b);
extern Sex      Lfastlink(void);
extern Sex      Lfile_line(void);
extern Sex      Lfslrclose(void);
extern Sex      Lfslropen(Sex a);
extern Sex      Lfslropen_string(Sex a);
extern Sex      Lfslropen(Sex file);
extern Sex      Lfslwclose(void);
extern Sex      Lfslwopen(Sex a);
extern Sex      Lgetarray1(Sex a, Sex q);
extern Sex      Lgetarray2(Sex a, Sex q, Sex m);
extern Sex      Lgetarray3(Sex v, Sex n1, Sex n2, Sex n3);
extern Sex      Lintersection(Sex a, Sex b);
extern Sex      Lintersectionq(Sex a, Sex b);
extern Sex      Lis_char(Sex a);
extern Sex      Llast(Sex u);
extern Sex      Llist4(Sex a, Sex b, Sex c, Sex d);
extern Sex      Llist5(Sex a, Sex b, Sex c, Sex d, Sex e);
extern Sex      Llogx(Sex a);
extern Sex      Llogxor2(Sex a, Sex b);
extern Sex      Llprie(Sex a);
extern Sex      Llprim(Sex a);
extern Sex      Lmake_id(Sex a);
extern Sex      Lmake_uid(Sex a);
extern Sex      Lmkarray1(Sex a);
extern Sex      Lmkarray2(Sex a, Sex q);
extern Sex      Lnum(Sex n);
extern Sex      Lnumber_length(Sex a);
extern Sex      Lnumber_log2(Sex a);
extern Sex      Lnumber_tag(Sex a);
extern Sex      Lnumberp(Sex a);
extern Sex      Lnumerator(Sex a);
extern Sex      Lnumtype(Sex p);
extern Sex      Lopen(Sex a, Sex q);
extern Sex      Lopen_file(Sex name, Sex dir);
extern Sex      Lpair(Sex a, Sex b);
extern Sex      Lpairp(Sex a);
extern Sex      Lphex(Sex a, Sex b);
extern Sex      Lplant(Sex u, Sex a);
extern Sex      Lplanta(Sex u);
extern Sex      Lprin2t(Sex a);
extern Sex      Lprintf0(Sex a);
extern Sex      Lprintf1(Sex a, Sex q);
extern Sex      Lrationalp(Sex a);
extern Sex      Lrelink(Sex a, Sex b);
extern Sex      Lsetarray1(Sex a, Sex q, Sex m);
extern Sex      Lsetarray2(Sex v, Sex x, Sex n1, Sex n2);
extern Sex      Lsin(Sex a);
extern Sex      Lsinh(Sex a);
extern Sex      Lsprintf1(Sex a, Sex q);
extern Sex      Lttab(Sex a);
extern Sex      Lvprintf(Sex a, Sex q);
extern Sex      Lvsprintf(Sex a, Sex q);
extern Sex      Lxdigitp(Sex a);
extern Sex      Lxn(Sex v, Sex u);
extern Sex      make_literal(const char *p);


extern Sex      Labs(Sex a);
extern Sex      Labsval(Sex a);
extern Sex      Lacos(Sex a);
extern Sex      Lacosh(Sex a);
extern Sex      Lacot(Sex a);
extern Sex      Lacoth(Sex a);
extern Sex      Lacsc(Sex a);
extern Sex      Lacsch(Sex a);
extern Sex      Lasec(Sex a);
extern Sex      Lasech(Sex a);
extern Sex      Lasin(Sex a);
extern Sex      Lasinh(Sex a);
extern Sex      Latanh(Sex a);
extern Sex      Lbldmsg1(Sex a, Sex q);
extern Sex      Lceiling(Sex a);
extern Sex      Lceilingd(Sex a);
extern Sex      Lceilingf(double v);
extern Sex      Lcode_char(Sex a);
extern Sex      Lcot(Sex a);
extern Sex      Lcoth(Sex a);
extern Sex      Lcsc(Sex a);
extern Sex      Lcsch(Sex a);
extern Sex      Lde_fn(Sex exp);
extern Sex      Lfilep(Sex a);
extern Sex      Lfloor(Sex a);
extern Sex      Lfrexp(Sex a);
extern Sex      Lgen_prime(Sex a, Sex b);
extern Sex      Lhypot(Sex a, Sex b);
extern Sex      Lilogor2(Sex a, Sex b);
extern Sex      Lleftshift(Sex a, Sex b);
extern Sex      Llog10(Sex a);
extern Sex      Llog_2(Sex a, Sex b);
extern Sex      Llogicalp(Sex a);
extern Sex      Llogor2(Sex a, Sex b);
extern Sex      Lminus(Sex a);
extern Sex      Lminusp(Sex a);
extern Sex      Lnth(Sex a, Sex q);
extern Sex      Lpnth(Sex a, Sex q);
extern Sex      Lprint_precision(Sex a);
extern Sex      Lprintprompt(Sex u);
extern Sex      Lrassoc(Sex a, Sex b);
extern Sex      Lsafe_fp_plus(Sex a, Sex b);
extern Sex      Lsafe_fp_quot(Sex a, Sex b);
extern Sex      Lsafe_fp_times(Sex a, Sex b);
extern Sex      Lsec(Sex a);
extern Sex      Lsech(Sex a);
extern Sex      Lsprin2(Sex a);
extern Sex      Lsqrt(Sex a);
extern Sex      Ltan(Sex a);
extern Sex      Ltanh(Sex a);
extern Sex      Lunion(Sex a, Sex b);
extern Sex      Lunionq(Sex a, Sex b);
extern Sex      diff2(Sex a, Sex b);
extern Sex      logor2(Sex a, Sex b);

extern Sex      string2list(Sex a);
extern Sex      Llist2string(Sex a);
extern Sex      Lchar_downcase(Sex a);
extern Sex      Lchar_upcase(Sex a);
extern Sex      Lcatch_fn(Sex a);
extern Sex      Lthrow_fn(Sex a);
