/*
 * tri.h               (C); Copyright 1998-2000, 2007 by Fujio Kako, Nara Women's University.
 * $Header: /Users/kako/asuka/src/RCS/tri.h,v 2.11 2015/12/09 03:44:28 kako Exp $
 */

/***************************************************************/
/***************************************************************/
/***************************************************************/

Sex             Mcompare_var(Sex a, Sex b);
Sex             Mvar(Sex a);
Sex             Mpoly_pol(Sex a);
Sex             Mmkterm(Sex c, Sex a);
Sex             Adeg(Sex f, Sex x);
Sex             Adeg_aux(Sex f, Sex x);
Sex             Atdeg(Sex f);
Sex             Atdeg_monomial(Sex f);
Sex             Atdeg_coeff(Sex f, Sex x);
Sex             Amtdeg_coeff(Sex f);
long            total_deg(Sex f);
long            dipoly_total_deg(Sex f);
Sex             Ainit(Sex f, Sex x);
Sex             Alcoeff(Sex f, Sex x);
Sex             Areduct(Sex f, Sex x);
Sex             Alpower(Sex f, Sex x);
Sex             Alterm(Sex f, Sex x);

Sex             Mdeg(Sex a);
Sex             Mlpower(Sex a);
Sex             Mlcoeff(Sex a);
Sex             Minit(Sex a);
Sex             Mtail(Sex a);
Sex             Mreduct(Sex a);
Sex             Mlterm(Sex a);
Sex             Mdiff(Sex a, Sex b);
Sex             Mtimes(Sex a, Sex b);
Sex             Mquot(Sex a, Sex b);
Sex             Mcont(Sex a);
Sex             Mpp(Sex a);
Sex             Mlist_pp(Sex a);
Sex             Mcont_dipoly(Sex a);
Sex             Mpp_dipoly(Sex a);
Sex             Mpquot(Sex a, Sex b);
#if 0
Sex             fpol_rem(Sex a, Sex b);
#endif

Sex             Mrem(Sex a, Sex b);
Sex             Mprem(Sex a, Sex b);
Sex             Mpgcd(Sex a, Sex b);
Sex             Mgcd(Sex a, Sex b);
Sex             gcd_pprs(Sex a, Sex b);
Sex             gcd_rprs(Sex a, Sex b);
Sex             gcd_sprs(Sex a, Sex b);


Sex             wuremainder(Sex a, Sex b);
Sex             Msqfree(Sex a, Sex x);

/***************************************************************/
/***************************************************************/
/***************************************************************/

Sex             MinitRed(Sex a, Sex b);
Sex             MiRed(Sex a, Sex b);
Sex             Minsec(Sex a, Sex b);


#if 0
Sex             Mcset(Sex a);
#endif

Sex             Mtriangular(Sex a);


int             Mcomp(const Sex * a, const Sex * b);
Sex             Msort1(Sex a);
Sex             Msort2(Sex a);
Sex             MbasicSet2(Sex a);
Sex             MbasicSet1(Sex a);
bool            Mnumber_in(Sex a);
Sex             Mexcept_zero(Sex a);
Sex             Mrset(Sex a);
Sex             Norm(Sex a);
Sex             AAdiff(Sex a, Sex x);
extern Sex      Adiff(Sex a, Sex x);
Sex             Lbibun(Sex a);
Sex             Float(Sex a);
Sex             w_define(Sex a, Sex b);
Sex             STrem(Sex a);
Sex             Lis_number(Sex a);
Sex             Lis_poly(Sex a);
