/*
 * trig.h      (C); Copyright 2011 by Fujio Kako, Nara Women's University.
 * Transcendental Functions.
 *      $Header: /Users/kako/asuka/src/RCS/trig.h,v 2.1 2012/10/21 13:32:48 kako Exp $
 */


Sex             Lsin(Sex a);

Sex             Lcos(Sex a);

Sex             Ltan(Sex a);

Sex             Lasin(Sex a);

Sex             Lacos(Sex a);

Sex             Latan(Sex a);

Sex             Lsinh(Sex a);

Sex             Lcosh(Sex a);

Sex             Ltanh(Sex a);

Sex             Lasinh(Sex a);

Sex             Lacosh(Sex a);

Sex             Latanh(Sex a);

Sex             Lexp(Sex a);
Sex             Llog(Sex a);

Sex             Llog2(Sex a);

Sex             Llog10(Sex a);

Sex             Lsqrt(Sex a);

Sex             Lcbrt(Sex a);


Sex             Lasec(Sex a);

Sex             Lasech(Sex a);

Sex             Lacsc(Sex a);

Sex             Lacsch(Sex a);

Sex             Lacot(Sex a);

Sex             Lacoth(Sex a);


Sex             Lsec(Sex a);

Sex             Lsech(Sex a);

Sex             Lcsc(Sex a);

Sex             Lcsch(Sex a);

Sex             Lcot(Sex a);

Sex             Lcoth(Sex a);



Sex             Lexpt(Sex a, Sex b);


#ifdef ASUKA
Sex             Aexpti(Sex a, long n);

Sex             Aexpt(Sex a, Sex b);

#endif

Sex             Llog_2(Sex a, Sex b);


Sex             Labs(Sex a);

Sex             Lhypot(Sex a, Sex b);


Sex             Latan2(Sex a, Sex b);



Sex             Lpi(void);

Sex             Le(void);

Sex             Le_x(Sex x);
Sex             ifactorial_part(long m, long n);

Sex             ifactorial(long n);

Sex             ffactorial(double x);

Sex             bffactorial(Sex a);

Sex             Lpfactorial(Sex a, Sex b);


Sex             Lfactorial(Sex a);

Sex             ibinomial(long n, long m);

Sex             Lbinomial(Sex a, Sex b);
