#/*
# * umath.s      (C) Copyright 2011 by Fujio Kako, Nara Women's University.
# * 
# *      $Header: /Users/kako/asuka/src/RCS/umath_linux32.s,v 2.2 2012/10/22 02:11:52 kako Exp $
# */

#static char const rcsid[] =
#"$Id: umath_linux32.s,v 2.2 2012/10/22 02:11:52 kako Exp $";

	.text
	.align	8, 0x90
	.globl	umul

	.globl	umuldiv
	.globl	umulquo
	.globl	umulrem

	.globl	udiv
	.globl	uquo
	.globl	urem

	.globl	umuladd


#	h = umul(*l, a, b);	; a * b -> h . l
#	    umul(rdi, rsi, rdx)
umul:
	movl	4(%esp), %ecx
	movl	8(%esp), %eax
	mull	12(%esp)
	movl	%eax, (%ecx)
	movl	%edx, %eax
	ret
#	q = umuldiv(*r, a, b, m);	; a * b / m  -> q . r
#	    umuldiv(rdi, rsi, rdx, rcx)
umuldiv:
	movl	4(%esp), %ecx
	movl	8(%esp), %eax
	mull	12(%esp)
	divl	16(%esp)
	movl	%edx, (%ecx)
	ret
#	q = umulquo(a, b, m);	; a * b / m  -> q . r
#	    umulquo(rdi, rsi, rdx)
umulquo:
	movl	4(%esp), %eax
	mull	8(%esp)
	divl	12(%esp)
	ret
#	r = umulrem(a, b, m);	; a * b / m  -> q . r
#	    umulrem(rdi, rsi, rdx)
umulrem:
	movl	4(%esp), %eax
	mull	8(%esp)
	divl	12(%esp)
	movl	%edx, %eax
	ret
#	q = udiv(*r, h, l, d);	h . l / d -> q .. r
#		 udiv(%rdi, %rsi, %rdx, %rcx)
udiv:
	movl	12(%esp), %eax
	movl	8(%esp), %edx
	divl	16(%esp)
	movl	4(%esp), %ecx
	movl	%edx, (%ecx)
	ret
#	q = uquo(h, l, d);	h . l / d -> q .. r
#		 uquo(%rdi, %rsi, %rdx)
uquo:
	movl	8(%esp), %eax
	movl	4(%esp), %edx
	divl	12(%esp)
	ret
#	r = urem(h, l, d);	h . l / d -> q .. r
#		 urem(%rdi, %rsi, %rdx)
urem:
	movl	8(%esp), %eax
	movl	4(%esp), %edx
	divl	12(%esp)
	movl	%edx, %eax
	ret
#	h = umuladd(*l, a, b, c);	; a * b + c -> h . l
#	    (rdi, rsi, rdx, rcx)
umuladd:
	push	%ebx
	movl	8(%esp), %ecx
	movl	12(%esp), %eax
	mull	16(%esp)
	xorl	%ebx, %ebx
	addl	20(%esp), %eax
	movl	%eax, (%ecx)
	adcl	%ebx, %edx
	movl	%edx, %eax
	pop	%ebx
	ret
