#include <stdlib.h>
#include <stdarg.h>
#include <string.h>
#include <ctype.h>
#include "config.h"
#include "tags.h"
#include "errors.h"
#include "externs.h"
#include "arith.h"
#include "macros.h"
#include "entries.h"
#include "gprotos.h"
#include "g_linalg.h"

extern Sex *literal_vectors[];
extern int number_of_literal_vectors;
Sex linalg_literal_vector[];
const char *linalg_literal_string[];
setup_type const  linalg_g_setup[];
#define LITERAL linalg_literal_vector




Sex CC_test_gauss(Sex a)
{
    Sex q, m, arg4;
    Sex *sp = stack;
    stackcheck();
    stack = sp + 13;
    w13 = nil;
    w12 = nil;
    w11 = nil;
    w10 = nil;
    w9 = nil;
    w8 = nil;
    w7 = nil;
    w6 = nil;
    w2 = nil;
    w3 = nil;
    w4 = nil;
    w5 = nil;
    w1 = a;
    q = a;
    a = Lmkarray2(a, q);
    w2 = a;
    w9 = nil;
    a = mkfxat(1);
    w6 = a;
    a = w1;
    w7 = a;
    a = mkfxat(1);
    w8 = a;
    m = a;
    q = w7;
    a = w6;
    CC_Wchkfor(a, q, m);
   G0018:
    a = mkfxat(1);
    w10 = a;
    a = w1;
    w11 = a;
    a = mkfxat(1);
    w12 = a;
    m = a;
    q = w11;
    a = w10;
    CC_Wchkfor(a, q, m);
   G0020:
    a = mkfxat(100);
    a = Lrandom(a);
    arg4 = w10;
    m = w6;
    q = a;
    a = w2;
    a = Lsetarray2(a, q, m, arg4);
    w13 = a;
    q = w12;
    a = w10;
    a = plus2(a, q);
    w10 = a;
    m = w12;
    q = w11;
    a = CC_Wendfor(a, q, m);
    if(a == nil) goto    G0020;
    a = w13;
    w9 = a;
    q = w8;
    a = w6;
    a = plus2(a, q);
    w6 = a;
    m = w8;
    q = w7;
    a = CC_Wendfor(a, q, m);
    if(a == nil) goto    G0018;
    a = w1;
    a = Lmkarray1(a);
    w3 = a;
    a = mkfxat(1);
    w6 = a;
    a = w1;
    w7 = a;
    a = mkfxat(1);
    w8 = a;
    m = a;
    q = w7;
    a = w6;
    CC_Wchkfor(a, q, m);
   G0029:
    m = w6;
    q = mkfxat(0);
    a = w3;
    a = Lsetarray1(a, q, m);
    w9 = a;
    q = w8;
    a = w6;
    a = plus2(a, q);
    w6 = a;
    m = w8;
    q = w7;
    a = CC_Wendfor(a, q, m);
    if(a == nil) goto    G0029;
    m = mkfxat(1);
    q = mkfxat(1);
    a = w3;
    Lsetarray1(a, q, m);
    m = w3;
    q = w2;
    a = w1;
    a = CC_gauss(a, q, m);
    w3 = a;
    popv(13);
    return a;
}

Sex CC_gauss(Sex a, Sex q, Sex m)
{
    Sex arg4;
    Sex *sp = stack;
    stackcheck();
    stack = sp + 24;
    w24 = nil;
    w23 = nil;
    w22 = nil;
    w21 = nil;
    w20 = nil;
    w19 = nil;
    w18 = nil;
    w17 = nil;
    w15 = nil;
    w14 = nil;
    w11 = nil;
    w10 = nil;
    w8 = nil;
    w4 = nil;
    w5 = nil;
    w6 = nil;
    w7 = nil;
    w9 = nil;
    w12 = nil;
    w16 = nil;
    w1 = a;
    a = mkfxat(1);
    w13 = a;
    w2 = q;
    w3 = m;
    q = mkfxat(-1);
    a = w1;
    a = plus2(a, q);
    w14 = a;
    a = mkfxat(1);
    w15 = a;
    m = a;
    q = w14;
    a = w13;
    CC_Wchkfor(a, q, m);
   G0062:
    m = w13;
    q = m;
    a = w2;
    a = Lgetarray2(a, q, m);
    w10 = a;
    w20 = nil;
    a = w13;
    a = Ladd1(a);
    w17 = a;
    a = w1;
    w18 = a;
    a = mkfxat(1);
    w19 = a;
    m = a;
    q = w18;
    a = w17;
    CC_Wchkfor(a, q, m);
   G0064:
    m = w13;
    q = w17;
    a = w2;
    a = Lgetarray2(a, q, m);
    q = w10;
    a = ratio2(a, q);
    w8 = a;
    a = w13;
    a = Ladd1(a);
    w21 = a;
    a = w1;
    w22 = a;
    a = mkfxat(1);
    w23 = a;
    m = a;
    q = w22;
    a = w21;
    CC_Wchkfor(a, q, m);
   G0067:
    m = w21;
    q = w17;
    a = w2;
    a = Lgetarray2(a, q, m);
    w11 = a;
    m = w21;
    q = w13;
    a = w2;
    a = Lgetarray2(a, q, m);
    q = a;
    a = w8;
    a = times2(a, q);
    a = Lminus(a);
    q = a;
    a = w11;
    a = plus2(a, q);
    w11 = a;
    arg4 = w21;
    m = w17;
    q = a;
    a = w2;
    a = Lsetarray2(a, q, m, arg4);
    w24 = a;
    q = w23;
    a = w21;
    a = plus2(a, q);
    w21 = a;
    m = w23;
    q = w22;
    a = CC_Wendfor(a, q, m);
    if(a == nil) goto    G0067;
    a = w24;
    q = w17;
    a = w3;
    a = Lgetarray1(a, q);
    w12 = a;
    q = w13;
    a = w3;
    a = Lgetarray1(a, q);
    q = a;
    a = w8;
    a = times2(a, q);
    a = Lminus(a);
    q = a;
    a = w12;
    a = plus2(a, q);
    w12 = a;
    m = w17;
    q = a;
    a = w3;
    a = Lsetarray1(a, q, m);
    w20 = a;
    q = w19;
    a = w17;
    a = plus2(a, q);
    w17 = a;
    m = w19;
    q = w18;
    a = CC_Wendfor(a, q, m);
    if(a == nil) goto    G0064;
    a = w20;
    w16 = a;
    q = w15;
    a = w13;
    a = plus2(a, q);
    w13 = a;
    m = w15;
    q = w14;
    a = CC_Wendfor(a, q, m);
    if(a == nil) goto    G0062;
    q = w1;
    a = w3;
    a = Lgetarray1(a, q);
    w12 = a;
    m = w1;
    q = m;
    a = w2;
    a = Lgetarray2(a, q, m);
    q = a;
    a = w12;
    a = ratio2(a, q);
    w12 = a;
    w16 = nil;
    a = mkfxat(1);
    w13 = a;
    q = mkfxat(-1);
    a = w1;
    a = plus2(a, q);
    w14 = a;
    a = mkfxat(1);
    w15 = a;
    m = a;
    q = w14;
    a = w13;
    CC_Wchkfor(a, q, m);
   G0085:
    a = w13;
    a = Lminus(a);
    q = a;
    a = w1;
    a = plus2(a, q);
    w6 = a;
    q = a;
    a = w3;
    a = Lgetarray1(a, q);
    w9 = a;
    a = w6;
    a = Ladd1(a);
    w17 = a;
    a = w1;
    w18 = a;
    a = mkfxat(1);
    w19 = a;
    m = a;
    q = w18;
    a = w17;
    CC_Wchkfor(a, q, m);
   G0088:
    m = w17;
    q = w6;
    a = w2;
    a = Lgetarray2(a, q, m);
    w21 = a;
    q = w17;
    a = w3;
    a = Lgetarray1(a, q);
    q = a;
    a = w21;
    a = ratio2(a, q);
    a = Lminus(a);
    q = a;
    a = w9;
    a = plus2(a, q);
    w9 = a;
    w20 = a;
    q = w19;
    a = w17;
    a = plus2(a, q);
    w17 = a;
    m = w19;
    q = w18;
    a = CC_Wendfor(a, q, m);
    if(a == nil) goto    G0088;
    a = w20;
    m = w6;
    q = m;
    a = w2;
    a = Lgetarray2(a, q, m);
    q = a;
    a = w9;
    a = ratio2(a, q);
    m = w6;
    q = a;
    a = w3;
    a = Lsetarray1(a, q, m);
    w16 = a;
    q = w15;
    a = w13;
    a = plus2(a, q);
    w13 = a;
    m = w15;
    q = w14;
    a = CC_Wendfor(a, q, m);
    if(a == nil) goto    G0085;
    a = w3;
    popv(24);
    return a;
}

Sex CC_gaussKjordan(Sex a, Sex q, Sex m, Sex arg4)
{
    Sex *sp = stack;
    stackcheck();
    stack = sp + 34;
    w34 = nil;
    w33 = nil;
    w32 = nil;
    w31 = nil;
    w30 = nil;
    w29 = nil;
    w28 = nil;
    w27 = nil;
    w26 = nil;
    w25 = nil;
    w24 = nil;
    w23 = nil;
    w7 = nil;
    w6 = nil;
    w5 = nil;
    w8 = nil;
    w9 = nil;
    w10 = nil;
    w11 = nil;
    w12 = nil;
    w13 = nil;
    w14 = nil;
    w15 = nil;
    w16 = nil;
    w17 = nil;
    w18 = nil;
    w19 = nil;
    w20 = nil;
    w21 = nil;
    w22 = nil;
    w1 = a;
    w2 = q;
    w3 = m;
    w4 = arg4;
    a = q;
    a = Lmkarray1(a);
    w5 = a;
    a = w2;
    a = Lmkarray1(a);
    w6 = a;
    a = w2;
    a = Lmkarray1(a);
    w7 = a;
    a = mkfxat(1);
    w23 = a;
    a = w2;
    w24 = a;
    a = mkfxat(1);
    w25 = a;
    m = a;
    q = w24;
    a = w23;
    CC_Wchkfor(a, q, m);
   G0170:
    m = w23;
    q = mkfxat(0);
    a = w7;
    a = Lsetarray1(a, q, m);
    w26 = a;
    q = w25;
    a = w23;
    a = plus2(a, q);
    w23 = a;
    m = w25;
    q = w24;
    a = CC_Wendfor(a, q, m);
    if(a == nil) goto    G0170;
    w26 = nil;
    a = mkfxat(1);
    w23 = a;
    a = w2;
    w24 = a;
    a = mkfxat(1);
    w25 = a;
    m = a;
    q = w24;
    a = w23;
    CC_Wchkfor(a, q, m);
   G0175:
    a = mkfxat(0);
    w15 = a;
    w30 = nil;
    a = mkfxat(1);
    w27 = a;
    a = w2;
    w28 = a;
    a = mkfxat(1);
    w29 = a;
    m = a;
    q = w28;
    a = w27;
    CC_Wchkfor(a, q, m);
   G0177:
    q = w27;
    a = w7;
    a = Lgetarray1(a, q);
    a = Lonep(a);
    if(a == nil) goto    G0179;
    w31 = nil;
    w32 = nil;
    w33 = nil;
    w34 = nil;
    a = mkfxat(1);
    w31 = a;
    a = w2;
    w32 = a;
    a = mkfxat(1);
    w33 = a;
    m = a;
    q = w32;
    a = w31;
    CC_Wchkfor(a, q, m);
   G0182:
    q = w31;
    a = w7;
    a = Lgetarray1(a, q);
    w22 = a;
    a = Lzerop(a);
    if(a != nil) goto    G0267;
    q = mkfxat(1);
    a = w22;
    a = Lgreaterp(a, q);
    if(a == nil) goto    G0189;
    q = w22;
    a = LITERAL[0];
    a = Lerror(a, q);
   G0267:
    m = w27;
    q = w23;
    a = w1;
    a = Lgetarray2(a, q, m);
    w19 = a;
    a = Lminusp(a);
    if(a == nil) goto    G0186;
    a = w19;
    a = Lminus(a);
    w19 = a;
   G0186:
    q = w15;
    a = w19;
    a = Lgeq(a, q);
    if(a == nil) goto    G0189;
    a = w19;
    w15 = a;
    a = w23;
    w10 = a;
    a = w31;
    w9 = a;
   G0189:
    w34 = a;
    q = w33;
    a = w31;
    a = plus2(a, q);
    w31 = a;
    m = w33;
    q = w32;
    a = CC_Wendfor(a, q, m);
    if(a == nil) goto    G0182;
    a = w34;
   G0179:
    w30 = a;
    q = w29;
    a = w27;
    a = plus2(a, q);
    w27 = a;
    m = w29;
    q = w28;
    a = CC_Wendfor(a, q, m);
    if(a == nil) goto    G0177;
    a = w30;
    q = w9;
    a = w7;
    a = Lgetarray1(a, q);
    a = Ladd1(a);
    m = w9;
    q = a;
    a = w7;
    Lsetarray1(a, q, m);
    q = w9;
    a = w10;
    a = Lequal(a, q);
    if(a != nil) goto    G0199;
    w27 = nil;
    w28 = nil;
    w29 = nil;
    w30 = nil;
    a = mkfxat(1);
    w27 = a;
    a = w2;
    w28 = a;
    a = mkfxat(1);
    w29 = a;
    m = a;
    q = w28;
    a = w27;
    CC_Wchkfor(a, q, m);
   G0201:
    m = w27;
    q = w10;
    a = w1;
    a = Lgetarray2(a, q, m);
    w20 = a;
    m = w27;
    q = w9;
    a = w1;
    a = Lgetarray2(a, q, m);
    w21 = a;
    arg4 = w27;
    m = w10;
    q = a;
    a = w1;
    Lsetarray2(a, q, m, arg4);
    arg4 = w27;
    m = w9;
    q = w20;
    a = w1;
    a = Lsetarray2(a, q, m, arg4);
    w30 = a;
    q = w29;
    a = w27;
    a = plus2(a, q);
    w27 = a;
    m = w29;
    q = w28;
    a = CC_Wendfor(a, q, m);
    if(a == nil) goto    G0201;
    a = w30;
    w27 = nil;
    w28 = nil;
    w29 = nil;
    w30 = nil;
    a = mkfxat(1);
    w27 = a;
    a = w4;
    w28 = a;
    a = mkfxat(1);
    w29 = a;
    m = a;
    q = w28;
    a = w27;
    CC_Wchkfor(a, q, m);
   G0206:
    m = w27;
    q = w10;
    a = w3;
    a = Lgetarray2(a, q, m);
    w20 = a;
    m = w27;
    q = w9;
    a = w3;
    a = Lgetarray2(a, q, m);
    w21 = a;
    arg4 = w27;
    m = w10;
    q = a;
    a = w3;
    Lsetarray2(a, q, m, arg4);
    arg4 = w27;
    m = w9;
    q = w20;
    a = w3;
    a = Lsetarray2(a, q, m, arg4);
    w30 = a;
    q = w29;
    a = w27;
    a = plus2(a, q);
    w27 = a;
    m = w29;
    q = w28;
    a = CC_Wendfor(a, q, m);
    if(a == nil) goto    G0206;
    a = w30;
   G0199:
    m = w23;
    q = w10;
    a = w6;
    Lsetarray1(a, q, m);
    m = w23;
    q = w9;
    a = w5;
    Lsetarray1(a, q, m);
    m = w9;
    q = m;
    a = w1;
    a = Lgetarray2(a, q, m);
    a = Lzerop(a);
    if(a == nil) goto    G0211;
    q = w9;
    a = LITERAL[1];
    Lerror(a, q);
   G0211:
    m = w9;
    q = m;
    a = w1;
    a = Lgetarray2(a, q, m);
    q = a;
    a = mkfxat(1);
    a = quot2(a, q);
    w17 = a;
    arg4 = w9;
    m = arg4;
    q = mkfxat(1);
    a = w1;
    Lsetarray2(a, q, m, arg4);
    a = mkfxat(1);
    w27 = a;
    a = w2;
    w28 = a;
    a = mkfxat(1);
    w29 = a;
    m = a;
    q = w28;
    a = w27;
    CC_Wchkfor(a, q, m);
   G0215:
    m = w27;
    q = w9;
    a = w1;
    a = Lgetarray2(a, q, m);
    q = w17;
    a = times2(a, q);
    w20 = a;
    arg4 = w27;
    m = w9;
    q = a;
    a = w1;
    a = Lsetarray2(a, q, m, arg4);
    w30 = a;
    q = w29;
    a = w27;
    a = plus2(a, q);
    w27 = a;
    m = w29;
    q = w28;
    a = CC_Wendfor(a, q, m);
    if(a == nil) goto    G0215;
    a = w30;
    a = mkfxat(1);
    w27 = a;
    a = w4;
    w28 = a;
    a = mkfxat(1);
    w29 = a;
    m = a;
    q = w28;
    a = w27;
    CC_Wchkfor(a, q, m);
   G0220:
    m = w27;
    q = w9;
    a = w3;
    a = Lgetarray2(a, q, m);
    q = w17;
    a = times2(a, q);
    w20 = a;
    arg4 = w27;
    m = w9;
    q = a;
    a = w3;
    a = Lsetarray2(a, q, m, arg4);
    w30 = a;
    q = w29;
    a = w27;
    a = plus2(a, q);
    w27 = a;
    m = w29;
    q = w28;
    a = CC_Wendfor(a, q, m);
    if(a == nil) goto    G0220;
    a = w30;
    w30 = nil;
    a = mkfxat(1);
    w27 = a;
    a = w2;
    w28 = a;
    a = mkfxat(1);
    w29 = a;
    m = a;
    q = w28;
    a = w27;
    CC_Wchkfor(a, q, m);
   G0225:
    q = w9;
    a = w27;
    a = Lequal(a, q);
    if(a != nil) goto    G0227;
    m = w9;
    q = w27;
    a = w1;
    a = Lgetarray2(a, q, m);
    w16 = a;
    arg4 = w9;
    m = w27;
    q = mkfxat(0);
    a = w1;
    Lsetarray2(a, q, m, arg4);
    w31 = nil;
    w32 = nil;
    w33 = nil;
    w34 = nil;
    a = mkfxat(1);
    w31 = a;
    a = w2;
    w32 = a;
    a = mkfxat(1);
    w33 = a;
    m = a;
    q = w32;
    a = w31;
    CC_Wchkfor(a, q, m);
   G0229:
    m = w31;
    q = w9;
    a = w1;
    a = Lgetarray2(a, q, m);
    w20 = a;
    m = w31;
    q = w27;
    a = w1;
    a = Lgetarray2(a, q, m);
    w21 = a;
    q = w20;
    a = w16;
    a = times2(a, q);
    a = Lminus(a);
    q = a;
    a = w21;
    a = plus2(a, q);
    w21 = a;
    arg4 = w31;
    m = w27;
    q = a;
    a = w1;
    a = Lsetarray2(a, q, m, arg4);
    w34 = a;
    q = w33;
    a = w31;
    a = plus2(a, q);
    w31 = a;
    m = w33;
    q = w32;
    a = CC_Wendfor(a, q, m);
    if(a == nil) goto    G0229;
    a = w34;
    w31 = nil;
    w32 = nil;
    w33 = nil;
    w34 = nil;
    a = mkfxat(1);
    w31 = a;
    a = w4;
    w32 = a;
    a = mkfxat(1);
    w33 = a;
    m = a;
    q = w32;
    a = w31;
    CC_Wchkfor(a, q, m);
   G0236:
    m = w31;
    q = w9;
    a = w3;
    a = Lgetarray2(a, q, m);
    w20 = a;
    m = w31;
    q = w27;
    a = w3;
    a = Lgetarray2(a, q, m);
    w21 = a;
    q = w20;
    a = w16;
    a = times2(a, q);
    a = Lminus(a);
    q = a;
    a = w21;
    a = plus2(a, q);
    w21 = a;
    arg4 = w31;
    m = w27;
    q = a;
    a = w3;
    a = Lsetarray2(a, q, m, arg4);
    w34 = a;
    q = w33;
    a = w31;
    a = plus2(a, q);
    w31 = a;
    m = w33;
    q = w32;
    a = CC_Wendfor(a, q, m);
    if(a == nil) goto    G0236;
    a = w34;
    goto    G0226;
   G0227:
    a = nil;
   G0226:
    w30 = a;
    q = w29;
    a = w27;
    a = plus2(a, q);
    w27 = a;
    m = w29;
    q = w28;
    a = CC_Wendfor(a, q, m);
    if(a == nil) goto    G0225;
    a = w30;
    w26 = a;
    q = w25;
    a = w23;
    a = plus2(a, q);
    w23 = a;
    m = w25;
    q = w24;
    a = CC_Wendfor(a, q, m);
    if(a == nil) goto    G0175;
    w26 = nil;
    a = w2;
    w23 = a;
    a = mkfxat(1);
    w24 = a;
    a = mkfxat(-1);
    w25 = a;
    m = a;
    q = w24;
    a = w23;
    CC_Wchkfor(a, q, m);
   G0249:
    q = w23;
    a = w6;
    a = Lgetarray1(a, q);
    w27 = a;
    q = w23;
    a = w5;
    a = Lgetarray1(a, q);
    q = a;
    a = w27;
    a = Lequal(a, q);
    if(a != nil) goto    G0251;
    w27 = nil;
    w28 = nil;
    w29 = nil;
    w30 = nil;
    a = mkfxat(1);
    w27 = a;
    a = w2;
    w28 = a;
    a = mkfxat(1);
    w29 = a;
    m = a;
    q = w28;
    a = w27;
    CC_Wchkfor(a, q, m);
   G0255:
    q = w23;
    a = w6;
    a = Lgetarray1(a, q);
    m = a;
    q = w27;
    a = w1;
    a = Lgetarray2(a, q, m);
    w20 = a;
    q = w23;
    a = w5;
    a = Lgetarray1(a, q);
    m = a;
    q = w27;
    a = w1;
    a = Lgetarray2(a, q, m);
    w21 = a;
    q = w23;
    a = w6;
    a = Lgetarray1(a, q);
    arg4 = a;
    m = w27;
    q = w21;
    a = w1;
    Lsetarray2(a, q, m, arg4);
    q = w23;
    a = w5;
    a = Lgetarray1(a, q);
    arg4 = a;
    m = w27;
    q = w20;
    a = w1;
    a = Lsetarray2(a, q, m, arg4);
    w30 = a;
    q = w29;
    a = w27;
    a = plus2(a, q);
    w27 = a;
    m = w29;
    q = w28;
    a = CC_Wendfor(a, q, m);
    if(a == nil) goto    G0255;
    a = w30;
    goto    G0250;
   G0251:
    a = nil;
   G0250:
    w26 = a;
    q = w25;
    a = w23;
    a = plus2(a, q);
    w23 = a;
    m = w25;
    q = w24;
    a = CC_Wendfor(a, q, m);
    if(a == nil) goto    G0249;
    q = w3;
    a = w1;
    {
        popv(34);
        return  Llist2(a, q);
    }
}

Sex CC_gramKschmidt(Sex a, Sex q)
{
    Sex m, arg4;
    Sex *sp = stack;
    stackcheck();
    stack = sp + 14;
    w14 = nil;
    w13 = nil;
    w12 = nil;
    w11 = nil;
    w10 = nil;
    w9 = nil;
    w8 = nil;
    w7 = nil;
    w4 = nil;
    w3 = nil;
    w5 = nil;
    w6 = nil;
    w1 = a;
    w2 = q;
    a = q;
    a = Lmkarray2(a, q);
    w4 = a;
    w10 = nil;
    a = mkfxat(1);
    w7 = a;
    a = w2;
    w8 = a;
    a = mkfxat(1);
    w9 = a;
    m = a;
    q = w8;
    a = w7;
    CC_Wchkfor(a, q, m);
   G0292:
    a = car(w1);
    w3 = a;
    a = cdr(w1);
    w1 = a;
    a = mkfxat(1);
    w11 = a;
    a = w2;
    w12 = a;
    a = mkfxat(1);
    w13 = a;
    m = a;
    q = w12;
    a = w11;
    CC_Wchkfor(a, q, m);
   G0294:
    arg4 = w11;
    m = w7;
    q = car(w3);
    a = w4;
    Lsetarray2(a, q, m, arg4);
    a = cdr(w3);
    w3 = a;
    w14 = a;
    q = w13;
    a = w11;
    a = plus2(a, q);
    w11 = a;
    m = w13;
    q = w12;
    a = CC_Wendfor(a, q, m);
    if(a == nil) goto    G0294;
    a = w14;
    w10 = a;
    q = w9;
    a = w7;
    a = plus2(a, q);
    w7 = a;
    m = w9;
    q = w8;
    a = CC_Wendfor(a, q, m);
    if(a == nil) goto    G0292;
    w10 = nil;
    a = mkfxat(1);
    w7 = a;
    a = w2;
    w8 = a;
    a = mkfxat(1);
    w9 = a;
    m = a;
    q = w8;
    a = w7;
    CC_Wchkfor(a, q, m);
   G0302:
    a = mkfxat(1);
    w11 = a;
    a = w2;
    w12 = a;
    a = mkfxat(1);
    w13 = a;
    m = a;
    q = w12;
    a = w11;
    CC_Wchkfor(a, q, m);
   G0304:
    w14 = nil;
    q = w13;
    a = w11;
    a = plus2(a, q);
    w11 = a;
    m = w13;
    q = w12;
    a = CC_Wendfor(a, q, m);
    if(a == nil) goto    G0304;
    a = w14;
    w10 = a;
    q = w9;
    a = w7;
    a = plus2(a, q);
    w7 = a;
    m = w9;
    q = w8;
    a = CC_Wendfor(a, q, m);
    if(a == nil) goto    G0302;
    a = w4;
    popv(14);
    return a;
}

Sex CC_QRdecomposition(Sex a, Sex q, Sex m, Sex arg4, Sex arg5)
{
    Sex *sp = stack;
    stackcheck();
    stack = sp + 28;
    w28 = nil;
    w27 = nil;
    w26 = nil;
    w25 = nil;
    w24 = nil;
    w23 = nil;
    w22 = nil;
    w21 = nil;
    w20 = nil;
    w18 = nil;
    w17 = nil;
    w13 = nil;
    w6 = nil;
    w7 = nil;
    w8 = nil;
    w10 = nil;
    w11 = nil;
    w12 = nil;
    w14 = nil;
    w15 = nil;
    w1 = a;
    a = mkfxat(0);
    w5 = a;
    w9 = a;
    w19 = nil;
    a = mkfxat(1);
    w16 = a;
    w2 = q;
    w3 = m;
    w4 = arg4;
    q = mkfxat(-1);
    a = w2;
    a = plus2(a, q);
    w17 = a;
    a = mkfxat(1);
    w18 = a;
    m = a;
    q = w17;
    a = w16;
    CC_Wchkfor(a, q, m);
   G0350:
    a = w16;
    w20 = a;
    a = w2;
    w21 = a;
    a = mkfxat(1);
    w22 = a;
    m = a;
    q = w21;
    a = w20;
    CC_Wchkfor(a, q, m);
   G0352:
    m = w16;
    q = w20;
    a = w1;
    a = Lgetarray2(a, q, m);
    w13 = a;
    a = Lminusp(a);
    if(a == nil) goto    G0354;
    a = w13;
    a = Lminus(a);
    w13 = a;
   G0354:
    q = w13;
    a = w9;
    a = Llessp(a, q);
    if(a == nil) goto    G0356;
    a = w13;
    w9 = a;
   G0356:
    w23 = a;
    q = w22;
    a = w20;
    a = plus2(a, q);
    w20 = a;
    m = w22;
    q = w21;
    a = CC_Wendfor(a, q, m);
    if(a == nil) goto    G0352;
    a = w23;
    a = w9;
    a = Lzerop(a);
    if(a == nil) goto    G0361;
    a = mkfxat(1);
    w5 = a;
    m = w16;
    q = mkfxat(0);
    a = w3;
    Lsetarray1(a, q, m);
    m = w16;
    q = mkfxat(0);
    a = w4;
    a = Lsetarray1(a, q, m);
    goto    G0362;
   G0361:
    w20 = nil;
    w21 = nil;
    w22 = nil;
    w23 = nil;
    a = w16;
    w20 = a;
    a = w2;
    w21 = a;
    a = mkfxat(1);
    w22 = a;
    m = a;
    q = w21;
    a = w20;
    CC_Wchkfor(a, q, m);
   G0364:
    m = w16;
    q = w20;
    a = w1;
    a = Lgetarray2(a, q, m);
    w13 = a;
    q = w9;
    a = quot2(a, q);
    w13 = a;
    arg4 = w16;
    m = w20;
    q = a;
    a = w1;
    a = Lsetarray2(a, q, m, arg4);
    w23 = a;
    q = w22;
    a = w20;
    a = plus2(a, q);
    w20 = a;
    m = w22;
    q = w21;
    a = CC_Wendfor(a, q, m);
    if(a == nil) goto    G0364;
    a = w23;
    a = mkfxat(0);
    w11 = a;
    w20 = nil;
    w21 = nil;
    w22 = nil;
    w23 = nil;
    a = w16;
    w20 = a;
    a = w2;
    w21 = a;
    a = mkfxat(1);
    w22 = a;
    m = a;
    q = w21;
    a = w20;
    CC_Wchkfor(a, q, m);
   G0369:
    m = w16;
    q = w20;
    a = w1;
    a = Lgetarray2(a, q, m);
    a = Lsqrt(a);
    q = a;
    a = w11;
    a = plus2(a, q);
    w11 = a;
    w23 = a;
    q = w22;
    a = w20;
    a = plus2(a, q);
    w20 = a;
    m = w22;
    q = w21;
    a = CC_Wendfor(a, q, m);
    if(a == nil) goto    G0369;
    a = w23;
    m = w16;
    q = m;
    a = w1;
    a = Lgetarray2(a, q, m);
    w15 = a;
    a = w11;
    a = Lsqrt(a);
    w10 = a;
    a = w15;
    a = Lminusp(a);
    if(a == nil) goto    G0376;
    a = w10;
    a = Lminus(a);
    w10 = a;
   G0376:
    q = w10;
    a = w15;
    a = plus2(a, q);
    w15 = a;
    arg4 = w16;
    m = arg4;
    q = a;
    a = w1;
    Lsetarray2(a, q, m, arg4);
    q = w15;
    a = w10;
    a = times2(a, q);
    m = w16;
    q = a;
    a = w3;
    Lsetarray1(a, q, m);
    q = w10;
    a = w9;
    a = times2(a, q);
    a = Lminus(a);
    m = w16;
    q = a;
    a = w4;
    Lsetarray1(a, q, m);
    w20 = nil;
    w21 = nil;
    w22 = nil;
    w23 = nil;
    a = w16;
    a = Ladd1(a);
    w20 = a;
    a = w2;
    w21 = a;
    a = mkfxat(1);
    w22 = a;
    m = a;
    q = w21;
    a = w20;
    CC_Wchkfor(a, q, m);
   G0381:
    a = mkfxat(0);
    w11 = a;
    w24 = nil;
    w25 = nil;
    w26 = nil;
    w27 = nil;
    a = w16;
    w24 = a;
    a = w2;
    w25 = a;
    a = mkfxat(1);
    w26 = a;
    m = a;
    q = w25;
    a = w24;
    CC_Wchkfor(a, q, m);
   G0383:
    m = w16;
    q = w24;
    a = w1;
    a = Lgetarray2(a, q, m);
    w28 = a;
    m = w20;
    q = w24;
    a = w1;
    a = Lgetarray2(a, q, m);
    q = a;
    a = w28;
    a = times2(a, q);
    q = a;
    a = w11;
    a = plus2(a, q);
    w11 = a;
    w27 = a;
    q = w26;
    a = w24;
    a = plus2(a, q);
    w24 = a;
    m = w26;
    q = w25;
    a = CC_Wendfor(a, q, m);
    if(a == nil) goto    G0383;
    a = w27;
    q = w16;
    a = w3;
    a = Lgetarray1(a, q);
    q = a;
    a = w11;
    a = quot2(a, q);
    w12 = a;
    w24 = nil;
    w25 = nil;
    w26 = nil;
    w27 = nil;
    a = w16;
    w24 = a;
    a = w2;
    w25 = a;
    a = mkfxat(1);
    w26 = a;
    m = a;
    q = w25;
    a = w24;
    CC_Wchkfor(a, q, m);
   G0392:
    m = w16;
    q = w24;
    a = w1;
    a = Lgetarray2(a, q, m);
    w13 = a;
    m = w20;
    q = w24;
    a = w1;
    a = Lgetarray2(a, q, m);
    w14 = a;
    q = w13;
    a = w12;
    a = times2(a, q);
    q = a;
    a = w14;
    a = diff2(a, q);
    arg4 = w20;
    m = w24;
    q = a;
    a = w1;
    a = Lgetarray3(a, q, m, arg4);
    w27 = a;
    q = w26;
    a = w24;
    a = plus2(a, q);
    w24 = a;
    m = w26;
    q = w25;
    a = CC_Wendfor(a, q, m);
    if(a == nil) goto    G0392;
    a = w27;
    w23 = a;
    q = w22;
    a = w20;
    a = plus2(a, q);
    w20 = a;
    m = w22;
    q = w21;
    a = CC_Wendfor(a, q, m);
    if(a == nil) goto    G0381;
    a = w23;
    m = w2;
    q = m;
    a = w1;
    a = Lgetarray2(a, q, m);
    m = w2;
    q = a;
    a = w4;
    Lsetarray1(a, q, m);
    q = w2;
    a = w4;
    a = Lgetarray1(a, q);
    a = Lzerop(a);
    if(a == nil) goto    G0362;
    a = mkfxat(1);
    w5 = a;
   G0362:
    w19 = a;
    q = w18;
    a = w16;
    a = plus2(a, q);
    w16 = a;
    m = w18;
    q = w17;
    a = CC_Wendfor(a, q, m);
    if(a == nil) goto    G0350;
    m = w5;
    q = w4;
    a = w1;
    {
        popv(28);
        return  Llist3(a, q, m);
    }
}

Sex CC_AQRdecomp(Sex a, Sex q)
{
    Sex m, arg4;
    Sex *sp = stack;
    stackcheck();
    stack = sp + 19;
    w19 = nil;
    w18 = nil;
    w17 = nil;
    w16 = nil;
    w15 = nil;
    w14 = nil;
    w13 = nil;
    w12 = nil;
    w7 = nil;
    w3 = nil;
    w4 = nil;
    w5 = nil;
    w8 = nil;
    w9 = nil;
    w10 = nil;
    w1 = a;
    a = cdr(cdr(a));
    w11 = a;
    a = car(cdr(a));
    w6 = a;
    w2 = q;
    a = car(cdr(cdr(w11)));
    a = Labs(a);
    w7 = a;
    q = mkfxat(1);
    a = w6;
    a = Lleq(a, q);
    if(a == nil) goto    G0445;
    a = w1;
    goto    G0441;
   G0445:
    q = w7;
    a = w6;
    a = Lmkarray2(a, q);
    w3 = a;
    a = car(cdr(w1));
    w5 = a;
    w15 = nil;
    a = mkfxat(1);
    w12 = a;
    a = w6;
    w13 = a;
    a = mkfxat(1);
    w14 = a;
    m = a;
    q = w13;
    a = w12;
    CC_Wchkfor(a, q, m);
   G0447:
    a = mkfxat(1);
    w16 = a;
    a = w7;
    w17 = a;
    a = mkfxat(1);
    w18 = a;
    m = a;
    q = w17;
    a = w16;
    CC_Wchkfor(a, q, m);
   G0449:
    q = mkfxat(-1);
    a = w12;
    a = plus2(a, q);
    q = w7;
    a = times2(a, q);
    q = w16;
    a = plus2(a, q);
    w11 = a;
    q = a;
    a = w5;
    a = Lgetv(a, q);
    arg4 = w16;
    m = w12;
    q = a;
    a = w3;
    a = Lsetarray2(a, q, m, arg4);
    w19 = a;
    q = w18;
    a = w16;
    a = plus2(a, q);
    w16 = a;
    m = w18;
    q = w17;
    a = CC_Wendfor(a, q, m);
    if(a == nil) goto    G0449;
    a = w19;
    w15 = a;
    q = w14;
    a = w12;
    a = plus2(a, q);
    w12 = a;
    m = w14;
    q = w13;
    a = CC_Wendfor(a, q, m);
    if(a == nil) goto    G0447;
    arg4 = w2;
    m = w7;
    q = w6;
    a = w3;
    CC_QRdecompGvH(a, q, m, arg4);
    w15 = nil;
    a = mkfxat(1);
    w12 = a;
    a = w6;
    w13 = a;
    a = mkfxat(1);
    w14 = a;
    m = a;
    q = w13;
    a = w12;
    CC_Wchkfor(a, q, m);
   G0460:
    a = mkfxat(1);
    w16 = a;
    a = w7;
    w17 = a;
    a = mkfxat(1);
    w18 = a;
    m = a;
    q = w17;
    a = w16;
    CC_Wchkfor(a, q, m);
   G0462:
    q = mkfxat(-1);
    a = w12;
    a = plus2(a, q);
    q = w7;
    a = times2(a, q);
    q = w16;
    a = plus2(a, q);
    w10 = a;
    m = w16;
    q = w12;
    a = w3;
    a = Lgetarray2(a, q, m);
    m = a;
    q = w10;
    a = w5;
    a = Lputv(a, q, m);
    w19 = a;
    q = w18;
    a = w16;
    a = plus2(a, q);
    w16 = a;
    m = w18;
    q = w17;
    a = CC_Wendfor(a, q, m);
    if(a == nil) goto    G0462;
    a = w19;
    w15 = a;
    q = w14;
    a = w12;
    a = plus2(a, q);
    w12 = a;
    m = w14;
    q = w13;
    a = CC_Wendfor(a, q, m);
    if(a == nil) goto    G0460;
    a = w7;
    a = Lminus(a);
    q = a;
    a = w6;
    a = Llist2(a, q);
    q = a;
    a = w5;
    a = CC_convTarry2matx(a, q);
    w5 = a;
    a = w2;
    if(a == nil) goto    G0492;
    q = w6;
    a = q;
    a = times2(a, q);
    a = Lmkvect(a);
    w11 = a;
    w15 = nil;
    a = mkfxat(1);
    w12 = a;
    a = w6;
    w13 = a;
    a = mkfxat(1);
    w14 = a;
    m = a;
    q = w13;
    a = w12;
    CC_Wchkfor(a, q, m);
   G0478:
    a = mkfxat(1);
    w16 = a;
    a = w6;
    w17 = a;
    a = mkfxat(1);
    w18 = a;
    m = a;
    q = w17;
    a = w16;
    CC_Wchkfor(a, q, m);
   G0480:
    q = mkfxat(-1);
    a = w12;
    a = plus2(a, q);
    q = w6;
    a = times2(a, q);
    q = w16;
    a = plus2(a, q);
    w10 = a;
    m = w16;
    q = w12;
    a = w4;
    a = Lgetarray2(a, q, m);
    m = a;
    q = w10;
    a = w11;
    a = Lputv(a, q, m);
    w19 = a;
    q = w18;
    a = w16;
    a = plus2(a, q);
    w16 = a;
    m = w18;
    q = w17;
    a = CC_Wendfor(a, q, m);
    if(a == nil) goto    G0480;
    a = w19;
    w15 = a;
    q = w14;
    a = w12;
    a = plus2(a, q);
    w12 = a;
    m = w14;
    q = w13;
    a = CC_Wendfor(a, q, m);
    if(a == nil) goto    G0478;
    a = w6;
    a = Lminus(a);
    q = a;
    a = w6;
    a = Llist2(a, q);
    q = a;
    a = w11;
    a = CC_convTarry2matx(a, q);
#define LL_Hbyproduct LITERAL[2]
    value(LL_Hbyproduct) = a;
   G0492:
    a = w5;
   G0441:
    popv(19);
    return a;
}

Sex CC_QRdecompGvH(Sex a, Sex q, Sex m, Sex arg4)
{
    Sex *sp = stack;
    stackcheck();
    stack = sp + 20;
    w20 = nil;
    w19 = nil;
    w18 = nil;
    w17 = nil;
    w16 = nil;
    w14 = nil;
    w9 = nil;
    w8 = nil;
    w7 = nil;
    w6 = nil;
    w5 = nil;
    w10 = nil;
    w11 = nil;
    w12 = nil;
    w13 = nil;
    w15 = nil;
    w1 = a;
    w2 = q;
    w3 = m;
    w4 = arg4;
    a = q;
    a = CC_mtxTunit(a);
    w5 = a;
    a = mkfxat(1);
    w6 = a;
    q = mkfxat(-1);
    a = w2;
    a = plus2(a, q);
    q = w3;
    a = Lmin2(a, q);
    w7 = a;
   G0516:
    a = w2;
    w9 = a;
   G0517:
    q = mkfxat(-1);
    a = w9;
    a = plus2(a, q);
    w8 = a;
    m = w6;
    q = w9;
    a = w1;
    a = Lgetarray2(a, q, m);
    w14 = a;
    a = Lzerop(a);
    if(a != nil) goto    G0574;
    m = w6;
    q = w8;
    a = w1;
    a = Lgetarray2(a, q, m);
    w13 = a;
    a = Labs(a);
    q = a;
    a = mkfxat(10);
    a = times2(a, q);
    w16 = a;
    a = w14;
    a = Labs(a);
    q = a;
    a = w16;
    a = Lgreaterp(a, q);
    if(a != nil) goto    G0518;
    q = w9;
    a = w8;
    a = Llist2(a, q);
    q = a;
    a = LITERAL[3];
    CC_argprint(a, q);
    a = w6;
    w16 = a;
    a = w3;
    w17 = a;
    a = mkfxat(1);
    w18 = a;
    m = a;
    q = w17;
    a = w16;
    CC_Wchkfor(a, q, m);
   G0533:
    m = w16;
    q = w8;
    a = w1;
    a = Lgetarray2(a, q, m);
    w13 = a;
    m = w16;
    q = w9;
    a = w1;
    a = Lgetarray2(a, q, m);
    w14 = a;
    arg4 = w16;
    m = w8;
    q = a;
    a = w1;
    Lsetarray2(a, q, m, arg4);
    arg4 = w16;
    m = w9;
    q = w13;
    a = w1;
    a = Lsetarray2(a, q, m, arg4);
    w19 = a;
    q = w18;
    a = w16;
    a = plus2(a, q);
    w16 = a;
    m = w18;
    q = w17;
    a = CC_Wendfor(a, q, m);
    if(a == nil) goto    G0533;
    a = w4;
    if(a == nil) goto    G0517;
    a = mkfxat(1);
    w16 = a;
    a = w2;
    w17 = a;
    a = mkfxat(1);
    w18 = a;
    m = a;
    q = w17;
    a = w16;
    CC_Wchkfor(a, q, m);
   G0540:
    m = w8;
    q = w16;
    a = w5;
    a = Lgetarray2(a, q, m);
    w13 = a;
    m = w9;
    q = w16;
    a = w5;
    a = Lgetarray2(a, q, m);
    w14 = a;
    arg4 = w8;
    m = w16;
    q = a;
    a = w5;
    Lsetarray2(a, q, m, arg4);
    arg4 = w9;
    m = w16;
    q = w13;
    a = w5;
    a = Lsetarray2(a, q, m, arg4);
    w19 = a;
    q = w18;
    a = w16;
    a = plus2(a, q);
    w16 = a;
    m = w18;
    q = w17;
    a = CC_Wendfor(a, q, m);
    if(a == nil) goto    G0540;
    goto    G0517;
   G0518:
    q = mkfxat(2);
    a = w13;
    a = Lexpt(a, q);
    w16 = a;
    q = mkfxat(2);
    a = w14;
    a = Lexpt(a, q);
    q = a;
    a = w16;
    a = plus2(a, q);
    a = Lsqrt(a);
    w15 = a;
    q = a;
    a = w13;
    a = quot2(a, q);
    w11 = a;
    q = w15;
    a = w14;
    a = quot2(a, q);
    w12 = a;
    arg4 = w6;
    m = w8;
    q = w15;
    a = w1;
    Lsetarray2(a, q, m, arg4);
    arg4 = w6;
    m = w9;
    q = mkfxat(0);
    a = w1;
    Lsetarray2(a, q, m, arg4);
    a = w4;
    if(a == nil) goto    G0560;
    a = mkfxat(1);
    w16 = a;
    a = w2;
    w17 = a;
    a = mkfxat(1);
    w18 = a;
    m = a;
    q = w17;
    a = w16;
    CC_Wchkfor(a, q, m);
   G0550:
    m = w8;
    q = w16;
    a = w5;
    a = Lgetarray2(a, q, m);
    w13 = a;
    m = w9;
    q = w16;
    a = w5;
    a = Lgetarray2(a, q, m);
    w14 = a;
    q = w11;
    a = w13;
    a = times2(a, q);
    w20 = a;
    q = w12;
    a = w14;
    a = times2(a, q);
    q = a;
    a = w20;
    a = plus2(a, q);
    arg4 = w8;
    m = w16;
    q = a;
    a = w5;
    Lsetarray2(a, q, m, arg4);
    a = w12;
    a = Lminus(a);
    q = a;
    a = w13;
    a = times2(a, q);
    w20 = a;
    q = w11;
    a = w14;
    a = times2(a, q);
    q = a;
    a = w20;
    a = plus2(a, q);
    arg4 = w9;
    m = w16;
    q = a;
    a = w5;
    a = Lsetarray2(a, q, m, arg4);
    w19 = a;
    q = w18;
    a = w16;
    a = plus2(a, q);
    w16 = a;
    m = w18;
    q = w17;
    a = CC_Wendfor(a, q, m);
    if(a == nil) goto    G0550;
   G0560:
    q = w3;
    a = w6;
    a = Lequal(a, q);
    if(a != nil) goto    G0574;
    a = w6;
    a = Ladd1(a);
    w16 = a;
    a = w3;
    w17 = a;
    a = mkfxat(1);
    w18 = a;
    m = a;
    q = w17;
    a = w16;
    CC_Wchkfor(a, q, m);
   G0564:
    m = w16;
    q = w8;
    a = w1;
    a = Lgetarray2(a, q, m);
    w13 = a;
    m = w16;
    q = w9;
    a = w1;
    a = Lgetarray2(a, q, m);
    w14 = a;
    q = w13;
    a = w11;
    a = times2(a, q);
    w20 = a;
    q = w14;
    a = w12;
    a = times2(a, q);
    q = a;
    a = w20;
    a = plus2(a, q);
    arg4 = w16;
    m = w8;
    q = a;
    a = w1;
    Lsetarray2(a, q, m, arg4);
    a = w12;
    a = Lminus(a);
    q = w13;
    a = times2(a, q);
    w20 = a;
    q = w14;
    a = w11;
    a = times2(a, q);
    q = a;
    a = w20;
    a = plus2(a, q);
    arg4 = w16;
    m = w9;
    q = a;
    a = w1;
    a = Lsetarray2(a, q, m, arg4);
    w19 = a;
    q = w18;
    a = w16;
    a = plus2(a, q);
    w16 = a;
    m = w18;
    q = w17;
    a = CC_Wendfor(a, q, m);
    if(a == nil) goto    G0564;
   G0574:
    a = w9;
    a = Lsub1(a);
    w9 = a;
    w16 = a;
    a = w6;
    a = Ladd1(a);
    q = a;
    a = w16;
    a = Lgeq(a, q);
    if(a != nil) goto    G0517;
    a = w6;
    a = Ladd1(a);
    w6 = a;
    q = w7;
    a = Lleq(a, q);
    if(a != nil) goto    G0516;
    q = w1;
    a = w5;
    {
        popv(20);
        return  cons(a, q);
    }
}

Sex CC_AHessen(Sex a, Sex q)
{
    Sex m, arg4;
    Sex *sp = stack;
    stackcheck();
    stack = sp + 19;
    w19 = nil;
    w18 = nil;
    w17 = nil;
    w16 = nil;
    w15 = nil;
    w14 = nil;
    w13 = nil;
    w12 = nil;
    w7 = nil;
    w3 = nil;
    w4 = nil;
    w5 = nil;
    w8 = nil;
    w9 = nil;
    w10 = nil;
    w1 = a;
    a = cdr(cdr(a));
    w11 = a;
    a = car(cdr(a));
    w6 = a;
    w2 = q;
    a = car(cdr(cdr(w11)));
    a = Labs(a);
    w7 = a;
    q = mkfxat(2);
    a = w6;
    a = Lleq(a, q);
    if(a != nil) goto    G0664;
    q = w7;
    a = w6;
    a = Lmkarray2(a, q);
    w3 = a;
    a = car(cdr(w1));
    w5 = a;
    w15 = nil;
    a = mkfxat(1);
    w12 = a;
    a = w6;
    w13 = a;
    a = mkfxat(1);
    w14 = a;
    m = a;
    q = w13;
    a = w12;
    CC_Wchkfor(a, q, m);
   G0621:
    a = mkfxat(1);
    w16 = a;
    a = w7;
    w17 = a;
    a = mkfxat(1);
    w18 = a;
    m = a;
    q = w17;
    a = w16;
    CC_Wchkfor(a, q, m);
   G0623:
    q = mkfxat(-1);
    a = w12;
    a = plus2(a, q);
    q = w7;
    a = times2(a, q);
    q = w16;
    a = plus2(a, q);
    w11 = a;
    q = a;
    a = w5;
    a = Lgetv(a, q);
    arg4 = w16;
    m = w12;
    q = a;
    a = w3;
    a = Lsetarray2(a, q, m, arg4);
    w19 = a;
    q = w18;
    a = w16;
    a = plus2(a, q);
    w16 = a;
    m = w18;
    q = w17;
    a = CC_Wendfor(a, q, m);
    if(a == nil) goto    G0623;
    a = w19;
    w15 = a;
    q = w14;
    a = w12;
    a = plus2(a, q);
    w12 = a;
    m = w14;
    q = w13;
    a = CC_Wendfor(a, q, m);
    if(a == nil) goto    G0621;
    m = w2;
    q = w7;
    a = w3;
    CC_HessenGvH(a, q, m);
    w15 = nil;
    a = mkfxat(1);
    w12 = a;
    a = w6;
    w13 = a;
    a = mkfxat(1);
    w14 = a;
    m = a;
    q = w13;
    a = w12;
    CC_Wchkfor(a, q, m);
   G0634:
    a = mkfxat(1);
    w16 = a;
    a = w7;
    w17 = a;
    a = mkfxat(1);
    w18 = a;
    m = a;
    q = w17;
    a = w16;
    CC_Wchkfor(a, q, m);
   G0636:
    q = mkfxat(-1);
    a = w12;
    a = plus2(a, q);
    q = w7;
    a = times2(a, q);
    q = w16;
    a = plus2(a, q);
    w11 = a;
    m = w16;
    q = w12;
    a = w3;
    a = Lgetarray2(a, q, m);
    m = a;
    q = w11;
    a = w5;
    a = Lputv(a, q, m);
    w19 = a;
    q = w18;
    a = w16;
    a = plus2(a, q);
    w16 = a;
    m = w18;
    q = w17;
    a = CC_Wendfor(a, q, m);
    if(a == nil) goto    G0636;
    a = w19;
    w15 = a;
    q = w14;
    a = w12;
    a = plus2(a, q);
    w12 = a;
    m = w14;
    q = w13;
    a = CC_Wendfor(a, q, m);
    if(a == nil) goto    G0634;
    a = w7;
    a = Lminus(a);
    q = a;
    a = w6;
    a = Llist2(a, q);
    q = a;
    a = w5;
    a = CC_convTarry2matx(a, q);
    w1 = a;
    q = w6;
    a = q;
    a = times2(a, q);
    a = Lmkvect(a);
    w5 = a;
    w15 = nil;
    a = mkfxat(1);
    w12 = a;
    a = w6;
    w13 = a;
    a = mkfxat(1);
    w14 = a;
    m = a;
    q = w13;
    a = w12;
    CC_Wchkfor(a, q, m);
   G0650:
    a = mkfxat(1);
    w16 = a;
    a = w6;
    w17 = a;
    a = mkfxat(1);
    w18 = a;
    m = a;
    q = w17;
    a = w16;
    CC_Wchkfor(a, q, m);
   G0652:
    q = mkfxat(-1);
    a = w12;
    a = plus2(a, q);
    q = w6;
    a = times2(a, q);
    q = w16;
    a = plus2(a, q);
    w10 = a;
    m = w16;
    q = w12;
    a = w4;
    a = Lgetarray2(a, q, m);
    m = a;
    q = w10;
    a = w5;
    a = Lputv(a, q, m);
    w19 = a;
    q = w18;
    a = w16;
    a = plus2(a, q);
    w16 = a;
    m = w18;
    q = w17;
    a = CC_Wendfor(a, q, m);
    if(a == nil) goto    G0652;
    a = w19;
    w15 = a;
    q = w14;
    a = w12;
    a = plus2(a, q);
    w12 = a;
    m = w14;
    q = w13;
    a = CC_Wendfor(a, q, m);
    if(a == nil) goto    G0650;
    a = w6;
    a = Lminus(a);
    q = a;
    a = w6;
    a = Llist2(a, q);
    q = a;
    a = w5;
    a = CC_convTarry2matx(a, q);
    value(LL_Hbyproduct) = a;
   G0664:
    a = w1;
    popv(19);
    return a;
}

Sex CC_HessenGvH(Sex a, Sex q, Sex m)
{
    Sex arg4;
    Sex *sp = stack;
    stackcheck();
    stack = sp + 20;
    w20 = nil;
    w19 = nil;
    w18 = nil;
    w17 = nil;
    w16 = nil;
    w14 = nil;
    w9 = nil;
    w8 = nil;
    w7 = nil;
    w6 = nil;
    w5 = nil;
    w4 = nil;
    w10 = nil;
    w11 = nil;
    w12 = nil;
    w13 = nil;
    w15 = nil;
    w1 = a;
    w2 = q;
    w3 = m;
    a = q;
    a = Llist2(a, q);
    q = a;
    a = w1;
    a = CC_mtxTcopy(a, q);
    w4 = a;
    a = w2;
    a = CC_mtxTunit(a);
    w5 = a;
    a = mkfxat(1);
    w6 = a;
    q = mkfxat(-2);
    a = w2;
    a = plus2(a, q);
    w7 = a;
   G0698:
    a = w2;
    w9 = a;
   G0699:
    q = mkfxat(-1);
    a = w9;
    a = plus2(a, q);
    w8 = a;
    m = w6;
    q = w9;
    a = w4;
    a = Lgetarray2(a, q, m);
    w14 = a;
    a = Lzerop(a);
    if(a != nil) goto    G0785;
    m = w6;
    q = w8;
    a = w4;
    a = Lgetarray2(a, q, m);
    w13 = a;
    a = Labs(a);
    q = a;
    a = mkfxat(10);
    a = times2(a, q);
    w16 = a;
    a = w14;
    a = Labs(a);
    q = a;
    a = w16;
    a = Lgreaterp(a, q);
    if(a != nil) goto    G0700;
    q = w9;
    a = w8;
    a = Llist2(a, q);
    q = a;
    a = LITERAL[4];
    CC_argprint(a, q);
    a = w6;
    w16 = a;
    a = w2;
    w17 = a;
    a = mkfxat(1);
    w18 = a;
    m = a;
    q = w17;
    a = w16;
    CC_Wchkfor(a, q, m);
   G0715:
    m = w16;
    q = w8;
    a = w4;
    a = Lgetarray2(a, q, m);
    w13 = a;
    m = w16;
    q = w9;
    a = w4;
    a = Lgetarray2(a, q, m);
    w14 = a;
    arg4 = w16;
    m = w8;
    q = a;
    a = w4;
    Lsetarray2(a, q, m, arg4);
    arg4 = w16;
    m = w9;
    q = w13;
    a = w4;
    a = Lsetarray2(a, q, m, arg4);
    w19 = a;
    q = w18;
    a = w16;
    a = plus2(a, q);
    w16 = a;
    m = w18;
    q = w17;
    a = CC_Wendfor(a, q, m);
    if(a == nil) goto    G0715;
    a = mkfxat(1);
    w16 = a;
    a = w2;
    w17 = a;
    a = mkfxat(1);
    w18 = a;
    m = a;
    q = w17;
    a = w16;
    CC_Wchkfor(a, q, m);
   G0720:
    m = w8;
    q = w16;
    a = w4;
    a = Lgetarray2(a, q, m);
    w13 = a;
    m = w9;
    q = w16;
    a = w4;
    a = Lgetarray2(a, q, m);
    w14 = a;
    arg4 = w8;
    m = w16;
    q = a;
    a = w4;
    Lsetarray2(a, q, m, arg4);
    arg4 = w9;
    m = w16;
    q = w13;
    a = w4;
    a = Lsetarray2(a, q, m, arg4);
    w19 = a;
    q = w18;
    a = w16;
    a = plus2(a, q);
    w16 = a;
    m = w18;
    q = w17;
    a = CC_Wendfor(a, q, m);
    if(a == nil) goto    G0720;
    a = w3;
    if(a == nil) goto    G0699;
    a = mkfxat(1);
    w16 = a;
    a = w2;
    w17 = a;
    a = mkfxat(1);
    w18 = a;
    m = a;
    q = w17;
    a = w16;
    CC_Wchkfor(a, q, m);
   G0727:
    m = w8;
    q = w16;
    a = w5;
    a = Lgetarray2(a, q, m);
    w13 = a;
    m = w9;
    q = w16;
    a = w5;
    a = Lgetarray2(a, q, m);
    w14 = a;
    arg4 = w8;
    m = w16;
    q = a;
    a = w5;
    Lsetarray2(a, q, m, arg4);
    arg4 = w9;
    m = w16;
    q = w13;
    a = w5;
    a = Lsetarray2(a, q, m, arg4);
    w19 = a;
    q = w18;
    a = w16;
    a = plus2(a, q);
    w16 = a;
    m = w18;
    q = w17;
    a = CC_Wendfor(a, q, m);
    if(a == nil) goto    G0727;
    goto    G0699;
   G0700:
    q = mkfxat(2);
    a = w13;
    a = Lexpt(a, q);
    w16 = a;
    q = mkfxat(2);
    a = w14;
    a = Lexpt(a, q);
    q = a;
    a = w16;
    a = plus2(a, q);
    a = Lsqrt(a);
    w15 = a;
    q = a;
    a = w13;
    a = quot2(a, q);
    w11 = a;
    q = w15;
    a = w14;
    a = quot2(a, q);
    w12 = a;
    arg4 = w6;
    m = w8;
    q = w15;
    a = w4;
    Lsetarray2(a, q, m, arg4);
    arg4 = w6;
    m = w9;
    q = mkfxat(0);
    a = w4;
    Lsetarray2(a, q, m, arg4);
    a = w3;
    if(a == nil) goto    G0753;
    a = mkfxat(1);
    w16 = a;
    a = w2;
    w17 = a;
    a = mkfxat(1);
    w18 = a;
    m = a;
    q = w17;
    a = w16;
    CC_Wchkfor(a, q, m);
   G0737:
    m = w8;
    q = w16;
    a = w5;
    a = Lgetarray2(a, q, m);
    w13 = a;
    a = Lzerop(a);
    if(a == nil) goto    G0739;
    m = w9;
    q = w16;
    a = w5;
    a = Lgetarray2(a, q, m);
    w14 = a;
    a = Lzerop(a);
    if(a == nil) goto    G0739;
    a = nil;
    goto    G0743;
   G0739:
    q = w11;
    a = w13;
    a = times2(a, q);
    w20 = a;
    q = w12;
    a = w14;
    a = times2(a, q);
    q = a;
    a = w20;
    a = plus2(a, q);
    arg4 = w8;
    m = w16;
    q = a;
    a = w5;
    Lsetarray2(a, q, m, arg4);
    a = w12;
    a = Lminus(a);
    q = a;
    a = w13;
    a = times2(a, q);
    w20 = a;
    q = w11;
    a = w14;
    a = times2(a, q);
    q = a;
    a = w20;
    a = plus2(a, q);
    arg4 = w9;
    m = w16;
    q = a;
    a = w5;
    a = Lsetarray2(a, q, m, arg4);
   G0743:
    w19 = a;
    q = w18;
    a = w16;
    a = plus2(a, q);
    w16 = a;
    m = w18;
    q = w17;
    a = CC_Wendfor(a, q, m);
    if(a == nil) goto    G0737;
   G0753:
    q = w2;
    a = w6;
    a = Lgeq(a, q);
    if(a != nil) goto    G0785;
    a = w6;
    a = Ladd1(a);
    w16 = a;
    a = w2;
    w17 = a;
    a = mkfxat(1);
    w18 = a;
    m = a;
    q = w17;
    a = w16;
    CC_Wchkfor(a, q, m);
   G0757:
    m = w16;
    q = w8;
    a = w4;
    a = Lgetarray2(a, q, m);
    w13 = a;
    m = w16;
    q = w9;
    a = w4;
    a = Lgetarray2(a, q, m);
    w14 = a;
    q = w13;
    a = w11;
    a = times2(a, q);
    w20 = a;
    q = w14;
    a = w12;
    a = times2(a, q);
    q = a;
    a = w20;
    a = plus2(a, q);
    arg4 = w16;
    m = w8;
    q = a;
    a = w4;
    Lsetarray2(a, q, m, arg4);
    a = w12;
    a = Lminus(a);
    q = w13;
    a = times2(a, q);
    w20 = a;
    q = w14;
    a = w11;
    a = times2(a, q);
    q = a;
    a = w20;
    a = plus2(a, q);
    arg4 = w16;
    m = w9;
    q = a;
    a = w4;
    a = Lsetarray2(a, q, m, arg4);
    w19 = a;
    q = w18;
    a = w16;
    a = plus2(a, q);
    w16 = a;
    m = w18;
    q = w17;
    a = CC_Wendfor(a, q, m);
    if(a == nil) goto    G0757;
    a = mkfxat(1);
    w16 = a;
    a = w2;
    w17 = a;
    a = mkfxat(1);
    w18 = a;
    m = a;
    q = w17;
    a = w16;
    CC_Wchkfor(a, q, m);
   G0769:
    m = w8;
    q = w16;
    a = w4;
    a = Lgetarray2(a, q, m);
    w13 = a;
    a = Lzerop(a);
    if(a == nil) goto    G0771;
    m = w9;
    q = w16;
    a = w4;
    a = Lgetarray2(a, q, m);
    w14 = a;
    a = Lzerop(a);
    if(a == nil) goto    G0771;
    a = nil;
    goto    G0775;
   G0771:
    m = w8;
    q = w16;
    a = w4;
    a = Lgetarray2(a, q, m);
    w13 = a;
    m = w9;
    q = w16;
    a = w4;
    a = Lgetarray2(a, q, m);
    w14 = a;
    q = w13;
    a = w11;
    a = times2(a, q);
    w20 = a;
    q = w14;
    a = w12;
    a = times2(a, q);
    q = a;
    a = w20;
    a = plus2(a, q);
    arg4 = w8;
    m = w16;
    q = a;
    a = w4;
    Lsetarray2(a, q, m, arg4);
    a = w12;
    a = Lminus(a);
    q = w13;
    a = times2(a, q);
    w20 = a;
    q = w14;
    a = w11;
    a = times2(a, q);
    q = a;
    a = w20;
    a = plus2(a, q);
    arg4 = w9;
    m = w16;
    q = a;
    a = w4;
    a = Lsetarray2(a, q, m, arg4);
   G0775:
    w19 = a;
    q = w18;
    a = w16;
    a = plus2(a, q);
    w16 = a;
    m = w18;
    q = w17;
    a = CC_Wendfor(a, q, m);
    if(a == nil) goto    G0769;
   G0785:
    a = w9;
    a = Lsub1(a);
    w9 = a;
    w16 = a;
    q = mkfxat(2);
    a = w6;
    a = plus2(a, q);
    q = a;
    a = w16;
    a = Lgeq(a, q);
    if(a != nil) goto    G0699;
    a = w6;
    a = Ladd1(a);
    w6 = a;
    q = w7;
    a = Lleq(a, q);
    if(a != nil) goto    G0698;
    q = w4;
    a = w5;
    {
        popv(20);
        return  cons(a, q);
    }
}

Sex CC_mtxTcopy(Sex a, Sex q)
{
    Sex m, arg4;
    Sex *sp = stack;
    stackcheck();
    stack = sp + 15;
    w15 = nil;
    w14 = nil;
    w13 = nil;
    w12 = nil;
    w11 = nil;
    w10 = nil;
    w9 = nil;
    w8 = nil;
    w3 = nil;
    w6 = nil;
    w7 = nil;
    w1 = a;
    a = car(q);
    w4 = a;
    a = car(cdr(q));
    w5 = a;
    w2 = q;
    q = a;
    a = w4;
    a = Lmkarray2(a, q);
    w3 = a;
    w11 = nil;
    a = mkfxat(1);
    w8 = a;
    a = w4;
    w9 = a;
    a = mkfxat(1);
    w10 = a;
    m = a;
    q = w9;
    a = w8;
    CC_Wchkfor(a, q, m);
   G0808:
    a = mkfxat(1);
    w12 = a;
    a = w5;
    w13 = a;
    a = mkfxat(1);
    w14 = a;
    m = a;
    q = w13;
    a = w12;
    CC_Wchkfor(a, q, m);
   G0810:
    m = w12;
    q = w8;
    a = w1;
    a = Lgetarray2(a, q, m);
    arg4 = w12;
    m = w8;
    q = a;
    a = w3;
    a = Lsetarray2(a, q, m, arg4);
    w15 = a;
    q = w14;
    a = w12;
    a = plus2(a, q);
    w12 = a;
    m = w14;
    q = w13;
    a = CC_Wendfor(a, q, m);
    if(a == nil) goto    G0810;
    a = w15;
    w11 = a;
    q = w10;
    a = w8;
    a = plus2(a, q);
    w8 = a;
    m = w10;
    q = w9;
    a = CC_Wendfor(a, q, m);
    if(a == nil) goto    G0808;
    a = w3;
    popv(15);
    return a;
}

Sex CC_mtxTunit(Sex a)
{
    Sex q, m, arg4;
    Sex *sp = stack;
    stackcheck();
    stack = sp + 12;
    w12 = nil;
    w11 = nil;
    w10 = nil;
    w9 = nil;
    w8 = nil;
    w7 = nil;
    w6 = nil;
    w5 = nil;
    w2 = nil;
    w3 = nil;
    w4 = nil;
    w1 = a;
    q = a;
    a = Lmkarray2(a, q);
    w2 = a;
    w8 = nil;
    a = mkfxat(1);
    w5 = a;
    a = w1;
    w6 = a;
    a = mkfxat(1);
    w7 = a;
    m = a;
    q = w6;
    a = w5;
    CC_Wchkfor(a, q, m);
   G0832:
    a = mkfxat(1);
    w9 = a;
    a = w1;
    w10 = a;
    a = mkfxat(1);
    w11 = a;
    m = a;
    q = w10;
    a = w9;
    CC_Wchkfor(a, q, m);
   G0834:
    arg4 = w9;
    m = w5;
    q = mkfxat(0);
    a = w2;
    a = Lsetarray2(a, q, m, arg4);
    w12 = a;
    q = w11;
    a = w9;
    a = plus2(a, q);
    w9 = a;
    m = w11;
    q = w10;
    a = CC_Wendfor(a, q, m);
    if(a == nil) goto    G0834;
    a = w12;
    arg4 = w5;
    m = arg4;
    q = mkfxat(1);
    a = w2;
    a = Lsetarray2(a, q, m, arg4);
    w8 = a;
    q = w7;
    a = w5;
    a = plus2(a, q);
    w5 = a;
    m = w7;
    q = w6;
    a = CC_Wendfor(a, q, m);
    if(a == nil) goto    G0832;
    a = w2;
    popv(12);
    return a;
}

Sex CC_mtxTtrpose(Sex a, Sex q)
{
    Sex m, arg4;
    Sex *sp = stack;
    stackcheck();
    stack = sp + 15;
    w15 = nil;
    w14 = nil;
    w13 = nil;
    w12 = nil;
    w11 = nil;
    w10 = nil;
    w9 = nil;
    w8 = nil;
    w3 = nil;
    w6 = nil;
    w7 = nil;
    w1 = a;
    a = car(q);
    w4 = a;
    a = car(cdr(q));
    w5 = a;
    w2 = q;
    q = w4;
    a = Lmkarray2(a, q);
    w3 = a;
    w11 = nil;
    a = mkfxat(1);
    w8 = a;
    a = w4;
    w9 = a;
    a = mkfxat(1);
    w10 = a;
    m = a;
    q = w9;
    a = w8;
    CC_Wchkfor(a, q, m);
   G0855:
    a = mkfxat(1);
    w12 = a;
    a = w5;
    w13 = a;
    a = mkfxat(1);
    w14 = a;
    m = a;
    q = w13;
    a = w12;
    CC_Wchkfor(a, q, m);
   G0857:
    m = w12;
    q = w8;
    a = w1;
    a = Lgetarray2(a, q, m);
    arg4 = w8;
    m = w12;
    q = a;
    a = w3;
    a = Lsetarray2(a, q, m, arg4);
    w15 = a;
    q = w14;
    a = w12;
    a = plus2(a, q);
    w12 = a;
    m = w14;
    q = w13;
    a = CC_Wendfor(a, q, m);
    if(a == nil) goto    G0857;
    a = w15;
    w11 = a;
    q = w10;
    a = w8;
    a = plus2(a, q);
    w8 = a;
    m = w10;
    q = w9;
    a = CC_Wendfor(a, q, m);
    if(a == nil) goto    G0855;
    a = w3;
    popv(15);
    return a;
}

Sex CC_mtxTmult(Sex a, Sex q, Sex m, Sex arg4)
{
    Sex *sp = stack;
    stackcheck();
    stack = sp + 26;
    w26 = nil;
    w25 = nil;
    w24 = nil;
    w23 = nil;
    w22 = nil;
    w21 = nil;
    w20 = nil;
    w19 = nil;
    w18 = nil;
    w17 = nil;
    w16 = nil;
    w15 = nil;
    w14 = nil;
    w13 = nil;
    w12 = nil;
    w5 = nil;
    w9 = nil;
    w10 = nil;
    w11 = nil;
    w1 = a;
    a = car(m);
    w6 = a;
    a = car(arg4);
    w7 = a;
    a = car(cdr(arg4));
    w8 = a;
    w2 = q;
    w3 = m;
    w4 = arg4;
    q = a;
    a = w6;
    a = Lmkarray2(a, q);
    w5 = a;
    w18 = nil;
    a = mkfxat(1);
    w15 = a;
    a = w6;
    w16 = a;
    a = mkfxat(1);
    w17 = a;
    m = a;
    q = w16;
    a = w15;
    CC_Wchkfor(a, q, m);
   G0884:
    w22 = nil;
    a = mkfxat(1);
    w19 = a;
    a = w8;
    w20 = a;
    a = mkfxat(1);
    w21 = a;
    m = a;
    q = w20;
    a = w19;
    CC_Wchkfor(a, q, m);
   G0886:
    a = LITERAL[5];
    w12 = a;
    a = mkfxat(1);
    w23 = a;
    a = w7;
    w24 = a;
    a = mkfxat(1);
    w25 = a;
    m = a;
    q = w24;
    a = w23;
    CC_Wchkfor(a, q, m);
   G0888:
    m = w23;
    q = w15;
    a = w1;
    a = Lgetarray2(a, q, m);
    w13 = a;
    m = w19;
    q = w23;
    a = w2;
    a = Lgetarray2(a, q, m);
    w14 = a;
    q = a;
    a = w13;
    a = times2(a, q);
    q = a;
    a = w12;
    a = plus2(a, q);
    w12 = a;
    w26 = a;
    q = w25;
    a = w23;
    a = plus2(a, q);
    w23 = a;
    m = w25;
    q = w24;
    a = CC_Wendfor(a, q, m);
    if(a == nil) goto    G0888;
    a = w26;
    arg4 = w19;
    m = w15;
    q = w12;
    a = w5;
    a = Lsetarray2(a, q, m, arg4);
    w22 = a;
    q = w21;
    a = w19;
    a = plus2(a, q);
    w19 = a;
    m = w21;
    q = w20;
    a = CC_Wendfor(a, q, m);
    if(a == nil) goto    G0886;
    a = w22;
    w18 = a;
    q = w17;
    a = w15;
    a = plus2(a, q);
    w15 = a;
    m = w17;
    q = w16;
    a = CC_Wendfor(a, q, m);
    if(a == nil) goto    G0884;
    a = w5;
    popv(26);
    return a;
}

Sex CC_AtestEigenQR(Sex a, Sex q)
{
    Sex m, arg4;
    Sex *sp = stack;
    stackcheck();
    stack = sp + 23;
    w23 = nil;
    w22 = nil;
    w21 = nil;
    w20 = nil;
    w19 = nil;
    w18 = nil;
    w17 = nil;
    w16 = nil;
    w12 = nil;
    w11 = nil;
    w10 = nil;
    w3 = nil;
    w4 = nil;
    w5 = nil;
    w6 = nil;
    w7 = nil;
    w8 = nil;
    w9 = nil;
    w13 = nil;
    w14 = nil;
    w1 = a;
    a = cdr(cdr(a));
    w15 = a;
    w2 = q;
    a = car(cdr(a));
    a = Labs(a);
    w11 = a;
    q = a;
    a = Lmkarray2(a, q);
    w10 = a;
    a = car(cdr(w1));
    w3 = a;
    w19 = nil;
    a = mkfxat(1);
    w16 = a;
    a = w11;
    w17 = a;
    a = mkfxat(1);
    w18 = a;
    m = a;
    q = w17;
    a = w16;
    CC_Wchkfor(a, q, m);
   G0916:
    a = mkfxat(1);
    w20 = a;
    a = w11;
    w21 = a;
    a = mkfxat(1);
    w22 = a;
    m = a;
    q = w21;
    a = w20;
    CC_Wchkfor(a, q, m);
   G0918:
    q = mkfxat(-1);
    a = w16;
    a = plus2(a, q);
    q = w11;
    a = times2(a, q);
    q = w20;
    a = plus2(a, q);
    w12 = a;
    q = a;
    a = w3;
    a = Lgetv(a, q);
    arg4 = w20;
    m = w16;
    q = a;
    a = w10;
    a = Lsetarray2(a, q, m, arg4);
    w23 = a;
    q = w22;
    a = w20;
    a = plus2(a, q);
    w20 = a;
    m = w22;
    q = w21;
    a = CC_Wendfor(a, q, m);
    if(a == nil) goto    G0918;
    a = w23;
    w19 = a;
    q = w18;
    a = w16;
    a = plus2(a, q);
    w16 = a;
    m = w18;
    q = w17;
    a = CC_Wendfor(a, q, m);
    if(a == nil) goto    G0916;
    m = true;
    q = w11;
    a = w10;
    a = CC_HessenGvH(a, q, m);
    a = cdr(a);
    q = w3;
    a = LITERAL[6];
    CC_argprint(a, q);
    a = mkfxat(1);
    w12 = a;
    a = w10;
    w5 = a;
   G0912:
    Lterpri();
    a = LITERAL[7];
    Lprinc(a);
    a = w12;
    Lprin(a);
    a = LITERAL[8];
    Lprinc(a);
    Lterpri();
    q = w11;
    a = q;
    a = Llist2(a, q);
    q = a;
    a = w5;
    a = CC_mtxTcopy(a, q);
    w10 = a;
    arg4 = true;
    m = w11;
    q = m;
    a = CC_QRdecompGvH(a, q, m, arg4);
    w15 = a;
    a = car(a);
    w6 = a;
    a = cdr(w15);
    w8 = a;
    q = w11;
    a = q;
    a = Llist2(a, q);
    w16 = a;
    q = w11;
    a = q;
    a = Llist2(a, q);
    arg4 = a;
    m = w16;
    q = w6;
    a = w8;
    a = CC_mtxTmult(a, q, m, arg4);
    w5 = a;
    q = mkfxat(10);
    a = w12;
    a = quot2(a, q);
    q = a;
    a = mkfxat(10);
    a = times2(a, q);
    q = w12;
    a = Lequal(a, q);
    if(a == nil) goto    G0933;
    q = w5;
    a = LITERAL[9];
    CC_argprint(a, q);
   G0933:
    a = w12;
    a = Ladd1(a);
    w12 = a;
    q = w2;
    a = Lleq(a, q);
    if(a != nil) goto    G0912;
#define LL_OK LITERAL[10]
    a = LL_OK;
    popv(23);
    return a;
}



/* initialization procedure */
int init_linalg(void)
{
   long i;

   create_symbols(linalg_g_setup);
   literal_vectors[number_of_literal_vectors++] =
               LITERAL;
   for(i = 0; linalg_literal_string[i] != NULL; i++)
           LITERAL[i]
               = make_literal(linalg_literal_string[i]);
   LITERAL[i] = (Sex)NULL;

    {
        Sex a, q, m, arg4;
        a = LITERAL[11];
        CC_Aenter(a);
        arg4 = nil;
#define LL_command LITERAL[12]
        m = LL_command;
#define LL_test_gauss LITERAL[13]
        q = LL_test_gauss;
#define LL_testgauss LITERAL[14]
        a = LL_testgauss;
        CC_defcommand(a, q, m, arg4);
        arg4 = mkfxat(2);
#define LL_argchk LITERAL[15]
        m = LL_argchk;
#define LL_AQRdecomp LITERAL[16]
        q = LL_AQRdecomp;
#define LL_QRdecomp LITERAL[17]
        a = LL_QRdecomp;
        CC_defcommand(a, q, m, arg4);
        arg4 = mkfxat(2);
        m = LL_argchk;
        q = LL_AQRdecomp;
#define LL_QRdecompGv LITERAL[18]
        a = LL_QRdecompGv;
        CC_defcommand(a, q, m, arg4);
        arg4 = mkfxat(2);
        m = LL_argchk;
#define LL_AHessen LITERAL[19]
        q = LL_AHessen;
#define LL_Hessen LITERAL[20]
        a = LL_Hessen;
        CC_defcommand(a, q, m, arg4);
        arg4 = mkfxat(2);
        m = LL_argchk;
        q = LL_AHessen;
#define LL_HessenGv LITERAL[21]
        a = LL_HessenGv;
        a = CC_defcommand(a, q, m, arg4);
        return 1;
    }
}
Sex LITERAL[23];

const  char *linalg_literal_string[23] =
{
/* 0 */
"\"sigular matrix\"",
/* 1 */
"\"singular matrix 2\"",
/* 2 */
"!*byproduct",
/* 3 */
"\"Exchange of (i1,i) rows\"",
/* 4 */
"\"Exchange (i1,i) rows/cols\"",
/* 5 */
"0.000000000000000",
/* 6 */
"\"Hessen-transformed A\"",
/* 7 */
"\"   k = \"",
/* 8 */
"\" -------------------------\"",
/* 9 */
"\"Ak := Rk*Qk\"",
/* 10 */
"OK",
/* 11 */
"(lisp)",
/* 12 */
"command",
/* 13 */
"test!_gauss",
/* 14 */
"testgauss",
/* 15 */
"argchk",
/* 16 */
"! QRdecomp",
/* 17 */
"QRdecomp",
/* 18 */
"QRdecompGv",
/* 19 */
"! Hessen",
/* 20 */
"Hessen",
/* 21 */
"HessenGv",
/* 22 */ NULL
};
setup_type const linalg_g_setup[] =
{
    {" testEigenQR", (lisp_proc *)CC_AtestEigenQR, 2},
    {"mtx:mult", (lisp_proc *)CC_mtxTmult, 4},
    {"mtx:trpose", (lisp_proc *)CC_mtxTtrpose, 2},
    {"mtx:unit", (lisp_proc *)CC_mtxTunit, 1},
    {"mtx:copy", (lisp_proc *)CC_mtxTcopy, 2},
    {"HessenGv*", (lisp_proc *)CC_HessenGvH, 3},
    {" Hessen", (lisp_proc *)CC_AHessen, 2},
    {"QRdecompGv*", (lisp_proc *)CC_QRdecompGvH, 4},
    {" QRdecomp", (lisp_proc *)CC_AQRdecomp, 2},
    {"QRdecomposition", (lisp_proc *)CC_QRdecomposition, 5},
    {"gram-schmidt", (lisp_proc *)CC_gramKschmidt, 2},
    {"gauss-jordan", (lisp_proc *)CC_gaussKjordan, 4},
    {"gauss", (lisp_proc *)CC_gauss, 3},
    {"test_gauss", (lisp_proc *)CC_test_gauss, 1},
    {NULL, NULL, 0 }
};

