/*
 * dipoly.h       (C) Copyright 2011 by Fujio Kako, Nara Women's Univeristy
 *      $Header: /Users/kako/asuka/src/RCS/dipoly.h,v 2.1 2012/10/21 13:32:48 kako Exp $
 */

void            print_dipoly(Sex a, putchar_fn * fn);
Sex             make_dipoly(Sex a, Sex b);
Sex             polynomial_to_distributed(Sex a, Sex v);

Sex             Adipoly_spoly(Sex a, Sex b);
Sex             Adipoly_reduce(Sex a, Sex g);
Sex             Adipoly_reduce1(Sex a, Sex g);
Sex             Adipoly_full_reduce(Sex a, Sex g);
Sex             Adipoly_remainder(Sex a, Sex g);
Sex             Adipoly_quotient(Sex a, Sex g);

Sex             gplus2Dn(Sex a, Sex b);
Sex             gplus2nD(Sex a, Sex b);
Sex             gplus2DD(Sex a, Sex b);
Sex             gdiff2Dn(Sex a, Sex b);
Sex             gdiff2nD(Sex a, Sex b);
Sex             gdiff2DD(Sex a, Sex b);
Sex             gnegateD(Sex a);
Sex             gtimes2Dn(Sex p, Sex t);
Sex             gtimes2nD(Sex t, Sex p);
Sex             gtimes2DD(Sex a, Sex b);
Sex             exptiD1(Sex p, long n);
Sex             exptiD(Sex a, long n, long order);
Sex             gexpt2Di(Sex a, Sex b);
Sex             gquot2Dn(Sex a, Sex b);
Sex             gquot2nD(Sex a, Sex b);
Sex             gquot2DD(Sex a, Sex b);
Sex             gplus2rD(Sex a, Sex b);
Sex             gplus2Dr(Sex a, Sex b);
Sex             gdiff2rD(Sex a, Sex b);
Sex             gdiff2Dr(Sex a, Sex b);
Sex             gtimes2rD(Sex a, Sex b);
Sex             gtimes2Dr(Sex a, Sex b);
Sex             gquot2rD(Sex a, Sex b);
Sex             gquot2Dr(Sex a, Sex b);
Sex             gratio2Dn(Sex a, Sex b);
Sex             gratio2nD(Sex a, Sex b);
Sex             gratio2DD(Sex a, Sex b);
Sex             grem2nD(Sex a, Sex b);
Sex             grem2Dn(Sex a, Sex b);
Sex             grem2DD(Sex a, Sex b);
Sex             grem2rD(Sex a, Sex b);
Sex             grem2Dr(Sex a, Sex b);
bool            lessp2DD(Sex a, Sex b);
bool            numeq2DD(Sex a, Sex b);
Sex             gplus2vD(Sex a, Sex b);
Sex             gplus2aD(Sex a, Sex b);
Sex             gplus2tD(Sex a, Sex b);
Sex             gplus2pD(Sex a, Sex b);
Sex             gplus2Dv(Sex a, Sex b);
Sex             gplus2Da(Sex a, Sex b);
Sex             gplus2Dt(Sex a, Sex b);
Sex             gplus2Dp(Sex a, Sex b);
Sex             gplus2DA(Sex a, Sex b);
Sex             gplus2DV(Sex a, Sex b);
Sex             gplus2DM(Sex a, Sex b);
Sex             gplus2DT(Sex a, Sex b);
Sex             gplus2DP(Sex a, Sex b);
Sex             gplus2DR(Sex a, Sex b);
Sex             gplus2DS(Sex a, Sex b);
Sex             gplus2AD(Sex a, Sex b);
Sex             gplus2VD(Sex a, Sex b);
Sex             gplus2MD(Sex a, Sex b);
Sex             gplus2TD(Sex a, Sex b);
Sex             gplus2PD(Sex a, Sex b);
Sex             gplus2RD(Sex a, Sex b);
Sex             gplus2SD(Sex a, Sex b);
Sex             gplus2LD(Sex a, Sex b);
Sex             gdiff2vD(Sex a, Sex b);
Sex             gdiff2aD(Sex a, Sex b);
Sex             gdiff2tD(Sex a, Sex b);
Sex             gdiff2pD(Sex a, Sex b);
Sex             gdiff2Dv(Sex a, Sex b);
Sex             gdiff2Da(Sex a, Sex b);
Sex             gdiff2Dt(Sex a, Sex b);
Sex             gdiff2Dp(Sex a, Sex b);
Sex             gdiff2DA(Sex a, Sex b);
Sex             gdiff2DV(Sex a, Sex b);
Sex             gdiff2DM(Sex a, Sex b);
Sex             gdiff2DT(Sex a, Sex b);
Sex             gdiff2DP(Sex a, Sex b);
Sex             gdiff2DR(Sex a, Sex b);
Sex             gdiff2DS(Sex a, Sex b);
Sex             gdiff2AD(Sex a, Sex b);
Sex             gdiff2VD(Sex a, Sex b);
Sex             gdiff2MD(Sex a, Sex b);
Sex             gdiff2TD(Sex a, Sex b);
Sex             gdiff2PD(Sex a, Sex b);
Sex             gdiff2RD(Sex a, Sex b);
Sex             gdiff2SD(Sex a, Sex b);
Sex             gdiff2LD(Sex a, Sex b);
Sex             gtimes2vD(Sex a, Sex b);
Sex             gtimes2aD(Sex a, Sex b);
Sex             gtimes2tD(Sex a, Sex b);
Sex             gtimes2pD(Sex a, Sex b);
Sex             gtimes2Dv(Sex a, Sex b);
Sex             gtimes2Da(Sex a, Sex b);
Sex             gtimes2Dt(Sex a, Sex b);
Sex             gtimes2Dp(Sex a, Sex b);
Sex             gtimes2DA(Sex a, Sex b);
Sex             gtimes2DV(Sex a, Sex b);
Sex             gtimes2DM(Sex a, Sex b);
Sex             gtimes2DT(Sex a, Sex b);
Sex             gtimes2DP(Sex a, Sex b);
Sex             gtimes2DR(Sex a, Sex b);
Sex             gtimes2DS(Sex a, Sex b);
Sex             gtimes2AD(Sex a, Sex b);
Sex             gtimes2VD(Sex a, Sex b);
Sex             gtimes2MD(Sex a, Sex b);
Sex             gtimes2TD(Sex a, Sex b);
Sex             gtimes2PD(Sex a, Sex b);
Sex             gtimes2RD(Sex a, Sex b);
Sex             gtimes2SD(Sex a, Sex b);
Sex             gtimes2LD(Sex a, Sex b);
Sex             gquot2vD(Sex a, Sex b);
Sex             gquot2aD(Sex a, Sex b);
Sex             gquot2tD(Sex a, Sex b);
Sex             gquot2pD(Sex a, Sex b);
Sex             gquot2Dv(Sex a, Sex b);
Sex             gquot2Da(Sex a, Sex b);
Sex             gquot2Dt(Sex a, Sex b);
Sex             gquot2Dp(Sex a, Sex b);
Sex             gquot2DA(Sex a, Sex b);
Sex             gquot2DV(Sex a, Sex b);
Sex             gquot2DM(Sex a, Sex b);
Sex             gquot2DT(Sex a, Sex b);
Sex             gquot2DP(Sex a, Sex b);
Sex             gquot2DR(Sex a, Sex b);
Sex             gquot2DS(Sex a, Sex b);
Sex             gquot2AD(Sex a, Sex b);
Sex             gquot2VD(Sex a, Sex b);
Sex             gquot2MD(Sex a, Sex b);
Sex             gquot2TD(Sex a, Sex b);
Sex             gquot2PD(Sex a, Sex b);
Sex             gquot2RD(Sex a, Sex b);
Sex             gquot2SD(Sex a, Sex b);
Sex             gquot2LD(Sex a, Sex b);
Sex             gratio2vD(Sex a, Sex b);
Sex             gratio2aD(Sex a, Sex b);
Sex             gratio2tD(Sex a, Sex b);
Sex             gratio2pD(Sex a, Sex b);
Sex             gratio2Dv(Sex a, Sex b);
Sex             gratio2Da(Sex a, Sex b);
Sex             gratio2Dt(Sex a, Sex b);
Sex             gratio2Dp(Sex a, Sex b);
Sex             gratio2DA(Sex a, Sex b);
Sex             gratio2DV(Sex a, Sex b);
Sex             gratio2DM(Sex a, Sex b);
Sex             gratio2DT(Sex a, Sex b);
Sex             gratio2DP(Sex a, Sex b);
Sex             gratio2DR(Sex a, Sex b);
Sex             gratio2DS(Sex a, Sex b);
Sex             gratio2AD(Sex a, Sex b);
Sex             gratio2VD(Sex a, Sex b);
Sex             gratio2MD(Sex a, Sex b);
Sex             gratio2TD(Sex a, Sex b);
Sex             gratio2PD(Sex a, Sex b);
Sex             gratio2RD(Sex a, Sex b);
Sex             gratio2SD(Sex a, Sex b);
Sex             gratio2LD(Sex a, Sex b);
Sex             grem2vD(Sex a, Sex b);
Sex             grem2aD(Sex a, Sex b);
Sex             grem2tD(Sex a, Sex b);
Sex             grem2pD(Sex a, Sex b);
Sex             grem2Dv(Sex a, Sex b);
Sex             grem2Da(Sex a, Sex b);
Sex             grem2Dt(Sex a, Sex b);
Sex             grem2Dp(Sex a, Sex b);
Sex             grem2DA(Sex a, Sex b);
Sex             grem2DV(Sex a, Sex b);
Sex             grem2DM(Sex a, Sex b);
Sex             grem2DT(Sex a, Sex b);
Sex             grem2DP(Sex a, Sex b);
Sex             grem2DR(Sex a, Sex b);
Sex             grem2DS(Sex a, Sex b);
Sex             grem2AD(Sex a, Sex b);
Sex             grem2VD(Sex a, Sex b);
Sex             grem2MD(Sex a, Sex b);
Sex             grem2TD(Sex a, Sex b);
Sex             grem2PD(Sex a, Sex b);
Sex             grem2RD(Sex a, Sex b);
Sex             grem2SD(Sex a, Sex b);
Sex             grem2LD(Sex a, Sex b);
