/*
 * gc.h      (C) Copyright 2015 by Fujio Kako, Nara Women's University.
 *      $Header: /Users/kako/asuka/src/RCS/gc.h,v 2.2 2015/01/21 05:30:39 kako Exp $
 */

#ifndef _GC_H_
#define _GC_H_

#ifndef _LP64
#if MEMORY_MODEL == MEMORY_MIXED
extern int      memory_low;


int             mixed_set_p_mark(int w);
int             mixed_reset_p_mark(int w);
int             mixed_is_p_marked(int w);

#endif

#if MEMORY_MODEL == MEMORY_VARIABLE
extern int      memory_model;
extern int      memory_low;

int             variable_set_p_mark(int w);
int             variable_reset_p_mark(int w);
int             variable_is_p_marked(int w);

#endif
#endif

#endif
