/*
 * interval.h           (C); Copyright 1998-2000, 2007 by Fujio Kako, Nara Women's University.
 * interval number
 * $Header: /Users/kako/asuka/src/RCS/interval.h,v 2.3 2013/03/22 07:35:48 kako Exp $
 */


/***************************************************************/
/***************************************************************/
/***************************************************************/


Sex             Linterval_lower(Sex a);
Sex             Linterval_upper(Sex a);
Sex             Linterval_mid(Sex a);
Sex             Linterval_width(Sex a);
Sex             make_interval(double a, double b);
Sex             Lmkinterval(Sex a, Sex b);
Sex             intervalitE(Sex a);
Sex             intervalitV(Sex a);
Sex             Linterval(Sex a);
Sex             Linterval_by_ratio(Sex a, Sex f);


/***************************************************************/
/***************************************************************/
/***************************************************************/


static Sex      plus2_f_v(double f, Sex a);
Sex             plus2iv(Sex a, Sex b);
Sex             plus2xv(Sex a, Sex b);
Sex             plus2fv(Sex a, Sex b);
Sex             plus2vv(Sex a, Sex b);
Sex             plus2vd(Sex a, Sex b);

/***************************************************************/
/***************************************************************/
/***************************************************************/

static Sex      diff2_f_v(double f, Sex a);
static Sex      diff2_v_f(Sex a, double f);
Sex             diff2iv(Sex a, Sex b);
Sex             diff2xv(Sex a, Sex b);
Sex             diff2vi(Sex a, Sex b);
Sex             diff2vx(Sex a, Sex b);
Sex             diff2fv(Sex a, Sex b);
Sex             diff2vf(Sex a, Sex b);
Sex             diff2vv(Sex a, Sex b);

/***************************************************************/
/***************************************************************/
/***************************************************************/

static Sex      times2_f_v(double f, Sex a);
Sex             times2iv(Sex a, Sex b);
Sex             times2xv(Sex a, Sex b);
Sex             times2fv(Sex a, Sex b);
Sex             times2vd(Sex a, Sex b);
Sex             times2vv(Sex a, Sex b);

/***************************************************************/
/***************************************************************/
/***************************************************************/

static Sex      quot2_f_v(double f, Sex a);
static Sex      quot2_v_f(Sex a, double f);
Sex             quot2iv(Sex a, Sex b);
Sex             quot2xv(Sex a, Sex b);
Sex             quot2vi(Sex a, Sex b);
Sex             quot2vx(Sex a, Sex b);
Sex             quot2fv(Sex a, Sex b);
Sex             quot2vf(Sex a, Sex b);
Sex             quot2vv(Sex a, Sex b);

/***************************************************************/
/***************************************************************/
/***************************************************************/

Sex             numeq2iv(Sex a, Sex b);
Sex             numeq2xv(Sex a, Sex b);
Sex             numeq2vx(Sex a, Sex b);
Sex             numeq2fv(Sex a, Sex b);
Sex             numeq2vv(Sex a, Sex b);

/***************************************************************/
/***************************************************************/
/***************************************************************/

Sex             lessp2iv(Sex a, Sex b);
Sex             lessp2vi(Sex a, Sex b);
Sex             lessp2xv(Sex a, Sex b);
Sex             lessp2vx(Sex a, Sex b);
Sex             lessp2fv(Sex a, Sex b);
Sex             lessp2vf(Sex a, Sex b);
Sex             lessp2vv(Sex a, Sex b);

/***************************************************************/
/***************************************************************/
/***************************************************************/

Sex             appeq2iv(Sex a, Sex b);
Sex             appeq2xv(Sex a, Sex b);
Sex             appeq2vx(Sex a, Sex b);
Sex             appeq2fv(Sex a, Sex b);
Sex             appeq2vv(Sex a, Sex b);

/***************************************************************/
/***************************************************************/
/***************************************************************/
