/*
 * stubs.c      (C) Copyright 2006-2007 by Fujio Kako, Nara Women's University.
 * 
 *      $Header: /Users/kako/asuka/src/RCS/stubs.c,v 2.25 2018/06/11 09:13:26 kako Exp $
 */

static char const rcsid[] =
    "$Id: stubs.c,v 2.25 2018/06/11 09:13:26 kako Exp $";

#include "config.h"
#include "tags.h"
#include "externs.h"

#include "stubs.h"

#ifdef REDUCE

extern Sex list_to_vector(Sex u);
extern Sex Lgethash(Sex u, Sex v);
extern Sex Lclrhash(Sex u);
extern Sex Lmake_hash_table(void);
extern Sex Lsethash(Sex u, Sex v, Sex w);
extern Sex Lremhash(Sex u, Sex v);

Sex CC_gethash(Sex u, Sex v);
Sex CC_clrhash(Sex u);
Sex CC_mkhash(Sex u, Sex v, Sex w);
Sex CC_puthash(Sex u, Sex v, Sex w);
Sex CC_listKtoKvector(Sex u);
//Sex CC_makeKstringKunique(Sex a);

Sex
CC_gethash(Sex u, Sex v) { return Lgethash(u, v);}
Sex
CC_clrhash(Sex u) { return Lclrhash(u);}
Sex
CC_mkhash(Sex u, Sex v, Sex w) { return Lmake_hash_table();}
Sex
CC_puthash(Sex u, Sex v, Sex w) { return Lsethash(u,v,w);}
Sex
CC_listKtoKvector(Sex u) {return list_to_vector(u);}
Sex
CC_remhash(Sex u, Sex v) {return Lremhash(u,v);}
//Sex
//CC_makeKstringKunique(Sex a)
//{
//      return Lmake_string_unique(a);
//};


int init_cgb(void) {return 0;}
int init_cl(void) {return 0;}
int init_ofsf(void) {return 0;}
int init_qepcad(void) {return 0;}
int init_ranum(void) {return 0;}
int init_redlog(void) {return 0;}
int init_rltools(void) {return 0;}



int
init_acfsf(void)
{
    return 0;
}
// int init_alg(void) {return 0;}
// int init_algint(void) {return 0;}
int
init_applysym(void)
{
    return 0;
}
// int init_arith(void) {return 0;}
// int init_arnum(void) {return 0;}
// int init_assert(void) {return 0;}
int
init_assist(void)
{
    return 0;
}
// int init_atensor(void) {return 0;}
int
init_avector(void)
{
    return 0;
}
int
init_bfap(void)
{
    return 0;
}
// int init_bibasis(void) {return 0;}
int
init_boolean(void)
{
    return 0;
}
int
init_breduce(void)
{
    return 0;
}
int
init_cali(void)
{
    return 0;
}
int
init_camal(void)
{
    return 0;
}
int
init_cantens(void)
{
    return 0;
}
// int init_ccomp(void) {return 0;}
int
init_cdiff(void)
{
    return 0;
}
int
init_cedit(void)
{
    return 0;
}
// int init_cfap(void) {return 0;}
// int init_cgb(void) {return 0;}
int
init_changevr(void)
{
    return 0;
}
// int init_cl(void) {return 0;}
int
init_clprl(void)
{
    return 0;
}
// int init_cmacro(void) {return 0;}
int
init_compact(void)
{
    return 0;
}
int
init_compiler(void)
{
    return 0;
}
// int init_complr(void) {return 0;}
int
init_conlaw(void)
{
    return 0;
}
int
init_crack(void)
{
    return 0;
}
int
init_cuba(void)
{
    return 0;
}
int
init_cvit(void)
{
    return 0;
}
int
init_dcfsf(void)
{
    return 0;
}
// int init_defint(void) {return 0;}
int
init_desir(void)
{
    return 0;
}
int
init_dfpart(void)
{
    return 0;
}
// int init_dipoly(void) {return 0;}
int
init_dummy(void)
{
    return 0;
}
int
init_dvfsf(void)
{
    return 0;
}
int
init_eds(void)
{
    return 0;
}
// int init_entry(void) {return 0;}
// int init_excalc(void) {return 0;}
// int init_ezgcd(void) {return 0;}
// int init_factor(void) {return 0;}
// int init_fap(void) {return 0;}
int
init_fide(void)
{
    return 0;
}
int
init_fide1(void)
{
    return 0;
}
// int init_fisl(void) {return 0;}
// int init_fmprint(void) {return 0;}
int
init_fps(void)
{
    return 0;
}
int
init_ftr(void)
{
    return 0;
}
int
init_gcref(void)
{
    return 0;
}
int
init_gentran(void)
{
    return 0;
}
int
init_geometry(void)
{
    return 0;
}
int
init_geoprover(void)
{
    return 0;
}
//int init_gnuplot(void) { return 0; }
int
init_groebfac(void)
{
    return 0;
}
// int init_groebner(void) {return 0;}
// int init_groebnr2(void) {return 0;}
int
init_groext(void)
{
    return 0;
}
int
init_guardian(void)
{
    return 0;
}
int
init_gurobi(void)
{
    return 0;
}
// int init_hephys(void) {return 0;}
int
init_ibalp(void)
{
    return 0;
}
// int init_ideals(void) {return 0;}
// int init_ineq(void) {return 0;}
// int init_int(void) {return 0;}
// int init_invbase(void) {return 0;}
int
init_lalr(void)
{
    return 0;
}
// int init_lap(void) {return 0;}
int
init_laplace(void)
{
    return 0;
}
int
init_libreduce(void)
{
    return 0;
}
int
init_lie(void)
{
    return 0;
}
int
init_liepde(void)
{
    return 0;
}
// int init_limits(void) {return 0;}
// int init_linalg(void) {return 0;}
int
init_linineq(void)
{
    return 0;
}
// int init_listvecops(void) {return 0;}
int
init_lpdo(void)
{
    return 0;
}
int
init_mathml(void)
{
    return 0;
}
int
init_mathmlom(void)
{
    return 0;
}
// int init_mathpr(void) {return 0;}
// int init_matrix(void) {return 0;}
// int init_misc(void) {return 0;}
int
init_mma(void)
{
    return 0;
}
int
init_modsr(void)
{
    return 0;
}
int
init_module(void)
{
    return 0;
}
int
init_mri(void)
{
    return 0;
}
int
init_mri_ofsf(void)
{
    return 0;
}
int
init_mri_pasf(void)
{
    return 0;
}
int
init_mrvlimit(void)
{
    return 0;
}
int
init_ncpoly(void)
{
    return 0;
}
int
init_nlopt(void)
{
    return 0;
}
int
init_noncom2(void)
{
    return 0;
}
int
init_normform(void)
{
    return 0;
}
// int init_numeric(void) {return 0;}
// int init_odesolve(void) {return 0;}
// int init_ofsf(void) {return 0;}
int
init_orthovec(void)
{
    return 0;
}
int
init_otrgsimp(void)
{
    return 0;
}
int
init_pasf(void)
{
    return 0;
}
int
init_pf(void)
{
    return 0;
}
int
init_pgauss(void)
{
    return 0;
}
int
init_physop(void)
{
    return 0;
}
//int init_plot(void) { return 0; }
int
init_pm(void)
{
    return 0;
}
// int init_poly(void) {return 0;}
// int init_polydiv(void) {return 0;}
// int init_pretty(void) {return 0;}
int
init_profile(void)
{
    return 0;
}
// int init_prolog(void) {return 0;}
// int init_qepcad(void) {return 0;}
int
init_qerrc(void)
{
    return 0;
}
int
init_qhull(void)
{
    return 0;
}
int
init_qqe(void)
{
    return 0;
}
int
init_qqe_ofsf(void)
{
    return 0;
}
// int init_qsum(void) {return 0;}
int
init_randpoly(void)
{
    return 0;
}
// int init_ranum(void) {return 0;}
// int init_rarith(void) {return 0;}
int
init_rataprx(void)
{
    return 0;
}
int
init_ratint(void)
{
    return 0;
}
int
init_rcref(void)
{
    return 0;
}
int
init_reacteqn(void)
{
    return 0;
}
int
init_redfront(void)
{
    return 0;
}
// int init_redlog(void) {return 0;}
// int init_reduce4(void) {return 0;}
// int init_rend(void) {return 0;}
int
init_reset(void)
{
    return 0;
}
// int init_residue(void) {return 0;}
int
init_rl(void)
{
    return 0;
}
int
init_rlfi(void)
{
    return 0;
}
// int init_rlisp(void) {return 0;}
// int init_rlisp88(void) {return 0;}
// int init_rltools(void) {return 0;}
int
init_rlsupport(void)
{
    return 0;
}
// int init_roots(void) {return 0;}
// int init_roots2(void) {return 0;}
// int init_rprint(void) {return 0;}
// int init_rsolve(void) {return 0;}
int
init_rtrace(void)
{
    return 0;
}
int
init_rubi_red(void)
{
    return 0;
}
int
init_scope(void)
{
    return 0;
}
int
init_sets(void)
{
    return 0;
}
// int init_sfgamma(void) {return 0;}
int
init_smt(void)
{
    return 0;
}
// int init_solve(void) {return 0;}
int
init_sparse(void)
{
    return 0;
}
int
init_spde(void)
{
    return 0;
}
// int init_specbess(void) {return 0;}
// int init_specfaux(void) {return 0;}
// int init_specfn(void) {return 0;}
// int init_specfn2(void) {return 0;}
int
init_sstools(void)
{
    return 0;
}
// int init_sum(void) {return 0;}
int
init_support(void)
{
    return 0;
}
// int init_susy2(void) {return 0;}

int
init_symaux(void)
{
    return 0;
}

// int init_symmetry(void) {return 0;}
int
init_tables(void)
{
    return 0;
}
int
init_talp(void)
{
    return 0;
}
// int init_taylor(void) {return 0;}
int
init_tmprint(void)
{
    return 0;
}
int
init_tplp(void)
{
    return 0;
}
// int init_tps(void) {return 0;}
// int init_tri(void) {return 0;}
// int init_trigd(void) {return 0;}
// int init_trigint(void) {return 0;}
// int init_trigsimp(void) {return 0;}
int
init_turtle(void)
{
    return 0;
}
// int init_utf8(void) {return 0;}
int
init_v3tools(void)
{
    return 0;
}
// int init_wu(void) {return 0;}
// int init_xcolor(void) {return 0;}
// int init_xideal(void) {return 0;}
int
init_z3(void)
{
    return 0;
}
// int init_zeilberg(void) {return 0;}
// int init_ztrans(void) {return 0;}

#endif

#ifdef GAL


#endif

#ifdef ASUKA
Sex
CC_debug(Sex a, Sex env)
{
    return Adebug(a, env);
}

Sex
CC_debugn(Sex a, Sex env)
{
    return Adebugn(a, env);
}

Sex
CC_list2array(Sex a, Sex b)
{
    return Alist2array(a, b);
}

Sex
CC_ddd_factor(Sex a)
{
    return nil;
}

extern bool     square_free_mod(Sex a);

Sex
CC_square_free_mod(Sex a)
{
    return square_free_mod ? true : nil;
}

Sex
CC_smod(Sex a, Sex p)
{
    return gsmodulus(a, p);
}

#endif

#ifdef REDUCE

Sex
CC_internp(Sex a)
{
	return Linternp(a);
}
#endif
