/*
 * stubs.h            (C) Copyright 2011 by Fujio Kako, Nara Women's University.
 *  
 * $Header: /Users/kako/asuka/src/RCS/stubs.h,v 2.17 2018/06/11 09:13:26 kako Exp $
 */

#ifdef REDUCE

extern int      init_null(void);

extern int      init_acfsf(void);
extern int      init_alg(void);
extern int      init_algint(void);
extern int      init_applysym(void);
extern int      init_arith(void);
extern int      init_arnum(void);
extern int      init_assert(void);
extern int      init_assist(void);
extern int      init_atensor(void);
extern int      init_avector(void);
extern int      init_bfap(void);
extern int      init_bibasis(void);
extern int      init_boolean(void);
extern int      init_breduce(void);
extern int      init_cali(void);
extern int      init_camal(void);
extern int      init_cantens(void);
extern int      init_ccomp(void);
extern int      init_cdiff(void);
extern int      init_cedit(void);
extern int      init_cfap(void);
extern int      init_cgb(void);
extern int      init_changevr(void);
extern int      init_cl(void);
extern int      init_clprl(void);
extern int      init_cmacro(void);
extern int      init_compact(void);
extern int      init_compiler(void);
extern int      init_complr(void);
extern int      init_conlaw(void);
extern int      init_crack(void);
extern int      init_cuba(void);
extern int      init_cvit(void);
extern int      init_dcfsf(void);
extern int      init_defint(void);
extern int      init_desir(void);
extern int      init_dfpart(void);
extern int      init_dipoly(void);
extern int      init_dummy(void);
extern int      init_dvfsf(void);
extern int      init_eds(void);
extern int      init_entry(void);
extern int      init_excalc(void);
extern int      init_ezgcd(void);
extern int      init_factor(void);
extern int      init_fap(void);
extern int      init_fide(void);
extern int      init_fide1(void);
extern int      init_fisl(void);
extern int      init_fmprint(void);
extern int      init_fps(void);
extern int      init_ftr(void);
extern int      init_gcref(void);
extern int      init_gentran(void);
extern int      init_geometry(void);
extern int      init_geoprover(void);
extern int      init_gnuplot(void);
extern int      init_groebfac(void);
extern int      init_groebner(void);
extern int      init_groebnr2(void);
extern int      init_groext(void);
extern int      init_guardian(void);
extern int      init_gurobi(void);
extern int      init_hephys(void);
extern int      init_ibalp(void);
extern int      init_ideals(void);
extern int      init_ineq(void);
extern int      init_int(void);
extern int      init_invbase(void);
extern int      init_lalr(void);
extern int      init_lap(void);
extern int      init_laplace(void);
extern int      init_libreduce(void);
extern int      init_lie(void);
extern int      init_liepde(void);
extern int      init_limits(void);
extern int      init_linalg(void);
extern int      init_linineq(void);
extern int      init_listvecops(void);
extern int      init_lpdo(void);
extern int      init_mathml(void);
extern int      init_mathmlom(void);
extern int      init_mathpr(void);
extern int      init_matrix(void);
extern int      init_misc(void);
extern int      init_mma(void);
extern int      init_modsr(void);
extern int      init_module(void);
extern int      init_mri(void);
extern int      init_mri_ofsf(void);
extern int      init_mri_pasf(void);
extern int      init_mrvlimit(void);
extern int      init_ncpoly(void);
extern int      init_nlopt(void);
extern int      init_noncom2(void);
extern int      init_normform(void);
extern int      init_numeric(void);
extern int      init_odesolve(void);
extern int      init_ofsf(void);
extern int      init_orthovec(void);
extern int      init_otrgsimp(void);
extern int      init_pasf(void);
extern int      init_pf(void);
extern int      init_pgauss(void);
extern int      init_physop(void);
extern int      init_plot(void);
extern int      init_pm(void);
extern int      init_poly(void);
extern int      init_polydiv(void);
extern int      init_pretty(void);
extern int      init_profile(void);
extern int      init_prolog(void);
extern int      init_qepcad(void);
extern int      init_qerrc(void);
extern int      init_qhull(void);
extern int      init_qqe(void);
extern int      init_qqe_ofsf(void);
extern int      init_qsum(void);
extern int      init_randpoly(void);
extern int      init_ranum(void);
// extern int init_rarith(void);
extern int      init_rataprx(void);
extern int      init_ratint(void);
extern int      init_rcref(void);
extern int      init_reacteqn(void);
extern int      init_redfront(void);
extern int      init_redlog(void);
extern int      init_reduce4(void);
extern int      init_rend(void);
extern int      init_reset(void);
extern int      init_residue(void);
extern int      init_rl(void);
extern int      init_rlfi(void);
extern int      init_rlisp(void);
extern int      init_rlisp88(void);
extern int      init_rlsupport(void);
extern int      init_rltools(void);
extern int      init_roots(void);
extern int      init_roots2(void);
extern int      init_rprint(void);
extern int      init_rsolve(void);
extern int      init_rtrace(void);
extern int      init_rubi_red(void);
extern int      init_scope(void);
extern int      init_sets(void);
extern int      init_sfgamma(void);
extern int      init_smt(void);
extern int      init_solve(void);
extern int      init_sparse(void);
extern int      init_spde(void);
extern int      init_specbess(void);
extern int      init_specfaux(void);
extern int      init_specfn(void);
extern int      init_specfn2(void);
extern int      init_sstools(void);
extern int      init_sum(void);
extern int      init_support(void);
extern int      init_susy2(void);
extern int      init_symaux(void);
extern int      init_symmetry(void);
extern int      init_tables(void);
extern int      init_talp(void);
extern int      init_taylor(void);
extern int      init_tmprint(void);
extern int      init_tplp(void);
extern int      init_tps(void);
extern int      init_tri(void);
extern int      init_trigd(void);
extern int      init_trigint(void);
extern int      init_trigsimp(void);
extern int      init_turtle(void);
extern int      init_utf8(void);
extern int      init_v3tools(void);
extern int      init_wu(void);
extern int      init_xcolor(void);
extern int      init_xideal(void);
extern int      init_z3(void);
extern int      init_zeilberg(void);
extern int      init_ztrans(void);

#endif


#ifdef GAL

extern int      init_parser(void);
extern int      init_bsatom(void);
extern int      init_bsdefn(void);
extern int      init_bseval(void);
extern int      init_bsmapf(void);
extern int      init_bspoly(void);
extern int      init_bspref(void);
extern int      init_bsques(void);
extern int      init_bssimp(void);
extern int      init_bswrit(void);
extern int      init_comcomp(void);
extern int      init_comconv(void);
extern int      init_comform(void);
extern int      init_compart(void);
extern int      init_comproc(void);
extern int      init_comrset(void);
extern int      init_libalg(void);
extern int      init_libapp(void);
extern int      init_linalg(void);
extern int      init_bi2r(void);
extern int      init_pkggb(void);
extern int      init_add(void);
extern int      init_complr(void);
extern int      init_cfap(void);
extern int      init_gpretty(void);
extern int      init_bfap(void);
extern int      init_pkgtest(void);
extern int      init_missing(void);
extern int      init_pkgfac(void);
extern int      init_comrset(void);

extern int      init_pkgnc(void);
extern int      init_pkgnew(void);
extern int      init_pkgleq(void);

#endif

#ifdef ASUKA
#ifndef Android
extern int      init_complr(void);
extern int      init_sfap(void);
#endif
extern int      init_pretty(void);
#endif

#ifdef ASUKA
extern Sex      CC_debug(Sex a, Sex e);
extern Sex      CC_debugn(Sex a, Sex e);
extern Sex      Adebug(Sex a, Sex e);
extern Sex      Adebugn(Sex a, Sex e);

extern Sex      CC_list2array(Sex a, Sex b);
extern Sex      Alist2array(Sex a, Sex b);
extern Sex      CC_ddd_factor(Sex a);
extern Sex      CC_square_free_mod(Sex a);
extern Sex      CC_smod(Sex a, Sex p);
extern Sex      gsmodulus(Sex a, Sex p);
#endif

#ifdef REDUCE
extern Sex	CC_remhash(Sex a, Sex b);
extern Sex	CC_internp(Sex a);
extern Sex	Linternp(Sex a);
#endif
