
int maxtrys = 10;
int confidence = 40;

Sex primelist;

primelist = Lgen_prime(2, 3572);1
last_prime = 3571;
last_prime_squared = 3571*3571;



Sex
add_factor(Sex n, Sex l)
{
	Sex p = nil;

	if(parip(l) && n <= (caar l))
		p = assoc(n, l);
	if(p != nil)
		return rplacd(p, add1 cdr(p));
	else
		return cons(cons(n, 1), 1);
}
	

Sex
zfactor(Sex n)
{
	return zfactor1(n, true);
}

Sex
zfactor1(Sex n, Sex bool)
{
	Sex primelist, factorlist, p, qr;

	if(n < 0)
		return cons(cons(-1, 1), zfactor1(-n, bool));
	primelist = Lgen_prime(1, 3000);
	factorlist = nil;
	while(primelist != nil) {
		p = car(primelist);
		primelist = cdr(primelist);
		while (remainder(
	
symbolic procedure zfactor1(n,bool);
   % If bool is NIL, mcfactor!* isn't used.
   if n<0 then ((-1) . 1) . zfactor1(-n,bool)
    else if n<4 then list(n . 1)
    else begin scalar primelist,factor!-list,p,qr;
       primelist := !*primelist!*;
       factor!-list := nil;
       while primelist do
        <<p := car primelist; primelist := cdr primelist;
          while cdr(qr := divide(n, p)) = 0 do
            <<n:= car qr; factor!-list:= add!-factor(p,factor!-list)>>;
       if n neq 1 and p*p>n
         then <<primelist := nil;
                factor!-list:=add!-factor(n,factor!-list);
                n := 1>>>>;
       return if n=1 then factor!-list
               else if null bool then (n . 1) . factor!-list
               else mcfactor!*(n,factor!-list)
     end;

symbolic procedure mcfactor!*(n,factors!-so!-far);
   if internal!-primep n then add!-factor(n,factors!-so!-far)
    else <<n:=(lambda (p,tries); <<
         while (atom p) and (tries<!*maxtrys!*) do <<
            tries:=tries+1;
            p:=mcfactor(n,tries)>>;
         if tries>!*maxtrys!* then <<
            prin2 "ZFACTOR(mcfactor!*): Assuming ";
            prin2 n; prin2t " is prime";
            p:=list n>>
         else p>>)
          (mcfactor(n,1),1);
   if atom n then add!-factor(n,factors!-so!-far)
   else if car n < cdr n then
      mcfactor!*(cdr n,mcfactor!*(car n,factors!-so!-far))
   else mcfactor!*(car n,mcfactor!*(cdr n,factors!-so!-far))>>;

symbolic procedure mcfactor(n,p);
% Based on "An Improved Monte-Carlo Factorisation Algorithm" by
% R.P.Brent in BIT 20 (1980) pp 176-184.  Argument n is the number to
% factor, p specifies the constant term of the polynomial.  There are
% supposed to be optimal p's for each n, but in general p=1 works well.
begin scalar gg,k,m,q,r,x,y,ys;
   m := 20;
   y:=0; r:=q:=1;
outer:
   x:=y;
   for i:=1:r do y:=remainder(y*y+p,n);
   k:=0;
inner:
   ys:=y;
   for i:=1:(if m<(r-k) then m else r-k) do <<
      y:=remainder(y*y+p,n);
      q:=remainder(q*abs(x-y),n)
   >>;
   gg:=gcdn(q,n);
   k:=k+m;
   if (k<r) and (gg leq 1) then goto inner;
   r:=2*r;
   if gg leq 1 then goto outer;
   if gg=n then begin
   loop:
      ys:=remainder(ys*ys+p,n);
      gg:=gcdn(abs(x-ys),n);
      if gg leq 1 then goto loop
   end;
   return if gg=n then n else gg . (n/gg)
end;


long mcfactor(long n, long p)
{
	long gg, k, m, q, r, x, y, ys;
	long ms;
	m = 20;
	y=0;
	r = q = 1;
do {
	x=y;
	for(i = 1; i <= r; i++) {
		y = mod(y*y+p, n);
	}
	k = 0;
do {
	ys=y;
	ms = m < (r-k)  ? m : r-k;
	for(i = 1; i <= ms; i++) {
		y = (y*y+p) % n;
		q = (a*abs(x-y)) % n;
	}
	gg = gcdn(q, n);
	k = k+m;
} while(k < r && gg <= 1);
	r = 2*r;
} while(gg <=1);

	if (gg == n) {
		do {
			ys = (ys*y+p) % n;
			gg = gcd(abs(x-ys), n);
		} while (gg <= 1);
	}
	if(gg==n) return n;
	return gg;
}

Sex
mcfactor(Sex n, Sex p)
{
	
symbolic procedure primep n;
   % Returns T if n is prime (an integer that is not zero or a unit).
   if not fixp n then typerr(n,"integer")
%    then <<lprim list("No primep function defined for",n); nil>>
    else if n<0 then primep(-n)
    else if n=1 then nil
    else if n<=!*last!-prime!-in!-list!* then n member !*primelist!*
    else if n<=!*last!-prime!-squared!*
     then begin scalar p;
             p := !*primelist!*;
             while p and remainder(n,car p) neq 0 do p := cdr p;
             return null p
          end
    else if n>largest!-small!-modulus then general!-primep n
    else small!-primep n;

flag('(primep),'boolean);

symbolic procedure internal!-primep n;
   if n>largest!-small!-modulus then general!-primep n
    else small!-primep n;

% This is a version of primep written by FEB for inclusion in zfactor.
% It provides small-primep and general-primep with the following
% corrections of the distribution versions:
% (1) random number zero excluded as a potential witness
% (2) correct range of powers of seed provided
% (3) inspection for -1 replacing gcd's.


symbolic procedure small!-primep n;
% Based on an algorithm of M.Rabin published in the Journal of Number
% Theory Vol 12, pp 128-138 (1980).
  begin integer i,l,m,x,y,w,save; scalar result;
% Filter out some easy cases first
    if evenp n or remainder(n,3) = 0 then return nil;
    m := n-1;
    save := set!-small!-modulus n;
% Express n-1 = (2^l)*m
    l:=0;
    while evenp m do <<m := m/2; l := l+1>>;
    i:=1;
    result:=t;
    while result and i<=!*confidence!* do <<
% Select a potential witness, noting 0, 1 and -1 are not liable to help.
       w := 1 + random(n-2);
% Raise to the odd power.
       x := modular!-expt(w, m);
% From here I can complete the calculation of w^(n-1) by doing a
% sequence of squaring operations.  While I do that I check to see if I
% come across a non-trivial square root of 1, and if I do then I know n
% could not have been prime.  In fact in that case I could exhibit a
% factor, but that does not concern me here.
       if x neq 1 then <<
         for k:=1:l do <<
           y := modular!-times(x,x);
% It is tolerable to continue round the loop after setting result=nil
% because I will then be repeating a squaring of 1, which is cheap.
           if y=1 and x neq (n-1) and x neq 1 then result := nil
           else x := y >>;
% Also if I do not get to 1 at the end then the number is composite, but
% I have no clue as to any factor.
         if x neq 1 then result := nil >>;
       i:=i+1 >>;
    set!-small!-modulus save;
    return result
  end;

symbolic procedure general!-primep n;
% Based on an algorithm of M.Rabin published in the Journal of Number
% Theory Vol 12, pp 128-138 (1980).
  begin integer i,l,m,x,y,w,save; scalar result;
% Filter out some easy cases first
    if evenp n or remainder(n,3) = 0 then return nil;
    m := n-1;
    save := set!-general!-modulus n;
% Express n-1 = (2^l)*m
    l:=0;
    while evenp m do <<m := m/2; l := l+1>>;
    i:=1;
    result:=t;
    while result and i<=!*confidence!* do <<
% Select a potential witness, noting 0, 1 and -1 are not liable to help.
       w := 1 + random(n-2);
% Raise to the odd power.
       x:=general!-modular!-expt(w, m);
% From here I can complete the calculation of w^(n-1) by doing a
% sequence of squaring operations.  While I do that I check to see if I
% come across a non-trivial square root of 1, and if I do then I know n
% could not have been prime.  In fact in that case I could exhibit a
% factor, but that does not concern me here.
       if x neq 1 then <<
         for k:=1:l do <<
           y:=general!-modular!-times(x,x);
% It is tolerable to continue round the loop after setting result=nil
% because I will then be repeating a squaring of 1, which is cheap.
           if y=1 and x neq (n-1) and x neq 1 then result := nil
           else x := y >>;
% Also if I do not get to 1 at the end then the number is composite, but
% I have no clue as to any factor.
         if x neq 1 then result := nil >>;
       i:=i+1 >>;
    set!-general!-modulus save;
    return result
  end;
